=== modified file 'Makefile'
--- Makefile	2012-03-09 16:48:55 +0000
+++ Makefile	2016-02-01 18:09:33 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2011 Canonical Ltd
+# Copyright (C) 2005-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -435,8 +435,8 @@
 update-pot: po/bzr.pot
 
 TRANSLATABLE_PYFILES:=$(shell find bzrlib -name '*.py' \
-    		| grep -v 'bzrlib/tests/' \
-    		| grep -v 'bzrlib/doc' \
+		| grep -v 'bzrlib/tests/' \
+		| grep -v 'bzrlib/doc' \
 		)
 
 po/bzr.pot: $(PYFILES) $(DOCFILES)

=== modified file 'bzrlib/__init__.py'
--- bzrlib/__init__.py	2013-07-27 12:53:28 +0000
+++ bzrlib/__init__.py	2016-02-01 18:09:33 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2011 Canonical Ltd
+# Copyright (C) 2005-2013, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -55,7 +55,7 @@
 # Python version 2.0 is (2, 0, 0, 'final', 0)."  Additionally we use a
 # releaselevel of 'dev' for unreleased under-development code.
 
-version_info = (2, 7, 0, 'dev', 1)
+version_info = (2, 7, 0, 'final', 0)
 
 # API compatibility version
 api_minimum_version = (2, 4, 0)

=== modified file 'bzrlib/plugins/grep/test_grep.py'
--- bzrlib/plugins/grep/test_grep.py	2012-08-23 15:04:34 +0000
+++ bzrlib/plugins/grep/test_grep.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2010 Canonical Ltd
+# Copyright (C) 2010, 2011, 2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -2169,7 +2169,7 @@
         self.build_tree_contents([('hello', 'hello world!\n')])
         tree.commit('updated hello')
         out, err = self.run_bzr(['grep', '-p', 'hello'])
-        self.assertEquals(err, '')
+        self.assertEqual(err, '')
         self.assertEqualDiff(subst_dates(out), '''\
 === revno:3 ===
   === modified file 'hello'
@@ -2188,7 +2188,7 @@
         self.build_tree_contents([('hello', 'hello world!\n')])
         tree.commit('updated hello')
         out, err = self.run_bzr(['grep', '-p', '-r', '3', 'hello'])
-        self.assertEquals(err, '')
+        self.assertEqual(err, '')
         self.assertEqualDiff(subst_dates(out), '''\
 === revno:3 ===
   === modified file 'hello'
@@ -2209,7 +2209,7 @@
         #self.build_tree_contents([('hello', 'hello world!3\n')]) # rev 5
         tree.commit('rev5')
         out, err = self.run_bzr(['grep', '-p', '-r', '2..5', 'hello'])
-        self.assertEquals(err, '')
+        self.assertEqual(err, '')
         self.assertEqualDiff(subst_dates(out), '''\
 === revno:5 ===
   === modified file 'hello'
@@ -2233,7 +2233,7 @@
         tree.commit('updated hello')
         out, err = self.run_bzr(['grep', '--diff', '-r', '3',
             '--color', 'always', 'hello'])
-        self.assertEquals(err, '')
+        self.assertEqual(err, '')
         revno = color_string('=== revno:3 ===', fg=FG.BOLD_BLUE) + '\n'
         filename = color_string("  === modified file 'hello'", fg=FG.BOLD_MAGENTA) + '\n'
         redhello = color_string('hello', fg=FG.BOLD_RED)
@@ -2249,6 +2249,6 @@
         """grep -p with zero revisions."""
         out, err = self.run_bzr(['init'])
         out, err = self.run_bzr(['grep', '--diff', 'foo'], 3)
-        self.assertEquals(out, '')
+        self.assertEqual(out, '')
         self.assertContainsRe(err, "ERROR:.*revision.* does not exist in branch")
 

=== modified file 'bzrlib/plugins/launchpad/test_lp_directory.py'
--- bzrlib/plugins/launchpad/test_lp_directory.py	2012-08-04 11:16:14 +0000
+++ bzrlib/plugins/launchpad/test_lp_directory.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007-2011 Canonical Ltd
+# Copyright (C) 2007-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -229,10 +229,10 @@
             self, 'apt', dict(urls=[
                     'http://bazaar.launchpad.net/~apt/apt/devel']))
         directory = LaunchpadDirectory()
-        self.assertEquals('http://bazaar.launchpad.net/~apt/apt/devel',
+        self.assertEqual('http://bazaar.launchpad.net/~apt/apt/devel',
                           directory._resolve('lp:apt', factory))
         # Make sure that resolve went to the production server.
-        self.assertEquals('https://xmlrpc.launchpad.net/bazaar/',
+        self.assertEqual('https://xmlrpc.launchpad.net/bazaar/',
                           factory._service_url)
 
     def test_qastaging(self):
@@ -242,10 +242,10 @@
                     'http://bazaar.qastaging.launchpad.net/~apt/apt/devel']))
         url = 'lp://qastaging/apt'
         directory = LaunchpadDirectory()
-        self.assertEquals('http://bazaar.qastaging.launchpad.net/~apt/apt/devel',
+        self.assertEqual('http://bazaar.qastaging.launchpad.net/~apt/apt/devel',
                           directory._resolve(url, factory))
         # Make sure that resolve went to the qastaging server.
-        self.assertEquals('https://xmlrpc.qastaging.launchpad.net/bazaar/',
+        self.assertEqual('https://xmlrpc.qastaging.launchpad.net/bazaar/',
                           factory._service_url)
 
     def test_staging(self):
@@ -255,10 +255,10 @@
                     'http://bazaar.staging.launchpad.net/~apt/apt/devel']))
         url = 'lp://staging/apt'
         directory = LaunchpadDirectory()
-        self.assertEquals('http://bazaar.staging.launchpad.net/~apt/apt/devel',
+        self.assertEqual('http://bazaar.staging.launchpad.net/~apt/apt/devel',
                           directory._resolve(url, factory))
         # Make sure that resolve went to the staging server.
-        self.assertEquals('https://xmlrpc.staging.launchpad.net/bazaar/',
+        self.assertEqual('https://xmlrpc.staging.launchpad.net/bazaar/',
                           factory._service_url)
 
     def test_url_from_directory(self):
@@ -267,7 +267,7 @@
             self, 'apt', dict(urls=[
                     'http://bazaar.launchpad.net/~apt/apt/devel']))
         directory = LaunchpadDirectory()
-        self.assertEquals('http://bazaar.launchpad.net/~apt/apt/devel',
+        self.assertEqual('http://bazaar.launchpad.net/~apt/apt/devel',
                           directory._resolve('lp:///apt', factory))
 
     def test_directory_skip_bad_schemes(self):
@@ -277,7 +277,7 @@
                     'http://bazaar.launchpad.net/~apt/apt/devel',
                     'http://another/location']))
         directory = LaunchpadDirectory()
-        self.assertEquals('http://bazaar.launchpad.net/~apt/apt/devel',
+        self.assertEqual('http://bazaar.launchpad.net/~apt/apt/devel',
                           directory._resolve('lp:///apt', factory))
 
     def test_directory_no_matching_schemes(self):
@@ -309,7 +309,7 @@
                     'bzr+ssh://bazaar.launchpad.net/~apt/apt/devel',
                     'http://bazaar.launchpad.net/~apt/apt/devel']))
         directory = LaunchpadDirectory()
-        self.assertEquals('http://bazaar.launchpad.net/~apt/apt/devel',
+        self.assertEqual('http://bazaar.launchpad.net/~apt/apt/devel',
                           directory._resolve('lp:///apt', factory))
 
     def test_skip_sftp_launchpad_net_when_anonymous(self):
@@ -321,7 +321,7 @@
                     'sftp://bazaar.launchpad.net/~apt/apt/devel',
                     'http://bazaar.launchpad.net/~apt/apt/devel']))
         directory = LaunchpadDirectory()
-        self.assertEquals('http://bazaar.launchpad.net/~apt/apt/devel',
+        self.assertEqual('http://bazaar.launchpad.net/~apt/apt/devel',
                           directory._resolve('lp:///apt', factory))
 
     def test_with_login_avoid_resolve_factory(self):
@@ -332,7 +332,7 @@
                     'bzr+ssh://my-super-custom/special/devel',
                     'http://bazaar.launchpad.net/~apt/apt/devel']))
         directory = LaunchpadDirectory()
-        self.assertEquals(
+        self.assertEqual(
             'bzr+ssh://bazaar.launchpad.net/+branch/apt',
             directory._resolve('lp:///apt', factory, _lp_login='username'))
 
@@ -344,7 +344,7 @@
                     'bzr+ssh://example.com/~apt/apt/devel',
                     'http://bazaar.launchpad.net/~apt/apt/devel']))
         directory = LaunchpadDirectory()
-        self.assertEquals('bzr+ssh://example.com/~apt/apt/devel',
+        self.assertEqual('bzr+ssh://example.com/~apt/apt/devel',
                           directory._resolve('lp:///apt', factory))
 
     # TODO: check we get an error if the url is unreasonable
@@ -358,12 +358,12 @@
             self, '~username/apt/test', dict(urls=[
                 'bzr+ssh://bazaar.launchpad.net/~username/apt/test']))
         directory = LaunchpadDirectory()
-        self.assertEquals(
+        self.assertEqual(
             'bzr+ssh://bazaar.launchpad.net/~username/apt/test',
             directory._resolve('lp:~/apt/test', factory, _lp_login='username'))
         # Should also happen when the login is just set by config
         set_lp_login('username')
-        self.assertEquals(
+        self.assertEqual(
             'bzr+ssh://bazaar.launchpad.net/~username/apt/test',
             directory._resolve('lp:~/apt/test', factory))
 
@@ -508,7 +508,7 @@
         result = self.do_request(self.server.get_url())
         urls = result.get('urls', None)
         self.assertIsNot(None, urls)
-        self.assertEquals(
+        self.assertEqual(
             ['bzr+ssh://bazaar.launchpad.net/~bzr-pqm/bzr/bzr.dev',
              'http://bazaar.launchpad.net/~bzr-pqm/bzr/bzr.dev'],
             urls)

=== modified file 'bzrlib/plugins/launchpad/test_register.py'
--- bzrlib/plugins/launchpad/test_register.py	2012-07-31 12:59:58 +0000
+++ bzrlib/plugins/launchpad/test_register.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2011 Canonical Ltd
+# Copyright (C) 2006-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -118,7 +118,7 @@
                     % (auth_hdrs,))
             authinfo = auth_hdrs[0]
             expected_auth = 'testuser@launchpad.net:testpassword'
-            test.assertEquals(authinfo,
+            test.assertEqual(authinfo,
                     'Basic ' + base64.encodestring(expected_auth).strip())
         elif http_headers:
             raise AssertionError()
@@ -190,7 +190,7 @@
         out, err = self.run_bzr(['register-branch',
                                 'http://test-server.com/bzr/branch',
                                 '--dry-run'])
-        self.assertEquals(out, 'Branch registered.\n')
+        self.assertEqual(out, 'Branch registered.\n')
 
     def test_onto_transport(self):
         """How the request is sent by transmitting across a mock Transport"""
@@ -206,9 +206,9 @@
                 'author@launchpad.net',
                 'product')
         rego.submit(service)
-        self.assertEquals(transport.connected_host, 'xmlrpc.launchpad.net')
-        self.assertEquals(len(transport.sent_params), 6)
-        self.assertEquals(transport.sent_params,
+        self.assertEqual(transport.connected_host, 'xmlrpc.launchpad.net')
+        self.assertEqual(len(transport.sent_params), 6)
+        self.assertEqual(transport.sent_params,
                 ('http://test-server.com/bzr/branch',  # branch_url
                  'branch-id',                          # branch_name
                  'my test branch',                     # branch_title
@@ -223,9 +223,9 @@
         service = LaunchpadService(transport)
         resolve = ResolveLaunchpadPathRequest('bzr')
         resolve.submit(service)
-        self.assertEquals(transport.connected_host, 'xmlrpc.launchpad.net')
-        self.assertEquals(len(transport.sent_params), 1)
-        self.assertEquals(transport.sent_params, ('bzr', ))
+        self.assertEqual(transport.connected_host, 'xmlrpc.launchpad.net')
+        self.assertEqual(len(transport.sent_params), 1)
+        self.assertEqual(transport.sent_params, ('bzr', ))
         self.assertTrue(transport.got_request)
 
     def test_subclass_request(self):
@@ -240,62 +240,62 @@
         service.registrant_password = ''
         request = DummyRequest()
         request.submit(service)
-        self.assertEquals(service.called_method_name, 'dummy_request')
-        self.assertEquals(service.called_method_params, (42,))
+        self.assertEqual(service.called_method_name, 'dummy_request')
+        self.assertEqual(service.called_method_params, (42,))
 
     def test_mock_server_registration(self):
         """Send registration to mock server"""
         test_case = self
         class MockRegistrationService(MockLaunchpadService):
             def send_request(self, method_name, method_params, authenticated):
-                test_case.assertEquals(method_name, "register_branch")
-                test_case.assertEquals(list(method_params),
+                test_case.assertEqual(method_name, "register_branch")
+                test_case.assertEqual(list(method_params),
                         ['url', 'name', 'title', 'description', 'email', 'name'])
-                test_case.assertEquals(authenticated, True)
+                test_case.assertEqual(authenticated, True)
                 return 'result'
         service = MockRegistrationService()
         rego = BranchRegistrationRequest('url', 'name', 'title',
                         'description', 'email', 'name')
         result = rego.submit(service)
-        self.assertEquals(result, 'result')
+        self.assertEqual(result, 'result')
 
     def test_mock_server_registration_with_defaults(self):
         """Send registration to mock server"""
         test_case = self
         class MockRegistrationService(MockLaunchpadService):
             def send_request(self, method_name, method_params, authenticated):
-                test_case.assertEquals(method_name, "register_branch")
-                test_case.assertEquals(list(method_params),
+                test_case.assertEqual(method_name, "register_branch")
+                test_case.assertEqual(list(method_params),
                         ['http://server/branch', 'branch', '', '', '', ''])
-                test_case.assertEquals(authenticated, True)
+                test_case.assertEqual(authenticated, True)
                 return 'result'
         service = MockRegistrationService()
         rego = BranchRegistrationRequest('http://server/branch')
         result = rego.submit(service)
-        self.assertEquals(result, 'result')
+        self.assertEqual(result, 'result')
 
     def test_mock_bug_branch_link(self):
         """Send bug-branch link to mock server"""
         test_case = self
         class MockService(MockLaunchpadService):
             def send_request(self, method_name, method_params, authenticated):
-                test_case.assertEquals(method_name, "link_branch_to_bug")
-                test_case.assertEquals(list(method_params),
+                test_case.assertEqual(method_name, "link_branch_to_bug")
+                test_case.assertEqual(list(method_params),
                         ['http://server/branch', 1234, ''])
-                test_case.assertEquals(authenticated, True)
+                test_case.assertEqual(authenticated, True)
                 return 'http://launchpad.net/bug/1234'
         service = MockService()
         rego = BranchBugLinkRequest('http://server/branch', 1234)
         result = rego.submit(service)
-        self.assertEquals(result, 'http://launchpad.net/bug/1234')
+        self.assertEqual(result, 'http://launchpad.net/bug/1234')
 
     def test_mock_resolve_lp_url(self):
         test_case = self
         class MockService(MockLaunchpadService):
             def send_request(self, method_name, method_params, authenticated):
-                test_case.assertEquals(method_name, "resolve_lp_path")
-                test_case.assertEquals(list(method_params), ['bzr'])
-                test_case.assertEquals(authenticated, False)
+                test_case.assertEqual(method_name, "resolve_lp_path")
+                test_case.assertEqual(list(method_params), ['bzr'])
+                test_case.assertEqual(authenticated, False)
                 return dict(urls=[
                         'bzr+ssh://bazaar.launchpad.net~bzr/bzr/trunk',
                         'sftp://bazaar.launchpad.net~bzr/bzr/trunk',
@@ -305,7 +305,7 @@
         resolve = ResolveLaunchpadPathRequest('bzr')
         result = resolve.submit(service)
         self.assertTrue('urls' in result)
-        self.assertEquals(result['urls'], [
+        self.assertEqual(result['urls'], [
                 'bzr+ssh://bazaar.launchpad.net~bzr/bzr/trunk',
                 'sftp://bazaar.launchpad.net~bzr/bzr/trunk',
                 'bzr+http://bazaar.launchpad.net~bzr/bzr/trunk',
@@ -364,7 +364,7 @@
         service.gather_user_credentials()
         self.assertEqual('test@user.com', service.registrant_email)
         self.assertEqual('userpass', service.registrant_password)
-        self.assertEquals('', stdout.getvalue())
+        self.assertEqual('', stdout.getvalue())
         self.assertContainsRe(stderr.getvalue(),
                              'launchpad.net password for test@user\\.com')
 

=== modified file 'bzrlib/plugins/netrc_credential_store/tests/test_netrc.py'
--- bzrlib/plugins/netrc_credential_store/tests/test_netrc.py	2013-10-01 16:36:20 +0000
+++ bzrlib/plugins/netrc_credential_store/tests/test_netrc.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008 Canonical Ltd
+# Copyright (C) 2008, 2009, 2013, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -61,12 +61,12 @@
     def test_matching_user(self):
         cs = self._get_netrc_cs()
         password = cs.decode_password(dict(host='host', user='joe'))
-        self.assertEquals('secret', password)
+        self.assertEqual('secret', password)
 
     def test_default_password(self):
         cs = self._get_netrc_cs()
         password = cs.decode_password(dict(host='other', user='anonymous'))
-        self.assertEquals('joe@home', password)
+        self.assertEqual('joe@home', password)
 
     def test_default_password_without_user(self):
         cs = self._get_netrc_cs()
@@ -84,4 +84,4 @@
         conf = config.AuthenticationConfig(_file=StringIO(ac_content))
         credentials = conf.get_credentials('scheme', 'host', user='joe')
         self.assertIsNot(None, credentials)
-        self.assertEquals('secret', credentials.get('password', None))
+        self.assertEqual('secret', credentials.get('password', None))

=== modified file 'bzrlib/plugins/weave_fmt/test_bzrdir.py'
--- bzrlib/plugins/weave_fmt/test_bzrdir.py	2012-02-23 19:45:15 +0000
+++ bzrlib/plugins/weave_fmt/test_bzrdir.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2011 Canonical Ltd
+# Copyright (C) 2011, 2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -311,13 +311,13 @@
         self.assertIsInstance(control._format, bzrdir.BzrDirMetaFormat1)
         b = control.open_branch()
         self.addCleanup(b.lock_read().unlock)
-        self.assertEquals(b._revision_history(),
+        self.assertEqual(b._revision_history(),
            ['mbp@sourcefrog.net-20051004035611-176b16534b086b3c',
             'mbp@sourcefrog.net-20051004035756-235f2b7dcdddd8dd'])
 
     def test_upgrade_simple(self):
         """Upgrade simple v0.0.4 format to latest format"""
-        eq = self.assertEquals
+        eq = self.assertEqual
         self.build_tree_contents(_upgrade1_template)
         upgrade.upgrade(u'.')
         control = controldir.ControlDir.open('.')
@@ -378,7 +378,7 @@
         bzr, but can happen in branches imported from baz and arch, or from
         other systems, where the importer knows about a revision but not
         its contents."""
-        eq = self.assertEquals
+        eq = self.assertEqual
         self.build_tree_contents(_ghost_template)
         upgrade.upgrade(u'.')
         b = branch.Branch.open(u'.')

=== modified file 'bzrlib/plugins/weave_fmt/test_repository.py'
--- bzrlib/plugins/weave_fmt/test_repository.py	2011-12-19 13:23:58 +0000
+++ bzrlib/plugins/weave_fmt/test_repository.py	2016-02-01 16:50:54 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2010 Canonical Ltd
+# Copyright (C) 2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -313,7 +313,7 @@
         inp = StringIO(_working_inventory_v4)
         inv = xml4.serializer_v4.read_inventory(inp)
         self.assertEqual(len(inv), 4)
-        self.assert_(inv.has_id('bar-20050901064931-73b4b1138abc9cd2'))
+        self.assertTrue(inv.has_id('bar-20050901064931-73b4b1138abc9cd2'))
 
     def test_unpack_revision(self):
         """Test unpacking a canned revision v4"""
@@ -327,5 +327,3 @@
         eq(len(rev.parent_ids), 1)
         eq(rev.parent_ids[0],
            "mbp@sourcefrog.net-20050905063503-43948f59fa127d92")
-
-

=== modified file 'bzrlib/tests/__init__.py'
--- bzrlib/tests/__init__.py	2015-11-08 15:32:18 +0000
+++ bzrlib/tests/__init__.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2011 Canonical Ltd
+# Copyright (C) 2005-2013, 2015, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -1369,6 +1369,8 @@
             % (message,
                pprint.pformat(a), pprint.pformat(b)))
 
+    # FIXME: This is deprecated in unittest2 but plugins may still use it so we
+    # need a deprecation period for them -- vila 2016-02-01
     assertEquals = assertEqual
 
     def assertEqualDiff(self, a, b, message=None):
@@ -1377,7 +1379,7 @@
         This is intended for use with multi-line strings where it can
         be hard to find the differences by eye.
         """
-        # TODO: perhaps override assertEquals to call this for strings?
+        # TODO: perhaps override assertEqual to call this for strings?
         if a == b:
             return
         if message is None:
@@ -2050,7 +2052,7 @@
         if err:
             self.log('errors:\n%r', err)
         if retcode is not None:
-            self.assertEquals(retcode, result,
+            self.assertEqual(retcode, result,
                               message='Unexpected return code')
         return result, out, err
 

=== modified file 'bzrlib/tests/blackbox/__init__.py'
--- bzrlib/tests/blackbox/__init__.py	2013-08-11 20:31:42 +0000
+++ bzrlib/tests/blackbox/__init__.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2011 Canonical Ltd
+# Copyright (C) 2005-2013, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -151,4 +151,4 @@
         The output is supplied first, so that you can supply a variable
         number of arguments to bzr.
         """
-        self.assertEquals(self.run_bzr(*args)[0], output)
+        self.assertEqual(self.run_bzr(*args)[0], output)

=== modified file 'bzrlib/tests/blackbox/test_add.py'
--- bzrlib/tests/blackbox/test_add.py	2012-03-03 22:36:04 +0000
+++ bzrlib/tests/blackbox/test_add.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2007, 2009-2012 Canonical Ltd
+# Copyright (C) 2006, 2007, 2009-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -52,14 +52,14 @@
         out = self.run_bzr('add')[0]
         # the ordering is not defined at the moment
         results = sorted(out.rstrip('\n').split('\n'))
-        self.assertEquals(['adding .bzrignore',
+        self.assertEqual(['adding .bzrignore',
                            'adding dir',
                            'adding dir/sub.txt',
                            'adding top.txt'],
                           results)
         out = self.run_bzr('add -v')[0]
         results = sorted(out.rstrip('\n').split('\n'))
-        self.assertEquals(['ignored CVS matching "CVS"'],
+        self.assertEqual(['ignored CVS matching "CVS"'],
                           results)
 
     def test_add_quiet_is(self):
@@ -69,7 +69,7 @@
         out = self.run_bzr('add -q')[0]
         # the ordering is not defined at the moment
         results = sorted(out.rstrip('\n').split('\n'))
-        self.assertEquals([''], results)
+        self.assertEqual([''], results)
 
     def test_add_in_unversioned(self):
         """Try to add a file in an unversioned directory.
@@ -78,28 +78,28 @@
         """
         tree = self.make_branch_and_tree('.')
         self.build_tree(['inertiatic/', 'inertiatic/esp'])
-        self.assertEquals(self.run_bzr('unknowns')[0], 'inertiatic\n')
+        self.assertEqual(self.run_bzr('unknowns')[0], 'inertiatic\n')
         self.run_bzr('add inertiatic/esp')
-        self.assertEquals(self.run_bzr('unknowns')[0], '')
+        self.assertEqual(self.run_bzr('unknowns')[0], '')
 
         # Multiple unversioned parents
         self.build_tree(['veil/', 'veil/cerpin/', 'veil/cerpin/taxt'])
-        self.assertEquals(self.run_bzr('unknowns')[0], 'veil\n')
+        self.assertEqual(self.run_bzr('unknowns')[0], 'veil\n')
         self.run_bzr('add veil/cerpin/taxt')
-        self.assertEquals(self.run_bzr('unknowns')[0], '')
+        self.assertEqual(self.run_bzr('unknowns')[0], '')
 
         # Check whacky paths work
         self.build_tree(['cicatriz/', 'cicatriz/esp'])
-        self.assertEquals(self.run_bzr('unknowns')[0], 'cicatriz\n')
+        self.assertEqual(self.run_bzr('unknowns')[0], 'cicatriz\n')
         self.run_bzr('add inertiatic/../cicatriz/esp')
-        self.assertEquals(self.run_bzr('unknowns')[0], '')
+        self.assertEqual(self.run_bzr('unknowns')[0], '')
 
     def test_add_no_recurse(self):
         tree = self.make_branch_and_tree('.')
         self.build_tree(['inertiatic/', 'inertiatic/esp'])
-        self.assertEquals(self.run_bzr('unknowns')[0], 'inertiatic\n')
+        self.assertEqual(self.run_bzr('unknowns')[0], 'inertiatic\n')
         self.run_bzr('add -N inertiatic')
-        self.assertEquals(self.run_bzr('unknowns')[0], 'inertiatic/esp\n')
+        self.assertEqual(self.run_bzr('unknowns')[0], 'inertiatic/esp\n')
 
     def test_add_in_versioned(self):
         """Try to add a file in a versioned directory.
@@ -108,11 +108,11 @@
         """
         tree = self.make_branch_and_tree('.')
         self.build_tree(['inertiatic/', 'inertiatic/esp'])
-        self.assertEquals(self.run_bzr('unknowns')[0], 'inertiatic\n')
+        self.assertEqual(self.run_bzr('unknowns')[0], 'inertiatic\n')
         self.run_bzr('add --no-recurse inertiatic')
-        self.assertEquals(self.run_bzr('unknowns')[0], 'inertiatic/esp\n')
+        self.assertEqual(self.run_bzr('unknowns')[0], 'inertiatic/esp\n')
         self.run_bzr('add inertiatic/esp')
-        self.assertEquals(self.run_bzr('unknowns')[0], '')
+        self.assertEqual(self.run_bzr('unknowns')[0], '')
 
     def test_subdir_add(self):
         """Add in subdirectory should add only things from there down"""
@@ -133,16 +133,16 @@
         # add with no arguments in a subdirectory gets only files below that
         # subdirectory
         self.run_bzr('add', working_dir='src')
-        self.assertEquals('README\n',
+        self.assertEqual('README\n',
                           self.run_bzr('unknowns', working_dir='src')[0])
         # reopen to see the new changes
         t = t.bzrdir.open_workingtree('src')
         versioned = [path for path, entry in t.iter_entries_by_dir()]
-        self.assertEquals(versioned, ['', 'src', 'src/foo.c'])
+        self.assertEqual(versioned, ['', 'src', 'src/foo.c'])
 
         # add from the parent directory should pick up all file names
         self.run_bzr('add')
-        self.assertEquals(self.run_bzr('unknowns')[0], '')
+        self.assertEqual(self.run_bzr('unknowns')[0], '')
         self.run_bzr('check')
 
     def test_add_missing(self):
@@ -216,14 +216,14 @@
         self.build_tree(['source/top.txt'])
         os.symlink('source', 'link')
         out = self.run_bzr(['add', 'link/top.txt'])[0]
-        self.assertEquals(out, 'adding top.txt\n')
+        self.assertEqual(out, 'adding top.txt\n')
 
     def test_add_symlink_to_abspath(self):
         self.requireFeature(features.SymlinkFeature)
         self.make_branch_and_tree('tree')
         os.symlink(osutils.abspath('target'), 'tree/link')
         out = self.run_bzr(['add', 'tree/link'])[0]
-        self.assertEquals(out, 'adding link\n')
+        self.assertEqual(out, 'adding link\n')
 
     def test_add_not_child(self):
         # https://bugs.launchpad.net/bzr/+bug/98735
@@ -242,8 +242,8 @@
         self.make_branch_and_tree(u"\xA7")
         self.build_tree([u"\xA7/a", u"\xA7/b"])
         out, err = self.run_bzr(["add", "a", "b"], working_dir=u"\xA7")
-        self.assertEquals(out, "adding a\n" "adding b\n")
-        self.assertEquals(err, "")
+        self.assertEqual(out, "adding a\n" "adding b\n")
+        self.assertEqual(err, "")
 
     def test_add_skip_large_files(self):
         """Test skipping files larger than add.maximum_file_size"""
@@ -255,13 +255,13 @@
         tree.branch.get_config_stack().set('add.maximum_file_size', 5)
         out = self.run_bzr('add')[0]
         results = sorted(out.rstrip('\n').split('\n'))
-        self.assertEquals(['adding small.txt'], results)
+        self.assertEqual(['adding small.txt'], results)
         # named items never skipped, even if over max
         out, err = self.run_bzr(["add", "big2.txt"])
         results = sorted(out.rstrip('\n').split('\n'))
-        self.assertEquals(['adding big2.txt'], results)
-        self.assertEquals("", err)
+        self.assertEqual(['adding big2.txt'], results)
+        self.assertEqual("", err)
         tree.branch.get_config_stack().set('add.maximum_file_size', 30)
         out = self.run_bzr('add')[0]
         results = sorted(out.rstrip('\n').split('\n'))
-        self.assertEquals(['adding big.txt'], results)
+        self.assertEqual(['adding big.txt'], results)

=== modified file 'bzrlib/tests/blackbox/test_added.py'
--- bzrlib/tests/blackbox/test_added.py	2010-06-11 07:32:12 +0000
+++ bzrlib/tests/blackbox/test_added.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2010 Canonical Ltd
+# Copyright (C) 2006-2010, 2016 Canonical Ltd
 # -*- coding: utf-8 -*-
 #
 # This program is free software; you can redistribute it and/or modify
@@ -47,8 +47,8 @@
                 command += ' --null'
 
             out, err = self.run_bzr(command)
-            self.assertEquals(out, expected)
-            self.assertEquals(err, '')
+            self.assertEqual(out, expected)
+            self.assertEqual(err, '')
 
         # in empty directory, nothing added
         tree = self.make_branch_and_tree('.')
@@ -74,4 +74,4 @@
         self.build_tree(['a/README'])
         tree.add('README')
         out, err = self.run_bzr(['added', '--directory=a'])
-        self.assertEquals('README\n', out)
+        self.assertEqual('README\n', out)

=== modified file 'bzrlib/tests/blackbox/test_alias.py'
--- bzrlib/tests/blackbox/test_alias.py	2011-06-14 01:26:41 +0000
+++ bzrlib/tests/blackbox/test_alias.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008, 2009, 2010 Canonical Ltd
+# Copyright (C) 2008-2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -31,21 +31,21 @@
     def test_list_alias_with_none(self):
         """Calling alias with no parameters lists existing aliases."""
         out, err = self.run_bzr('alias')
-        self.assertEquals('', out)
+        self.assertEqual('', out)
 
     def test_list_unknown_alias(self):
         out, err = self.run_bzr('alias commit')
-        self.assertEquals('bzr alias: commit: not found\n', out)
+        self.assertEqual('bzr alias: commit: not found\n', out)
 
     def test_add_alias_outputs_nothing(self):
         out, err = self.run_bzr('alias commit="commit --strict"')
-        self.assertEquals('', out)
+        self.assertEqual('', out)
 
     def test_add_alias_visible(self):
         """Adding an alias makes it ..."""
         self.run_bzr('alias commit="commit --strict"')
         out, err = self.run_bzr('alias commit')
-        self.assertEquals('bzr alias commit="commit --strict"\n', out)
+        self.assertEqual('bzr alias commit="commit --strict"\n', out)
 
     def test_unicode_alias(self):
         """Unicode aliases should work (Bug #529930)"""
@@ -63,8 +63,8 @@
             u'[ALIASES]\nust=st %s\n' % (file_name,), save=True)
 
         out, err = self.run_bzr('ust')
-        self.assertEquals(err, '')
-        self.assertEquals(out, '')
+        self.assertEqual(err, '')
+        self.assertEqual(out, '')
 
     def test_alias_listing_alphabetical(self):
         self.run_bzr('alias commit="commit --strict"')
@@ -72,7 +72,7 @@
         self.run_bzr('alias add="add -q"')
 
         out, err = self.run_bzr('alias')
-        self.assertEquals(
+        self.assertEqual(
             'bzr alias add="add -q"\n'
             'bzr alias commit="commit --strict"\n'
             'bzr alias ll="log --short"\n',
@@ -80,16 +80,16 @@
 
     def test_remove_unknown_alias(self):
         out, err = self.run_bzr('alias --remove fooix', retcode=3)
-        self.assertEquals('bzr: ERROR: The alias "fooix" does not exist.\n',
+        self.assertEqual('bzr: ERROR: The alias "fooix" does not exist.\n',
                           err)
 
     def test_remove_known_alias(self):
         self.run_bzr('alias commit="commit --strict"')
         out, err = self.run_bzr('alias commit')
-        self.assertEquals('bzr alias commit="commit --strict"\n', out)
+        self.assertEqual('bzr alias commit="commit --strict"\n', out)
         # No output when removing an existing alias.
         out, err = self.run_bzr('alias --remove commit')
-        self.assertEquals('', out)
+        self.assertEqual('', out)
         # Now its not.
         out, err = self.run_bzr('alias commit')
-        self.assertEquals("bzr alias: commit: not found\n", out)
+        self.assertEqual("bzr alias: commit: not found\n", out)

=== modified file 'bzrlib/tests/blackbox/test_aliases.py'
--- bzrlib/tests/blackbox/test_aliases.py	2010-08-29 14:32:45 +0000
+++ bzrlib/tests/blackbox/test_aliases.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2007, 2009, 2010 Canonical Ltd
+# Copyright (C) 2006, 2007, 2009, 2010, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -49,21 +49,21 @@
         tree.add('a')
         tree.commit(message='1')
 
-        self.assertEquals(bzr('c a'), str1)
+        self.assertEqual(bzr('c a'), str1)
 
         self.build_tree_contents([('a', str2)])
         tree.commit(message='2')
 
-        self.assertEquals(bzr('c a'), str2)
-        self.assertEquals(bzr('c1 a'), str1)
-        self.assertEquals(bzr('c1 --revision 2 a'), str2)
+        self.assertEqual(bzr('c a'), str2)
+        self.assertEqual(bzr('c1 a'), str1)
+        self.assertEqual(bzr('c1 --revision 2 a'), str2)
 
         # If --no-aliases isn't working, we will not get retcode=3
         bzr('--no-aliases c a', retcode=3)
 
         # If --no-aliases breaks all of bzr, we also get retcode=3
         # So we need to catch the output as well
-        self.assertEquals(bzr_catch_error('--no-aliases c a',
+        self.assertEqual(bzr_catch_error('--no-aliases c a',
                                           retcode=None),
                           'bzr: ERROR: unknown command "c"\n')
 

=== modified file 'bzrlib/tests/blackbox/test_bound_branches.py'
--- bzrlib/tests/blackbox/test_bound_branches.py	2012-02-23 23:26:35 +0000
+++ bzrlib/tests/blackbox/test_bound_branches.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2012 Canonical Ltd
+# Copyright (C) 2005-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -220,7 +220,7 @@
         child_tree.update()
         child_tree.commit(message='merged')
         self.check_revno(3, 'child')
-        self.assertEquals(child_tree.branch.last_revision(),
+        self.assertEqual(child_tree.branch.last_revision(),
                           base_tree.branch.last_revision())
 
     def test_bind_parent_ahead(self):

=== modified file 'bzrlib/tests/blackbox/test_branch.py'
--- bzrlib/tests/blackbox/test_branch.py	2012-02-23 23:26:35 +0000
+++ bzrlib/tests/blackbox/test_branch.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2012 Canonical Ltd
+# Copyright (C) 2006-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -71,7 +71,7 @@
         a = self.example_branch('something/a').branch
         self.run_bzr('branch something/a')
         b = branch.Branch.open('a')
-        self.assertEquals(b.last_revision_info(), a.last_revision_info())
+        self.assertEqual(b.last_revision_info(), a.last_revision_info())
 
     def test_into_colocated(self):
         """Branch from a branch into a colocated branch."""
@@ -169,7 +169,7 @@
         t = self.example_branch('source')
         self.make_bzrdir('target')
         self.run_bzr("branch source target")
-        self.assertEquals(2, len(t.branch.repository.all_revision_ids()))
+        self.assertEqual(2, len(t.branch.repository.all_revision_ids()))
 
     def test_branch_switch_checkout(self):
         # Checkout in the current directory:

=== modified file 'bzrlib/tests/blackbox/test_branches.py'
--- bzrlib/tests/blackbox/test_branches.py	2012-02-13 17:34:46 +0000
+++ bzrlib/tests/blackbox/test_branches.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2011 Canonical Ltd
+# Copyright (C) 2011, 2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -28,24 +28,24 @@
         # support.
         self.run_bzr('init a')
         out, err = self.run_bzr('branches a')
-        self.assertEquals(out, "* (default)\n")
+        self.assertEqual(out, "* (default)\n")
 
     def test_no_branch(self):
         # Listing the branches in a control directory without branches.
         self.run_bzr('init-repo a')
         out, err = self.run_bzr('branches a')
-        self.assertEquals(out, "")
+        self.assertEqual(out, "")
 
     def test_default_current_dir(self):
         # "bzr branches" list the branches in the current directory
         # if no location was specified.
         self.run_bzr('init-repo a')
         out, err = self.run_bzr('branches', working_dir='a')
-        self.assertEquals(out, "")
+        self.assertEqual(out, "")
 
     def test_recursive_current(self):
         self.run_bzr('init .')
-        self.assertEquals(".\n", self.run_bzr('branches --recursive')[0])
+        self.assertEqual(".\n", self.run_bzr('branches --recursive')[0])
 
     def test_recursive(self):
         self.run_bzr('init source')
@@ -65,7 +65,7 @@
         t.bzrdir.create_branch(name='another')
         t.bzrdir.create_branch(name='colocated')
         out, err = self.run_bzr('branches a')
-        self.assertEquals(out, "* (default)\n"
+        self.assertEqual(out, "* (default)\n"
                                "  another\n"
                                "  colocated\n")
 
@@ -75,7 +75,7 @@
         branch = t.bzrdir.create_branch(name='colocated')
         t.bzrdir.set_branch_reference(target_branch=branch)
         out, err = self.run_bzr('branches a')
-        self.assertEquals(out, "  another\n"
+        self.assertEqual(out, "  another\n"
                                "* colocated\n")
 
     def test_shared_repos(self):
@@ -84,10 +84,10 @@
         b = BzrDir.create_branch_convenience('a/branch2')
         b.create_checkout(lightweight=True, to_location='b')
         out, err = self.run_bzr('branches b')
-        self.assertEquals(out, "  branch1\n"
+        self.assertEqual(out, "  branch1\n"
                                "* branch2\n")
 
     def test_standalone_branch(self):
         self.make_branch('a')
         out, err = self.run_bzr('branches a')
-        self.assertEquals(out, "* (default)\n")
+        self.assertEqual(out, "* (default)\n")

=== modified file 'bzrlib/tests/blackbox/test_cat.py'
--- bzrlib/tests/blackbox/test_cat.py	2012-01-05 13:02:31 +0000
+++ bzrlib/tests/blackbox/test_cat.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2012 Canonical Ltd
+# Copyright (C) 2005-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -35,34 +35,34 @@
         tree.commit(message='1')
         self.build_tree_contents([('branch/a', 'baz\n')])
 
-        self.assertEquals('foo\n',
+        self.assertEqual('foo\n',
                           self.run_bzr(['cat', 'a'], working_dir='branch')[0])
 
         # On Windows, we used to have a bug where newlines got changed into
         # crlf, whereas cat ought to write out the file exactly as it's
         # recorded (by default.)  That problem can't be reproduced in-process,
         # so we need just one test here that 
-        self.assertEquals('foo\n',
+        self.assertEqual('foo\n',
                           self.run_bzr_subprocess(['cat', 'a'],
                                                   working_dir='branch')[0])
 
         tree.commit(message='2')
-        self.assertEquals(
+        self.assertEqual(
             'baz\n', self.run_bzr(['cat', 'a'], working_dir='branch')[0])
-        self.assertEquals(
+        self.assertEqual(
             'foo\n', self.run_bzr(['cat', 'a', '-r', '1'],
                                   working_dir='branch')[0])
-        self.assertEquals(
+        self.assertEqual(
             'baz\n', self.run_bzr(['cat', 'a', '-r', '-1'],
                                   working_dir='branch')[0])
 
         rev_id = tree.branch.last_revision()
 
-        self.assertEquals(
+        self.assertEqual(
             'baz\n', self.run_bzr(['cat', 'a', '-r', 'revid:%s' % rev_id],
                                   working_dir='branch')[0])
 
-        self.assertEquals('foo\n',
+        self.assertEqual('foo\n',
                           self.run_bzr(['cat', 'branch/a',
                                         '-r', 'revno:1:branch'])[0])
         self.run_bzr(['cat', 'a'], retcode=3)

=== modified file 'bzrlib/tests/blackbox/test_checkout.py'
--- bzrlib/tests/blackbox/test_checkout.py	2012-02-23 23:26:35 +0000
+++ bzrlib/tests/blackbox/test_checkout.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2007, 2009-2012 Canonical Ltd
+# Copyright (C) 2006, 2007, 2009-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -188,7 +188,7 @@
             working_dir='second')
         # We should always be creating a lighweight checkout for colocated
         # branches.
-        self.assertEquals(
+        self.assertEqual(
             target.open_branch(name='somebranch').base,
             target.get_branch_reference(name=""))
 

=== modified file 'bzrlib/tests/blackbox/test_commit.py'
--- bzrlib/tests/blackbox/test_commit.py	2012-02-23 23:26:35 +0000
+++ bzrlib/tests/blackbox/test_commit.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2012 Canonical Ltd
+# Copyright (C) 2006-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -749,7 +749,7 @@
         self.build_tree_contents([('test', 'changes in test')])
         # partial commit
         out, err = self.run_bzr('commit test -m "partial commit"')
-        self.assertEquals('', out)
+        self.assertEqual('', out)
         self.assertContainsRe(err, r'modified test\nCommitted revision 2.')
 
     def test_commit_readonly_checkout(self):

=== modified file 'bzrlib/tests/blackbox/test_config.py'
--- bzrlib/tests/blackbox/test_config.py	2012-08-01 09:27:40 +0000
+++ bzrlib/tests/blackbox/test_config.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2010 Canonical Ltd
+# Copyright (C) 2010, 2011, 2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -32,8 +32,8 @@
 
     def test_config_all(self):
         out, err = self.run_bzr(['config'])
-        self.assertEquals('', out)
-        self.assertEquals('', err)
+        self.assertEqual('', out)
+        self.assertEqual('', err)
 
     def test_remove_unknown_option(self):
         self.run_bzr_error(['The "file" configuration option does not exist',],
@@ -393,4 +393,4 @@
         clone.get_config_stack().set('test', 'clone')
         out, err = self.run_bzr(['config', '-d', ':parent', 'test'],
                                 working_dir='clone')
-        self.assertEquals('base\n', out)
+        self.assertEqual('base\n', out)

=== modified file 'bzrlib/tests/blackbox/test_deleted.py'
--- bzrlib/tests/blackbox/test_deleted.py	2010-06-11 07:32:12 +0000
+++ bzrlib/tests/blackbox/test_deleted.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2010 Canonical Ltd
+# Copyright (C) 2010, 2016 Canonical Ltd
 # -*- coding: utf-8 -*-
 #
 # This program is free software; you can redistribute it and/or modify
@@ -34,4 +34,4 @@
         tree.commit('r1')
         tree.remove('README')
         out, err = self.run_bzr(['deleted', '--directory=a'])
-        self.assertEquals('README\n', out)
+        self.assertEqual('README\n', out)

=== modified file 'bzrlib/tests/blackbox/test_diff.py'
--- bzrlib/tests/blackbox/test_diff.py	2012-09-19 07:07:39 +0000
+++ bzrlib/tests/blackbox/test_diff.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2012 Canonical Ltd
+# Copyright (C) 2006-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -61,13 +61,13 @@
         self.build_tree_contents([('hello', 'hello world!')])
         tree.commit(message='fixing hello')
         output = self.run_bzr('diff -r 2..3', retcode=1)[0]
-        self.assert_('\n+hello world!' in output)
+        self.assertTrue('\n+hello world!' in output)
         output = self.run_bzr('diff -c 3', retcode=1)[0]
-        self.assert_('\n+hello world!' in output)
+        self.assertTrue('\n+hello world!' in output)
         output = self.run_bzr('diff -r last:3..last:1', retcode=1)[0]
-        self.assert_('\n+baz' in output)
+        self.assertTrue('\n+baz' in output)
         output = self.run_bzr('diff -c last:2', retcode=1)[0]
-        self.assert_('\n+baz' in output)
+        self.assertTrue('\n+baz' in output)
         self.build_tree(['moo'])
         tree.add('moo')
         os.unlink('moo')
@@ -78,7 +78,7 @@
         self.make_example_branch()
         self.build_tree_contents([('hello', 'hello world!\n')])
         out, err = self.run_bzr('diff --prefix old/:new/', retcode=1)
-        self.assertEquals(err, '')
+        self.assertEqual(err, '')
         self.assertEqualDiff(subst_dates(out), '''\
 === modified file 'hello'
 --- old/hello\tYYYY-MM-DD HH:MM:SS +ZZZZ
@@ -100,7 +100,7 @@
         self.make_example_branch()
         self.build_tree_contents([('hello', 'hello world!\n')])
         out, err = self.run_bzr('diff -p1', retcode=1)
-        self.assertEquals(err, '')
+        self.assertEqual(err, '')
         self.assertEqualDiff(subst_dates(out), '''\
 === modified file 'hello'
 --- old/hello\tYYYY-MM-DD HH:MM:SS +ZZZZ
@@ -116,7 +116,7 @@
         self.make_example_branch()
         self.build_tree_contents([('hello', 'hello world!\n')])
         out, err = self.run_bzr('diff -p0', retcode=1)
-        self.assertEquals(err, '')
+        self.assertEqual(err, '')
         self.assertEqualDiff(subst_dates(out), '''\
 === modified file 'hello'
 --- hello\tYYYY-MM-DD HH:MM:SS +ZZZZ
@@ -182,8 +182,8 @@
     def check_b2_vs_b1(self, cmd):
         # Compare branch2 vs branch1 using cmd and check the result
         out, err = self.run_bzr(cmd, retcode=1)
-        self.assertEquals('', err)
-        self.assertEquals("=== modified file 'file'\n"
+        self.assertEqual('', err)
+        self.assertEqual("=== modified file 'file'\n"
                           "--- file\tYYYY-MM-DD HH:MM:SS +ZZZZ\n"
                           "+++ file\tYYYY-MM-DD HH:MM:SS +ZZZZ\n"
                           "@@ -1,1 +1,1 @@\n"
@@ -194,7 +194,7 @@
     def check_b1_vs_b2(self, cmd):
         # Compare branch1 vs branch2 using cmd and check the result
         out, err = self.run_bzr(cmd, retcode=1)
-        self.assertEquals('', err)
+        self.assertEqual('', err)
         self.assertEqualDiff("=== modified file 'file'\n"
                               "--- file\tYYYY-MM-DD HH:MM:SS +ZZZZ\n"
                               "+++ file\tYYYY-MM-DD HH:MM:SS +ZZZZ\n"
@@ -206,8 +206,8 @@
     def check_no_diffs(self, cmd):
         # Check that running cmd returns an empty diff
         out, err = self.run_bzr(cmd, retcode=0)
-        self.assertEquals('', err)
-        self.assertEquals('', out)
+        self.assertEqual('', err)
+        self.assertEqual('', out)
 
     def test_diff_branches(self):
         self.example_branches()
@@ -255,11 +255,11 @@
 
         out, err = self.run_bzr('diff -r revno:1:branch2..revno:1:branch1',
                                 )
-        self.assertEquals('', err)
-        self.assertEquals('', out)
+        self.assertEqual('', err)
+        self.assertEqual('', out)
         out, err = self.run_bzr('diff -r revno:2:branch2..revno:1:branch1',
                                 retcode=1)
-        self.assertEquals('', err)
+        self.assertEqual('', err)
         self.assertEqualDiff("=== modified file 'file'\n"
                               "--- file\tYYYY-MM-DD HH:MM:SS +ZZZZ\n"
                               "+++ file\tYYYY-MM-DD HH:MM:SS +ZZZZ\n"
@@ -410,8 +410,8 @@
         self.build_tree_contents([('hello', 'Foo\n')])
         out, err = self.run_bzr('diff --diff-options -i --using diff',
                                     retcode=1)
-        self.assertEquals("=== modified file 'hello'\n", out)
-        self.assertEquals('', err)
+        self.assertEqual("=== modified file 'hello'\n", out)
+        self.assertEqual('', err)
 
 
 class TestDiffOutput(DiffBase):
@@ -421,4 +421,4 @@
         self.make_example_branch()
         self.build_tree_contents([('hello', 'hello world!\n')])
         output = self.run_bzr_subprocess('diff', retcode=1)[0]
-        self.assert_('\n+hello world!\n' in output)
+        self.assertTrue('\n+hello world!\n' in output)

=== modified file 'bzrlib/tests/blackbox/test_dpush.py'
--- bzrlib/tests/blackbox/test_dpush.py	2012-01-18 14:09:19 +0000
+++ bzrlib/tests/blackbox/test_dpush.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009-2012 Canonical Ltd
+# Copyright (C) 2009-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -53,7 +53,7 @@
         target_tree = self.make_branch_and_tree("dp")
         source_tree = self.make_branch_and_tree("dc")
         output, error = self.run_bzr("dpush -d dc dp", retcode=3)
-        self.assertEquals("", output)
+        self.assertEqual("", output)
         self.assertContainsRe(error,
             'in the same VCS, lossy push not necessary. Please use regular '
             'push.')
@@ -132,7 +132,7 @@
           [('modify', ('fooid', 'blie'))])
 
         output, error = self.run_bzr("dpush -d dc d", retcode=3)
-        self.assertEquals(output, "")
+        self.assertEqual(output, "")
         self.assertContainsRe(error, "have diverged")
 
 

=== modified file 'bzrlib/tests/blackbox/test_exceptions.py'
--- bzrlib/tests/blackbox/test_exceptions.py	2012-01-27 21:59:34 +0000
+++ bzrlib/tests/blackbox/test_exceptions.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2007, 2009, 2010, 2011 Canonical Ltd
+# Copyright (C) 2006, 2007, 2009-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -58,7 +58,7 @@
             retcode=errors.EXIT_ERROR)
         self.assertContainsRe(err, r"^bzr: ERROR: .*'\\xa0'.* unsupported",
             flags=re.MULTILINE)
-        self.assertEquals(out, "")
+        self.assertEqual(out, "")
 
     def test_utf8_default_fs_enc(self):
         """In the C locale bzr treats a posix filesystem as UTF-8 encoded"""

=== modified file 'bzrlib/tests/blackbox/test_export.py'
--- bzrlib/tests/blackbox/test_export.py	2011-12-14 21:57:37 +0000
+++ bzrlib/tests/blackbox/test_export.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2011 Canonical Ltd
+# Copyright (C) 2005-2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -384,7 +384,7 @@
         tree.commit('setup', timestamp=315532800)
         self.run_bzr('export --per-file-timestamps t branch')
         har_st = os.stat('t/har')
-        self.assertEquals(315532800, har_st.st_mtime)
+        self.assertEqual(315532800, har_st.st_mtime)
 
     def test_dir_export_partial_tree_per_file_timestamps(self):
         tree = self.example_branch()
@@ -394,7 +394,7 @@
         tree.commit('setup', timestamp=315532800)
         self.run_bzr('export --per-file-timestamps tpart branch/subdir')
         foo_st = os.stat('tpart/foo.txt')
-        self.assertEquals(315532800, foo_st.st_mtime)
+        self.assertEqual(315532800, foo_st.st_mtime)
 
     def test_export_directory(self):
         """Test --directory option"""
@@ -430,7 +430,7 @@
         self.run_bzr('export --per-file-timestamps test.zip branch')
         zfile = zipfile.ZipFile('test.zip')
         info = zfile.getinfo("test/har")
-        self.assertEquals(time.localtime(timestamp)[:6], info.date_time)
+        self.assertEqual(time.localtime(timestamp)[:6], info.date_time)
 
 
 class TestSmartServerExport(TestCaseWithTransport):

=== modified file 'bzrlib/tests/blackbox/test_filtered_view_ops.py'
--- bzrlib/tests/blackbox/test_filtered_view_ops.py	2012-02-23 23:41:51 +0000
+++ bzrlib/tests/blackbox/test_filtered_view_ops.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008, 2009, 2010 Canonical Ltd
+# Copyright (C) 2008, 2009, 2010, 2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -33,63 +33,63 @@
     def test_view_on_status(self):
         wt = self.make_abc_tree_with_ab_view()
         out, err = self.run_bzr('status')
-        self.assertEquals('Ignoring files outside view. View is a, b\n', err)
-        self.assertEquals('unknown:\n  a\n  b\n', out)
+        self.assertEqual('Ignoring files outside view. View is a, b\n', err)
+        self.assertEqual('unknown:\n  a\n  b\n', out)
 
     def test_view_on_status_selected(self):
         wt = self.make_abc_tree_with_ab_view()
         out, err = self.run_bzr('status a')
-        self.assertEquals('', err)
-        self.assertEquals('unknown:\n  a\n', out)
+        self.assertEqual('', err)
+        self.assertEqual('unknown:\n  a\n', out)
         out, err = self.run_bzr('status c', retcode=3)
-        self.assertEquals('bzr: ERROR: Specified file "c" is outside the '
+        self.assertEqual('bzr: ERROR: Specified file "c" is outside the '
                           'current view: a, b\n', err)
-        self.assertEquals('', out)
+        self.assertEqual('', out)
 
     def test_view_on_add(self):
         wt = self.make_abc_tree_with_ab_view()
         out, err = self.run_bzr('add')
-        self.assertEquals('Ignoring files outside view. View is a, b\n', err)
-        self.assertEquals('adding a\nadding b\n', out)
+        self.assertEqual('Ignoring files outside view. View is a, b\n', err)
+        self.assertEqual('adding a\nadding b\n', out)
 
     def test_view_on_add_selected(self):
         wt = self.make_abc_tree_with_ab_view()
         out, err = self.run_bzr('add a')
-        self.assertEquals('', err)
-        self.assertEquals('adding a\n', out)
+        self.assertEqual('', err)
+        self.assertEqual('adding a\n', out)
         out, err = self.run_bzr('add c', retcode=3)
-        self.assertEquals('bzr: ERROR: Specified file "c" is outside the '
+        self.assertEqual('bzr: ERROR: Specified file "c" is outside the '
                           'current view: a, b\n', err)
-        self.assertEquals('', out)
+        self.assertEqual('', out)
 
     def test_view_on_diff(self):
         wt = self.make_abc_tree_with_ab_view()
         self.run_bzr('add')
         out, err = self.run_bzr('diff', retcode=1)
-        self.assertEquals('*** Ignoring files outside view. View is a, b\n', err)
+        self.assertEqual('*** Ignoring files outside view. View is a, b\n', err)
 
     def test_view_on_diff_selected(self):
         wt = self.make_abc_tree_with_ab_view()
         self.run_bzr('add')
         out, err = self.run_bzr('diff a', retcode=1)
-        self.assertEquals('', err)
+        self.assertEqual('', err)
         self.assertStartsWith(out, "=== added file 'a'\n")
         out, err = self.run_bzr('diff c', retcode=3)
-        self.assertEquals('bzr: ERROR: Specified file "c" is outside the '
+        self.assertEqual('bzr: ERROR: Specified file "c" is outside the '
                           'current view: a, b\n', err)
-        self.assertEquals('', out)
+        self.assertEqual('', out)
 
     def test_view_on_commit(self):
         wt = self.make_abc_tree_with_ab_view()
         self.run_bzr('add')
         out, err = self.run_bzr('commit -m "testing commit"')
         err_lines = err.splitlines()
-        self.assertEquals('Ignoring files outside view. View is a, b', err_lines[0])
+        self.assertEqual('Ignoring files outside view. View is a, b', err_lines[0])
         self.assertStartsWith(err_lines[1], 'Committing to:')
-        self.assertEquals('added a', err_lines[2])
-        self.assertEquals('added b', err_lines[3])
-        self.assertEquals('Committed revision 1.', err_lines[4])
-        self.assertEquals('', out)
+        self.assertEqual('added a', err_lines[2])
+        self.assertEqual('added b', err_lines[3])
+        self.assertEqual('Committed revision 1.', err_lines[4])
+        self.assertEqual('', out)
 
     def test_view_on_commit_selected(self):
         wt = self.make_abc_tree_with_ab_view()
@@ -97,54 +97,54 @@
         out, err = self.run_bzr('commit -m "file in view" a')
         err_lines = err.splitlines()
         self.assertStartsWith(err_lines[0], 'Committing to:')
-        self.assertEquals('added a', err_lines[1])
-        self.assertEquals('Committed revision 1.', err_lines[2])
-        self.assertEquals('', out)
+        self.assertEqual('added a', err_lines[1])
+        self.assertEqual('Committed revision 1.', err_lines[2])
+        self.assertEqual('', out)
         out, err = self.run_bzr('commit -m "file out of view" c', retcode=3)
-        self.assertEquals('bzr: ERROR: Specified file "c" is outside the '
+        self.assertEqual('bzr: ERROR: Specified file "c" is outside the '
                           'current view: a, b\n', err)
-        self.assertEquals('', out)
+        self.assertEqual('', out)
 
     def test_view_on_remove_selected(self):
         wt = self.make_abc_tree_with_ab_view()
         self.run_bzr('add')
         out, err = self.run_bzr('remove --keep a')
-        self.assertEquals('removed a\n', err)
-        self.assertEquals('', out)
+        self.assertEqual('removed a\n', err)
+        self.assertEqual('', out)
         out, err = self.run_bzr('remove --keep c', retcode=3)
-        self.assertEquals('bzr: ERROR: Specified file "c" is outside the '
+        self.assertEqual('bzr: ERROR: Specified file "c" is outside the '
                           'current view: a, b\n', err)
-        self.assertEquals('', out)
+        self.assertEqual('', out)
 
     def test_view_on_revert(self):
         wt = self.make_abc_tree_with_ab_view()
         self.run_bzr('add')
         out, err = self.run_bzr('revert')
         err_lines = err.splitlines()
-        self.assertEquals('Ignoring files outside view. View is a, b', err_lines[0])
-        self.assertEquals('-   a', err_lines[1])
-        self.assertEquals('-   b', err_lines[2])
-        self.assertEquals('', out)
+        self.assertEqual('Ignoring files outside view. View is a, b', err_lines[0])
+        self.assertEqual('-   a', err_lines[1])
+        self.assertEqual('-   b', err_lines[2])
+        self.assertEqual('', out)
 
     def test_view_on_revert_selected(self):
         wt = self.make_abc_tree_with_ab_view()
         self.run_bzr('add')
         out, err = self.run_bzr('revert a')
-        self.assertEquals('-   a\n', err)
-        self.assertEquals('', out)
+        self.assertEqual('-   a\n', err)
+        self.assertEqual('', out)
         out, err = self.run_bzr('revert c', retcode=3)
-        self.assertEquals('bzr: ERROR: Specified file "c" is outside the '
+        self.assertEqual('bzr: ERROR: Specified file "c" is outside the '
                           'current view: a, b\n', err)
-        self.assertEquals('', out)
+        self.assertEqual('', out)
 
     def test_view_on_ls(self):
         wt = self.make_abc_tree_with_ab_view()
         self.run_bzr('add')
         out, err = self.run_bzr('ls')
         out_lines = out.splitlines()
-        self.assertEquals('Ignoring files outside view. View is a, b\n', err)
-        self.assertEquals('a', out_lines[0])
-        self.assertEquals('b', out_lines[1])
+        self.assertEqual('Ignoring files outside view. View is a, b\n', err)
+        self.assertEqual('a', out_lines[0])
+        self.assertEqual('b', out_lines[1])
 
 
 class TestViewTreeOperations(tests.TestCaseWithTransport):

=== modified file 'bzrlib/tests/blackbox/test_help.py'
--- bzrlib/tests/blackbox/test_help.py	2012-02-27 12:15:02 +0000
+++ bzrlib/tests/blackbox/test_help.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2007, 2009, 2010, 2011 Canonical Ltd
+# Copyright (C) 2006, 2007, 2009-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -103,10 +103,10 @@
         long_help  = self.run_bzr('help --long')[0]
         qmark_long = self.run_bzr('? --long')[0]
         qmark_cmds = self.run_bzr('? commands')[0]
-        self.assertEquals(dash_help, commands)
-        self.assertEquals(dash_help, long_help)
-        self.assertEquals(dash_help, qmark_long)
-        self.assertEquals(dash_help, qmark_cmds)
+        self.assertEqual(dash_help, commands)
+        self.assertEqual(dash_help, long_help)
+        self.assertEqual(dash_help, qmark_long)
+        self.assertEqual(dash_help, qmark_cmds)
 
     def test_help_width_zero(self):
         self.overrideEnv('BZR_COLUMNS', '0')
@@ -138,7 +138,7 @@
     def test_help_detail(self):
         dash_h  = self.run_bzr('diff -h')[0]
         help_x  = self.run_bzr('help diff')[0]
-        self.assertEquals(dash_h, help_x)
+        self.assertEqual(dash_h, help_x)
         self.assertContainsRe(help_x, "Purpose:")
         self.assertContainsRe(help_x, "Usage:")
         self.assertContainsRe(help_x, "Options:")
@@ -160,7 +160,7 @@
     def test_help_help(self):
         help = self.run_bzr('help help')[0]
         qmark = self.run_bzr('? ?')[0]
-        self.assertEquals(help, qmark)
+        self.assertEqual(help, qmark)
         for line in help.split('\n'):
             if '--long' in line:
                 self.assertContainsRe(line,

=== modified file 'bzrlib/tests/blackbox/test_hooks.py'
--- bzrlib/tests/blackbox/test_hooks.py	2012-03-14 14:17:48 +0000
+++ bzrlib/tests/blackbox/test_hooks.py	2016-02-01 16:50:54 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008 Canonical Ltd
+# Copyright (C) 2008, 2009, 2011, 2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -27,7 +27,7 @@
     def _check_hooks_output(self, command_output, hooks):
         for hook_type in Branch.hooks:
             s = "\n  ".join(hooks.get(hook_type, ["<no hooks installed>"]))
-            self.assert_("%s:\n    %s" % (hook_type, s) in command_output)
+            self.assertTrue("%s:\n    %s" % (hook_type, s) in command_output)
 
     def test_hooks_with_no_hooks(self):
         self.make_branch('.')

=== modified file 'bzrlib/tests/blackbox/test_ignore.py'
--- bzrlib/tests/blackbox/test_ignore.py	2010-07-08 12:36:29 +0000
+++ bzrlib/tests/blackbox/test_ignore.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2010 Canonical Ltd
+# Copyright (C) 2006-2010, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -58,12 +58,12 @@
                          'dir3/', 'dir3/baz'])
         self.run_bzr(['ignore', 'dir1', 'dir2/', 'dir4\\'])
         self.check_file_contents('.bzrignore', 'dir1\ndir2\ndir4\n')
-        self.assertEquals(self.run_bzr('unknowns')[0], 'dir3\n')
+        self.assertEqual(self.run_bzr('unknowns')[0], 'dir3\n')
 
     def test_ignore_patterns(self):
         tree = self.make_branch_and_tree('.')
 
-        self.assertEquals(list(tree.unknowns()), [])
+        self.assertEqual(list(tree.unknowns()), [])
 
         # is_ignored() will now create the user global ignore file
         # if it doesn't exist, so make sure we ignore it in our tests
@@ -71,35 +71,35 @@
 
         self.build_tree_contents(
             [('foo.tmp', '.tmp files are ignored by default')])
-        self.assertEquals(list(tree.unknowns()), [])
+        self.assertEqual(list(tree.unknowns()), [])
 
         self.build_tree_contents([('foo.c', 'int main() {}')])
-        self.assertEquals(list(tree.unknowns()), ['foo.c'])
+        self.assertEqual(list(tree.unknowns()), ['foo.c'])
 
         tree.add('foo.c')
-        self.assertEquals(list(tree.unknowns()), [])
+        self.assertEqual(list(tree.unknowns()), [])
 
         # 'ignore' works when creating the .bzrignore file
         self.build_tree_contents([('foo.blah', 'blah')])
-        self.assertEquals(list(tree.unknowns()), ['foo.blah'])
+        self.assertEqual(list(tree.unknowns()), ['foo.blah'])
         self.run_bzr('ignore *.blah')
-        self.assertEquals(list(tree.unknowns()), [])
+        self.assertEqual(list(tree.unknowns()), [])
         self.check_file_contents('.bzrignore', '*.blah\n')
 
         # 'ignore' works when then .bzrignore file already exists
         self.build_tree_contents([('garh', 'garh')])
-        self.assertEquals(list(tree.unknowns()), ['garh'])
+        self.assertEqual(list(tree.unknowns()), ['garh'])
         self.run_bzr('ignore garh')
-        self.assertEquals(list(tree.unknowns()), [])
+        self.assertEqual(list(tree.unknowns()), [])
         self.check_file_contents('.bzrignore', '*.blah\ngarh\n')
 
     def test_ignore_multiple_arguments(self):
         """'ignore' works with multiple arguments"""
         tree = self.make_branch_and_tree('.')
         self.build_tree(['a','b','c','d'])
-        self.assertEquals(list(tree.unknowns()), ['a', 'b', 'c', 'd'])
+        self.assertEqual(list(tree.unknowns()), ['a', 'b', 'c', 'd'])
         self.run_bzr('ignore a b c')
-        self.assertEquals(list(tree.unknowns()), ['d'])
+        self.assertEqual(list(tree.unknowns()), ['d'])
         self.check_file_contents('.bzrignore', 'a\nb\nc\n')
 
     def test_ignore_no_arguments(self):

=== modified file 'bzrlib/tests/blackbox/test_info.py'
--- bzrlib/tests/blackbox/test_info.py	2012-03-06 17:17:27 +0000
+++ bzrlib/tests/blackbox/test_info.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2012 Canonical Ltd
+# Copyright (C) 2006-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -51,11 +51,11 @@
     def test_info_empty_controldir(self):
         self.make_bzrdir('ctrl')
         out, err = self.run_bzr('info ctrl')
-        self.assertEquals(out,
+        self.assertEqual(out,
             'Empty control directory (format: 2a or pack-0.92)\n'
             'Location:\n'
             '  control directory: ctrl\n')
-        self.assertEquals(err, '')
+        self.assertEqual(err, '')
 
     def test_info_empty_controldir_verbose(self):
         self.make_bzrdir('ctrl')
@@ -68,19 +68,19 @@
             '       control: Meta directory format 1\n\n'
             'Control directory:\n'
             '         0 branches\n')
-        self.assertEquals(err, '')
+        self.assertEqual(err, '')
 
     def test_info_dangling_branch_reference(self):
         br = self.make_branch('target')
         br.create_checkout('from', lightweight=True)
         shutil.rmtree('target')
         out, err = self.run_bzr('info from')
-        self.assertEquals(out,
+        self.assertEqual(out,
             'Dangling branch reference (format: 2a or pack-0.92)\n'
             'Location:\n'
             '   control directory: from\n'
             '  checkout of branch: target\n')
-        self.assertEquals(err, '')
+        self.assertEqual(err, '')
 
     def test_info_standalone(self):
         transport = self.get_transport()

=== modified file 'bzrlib/tests/blackbox/test_log.py'
--- bzrlib/tests/blackbox/test_log.py	2012-02-14 17:27:34 +0000
+++ bzrlib/tests/blackbox/test_log.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2010 Canonical Ltd
+# Copyright (C) 2006-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -837,9 +837,9 @@
         test_in_cp866 = '\x92\xa5\xe1\xe2'
         test_in_cp1251 = '\xd2\xe5\xf1\xf2'
         # Make sure the log string is encoded in cp866
-        self.assertEquals(test_in_cp866, message[2:])
+        self.assertEqual(test_in_cp866, message[2:])
         # Make sure the cp1251 string is not found anywhere
-        self.assertEquals(-1, stdout.find(test_in_cp1251))
+        self.assertEqual(-1, stdout.find(test_in_cp1251))
 
 
 class TestLogFile(TestLogWithLogCatcher):
@@ -1018,7 +1018,7 @@
         (stdout, stderr) = self.run_bzr(['log', '-r..2'], retcode=3)
         self.assertEqual(["2", "1"],
                          [r.revno for r in self.get_captured_revisions()])
-        self.assertEquals("bzr: ERROR: Further revision history missing.", stderr)
+        self.assertEqual("bzr: ERROR: Further revision history missing.", stderr)
 
     def test_log_range_open_end(self):
         self.assertLogRevnos(["-r1.."], ["2", "1"])

=== modified file 'bzrlib/tests/blackbox/test_logformats.py'
--- bzrlib/tests/blackbox/test_logformats.py	2011-05-19 01:37:00 +0000
+++ bzrlib/tests/blackbox/test_logformats.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2009 Canonical Ltd
+# Copyright (C) 2006, 2007, 2009, 2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -60,7 +60,7 @@
         self._make_simple_branch()
         # only the lines formatter is this short, one line by revision
         log = self.run_bzr('log')[0]
-        self.assertEquals(2, len(log.splitlines()))
+        self.assertEqual(2, len(log.splitlines()))
 
     def test_log_format_arg(self):
         self._make_simple_branch()
@@ -77,7 +77,7 @@
         # one line for 'You are missing 2 revision(s)'
         # one line by missing revision (the line log format is used as
         # configured)
-        self.assertEquals(4, len(missing.splitlines()))
+        self.assertEqual(4, len(missing.splitlines()))
 
     def test_missing_format_arg(self):
         wt = self._make_simple_branch('a')
@@ -90,7 +90,7 @@
         # one line for 'Using save location'
         # one line for 'You are missing 2 revision(s)'
         # three lines by missing revision
-        self.assertEquals(8, len(missing.splitlines()))
+        self.assertEqual(8, len(missing.splitlines()))
 
     def test_logformat_gnu_changelog(self):
         # from http://launchpad.net/bugs/29582/
@@ -100,7 +100,7 @@
 
         log, err = self.run_bzr(['log', '--log-format', 'gnu-changelog',
                                  '--timezone=utc'])
-        self.assertEquals('', err)
+        self.assertEqual('', err)
         expected = """2009-03-03  Joe Foo  <joe@foo.com>
 
 \tfirst revision

=== modified file 'bzrlib/tests/blackbox/test_merge.py'
--- bzrlib/tests/blackbox/test_merge.py	2012-02-23 23:26:35 +0000
+++ bzrlib/tests/blackbox/test_merge.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2012 Canonical Ltd
+# Copyright (C) 2006-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -122,12 +122,12 @@
         self.assertTrue("Not a branch" in err)
         self.run_bzr('merge -r revno:%d:./..revno:%d:../b'
                     %(ancestor,b.revno()), working_dir='a')
-        self.assertEquals(a.get_parent_ids(),
+        self.assertEqual(a.get_parent_ids(),
                           [a.branch.last_revision(), b.last_revision()])
         self.check_file_contents('a/goodbye', 'quux')
         a_tree.revert(backups=False)
         self.run_bzr('merge -r revno:%d:../b'%b.revno(), working_dir='a')
-        self.assertEquals(a.get_parent_ids(),
+        self.assertEqual(a.get_parent_ids(),
                           [a.branch.last_revision(), b.last_revision()])
         a_tip = a.commit('merged')
         self.run_bzr('merge ../b -r last:1', working_dir='a')
@@ -263,7 +263,7 @@
         self.assertEqual(None, branch_b.get_parent())
         # test merge for failure without parent set
         out = self.run_bzr('merge', retcode=3, working_dir='branch_b')
-        self.assertEquals(out,
+        self.assertEqual(out,
                 ('','bzr: ERROR: No location specified or remembered\n'))
 
         # test uncommitted changes
@@ -280,7 +280,7 @@
         self.assertEndsWith(err, '+N  b\nAll changes applied successfully.\n')
         # re-open branch as external run_bzr modified it
         branch_b = branch_b.bzrdir.open_branch()
-        self.assertEquals(osutils.abspath(branch_b.get_submit_branch()),
+        self.assertEqual(osutils.abspath(branch_b.get_submit_branch()),
                           osutils.abspath(parent))
         # test implicit --remember when committing new file
         self.build_tree(['branch_b/e'])
@@ -295,11 +295,11 @@
         # test explicit --remember
         out, err = self.run_bzr('merge ../branch_c --remember',
                                 working_dir='branch_b')
-        self.assertEquals(out, '')
-        self.assertEquals(err, '+N  c\nAll changes applied successfully.\n')
+        self.assertEqual(out, '')
+        self.assertEqual(err, '+N  c\nAll changes applied successfully.\n')
         # re-open branch as external run_bzr modified it
         branch_b = branch_b.bzrdir.open_branch()
-        self.assertEquals(osutils.abspath(branch_b.get_submit_branch()),
+        self.assertEqual(osutils.abspath(branch_b.get_submit_branch()),
                           osutils.abspath(branch_c.bzrdir.root_transport.base))
         # re-open tree as external run_bzr modified it
         tree_b = branch_b.bzrdir.open_workingtree()
@@ -595,7 +595,7 @@
 
         # Remember should not happen if using default from parent
         out, err = self.run_bzr(['merge', '-d', 'b', '--no-remember'])
-        self.assertEquals(None, tree_b.branch.get_submit_branch())
+        self.assertEqual(None, tree_b.branch.get_submit_branch())
 
         # Remember should not happen if user supplies location but ask for not
         # remembering it

=== modified file 'bzrlib/tests/blackbox/test_missing.py'
--- bzrlib/tests/blackbox/test_missing.py	2012-04-11 02:22:42 +0000
+++ bzrlib/tests/blackbox/test_missing.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2012 Canonical Ltd
+# Copyright (C) 2005-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -211,10 +211,10 @@
 
         # check last location
         lines, err = self.run_bzr('missing', working_dir='b')
-        self.assertEquals('Using saved parent location: %s\n'
-                          'Branches are up to date.\n' % location,
-                          lines)
-        self.assertEquals('', err)
+        self.assertEqual('Using saved parent location: %s\n'
+                         'Branches are up to date.\n' % location,
+                         lines)
+        self.assertEqual('', err)
 
     def test_missing_directory(self):
         """Test --directory option"""

=== modified file 'bzrlib/tests/blackbox/test_mkdir.py'
--- bzrlib/tests/blackbox/test_mkdir.py	2011-12-12 13:25:39 +0000
+++ bzrlib/tests/blackbox/test_mkdir.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2011 Canonical Ltd
+# Copyright (C) 2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -27,33 +27,33 @@
     def test_mkdir(self):
         tree = self.make_branch_and_tree('.')
         self.run_bzr(['mkdir', 'somedir'])
-        self.assertEquals(tree.kind(tree.path2id('somedir')), "directory")
+        self.assertEqual(tree.kind(tree.path2id('somedir')), "directory")
 
     def test_mkdir_multi(self):
         tree = self.make_branch_and_tree('.')
         self.run_bzr(['mkdir', 'somedir', 'anotherdir'])
-        self.assertEquals(tree.kind(tree.path2id('somedir')), "directory")
-        self.assertEquals(tree.kind(tree.path2id('anotherdir')), "directory")
+        self.assertEqual(tree.kind(tree.path2id('somedir')), "directory")
+        self.assertEqual(tree.kind(tree.path2id('anotherdir')), "directory")
 
     def test_mkdir_parents(self):
         tree = self.make_branch_and_tree('.')
         self.run_bzr(['mkdir', '-p', 'somedir/foo'])
-        self.assertEquals(tree.kind(tree.path2id('somedir/foo')), "directory")
+        self.assertEqual(tree.kind(tree.path2id('somedir/foo')), "directory")
 
     def test_mkdir_parents_existing_versioned_dir(self):
         tree = self.make_branch_and_tree('.')
         tree.mkdir('somedir')
-        self.assertEquals(tree.kind(tree.path2id('somedir')), "directory")
+        self.assertEqual(tree.kind(tree.path2id('somedir')), "directory")
         self.run_bzr(['mkdir', '-p', 'somedir'])
 
     def test_mkdir_parents_existing_unversioned_dir(self):
         tree = self.make_branch_and_tree('.')
         os.mkdir('somedir')
         self.run_bzr(['mkdir', '-p', 'somedir'])
-        self.assertEquals(tree.kind(tree.path2id('somedir')), "directory")
+        self.assertEqual(tree.kind(tree.path2id('somedir')), "directory")
 
     def test_mkdir_parents_with_unversioned_parent(self):
         tree = self.make_branch_and_tree('.')
         os.mkdir('somedir')
         self.run_bzr(['mkdir', '-p', 'somedir/foo'])
-        self.assertEquals(tree.kind(tree.path2id('somedir/foo')), "directory")
+        self.assertEqual(tree.kind(tree.path2id('somedir/foo')), "directory")

=== modified file 'bzrlib/tests/blackbox/test_modified.py'
--- bzrlib/tests/blackbox/test_modified.py	2010-06-23 08:19:28 +0000
+++ bzrlib/tests/blackbox/test_modified.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008, 2009, 2010 Canonical Ltd
+# Copyright (C) 2008, 2009, 2010, 2016 Canonical Ltd
 # -*- coding: utf-8 -*-
 #
 # This program is free software; you can redistribute it and/or modify
@@ -40,8 +40,8 @@
             if null:
                 command += ' --null'
             out, err = self.run_bzr(command)
-            self.assertEquals(out, expected)
-            self.assertEquals(err, '')
+            self.assertEqual(out, expected)
+            self.assertEqual(err, '')
 
         # in empty directory, nothing modified
         tree = self.make_branch_and_tree('.')
@@ -78,4 +78,4 @@
         tree.commit('r1')
         self.build_tree_contents([('a/README', 'changed\n')])
         out, err = self.run_bzr(['modified', '--directory=a'])
-        self.assertEquals('README\n', out)
+        self.assertEqual('README\n', out)

=== modified file 'bzrlib/tests/blackbox/test_mv.py'
--- bzrlib/tests/blackbox/test_mv.py	2012-01-05 13:02:31 +0000
+++ bzrlib/tests/blackbox/test_mv.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2012 Canonical Ltd
+# Copyright (C) 2006-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -169,8 +169,8 @@
         self.build_tree(['foo/', 'bar'])
         tree.add(['foo', 'bar'])
         out, err = self.run_bzr('mv bar Foo', retcode=3)
-        self.assertEquals('', out)
-        self.assertEquals(
+        self.assertEqual('', out)
+        self.assertEqual(
             'bzr: ERROR: Could not move to Foo: Foo is not versioned.\n',
             err)
 

=== modified file 'bzrlib/tests/blackbox/test_nick.py'
--- bzrlib/tests/blackbox/test_nick.py	2012-01-05 13:02:31 +0000
+++ bzrlib/tests/blackbox/test_nick.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2010, 2012 Canonical Ltd
+# Copyright (C) 2006-2010, 2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -33,13 +33,13 @@
             cmd.extend(['--directory', directory])
         # The nick command outputs the nick on a single line
         actual = self.run_bzr(cmd, working_dir=working_dir)[0][:-1]
-        self.assertEquals(expected, actual)
+        self.assertEqual(expected, actual)
         if explicit is not None:
             br = branch.Branch.open(working_dir)
             conf = br.get_config()
-            self.assertEquals(explicit, conf.has_explicit_nickname())
+            self.assertEqual(explicit, conf.has_explicit_nickname())
             if explicit:
-                self.assertEquals(expected, conf._get_explicit_nickname())
+                self.assertEqual(expected, conf._get_explicit_nickname())
 
     def test_nick_command(self):
         """bzr nick for viewing, setting nicknames"""

=== modified file 'bzrlib/tests/blackbox/test_ping.py'
--- bzrlib/tests/blackbox/test_ping.py	2013-07-27 11:24:34 +0000
+++ bzrlib/tests/blackbox/test_ping.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2012 Canonical Ltd
+# Copyright (C) 2012, 2013, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -32,7 +32,7 @@
         out, err = self.run_bzr(['ping', self.get_url('branch')])
         self.assertLength(1, self.hpss_calls)
         self.assertLength(1, self.hpss_connections)
-        self.assertEquals(out,
+        self.assertEqual(out,
             "Response: ('ok', '2')\n"
             "Headers: {'Software version': '%s'}\n" % (bzrlib.version_string,))
-        self.assertEquals(err, "")
+        self.assertEqual(err, "")

=== modified file 'bzrlib/tests/blackbox/test_pull.py'
--- bzrlib/tests/blackbox/test_pull.py	2012-09-05 16:53:58 +0000
+++ bzrlib/tests/blackbox/test_pull.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2012 Canonical Ltd
+# Copyright (C) 2005-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -540,14 +540,14 @@
         to_tree.branch.tags.set_tag("mytag", "anotherrevid")
         revid1 = to_tree.commit('my commit')
         out = self.run_bzr(['pull', '-d', 'to', 'from'], retcode=1)
-        self.assertEquals(out,
+        self.assertEqual(out,
             ('No revisions to pull.\nConflicting tags:\n    mytag\n', ''))
         out = self.run_bzr(['pull', '-d', 'to', '--overwrite-tags', 'from'])
-        self.assertEquals(out, ('1 tag(s) updated.\n', ''))
+        self.assertEqual(out, ('1 tag(s) updated.\n', ''))
 
-        self.assertEquals(to_tree.branch.tags.lookup_tag('mytag'),
+        self.assertEqual(to_tree.branch.tags.lookup_tag('mytag'),
                           'somerevid')
-        self.assertEquals(to_tree.branch.last_revision(), revid1)
+        self.assertEqual(to_tree.branch.last_revision(), revid1)
 
     def test_pull_tag_overwrite(self):
         """pulling tags with --overwrite only reports changed tags."""

=== modified file 'bzrlib/tests/blackbox/test_push.py'
--- bzrlib/tests/blackbox/test_push.py	2012-08-04 14:27:47 +0000
+++ bzrlib/tests/blackbox/test_push.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2012 Canonical Ltd
+# Copyright (C) 2006-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -65,13 +65,13 @@
 
         # If there is no parent location set, :parent isn't mentioned.
         out = self.run_bzr('push', working_dir='a', retcode=3)
-        self.assertEquals(out,
+        self.assertEqual(out,
                 ('','bzr: ERROR: No push location known or specified.\n'))
 
         # If there is a parent location set, the error suggests :parent.
         tree_a.branch.set_parent(tree_b.branch.base)
         out = self.run_bzr('push', working_dir='a', retcode=3)
-        self.assertEquals(out,
+        self.assertEqual(out,
             ('','bzr: ERROR: No push location known or specified. '
                 'To push to the parent branch '
                 '(at %s), use \'bzr push :parent\'.\n' %
@@ -100,26 +100,26 @@
 
         # test push for failure without push location set
         out = self.run_bzr('push', working_dir='branch_a', retcode=3)
-        self.assertEquals(out,
+        self.assertEqual(out,
                 ('','bzr: ERROR: No push location known or specified.\n'))
 
         # test not remembered if cannot actually push
         self.run_bzr('push path/which/doesnt/exist',
                      working_dir='branch_a', retcode=3)
         out = self.run_bzr('push', working_dir='branch_a', retcode=3)
-        self.assertEquals(
+        self.assertEqual(
                 ('', 'bzr: ERROR: No push location known or specified.\n'),
                 out)
 
         # test implicit --remember when no push location set, push fails
         out = self.run_bzr('push ../branch_b',
                            working_dir='branch_a', retcode=3)
-        self.assertEquals(out,
+        self.assertEqual(out,
                 ('','bzr: ERROR: These branches have diverged.  '
                  'See "bzr help diverged-branches" for more information.\n'))
         # Refresh the branch as 'push' modified it
         branch_a = branch_a.bzrdir.open_branch()
-        self.assertEquals(osutils.abspath(branch_a.get_push_location()),
+        self.assertEqual(osutils.abspath(branch_a.get_push_location()),
                           osutils.abspath(branch_b.bzrdir.root_transport.base))
 
         # test implicit --remember after resolving previous failure
@@ -140,7 +140,7 @@
         self.run_bzr('push ../branch_c --remember', working_dir='branch_a')
         # Refresh the branch as 'push' modified it
         branch_a = branch_a.bzrdir.open_branch()
-        self.assertEquals(branch_a.get_push_location(),
+        self.assertEqual(branch_a.get_push_location(),
                           branch_c.bzrdir.root_transport.base)
 
     def test_push_without_tree(self):
@@ -623,13 +623,13 @@
         to_tree.branch.tags.set_tag("mytag", "anotherrevid")
         revid1 = to_tree.commit('my commit')
         out = self.run_bzr(['push', '-d', 'from', 'to'])
-        self.assertEquals(out,
+        self.assertEqual(out,
             ('Conflicting tags:\n    mytag\n', 'No new revisions to push.\n'))
         out = self.run_bzr(['push', '-d', 'from', '--overwrite-tags', 'to'])
-        self.assertEquals(out, ('', '1 tag updated.\n'))
-        self.assertEquals(to_tree.branch.tags.lookup_tag('mytag'),
+        self.assertEqual(out, ('', '1 tag updated.\n'))
+        self.assertEqual(to_tree.branch.tags.lookup_tag('mytag'),
                           'somerevid')
-        self.assertEquals(to_tree.branch.last_revision(), revid1)
+        self.assertEqual(to_tree.branch.last_revision(), revid1)
 
 
 class RedirectingMemoryTransport(memory.MemoryTransport):
@@ -892,8 +892,8 @@
         target_branch = self.make_dummy_builder('dp').get_branch()
         source_tree = self.make_branch_and_tree("dc")
         output, error = self.run_bzr("push -d dc dp", retcode=3)
-        self.assertEquals("", output)
-        self.assertEquals(error, "bzr: ERROR: It is not possible to losslessly"
+        self.assertEqual("", output)
+        self.assertEqual(error, "bzr: ERROR: It is not possible to losslessly"
             " push to dummy. You may want to use dpush instead.\n")
 
 

=== modified file 'bzrlib/tests/blackbox/test_reconfigure.py'
--- bzrlib/tests/blackbox/test_reconfigure.py	2012-02-23 23:26:35 +0000
+++ bzrlib/tests/blackbox/test_reconfigure.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007-2012 Canonical Ltd
+# Copyright (C) 2007-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -242,18 +242,18 @@
         # now reconfigure to be stacked
         out, err = self.run_bzr('reconfigure --stacked-on b1 b2')
         self.assertContainsRe(out, '^.*/b2/ is now stacked on ../b1\n$')
-        self.assertEquals('', err)
+        self.assertEqual('', err)
         # can also give the absolute URL of the branch, and it gets stored 
         # as a relative path if possible
         out, err = self.run_bzr('reconfigure --stacked-on %s b2'
                                 % (self.get_url('b1'),))
         self.assertContainsRe(out, '^.*/b2/ is now stacked on ../b1\n$')
-        self.assertEquals('', err)
+        self.assertEqual('', err)
         # Refresh the branch as 'reconfigure' modified it
         branch_2 = branch_2.bzrdir.open_branch()
         # It should be given a relative URL to the destination, if possible,
         # because that's most likely to work across different transports
-        self.assertEquals('../b1', branch_2.get_stacked_on_url())
+        self.assertEqual('../b1', branch_2.get_stacked_on_url())
         # commit, and it should be stored into b2's repo
         self.build_tree_contents([('foo', 'new foo')])
         tree_2.commit('update foo')
@@ -261,7 +261,7 @@
         out, err = self.run_bzr('reconfigure --unstacked b2')
         self.assertContainsRe(out,
             '^.*/b2/ is now not stacked\n$')
-        self.assertEquals('', err)
+        self.assertEqual('', err)
         # Refresh the branch as 'reconfigure' modified it
         branch_2 = branch_2.bzrdir.open_branch()
         self.assertRaises(errors.NotStacked, branch_2.get_stacked_on_url)

=== modified file 'bzrlib/tests/blackbox/test_remember_option.py'
--- bzrlib/tests/blackbox/test_remember_option.py	2011-05-17 15:01:58 +0000
+++ bzrlib/tests/blackbox/test_remember_option.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2011 Canonical Ltd
+# Copyright (C) 2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -117,8 +117,8 @@
         else:
             expected_submit_branch, expected_public_branch = expected_locations
         br, _ = branch.Branch.open_containing(self.working_dir)
-        self.assertEquals(expected_submit_branch, br.get_submit_branch())
-        self.assertEquals(expected_public_branch, br.get_public_branch())
+        self.assertEqual(expected_submit_branch, br.get_submit_branch())
+        self.assertEqual(expected_public_branch, br.get_public_branch())
 
 
 class TestPushRemember(script.TestCaseWithTransportAndScript,
@@ -156,7 +156,7 @@
     def assertLocations(self, expected_locations):
         br, _ = branch.Branch.open_containing(self.working_dir)
         if not expected_locations:
-            self.assertEquals(None, br.get_push_location())
+            self.assertEqual(None, br.get_push_location())
         else:
             expected_push_location = expected_locations[0]
             push_location = urlutils.relative_url(br.base,
@@ -201,7 +201,7 @@
     def assertLocations(self, expected_locations):
         br, _ = branch.Branch.open_containing(self.working_dir)
         if not expected_locations:
-            self.assertEquals(None, br.get_parent())
+            self.assertEqual(None, br.get_parent())
         else:
             expected_pull_location = expected_locations[0]
             pull_location = urlutils.relative_url(br.base, br.get_parent())

=== modified file 'bzrlib/tests/blackbox/test_revert.py'
--- bzrlib/tests/blackbox/test_revert.py	2011-05-18 10:03:10 +0000
+++ bzrlib/tests/blackbox/test_revert.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2007, 2009, 2010 Canonical Ltd
+# Copyright (C) 2006, 2007, 2009, 2010, 2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -43,7 +43,7 @@
         f.close()
 
         # check status
-        self.assertEquals('modified:\n  dir/file\n', self.run_bzr('status')[0])
+        self.assertEqual('modified:\n  dir/file\n', self.run_bzr('status')[0])
 
     def _prepare_rename_mod_tree(self):
         self.build_tree(['a/', 'a/b', 'a/c', 'a/d/', 'a/d/e', 'f/', 'f/g',
@@ -66,9 +66,9 @@
         os.chdir('dir')
         mutter('cd dir\n')
 
-        self.assertEquals('1\n', self.run_bzr('revno')[0])
+        self.assertEqual('1\n', self.run_bzr('revno')[0])
         self.run_bzr('revert %s file' % param)
-        self.assertEquals('spam', open('file', 'rb').read())
+        self.assertEqual('spam', open('file', 'rb').read())
 
     def test_revert_in_subdir(self):
         self.helper()
@@ -199,12 +199,12 @@
         first_rev_id = tree.commit('initial commit')
         self.build_tree_contents([('file', 'new content')])
         existing_parents = tree.get_parent_ids()
-        self.assertEquals([first_rev_id], existing_parents)
+        self.assertEqual([first_rev_id], existing_parents)
         merged_parents = existing_parents + ['merged-in-rev']
         tree.set_parent_ids(merged_parents)
-        self.assertEquals(merged_parents, tree.get_parent_ids())
+        self.assertEqual(merged_parents, tree.get_parent_ids())
         self.run_bzr(['revert', '--forget-merges'])
-        self.assertEquals([first_rev_id], tree.get_parent_ids())
+        self.assertEqual([first_rev_id], tree.get_parent_ids())
         # changed files are not reverted
         self.assertFileEqual('new content', 'file')
         # you can give it the path of a tree

=== modified file 'bzrlib/tests/blackbox/test_revision_info.py'
--- bzrlib/tests/blackbox/test_revision_info.py	2010-06-23 08:19:28 +0000
+++ bzrlib/tests/blackbox/test_revision_info.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2010 Canonical Ltd
+# Copyright (C) 2005-2010, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -29,7 +29,7 @@
         The output is supplied first, so that you can supply a variable
         number of arguments to bzr.
         """
-        self.assertEquals(self.run_bzr(*args)[0], output)
+        self.assertEqual(self.run_bzr(*args)[0], output)
 
     def test_revision_info(self):
         """Test that 'bzr revision-info' reports the correct thing."""

=== modified file 'bzrlib/tests/blackbox/test_revno.py'
--- bzrlib/tests/blackbox/test_revno.py	2012-01-25 21:13:15 +0000
+++ bzrlib/tests/blackbox/test_revno.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007, 2009 Canonical Ltd
+# Copyright (C) 2005, 2006, 2007, 2009, 2011, 2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -34,21 +34,21 @@
         os.mkdir('a')
         os.chdir('a')
         bzr('init')
-        self.assertEquals(int(bzr('revno')), 0)
+        self.assertEqual(int(bzr('revno')), 0)
 
         with open('foo', 'wb') as f: f.write('foo\n')
         bzr('add foo')
         bzr('commit -m foo')
-        self.assertEquals(int(bzr('revno')), 1)
+        self.assertEqual(int(bzr('revno')), 1)
 
         os.mkdir('baz')
         bzr('add baz')
         bzr('commit -m baz')
-        self.assertEquals(int(bzr('revno')), 2)
+        self.assertEqual(int(bzr('revno')), 2)
 
         os.chdir('..')
-        self.assertEquals(int(bzr('revno a')), 2)
-        self.assertEquals(int(bzr('revno a/baz')), 2)
+        self.assertEqual(int(bzr('revno a')), 2)
+        self.assertEqual(int(bzr('revno a/baz')), 2)
 
     def test_revno_tree(self):
         # Make branch and checkout

=== modified file 'bzrlib/tests/blackbox/test_script.py'
--- bzrlib/tests/blackbox/test_script.py	2010-11-08 10:53:53 +0000
+++ bzrlib/tests/blackbox/test_script.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2010 Canonical Ltd
+# Copyright (C) 2010, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -36,8 +36,8 @@
         out, err = self.run_bzr(['test-script', 'script'])
         out_lines = out.splitlines()
         self.assertStartsWith(out_lines[-3], 'Ran 1 test in ')
-        self.assertEquals('OK', out_lines[-1])
-        self.assertEquals('', err)
+        self.assertEqual('OK', out_lines[-1])
+        self.assertEqual('', err)
 
     def test_simple_file(self):
         self.build_tree_contents([('script', '''
@@ -47,8 +47,8 @@
         out, err = self.run_bzr(['test-script', 'script'])
         out_lines = out.splitlines()
         self.assertStartsWith(out_lines[-3], 'Ran 1 test in ')
-        self.assertEquals('OK', out_lines[-1])
-        self.assertEquals('', err)
+        self.assertEqual('OK', out_lines[-1])
+        self.assertEqual('', err)
 
     def test_null_output(self):
         self.build_tree_contents([('script', '''
@@ -57,8 +57,8 @@
         out, err = self.run_bzr(['test-script', 'script', '--null-output'])
         out_lines = out.splitlines()
         self.assertStartsWith(out_lines[-3], 'Ran 1 test in ')
-        self.assertEquals('OK', out_lines[-1])
-        self.assertEquals('', err)
+        self.assertEqual('OK', out_lines[-1])
+        self.assertEqual('', err)
 
     def test_failing_script(self):
         self.build_tree_contents([('script', '''
@@ -68,5 +68,5 @@
         out, err = self.run_bzr(['test-script', 'script'], retcode=1)
         out_lines = out.splitlines()
         self.assertStartsWith(out_lines[-3], 'Ran 1 test in ')
-        self.assertEquals('FAILED (failures=1)', out_lines[-1])
-        self.assertEquals('', err)
+        self.assertEqual('FAILED (failures=1)', out_lines[-1])
+        self.assertEqual('', err)

=== modified file 'bzrlib/tests/blackbox/test_send.py'
--- bzrlib/tests/blackbox/test_send.py	2012-02-23 23:26:35 +0000
+++ bzrlib/tests/blackbox/test_send.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2012 Canonical Ltd
+# Copyright (C) 2006-2012, 2016 Canonical Ltd
 # Authors: Aaron Bentley
 #
 # This program is free software; you can redistribute it and/or modify
@@ -316,7 +316,7 @@
             self.assertContainsRe(err, self._default_additional_warning)
             self.assertEndsWith(err, bundling_revs)
         else:
-            self.assertEquals(bundling_revs, err)
+            self.assertEqual(bundling_revs, err)
         md = merge_directive.MergeDirective.from_lines(StringIO(out))
         self.assertEqual('parent', md.base_revision_id)
         br = serializer.read_bundle(StringIO(md.get_raw_bundle()))

=== modified file 'bzrlib/tests/blackbox/test_sign_my_commits.py'
--- bzrlib/tests/blackbox/test_sign_my_commits.py	2013-08-11 20:31:42 +0000
+++ bzrlib/tests/blackbox/test_sign_my_commits.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 Canonical Ltd
+# Copyright (C) 2006, 2007, 2009-2013, 2016 Canonical Ltd
 # -*- coding: utf-8 -*-
 #
 # This program is free software; you can redistribute it and/or modify
@@ -108,8 +108,8 @@
         out = self.run_bzr('sign-my-commits --dry-run')[0]
 
         outlines = out.splitlines()
-        self.assertEquals(5, len(outlines))
-        self.assertEquals('Signed 4 revisions.', outlines[-1])
+        self.assertEqual(5, len(outlines))
+        self.assertEqual('Signed 4 revisions.', outlines[-1])
         self.assertUnsigned(repo, 'A')
         self.assertUnsigned(repo, 'B')
         self.assertUnsigned(repo, 'C')

=== modified file 'bzrlib/tests/blackbox/test_status.py'
--- bzrlib/tests/blackbox/test_status.py	2012-01-18 17:47:06 +0000
+++ bzrlib/tests/blackbox/test_status.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2010 Canonical Ltd
+# Copyright (C) 2005-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -188,7 +188,7 @@
         wt2.merge_from_branch(wt.branch)
         message = self.status_string(wt2, verbose=True)
         self.assertStartsWith(message, "pending merges:\n")
-        self.assert_("Empty commit 3" in message)
+        self.assertTrue("Empty commit 3" in message)
         self.assertEndsWith(message, "...\n")
 
     def test_tree_status_ignores(self):
@@ -248,7 +248,7 @@
         tof = StringIO()
         show_tree_status(wt, specific_files=['directory'], to_file=tof)
         tof.seek(0)
-        self.assertEquals(tof.readlines(),
+        self.assertEqual(tof.readlines(),
                           ['unknown:\n',
                            '  directory/hello.c\n'
                            ])
@@ -256,31 +256,31 @@
         show_tree_status(wt, specific_files=['directory'], to_file=tof,
                          short=True)
         tof.seek(0)
-        self.assertEquals(tof.readlines(), ['?   directory/hello.c\n'])
+        self.assertEqual(tof.readlines(), ['?   directory/hello.c\n'])
 
         tof = StringIO()
         show_tree_status(wt, specific_files=['dir2'], to_file=tof)
         tof.seek(0)
-        self.assertEquals(tof.readlines(),
+        self.assertEqual(tof.readlines(),
                           ['unknown:\n',
                            '  dir2/\n'
                            ])
         tof = StringIO()
         show_tree_status(wt, specific_files=['dir2'], to_file=tof, short=True)
         tof.seek(0)
-        self.assertEquals(tof.readlines(), ['?   dir2/\n'])
+        self.assertEqual(tof.readlines(), ['?   dir2/\n'])
 
         tof = StringIO()
         revs = [RevisionSpec.from_string('0'), RevisionSpec.from_string('1')]
         show_tree_status(wt, specific_files=['test.c'], to_file=tof,
                          short=True, revision=revs)
         tof.seek(0)
-        self.assertEquals(tof.readlines(), ['+N  test.c\n'])
+        self.assertEqual(tof.readlines(), ['+N  test.c\n'])
 
         tof = StringIO()
         show_tree_status(wt, specific_files=['missing.c'], to_file=tof)
         tof.seek(0)
-        self.assertEquals(tof.readlines(),
+        self.assertEqual(tof.readlines(),
                           ['missing:\n',
                            '  missing.c\n'])
 
@@ -288,7 +288,7 @@
         show_tree_status(wt, specific_files=['missing.c'], to_file=tof,
                          short=True)
         tof.seek(0)
-        self.assertEquals(tof.readlines(),
+        self.assertEqual(tof.readlines(),
                           ['+!  missing.c\n'])
 
     def test_specific_files_conflicts(self):
@@ -627,7 +627,7 @@
         self.assertContainsRe(result, "added:\n  hello.txt\n" \
                                       "unknown:\n  world.txt\n")
         result2 = self.run_bzr("status -r 0..")[0]
-        self.assertEquals(result2, result)
+        self.assertEqual(result2, result)
 
     def test_status_short(self):
         tree = self.make_branch_and_tree('.')
@@ -649,7 +649,7 @@
         self.assertContainsRe(result, "[+]N  hello.txt\n" \
                                       "[?]   world.txt\n")
         result2 = self.run_bzr("status -S -r 0..")[0]
-        self.assertEquals(result2, result)
+        self.assertEqual(result2, result)
 
     def test_status_versioned(self):
         tree = self.make_branch_and_tree('.')
@@ -671,7 +671,7 @@
         self.assertContainsRe(result, "added:\n  hello.txt\n")
         self.assertNotContainsRe(result, "unknown:\n  world.txt\n")
         result2 = self.run_bzr("status --versioned -r 0..")[0]
-        self.assertEquals(result2, result)
+        self.assertEqual(result2, result)
 
     def test_status_SV(self):
         tree = self.make_branch_and_tree('.')
@@ -693,7 +693,7 @@
         self.assertContainsRe(result, "[+]N  hello.txt\n")
 
         result2 = self.run_bzr("status -SV -r 0..")[0]
-        self.assertEquals(result2, result)
+        self.assertEqual(result2, result)
 
     def assertStatusContains(self, pattern, short=False):
         """Run status, and assert it contains the given pattern"""
@@ -749,7 +749,7 @@
 
         self.run_bzr('merge ../b', working_dir='a')
         out, err = self.run_bzr('status --no-pending', working_dir='a')
-        self.assertEquals(out, "added:\n  b\n")
+        self.assertEqual(out, "added:\n  b\n")
 
     def test_pending_specific_files(self):
         """With a specific file list, pending merges are not shown."""
@@ -787,7 +787,7 @@
         working_tree = self.make_uncommitted_tree()
         stdout, stderr = self.run_bzr("status")
 
-        self.assertEquals(stdout, """\
+        self.assertEqual(stdout, """\
 added:
   hell?
 """)
@@ -797,7 +797,7 @@
         working_tree = self.make_uncommitted_tree()
         stdout, stderr = self.run_bzr('status')
 
-        self.assertEquals(stdout, u"""\
+        self.assertEqual(stdout, u"""\
 added:
   hell\u00d8
 """.encode('latin-1'))

=== modified file 'bzrlib/tests/blackbox/test_switch.py'
--- bzrlib/tests/blackbox/test_switch.py	2012-07-23 16:57:58 +0000
+++ bzrlib/tests/blackbox/test_switch.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007-2012 Canonical Ltd
+# Copyright (C) 2007-2012, 2016 Canonical Ltd
 # -*- coding: utf-8 -*-
 #
 # This program is free software; you can redistribute it and/or modify
@@ -205,7 +205,7 @@
         tree.add('file-2')
         revid2 = tree.commit('rev2')
         self.run_bzr(['switch', '-b', 'anotherbranch'])
-        self.assertEquals(
+        self.assertEqual(
             set(['', 'anotherbranch']),
             set(tree.branch.bzrdir.get_branches().keys()))
 
@@ -238,8 +238,8 @@
         otherbranch.generate_revision_history(revid1)
         self.run_bzr(['switch', 'anotherbranch'], working_dir='branch-1')
         tree = WorkingTree.open("branch-1")
-        self.assertEquals(tree.last_revision(), revid1)
-        self.assertEquals(tree.branch.control_url, otherbranch.control_url)
+        self.assertEqual(tree.last_revision(), revid1)
+        self.assertEqual(tree.branch.control_url, otherbranch.control_url)
 
     def test_switch_new_colocated(self):
         # Create a branch branch-1 that initially is a checkout of 'foo'
@@ -253,11 +253,11 @@
         revid1 = tree.commit('rev1')
         self.run_bzr(['switch', '-b', 'anotherbranch'], working_dir='branch-1')
         bzrdir = ControlDir.open("branch-1")
-        self.assertEquals(
+        self.assertEqual(
             set([b.name for b in bzrdir.list_branches()]),
             set(["foo", "anotherbranch"]))
-        self.assertEquals(bzrdir.open_branch().name, "anotherbranch")
-        self.assertEquals(bzrdir.open_branch().last_revision(), revid1)
+        self.assertEqual(bzrdir.open_branch().name, "anotherbranch")
+        self.assertEqual(bzrdir.open_branch().last_revision(), revid1)
 
     def test_switch_new_colocated_unicode(self):
         # Create a branch branch-1 that initially is a checkout of 'foo'
@@ -272,11 +272,11 @@
         revid1 = tree.commit('rev1')
         self.run_bzr(['switch', '-b', u'branch\xe9'], working_dir='branch-1')
         bzrdir = ControlDir.open("branch-1")
-        self.assertEquals(
+        self.assertEqual(
             set([b.name for b in bzrdir.list_branches()]),
             set(["foo", u"branch\xe9"]))
-        self.assertEquals(bzrdir.open_branch().name, u"branch\xe9")
-        self.assertEquals(bzrdir.open_branch().last_revision(), revid1)
+        self.assertEqual(bzrdir.open_branch().name, u"branch\xe9")
+        self.assertEqual(bzrdir.open_branch().last_revision(), revid1)
 
     def test_switch_only_revision(self):
         tree = self._create_sample_tree()

=== modified file 'bzrlib/tests/blackbox/test_tags.py'
--- bzrlib/tests/blackbox/test_tags.py	2011-12-14 20:21:52 +0000
+++ bzrlib/tests/blackbox/test_tags.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007-2011 Canonical Ltd
+# Copyright (C) 2007-2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -63,16 +63,16 @@
         out, err = self.run_bzr('tag -d branch NEWTAG')
         self.assertContainsRe(err, 'Created tag NEWTAG.')
         # tag should be observable through the api
-        self.assertEquals(t.branch.tags.get_tag_dict(),
+        self.assertEqual(t.branch.tags.get_tag_dict(),
                 dict(NEWTAG='first-revid'))
         # can also create tags using -r
         self.run_bzr('tag -d branch tag2 -r1')
-        self.assertEquals(t.branch.tags.lookup_tag('tag2'), 'first-revid')
+        self.assertEqual(t.branch.tags.lookup_tag('tag2'), 'first-revid')
         # regression test: make sure a unicode revision from the user
         # gets turned into a str object properly. The use of a unicode
         # object for the revid is intentional.
         self.run_bzr(['tag', '-d', 'branch', 'tag3', u'-rrevid:first-revid'])
-        self.assertEquals(t.branch.tags.lookup_tag('tag3'), 'first-revid')
+        self.assertEqual(t.branch.tags.lookup_tag('tag3'), 'first-revid')
         # can also delete an existing tag
         out, err = self.run_bzr('tag --delete -d branch tag2')
         # cannot replace an existing tag normally
@@ -80,7 +80,7 @@
         self.assertContainsRe(err, 'Tag NEWTAG already exists\\.')
         # ... but can if you use --force
         out, err = self.run_bzr('tag -d branch NEWTAG --force -r0')
-        self.assertEquals("Updated tag NEWTAG.\n", err)
+        self.assertEqual("Updated tag NEWTAG.\n", err)
 
     def test_tag_same_revision(self):
         t = self.make_branch_and_tree('branch')
@@ -109,15 +109,15 @@
         # branching copies the tag across
         self.run_bzr('branch branch1 branch2')
         b2 = Branch.open('branch2')
-        self.assertEquals(b2.tags.lookup_tag('tag1'), 'first-revid')
+        self.assertEqual(b2.tags.lookup_tag('tag1'), 'first-revid')
         # make a new tag and pull it
         b1.tags.set_tag('tag2', 'twa')
         self.run_bzr('pull -d branch2 branch1')
-        self.assertEquals(b2.tags.lookup_tag('tag2'), 'twa')
+        self.assertEqual(b2.tags.lookup_tag('tag2'), 'twa')
         # make a new tag and push it
         b1.tags.set_tag('tag3', 'san')
         self.run_bzr('push -d branch1 branch2')
-        self.assertEquals(b2.tags.lookup_tag('tag3'), 'san')
+        self.assertEqual(b2.tags.lookup_tag('tag3'), 'san')
         # make a new tag and merge it
         t.commit(allow_pointless=True, message='second commit',
             rev_id='second-revid')
@@ -125,11 +125,11 @@
         t2.commit(allow_pointless=True, message='commit in second')
         b1.tags.set_tag('tag4', 'second-revid')
         self.run_bzr('merge -d branch2 branch1')
-        self.assertEquals(b2.tags.lookup_tag('tag4'), 'second-revid')
+        self.assertEqual(b2.tags.lookup_tag('tag4'), 'second-revid')
         # pushing to a new location copies the tag across
         self.run_bzr('push -d branch1 branch3')
         b3 = Branch.open('branch3')
-        self.assertEquals(b3.tags.lookup_tag('tag1'), 'first-revid')
+        self.assertEqual(b3.tags.lookup_tag('tag1'), 'first-revid')
 
     def make_master_and_checkout(self):
         builder = self.make_branch_builder('master')
@@ -221,33 +221,33 @@
         # natural order
         out, err = self.run_bzr('tags -d branch1',
                                 encoding='utf-8')
-        self.assertEquals(err, '')
+        self.assertEqual(err, '')
         self.assertContainsRe(out, (u'^tag1\u30d0  *2\ntag2\u30d0  *1\n' +
             u'tag10\u30d0 *\\?\n').encode('utf-8'))
 
         # lexicographical order
         out, err = self.run_bzr('tags --sort=alpha -d branch1',
                                 encoding='utf-8')
-        self.assertEquals(err, '')
+        self.assertEqual(err, '')
         self.assertContainsRe(out, (u'^tag10\u30d0  *\\?\ntag1\u30d0  *2\n' +
             u'tag2\u30d0 *1\n').encode('utf-8'))
 
         out, err = self.run_bzr('tags --sort=alpha --show-ids -d branch1',
                                 encoding='utf-8')
-        self.assertEquals(err, '')
+        self.assertEqual(err, '')
         self.assertContainsRe(out, (u'^tag10\u30d0  *missing\n' +
             u'tag1\u30d0  *revid-2\ntag2\u30d0 *revid-1\n').encode('utf-8'))
 
         # chronological order
         out, err = self.run_bzr('tags --sort=time -d branch1',
                 encoding='utf-8')
-        self.assertEquals(err, '')
+        self.assertEqual(err, '')
         self.assertContainsRe(out, (u'^tag2\u30d0  *1\ntag1\u30d0  *2\n' +
             u'tag10\u30d0 *\\?\n').encode('utf-8'))
 
         out, err = self.run_bzr('tags --sort=time --show-ids -d branch1',
                 encoding='utf-8')
-        self.assertEquals(err, '')
+        self.assertEqual(err, '')
         self.assertContainsRe(out, (u'^tag2\u30d0  *revid-1\n' +
             u'tag1\u30d0  *revid-2\ntag10\u30d0 *missing\n').encode('utf-8'))
 
@@ -264,10 +264,10 @@
         tree1.commit('merge', rev_id='revid-4')
 
         out, err = self.run_bzr('tags -d branch1', encoding='utf-8')
-        self.assertEquals(err, '')
+        self.assertEqual(err, '')
         self.assertContainsRe(out, r'tagD  *2\.1\.1\n')
         out, err = self.run_bzr('tags -d branch2', encoding='utf-8')
-        self.assertEquals(err, '')
+        self.assertEqual(err, '')
         self.assertContainsRe(out, r'tagD  *3\n')
 
     def test_list_tags_dotted_revnos_unsupported(self):
@@ -279,7 +279,7 @@
         self.overrideAttr(Branch, "revision_id_to_dotted_revno",
             revision_id_to_dotted_revno)
         out, err = self.run_bzr('tags -d branch', encoding='utf-8')
-        self.assertEquals(out, 'mytag                ?\n')
+        self.assertEqual(out, 'mytag                ?\n')
 
     def test_list_tags_revision_filtering(self):
         tree1 = self.make_branch_and_tree('.')
@@ -338,8 +338,8 @@
 
         # sorted by number of dots
         out, err = self.run_bzr('tags --sort=dots -d branch1')
-        self.assertEquals(err, '')
-        self.assertEquals([
+        self.assertEqual(err, '')
+        self.assertEqual([
             'tag.                 1',
             'tag..                2',
             'tag...               1',
@@ -349,7 +349,7 @@
     def _check_tag_filter(self, argstr, expected_revnos):
         #upper bound of laziness
         out, err = self.run_bzr('tags ' + argstr)
-        self.assertEquals(err, '')
+        self.assertEqual(err, '')
         self.assertContainsRe(out, "^" + ''.join(["tag %s +%s\n" % (
             revno, revno) for revno in expected_revnos]) + "$")
 

=== modified file 'bzrlib/tests/blackbox/test_too_much.py'
--- bzrlib/tests/blackbox/test_too_much.py	2011-09-26 15:21:01 +0000
+++ bzrlib/tests/blackbox/test_too_much.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2011 Canonical Ltd
+# Copyright (C) 2005-2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -188,7 +188,7 @@
     def test_unknown_command(self):
         """Handling of unknown command."""
         out, err = self.run_bzr('fluffy-badger', retcode=3)
-        self.assertEquals(out, '')
+        self.assertEqual(out, '')
         err.index('unknown command')
 
     def create_conflicts(self):
@@ -234,31 +234,31 @@
         self.create_conflicts()
         self.run_bzr('merge ../other --show-base', retcode=1)
         conflict_text = file('hello').read()
-        self.assert_('<<<<<<<' in conflict_text)
-        self.assert_('>>>>>>>' in conflict_text)
-        self.assert_('=======' in conflict_text)
-        self.assert_('|||||||' in conflict_text)
-        self.assert_('hi world' in conflict_text)
+        self.assertTrue('<<<<<<<' in conflict_text)
+        self.assertTrue('>>>>>>>' in conflict_text)
+        self.assertTrue('=======' in conflict_text)
+        self.assertTrue('|||||||' in conflict_text)
+        self.assertTrue('hi world' in conflict_text)
         self.run_bzr('revert')
         self.run_bzr('resolve --all')
         self.run_bzr('merge ../other', retcode=1)
         conflict_text = file('hello').read()
-        self.assert_('|||||||' not in conflict_text)
-        self.assert_('hi world' not in conflict_text)
+        self.assertTrue('|||||||' not in conflict_text)
+        self.assertTrue('hi world' not in conflict_text)
         result = self.run_bzr('conflicts')[0]
-        self.assertEquals(result, "Text conflict in hello\nText conflict in"
+        self.assertEqual(result, "Text conflict in hello\nText conflict in"
                                   " question\n")
         result = self.run_bzr('status')[0]
-        self.assert_("conflicts:\n  Text conflict in hello\n"
+        self.assertTrue("conflicts:\n  Text conflict in hello\n"
                      "  Text conflict in question\n" in result, result)
         self.run_bzr('resolve hello')
         result = self.run_bzr('conflicts')[0]
-        self.assertEquals(result, "Text conflict in question\n")
+        self.assertEqual(result, "Text conflict in question\n")
         self.run_bzr('commit -m conflicts', retcode=3)
         self.run_bzr('resolve --all')
         result = self.run_bzr('conflicts')[0]
         self.run_bzr('commit -m conflicts')
-        self.assertEquals(result, "")
+        self.assertEqual(result, "")
 
     def test_push(self):
         # create a source branch
@@ -368,29 +368,29 @@
         f.write('hello world!\n')
         f.close()
 
-        self.assertEquals(self.run_bzr('unknowns')[0], 'test.txt\n')
+        self.assertEqual(self.run_bzr('unknowns')[0], 'test.txt\n')
 
         out = self.run_bzr("status")[0]
-        self.assertEquals(out, 'unknown:\n  test.txt\n')
+        self.assertEqual(out, 'unknown:\n  test.txt\n')
 
         f = file('test2.txt', 'wt')
         f.write('goodbye cruel world...\n')
         f.close()
 
         out = self.run_bzr("status test.txt")[0]
-        self.assertEquals(out, "unknown:\n  test.txt\n")
+        self.assertEqual(out, "unknown:\n  test.txt\n")
 
         out = self.run_bzr("status")[0]
-        self.assertEquals(out, ("unknown:\n" "  test.txt\n" "  test2.txt\n"))
+        self.assertEqual(out, ("unknown:\n" "  test.txt\n" "  test2.txt\n"))
 
         os.unlink('test2.txt')
 
         progress("command aliases")
         out = self.run_bzr("st")[0]
-        self.assertEquals(out, ("unknown:\n" "  test.txt\n"))
+        self.assertEqual(out, ("unknown:\n" "  test.txt\n"))
 
         out = self.run_bzr("stat")[0]
-        self.assertEquals(out, ("unknown:\n" "  test.txt\n"))
+        self.assertEqual(out, ("unknown:\n" "  test.txt\n"))
 
         progress("command help")
         self.run_bzr("help st")
@@ -413,7 +413,7 @@
 
         self.run_bzr('commit -F msg.tmp')
 
-        self.assertEquals(self.run_bzr('revno')[0], '1\n')
+        self.assertEqual(self.run_bzr('revno')[0], '1\n')
         self.run_bzr('export -r 1 export-1.tmp')
         self.run_bzr('export export.tmp')
 
@@ -422,19 +422,19 @@
         self.run_bzr('log -v --forward')
         self.run_bzr('log -m', retcode=3)
         log_out = self.run_bzr('log -m commit')[0]
-        self.assert_("this is my new commit\n  and" in log_out)
-        self.assert_("rename nested" not in log_out)
-        self.assert_('revision-id' not in log_out)
-        self.assert_('revision-id' in self.run_bzr('log --show-ids -m commit')[0])
+        self.assertTrue("this is my new commit\n  and" in log_out)
+        self.assertTrue("rename nested" not in log_out)
+        self.assertTrue('revision-id' not in log_out)
+        self.assertTrue('revision-id' in self.run_bzr('log --show-ids -m commit')[0])
 
         log_out = self.run_bzr('log --line')[0]
         # determine the widest line we want
         max_width = osutils.terminal_width()
         if max_width is not None:
             for line in log_out.splitlines():
-                self.assert_(len(line) <= max_width - 1, len(line))
-        self.assert_("this is my new commit and" not in log_out)
-        self.assert_("this is my new commit" in log_out)
+                self.assertTrue(len(line) <= max_width - 1, len(line))
+        self.assertTrue("this is my new commit and" not in log_out)
+        self.assertTrue("this is my new commit" in log_out)
 
         progress("file with spaces in name")
         mkdir('sub directory')
@@ -456,26 +456,26 @@
             self.run_bzr('init')
             os.symlink("NOWHERE1", "link1")
             self.run_bzr('add link1')
-            self.assertEquals(self.run_bzr('unknowns')[0], '')
+            self.assertEqual(self.run_bzr('unknowns')[0], '')
             self.run_bzr(['commit', '-m', '1: added symlink link1'])
 
             mkdir('d1')
             self.run_bzr('add d1')
-            self.assertEquals(self.run_bzr('unknowns')[0], '')
+            self.assertEqual(self.run_bzr('unknowns')[0], '')
             os.symlink("NOWHERE2", "d1/link2")
-            self.assertEquals(self.run_bzr('unknowns')[0], 'd1/link2\n')
+            self.assertEqual(self.run_bzr('unknowns')[0], 'd1/link2\n')
             # is d1/link2 found when adding d1
             self.run_bzr('add d1')
-            self.assertEquals(self.run_bzr('unknowns')[0], '')
+            self.assertEqual(self.run_bzr('unknowns')[0], '')
             os.symlink("NOWHERE3", "d1/link3")
-            self.assertEquals(self.run_bzr('unknowns')[0], 'd1/link3\n')
+            self.assertEqual(self.run_bzr('unknowns')[0], 'd1/link3\n')
             self.run_bzr(['commit', '-m', '2: added dir, symlink'])
 
             self.run_bzr('rename d1 d2')
             self.run_bzr('move d2/link2 .')
             self.run_bzr('move link1 d2')
-            self.assertEquals(os.readlink("./link2"), "NOWHERE2")
-            self.assertEquals(os.readlink("d2/link1"), "NOWHERE1")
+            self.assertEqual(os.readlink("./link2"), "NOWHERE2")
+            self.assertEqual(os.readlink("d2/link1"), "NOWHERE1")
             self.run_bzr('add d2/link3')
             self.run_bzr('diff', retcode=1)
             self.run_bzr(['commit', '-m',
@@ -486,23 +486,23 @@
             os.unlink("d2/link1")
             os.symlink("TARGET 1", "d2/link1")
             self.run_bzr('diff', retcode=1)
-            self.assertEquals(self.run_bzr("relpath d2/link1")[0], "d2/link1\n")
+            self.assertEqual(self.run_bzr("relpath d2/link1")[0], "d2/link1\n")
             self.run_bzr(['commit', '-m', '4: retarget of two links'])
 
             self.run_bzr('remove --keep d2/link1')
-            self.assertEquals(self.run_bzr('unknowns')[0], 'd2/link1\n')
+            self.assertEqual(self.run_bzr('unknowns')[0], 'd2/link1\n')
             self.run_bzr(['commit', '-m', '5: remove d2/link1'])
             # try with the rm alias
             self.run_bzr('add d2/link1')
             self.run_bzr(['commit', '-m', '6: add d2/link1'])
             self.run_bzr('rm --keep d2/link1')
-            self.assertEquals(self.run_bzr('unknowns')[0], 'd2/link1\n')
+            self.assertEqual(self.run_bzr('unknowns')[0], 'd2/link1\n')
             self.run_bzr(['commit', '-m', '7: remove d2/link1'])
 
             os.mkdir("d1")
             self.run_bzr('add d1')
             self.run_bzr('rename d2/link3 d1/link3new')
-            self.assertEquals(self.run_bzr('unknowns')[0], 'd2/link1\n')
+            self.assertEqual(self.run_bzr('unknowns')[0], 'd2/link1\n')
             self.run_bzr(['commit', '-m',
                           '8: remove d2/link1, move/rename link3'])
 
@@ -510,44 +510,44 @@
 
             self.run_bzr('export -r 1 exp1.tmp')
             chdir("exp1.tmp")
-            self.assertEquals(listdir_sorted("."), [ "link1" ])
-            self.assertEquals(os.readlink("link1"), "NOWHERE1")
+            self.assertEqual(listdir_sorted("."), [ "link1" ])
+            self.assertEqual(os.readlink("link1"), "NOWHERE1")
             chdir("..")
 
             self.run_bzr('export -r 2 exp2.tmp')
             chdir("exp2.tmp")
-            self.assertEquals(listdir_sorted("."), [ "d1", "link1" ])
+            self.assertEqual(listdir_sorted("."), [ "d1", "link1" ])
             chdir("..")
 
             self.run_bzr('export -r 3 exp3.tmp')
             chdir("exp3.tmp")
-            self.assertEquals(listdir_sorted("."), [ "d2", "link2" ])
-            self.assertEquals(listdir_sorted("d2"), [ "link1", "link3" ])
-            self.assertEquals(os.readlink("d2/link1"), "NOWHERE1")
-            self.assertEquals(os.readlink("link2")   , "NOWHERE2")
+            self.assertEqual(listdir_sorted("."), [ "d2", "link2" ])
+            self.assertEqual(listdir_sorted("d2"), [ "link1", "link3" ])
+            self.assertEqual(os.readlink("d2/link1"), "NOWHERE1")
+            self.assertEqual(os.readlink("link2")   , "NOWHERE2")
             chdir("..")
 
             self.run_bzr('export -r 4 exp4.tmp')
             chdir("exp4.tmp")
-            self.assertEquals(listdir_sorted("."), [ "d2", "link2" ])
-            self.assertEquals(os.readlink("d2/link1"), "TARGET 1")
-            self.assertEquals(os.readlink("link2")   , "TARGET 2")
-            self.assertEquals(listdir_sorted("d2"), [ "link1", "link3" ])
+            self.assertEqual(listdir_sorted("."), [ "d2", "link2" ])
+            self.assertEqual(os.readlink("d2/link1"), "TARGET 1")
+            self.assertEqual(os.readlink("link2")   , "TARGET 2")
+            self.assertEqual(listdir_sorted("d2"), [ "link1", "link3" ])
             chdir("..")
 
             self.run_bzr('export -r 5 exp5.tmp')
             chdir("exp5.tmp")
-            self.assertEquals(listdir_sorted("."), [ "d2", "link2" ])
-            self.assert_(os.path.islink("link2"))
-            self.assert_(listdir_sorted("d2")== [ "link3" ])
+            self.assertEqual(listdir_sorted("."), [ "d2", "link2" ])
+            self.assertTrue(os.path.islink("link2"))
+            self.assertTrue(listdir_sorted("d2")== [ "link3" ])
             chdir("..")
 
             self.run_bzr('export -r 8 exp6.tmp')
             chdir("exp6.tmp")
             self.assertEqual(listdir_sorted("."), [ "d1", "d2", "link2"])
-            self.assertEquals(listdir_sorted("d1"), [ "link3new" ])
-            self.assertEquals(listdir_sorted("d2"), [])
-            self.assertEquals(os.readlink("d1/link3new"), "NOWHERE3")
+            self.assertEqual(listdir_sorted("d1"), [ "link3new" ])
+            self.assertEqual(listdir_sorted("d2"), [])
+            self.assertEqual(os.readlink("d1/link3new"), "NOWHERE3")
             chdir("..")
         else:
             progress("skipping symlink tests")

=== modified file 'bzrlib/tests/blackbox/test_uncommit.py'
--- bzrlib/tests/blackbox/test_uncommit.py	2013-05-30 11:42:30 +0000
+++ bzrlib/tests/blackbox/test_uncommit.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2010 Canonical Ltd
+# Copyright (C) 2005-2011, 2013, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -63,7 +63,7 @@
         # This should look like we are back in revno 1
         self.assertEqual(['a1'], wt.get_parent_ids())
         out, err = self.run_bzr('status')
-        self.assertEquals(out, 'modified:\n  a\n')
+        self.assertEqual(out, 'modified:\n  a\n')
 
     def test_uncommit_interactive(self):
         """Uncommit seeks confirmation, and doesn't proceed without it."""
@@ -105,9 +105,9 @@
 
         # uncommit in a checkout should uncommit the parent branch
         # (but doesn't effect the other working tree)
-        self.assertEquals(['a1'], checkout_tree.get_parent_ids())
-        self.assertEquals('a1', wt.branch.last_revision())
-        self.assertEquals(['a2'], wt.get_parent_ids())
+        self.assertEqual(['a1'], checkout_tree.get_parent_ids())
+        self.assertEqual('a1', wt.branch.last_revision())
+        self.assertEqual(['a2'], wt.get_parent_ids())
 
     def test_uncommit_bound(self):
         os.mkdir('a')
@@ -287,14 +287,14 @@
         revid = tree.commit('message')
         tree.branch.tags.set_tag("atag", revid)
         out, err = self.run_bzr('uncommit --force tree')
-        self.assertEquals({}, tree.branch.tags.get_tag_dict())
+        self.assertEqual({}, tree.branch.tags.get_tag_dict())
 
     def test_uncommit_keep_tags(self):
         tree = self.make_branch_and_tree('tree')
         revid = tree.commit('message')
         tree.branch.tags.set_tag("atag", revid)
         out, err = self.run_bzr('uncommit --keep-tags --force tree')
-        self.assertEquals({"atag": revid}, tree.branch.tags.get_tag_dict())
+        self.assertEqual({"atag": revid}, tree.branch.tags.get_tag_dict())
 
 
 class TestSmartServerUncommit(TestCaseWithTransport):

=== modified file 'bzrlib/tests/blackbox/test_unknowns.py'
--- bzrlib/tests/blackbox/test_unknowns.py	2010-06-11 07:32:12 +0000
+++ bzrlib/tests/blackbox/test_unknowns.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007-2010 Canonical Ltd
+# Copyright (C) 2007-2010, 2016 Canonical Ltd
 # -*- coding: utf-8 -*-
 #
 # This program is free software; you can redistribute it and/or modify
@@ -28,27 +28,27 @@
 
         # in empty directory, no unknowns
         tree = self.make_branch_and_tree('.')
-        self.assertEquals(self.run_bzr('unknowns')[0], '')
+        self.assertEqual(self.run_bzr('unknowns')[0], '')
 
         # single unknown file
         self.build_tree_contents([('a', 'contents of a\n')])
-        self.assertEquals(self.run_bzr('unknowns')[0], 'a\n')
+        self.assertEqual(self.run_bzr('unknowns')[0], 'a\n')
 
         # multiple unknown files, including one with a space in its name
         self.build_tree(['b', 'c', 'd e'])
-        self.assertEquals(self.run_bzr('unknowns')[0], 'a\nb\nc\n"d e"\n')
+        self.assertEqual(self.run_bzr('unknowns')[0], 'a\nb\nc\n"d e"\n')
 
         # after add, file no longer shown
         tree.add(['a', 'd e'])
-        self.assertEquals(self.run_bzr('unknowns')[0], 'b\nc\n')
+        self.assertEqual(self.run_bzr('unknowns')[0], 'b\nc\n')
 
         # after all added, none shown
         tree.add(['b', 'c'])
-        self.assertEquals(self.run_bzr('unknowns')[0], '')
+        self.assertEqual(self.run_bzr('unknowns')[0], '')
 
     def test_unknowns_directory(self):
         """Test --directory option"""
         tree = self.make_branch_and_tree('a')
         self.build_tree(['a/README'])
         out, err = self.run_bzr(['unknowns', '--directory=a'])
-        self.assertEquals('README\n', out)
+        self.assertEqual('README\n', out)

=== modified file 'bzrlib/tests/blackbox/test_update.py'
--- bzrlib/tests/blackbox/test_update.py	2012-01-18 17:47:06 +0000
+++ bzrlib/tests/blackbox/test_update.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2011 Canonical Ltd
+# Copyright (C) 2006-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -298,7 +298,7 @@
 ''')
         self.assertPathExists('./file1')
         self.assertPathDoesNotExist('./file2')
-        self.assertEquals(['m1'], master.get_parent_ids())
+        self.assertEqual(['m1'], master.get_parent_ids())
 
     def test_update_dash_r_outside_history(self):
         """Ensure that we can update -r to dotted revisions.

=== modified file 'bzrlib/tests/blackbox/test_verify_signatures.py'
--- bzrlib/tests/blackbox/test_verify_signatures.py	2013-08-11 20:31:42 +0000
+++ bzrlib/tests/blackbox/test_verify_signatures.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 Canonical Ltd
+# Copyright (C) 2013, 2016 Canonical Ltd
 # -*- coding: utf-8 -*-
 #
 # This program is free software; you can redistribute it and/or modify
@@ -51,7 +51,7 @@
         self.monkey_patch_gpg()
         self.run_bzr('sign-my-commits')
         out = self.run_bzr('verify-signatures', retcode=1)
-        self.assertEquals(('4 commits with valid signatures\n'
+        self.assertEqual(('4 commits with valid signatures\n'
                            '0 commits with key now expired\n'
                            '0 commits with unknown keys\n'
                            '0 commits not valid\n'
@@ -63,7 +63,7 @@
         self.run_bzr('sign-my-commits')
         out = self.run_bzr(['verify-signatures', '--acceptable-keys=foo,bar'],
                             retcode=1)
-        self.assertEquals(('4 commits with valid signatures\n'
+        self.assertEqual(('4 commits with valid signatures\n'
                            '0 commits with key now expired\n'
                            '0 commits with unknown keys\n'
                            '0 commits not valid\n'
@@ -74,13 +74,14 @@
         self.monkey_patch_gpg()
         self.run_bzr('sign-my-commits')
         out = self.run_bzr('verify-signatures --verbose', retcode=1)
-        self.assertEquals(('4 commits with valid signatures\n'
-                           '  None signed 4 commits\n'
-                           '0 commits with key now expired\n'
-                           '0 commits with unknown keys\n'
-                           '0 commits not valid\n'
-                           '1 commit not signed\n'
-                           '  1 commit by author Alternate <alt@foo.com>\n', ''), out)
+        self.assertEqual(
+            ('4 commits with valid signatures\n'
+             '  None signed 4 commits\n'
+             '0 commits with key now expired\n'
+             '0 commits with unknown keys\n'
+             '0 commits not valid\n'
+             '1 commit not signed\n'
+             '  1 commit by author Alternate <alt@foo.com>\n', ''), out)
 
     def test_verify_signatures_verbose_all_valid(self):
         wt = self.setup_tree()
@@ -88,8 +89,8 @@
         self.run_bzr('sign-my-commits')
         self.run_bzr(['sign-my-commits', '.', 'Alternate <alt@foo.com>'])
         out = self.run_bzr('verify-signatures --verbose')
-        self.assertEquals(('All commits signed with verifiable keys\n'
-                           '  None signed 5 commits\n', ''), out)
+        self.assertEqual(('All commits signed with verifiable keys\n'
+                          '  None signed 5 commits\n', ''), out)
 
 
 class TestSmartServerVerifySignatures(tests.TestCaseWithTransport):

=== modified file 'bzrlib/tests/blackbox/test_version.py'
--- bzrlib/tests/blackbox/test_version.py	2012-02-01 13:23:26 +0000
+++ bzrlib/tests/blackbox/test_version.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007, 2008, 2009, 2011 Canonical Ltd
+# Copyright (C) 2007-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -39,11 +39,11 @@
         output = self.run_bzr('version')[0]
         self.log('bzr version output:')
         self.log(output)
-        self.assert_(output.startswith('Bazaar (bzr) '))
+        self.assertTrue(output.startswith('Bazaar (bzr) '))
         self.assertNotEqual(output.index('Canonical'), -1)
         # make sure --version is consistent
         tmp_output = self.run_bzr('--version')[0]
-        self.assertEquals(output, tmp_output)
+        self.assertEqual(output, tmp_output)
 
     def test_version(self):
         self.permit_source_tree_branch_repo()

=== modified file 'bzrlib/tests/blackbox/test_versioning.py'
--- bzrlib/tests/blackbox/test_versioning.py	2012-01-05 13:02:31 +0000
+++ bzrlib/tests/blackbox/test_versioning.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007, 2009-2012 Canonical Ltd
+# Copyright (C) 2005, 2006, 2007, 2009-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -46,7 +46,7 @@
 
         self.make_branch_and_tree('.')
         self.run_bzr(['mkdir', 'foo'])
-        self.assert_(os.path.isdir('foo'))
+        self.assertTrue(os.path.isdir('foo'))
 
         self.run_bzr(['mkdir', 'foo'], retcode=3)
 
@@ -56,8 +56,8 @@
 
         self.log('delta.added = %r' % delta.added)
 
-        self.assertEquals(len(delta.added), 1)
-        self.assertEquals(delta.added[0][0], 'foo')
+        self.assertEqual(len(delta.added), 1)
+        self.assertEqual(delta.added[0][0], 'foo')
         self.assertFalse(delta.modified)
 
     def test_mkdir_in_subdir(self):
@@ -65,11 +65,11 @@
 
         self.make_branch_and_tree('.')
         self.run_bzr(['mkdir', 'dir'])
-        self.assert_(os.path.isdir('dir'))
+        self.assertTrue(os.path.isdir('dir'))
 
         self.log('Run mkdir in subdir')
         self.run_bzr(['mkdir', 'subdir'], working_dir='dir')
-        self.assert_(os.path.isdir('dir/subdir'))
+        self.assertTrue(os.path.isdir('dir/subdir'))
 
         wt = WorkingTree.open('.')
 
@@ -77,9 +77,9 @@
 
         self.log('delta.added = %r' % delta.added)
 
-        self.assertEquals(len(delta.added), 2)
-        self.assertEquals(delta.added[0][0], 'dir')
-        self.assertEquals(delta.added[1][0], pathjoin('dir','subdir'))
+        self.assertEqual(len(delta.added), 2)
+        self.assertEqual(delta.added[0][0], 'dir')
+        self.assertEqual(delta.added[1][0], pathjoin('dir','subdir'))
         self.assertFalse(delta.modified)
 
     def test_mkdir_w_nested_trees(self):
@@ -99,18 +99,18 @@
         wt_b = WorkingTree.open('a/b')
 
         delta = wt.changes_from(wt.basis_tree())
-        self.assertEquals(len(delta.added), 1)
-        self.assertEquals(delta.added[0][0], 'dir')
+        self.assertEqual(len(delta.added), 1)
+        self.assertEqual(delta.added[0][0], 'dir')
         self.assertFalse(delta.modified)
 
         delta = wt_a.changes_from(wt_a.basis_tree())
-        self.assertEquals(len(delta.added), 1)
-        self.assertEquals(delta.added[0][0], 'dir')
+        self.assertEqual(len(delta.added), 1)
+        self.assertEqual(delta.added[0][0], 'dir')
         self.assertFalse(delta.modified)
 
         delta = wt_b.changes_from(wt_b.basis_tree())
-        self.assertEquals(len(delta.added), 1)
-        self.assertEquals(delta.added[0][0], 'dir')
+        self.assertEqual(len(delta.added), 1)
+        self.assertEqual(delta.added[0][0], 'dir')
         self.assertFalse(delta.modified)
 
     def test_mkdir_quiet(self):
@@ -118,8 +118,8 @@
 
         self.make_branch_and_tree('.')
         out, err = self.run_bzr(['mkdir', '--quiet', 'foo'])
-        self.assertEquals('', err)
-        self.assertEquals('', out)
+        self.assertEqual('', err)
+        self.assertEqual('', out)
 
 
 class SubdirCommit(TestCaseWithTransport):

=== modified file 'bzrlib/tests/blackbox/test_view.py'
--- bzrlib/tests/blackbox/test_view.py	2010-11-22 03:35:24 +0000
+++ bzrlib/tests/blackbox/test_view.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008 Canonical Ltd
+# Copyright (C) 2008, 2009, 2010, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -31,14 +31,14 @@
         wt = self.make_branch_and_tree('.')
         # Check definition of a new view
         out, err = self.run_bzr('view a b c')
-        self.assertEquals(out, "Using 'my' view: a, b, c\n")
+        self.assertEqual(out, "Using 'my' view: a, b, c\n")
         out, err = self.run_bzr('view e f --name foo')
-        self.assertEquals(out, "Using 'foo' view: e, f\n")
+        self.assertEqual(out, "Using 'foo' view: e, f\n")
         # Check re-definition of an existing view
         out, err = self.run_bzr('view p q')
-        self.assertEquals(out, "Using 'foo' view: p, q\n")
+        self.assertEqual(out, "Using 'foo' view: p, q\n")
         out, err = self.run_bzr('view r s --name my')
-        self.assertEquals(out, "Using 'my' view: r, s\n")
+        self.assertEqual(out, "Using 'my' view: r, s\n")
         # Check attempts to define the 'off' view are prevented
         out, err = self.run_bzr('view a --name off', retcode=3)
         self.assertContainsRe(err, "Cannot change the 'off' pseudo view")
@@ -47,19 +47,19 @@
         wt = self.make_branch_and_tree('.')
         # Check list of the current view
         out, err = self.run_bzr('view')
-        self.assertEquals(out, "No current view.\n")
+        self.assertEqual(out, "No current view.\n")
         self.run_bzr('view a b c')
         out, err = self.run_bzr('view')
-        self.assertEquals(out, "'my' view is: a, b, c\n")
+        self.assertEqual(out, "'my' view is: a, b, c\n")
         # Check list of a named view
         self.run_bzr('view e f --name foo')
         out, err = self.run_bzr('view --name my')
-        self.assertEquals(out, "'my' view is: a, b, c\n")
+        self.assertEqual(out, "'my' view is: a, b, c\n")
         out, err = self.run_bzr('view --name foo')
-        self.assertEquals(out, "'foo' view is: e, f\n")
+        self.assertEqual(out, "'foo' view is: e, f\n")
         # Check list of all views
         out, err = self.run_bzr('view --all')
-        self.assertEquals(out.splitlines(), [
+        self.assertEqual(out.splitlines(), [
             "Views defined:",
             "=> foo                  e, f",
             "   my                   a, b, c",
@@ -75,14 +75,14 @@
         self.assertContainsRe(err, "No current view to delete")
         self.run_bzr('view a b c')
         out, err = self.run_bzr('view --delete')
-        self.assertEquals(out, "Deleted 'my' view.\n")
+        self.assertEqual(out, "Deleted 'my' view.\n")
         # Check delete of a named view
         self.run_bzr('view e f --name foo')
         out, err = self.run_bzr('view --name foo --delete')
-        self.assertEquals(out, "Deleted 'foo' view.\n")
+        self.assertEqual(out, "Deleted 'foo' view.\n")
         # Check delete of all views
         out, err = self.run_bzr('view --delete --all')
-        self.assertEquals(out, "Deleted all views.\n")
+        self.assertEqual(out, "Deleted all views.\n")
         # Check delete of an unknown view
         out, err = self.run_bzr('view --delete --name bar', retcode=3)
         self.assertContainsRe(err, "No such view")
@@ -99,10 +99,10 @@
         self.run_bzr('view a b c')
         self.run_bzr('view e f --name foo')
         out, err = self.run_bzr('view --switch my')
-        self.assertEquals(out, "Using 'my' view: a, b, c\n")
+        self.assertEqual(out, "Using 'my' view: a, b, c\n")
         # Check switching off the current view does not delete it
         out, err = self.run_bzr('view --switch off')
-        self.assertEquals(out, "Disabled 'my' view.\n")
+        self.assertEqual(out, "Disabled 'my' view.\n")
         # Check error reporting when attempt to switch off again
         out, err = self.run_bzr('view --switch off', retcode=3)
         self.assertContainsRe(err, "No current view to disable")

=== modified file 'bzrlib/tests/blackbox/test_whoami.py'
--- bzrlib/tests/blackbox/test_whoami.py	2012-01-18 14:09:19 +0000
+++ bzrlib/tests/blackbox/test_whoami.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2007, 2009-2012 Canonical Ltd
+# Copyright (C) 2006, 2007, 2009-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -30,26 +30,26 @@
 
     def assertWhoAmI(self, expected, *cmd_args, **kwargs):
         out, err = self.run_bzr(('whoami',) + cmd_args, **kwargs)
-        self.assertEquals('', err)
+        self.assertEqual('', err)
         lines = out.splitlines()
         self.assertLength(1, lines)
-        self.assertEquals(expected, lines[0].rstrip())
+        self.assertEqual(expected, lines[0].rstrip())
 
     def test_whoami_no_args_no_conf(self):
         # this should always identify something, if only "john@localhost"
         out = self.run_bzr("whoami")[0]
         self.assertTrue(len(out) > 0)
-        self.assertEquals(1, out.count('@'))
+        self.assertEqual(1, out.count('@'))
 
     def test_whoami_email_no_args(self):
         out = self.run_bzr("whoami --email")[0]
         self.assertTrue(len(out) > 0)
-        self.assertEquals(1, out.count('@'))
+        self.assertEqual(1, out.count('@'))
 
     def test_whoami_email_arg(self):
         # whoami --email is mutually exclusive with any arguments
         out = self.run_bzr("whoami --email 'foo <foo@example.com>'", 3)[0]
-        self.assertEquals("", out)
+        self.assertEqual("", out)
 
     def set_branch_email(self, b, email):
         b.get_config_stack().set('email', email)
@@ -93,7 +93,7 @@
         """verify that a warning is displayed if no email is given."""
         self.make_branch_and_tree('.')
         display = self.run_bzr(['whoami', 'Branch Identity'])[1]
-        self.assertEquals('"Branch Identity" does not seem to contain an '
+        self.assertEqual('"Branch Identity" does not seem to contain an '
                           'email address.  This is allowed, but not '
                           'recommended.\n', display)
 
@@ -118,7 +118,7 @@
         # Refresh wt as 'whoami' modified it
         wt = wt.bzrdir.open_workingtree()
         c = wt.branch.get_config_stack()
-        self.assertEquals('Changed Identity <changed@identi.ty>',
+        self.assertEqual('Changed Identity <changed@identi.ty>',
                           c.get('email'))
 
     def test_whoami_remote_directory(self):
@@ -134,7 +134,7 @@
         # The identity has been set in the branch config (but not the global
         # config)
         c = branch.Branch.open(url).get_config_stack()
-        self.assertEquals('Changed Identity <changed@identi.ty>',
+        self.assertEqual('Changed Identity <changed@identi.ty>',
                           c.get('email'))
         # Ensuring that the value does not come from the bazaar.conf file
         # itself requires some isolation setup

=== modified file 'bzrlib/tests/commands/test_branch.py'
--- bzrlib/tests/commands/test_branch.py	2010-04-09 03:58:14 +0000
+++ bzrlib/tests/commands/test_branch.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007, 2009, 2010 Canonical Ltd
+# Copyright (C) 2007, 2009, 2010, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -29,15 +29,15 @@
     def test_branch_remote_local(self):
         cmd = cmd_branch()
         cmd.run(self.get_url('branch'), 'local')
-        self.assertEquals(1, len(self.connections))
+        self.assertEqual(1, len(self.connections))
 
     def test_branch_local_remote(self):
         cmd = cmd_branch()
         cmd.run('branch', self.get_url('remote'))
-        self.assertEquals(1, len(self.connections))
+        self.assertEqual(1, len(self.connections))
 
     def test_branch_remote_remote(self):
         cmd = cmd_branch()
         cmd.run(self.get_url('branch'), self.get_url('remote'))
-        self.assertEquals(2, len(self.connections))
+        self.assertEqual(2, len(self.connections))
 

=== modified file 'bzrlib/tests/commands/test_cat.py'
--- bzrlib/tests/commands/test_cat.py	2010-04-09 03:58:14 +0000
+++ bzrlib/tests/commands/test_cat.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007, 2009, 2010 Canonical Ltd
+# Copyright (C) 2007, 2009, 2010, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -45,6 +45,6 @@
 
         cmd = cmd_cat()
         cmd.run(self.get_url('branch/foo'))
-        self.assertEquals(1, len(self.connections))
-        self.assertEquals('foo', self.outf.getvalue())
+        self.assertEqual(1, len(self.connections))
+        self.assertEqual('foo', self.outf.getvalue())
 

=== modified file 'bzrlib/tests/commands/test_checkout.py'
--- bzrlib/tests/commands/test_checkout.py	2010-05-03 08:33:32 +0000
+++ bzrlib/tests/commands/test_checkout.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007, 2009, 2010 Canonical Ltd
+# Copyright (C) 2007, 2009, 2010, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -27,7 +27,7 @@
 
         cmd = cmd_checkout()
         cmd.run(self.get_url('branch1'), 'local')
-        self.assertEquals(1, len(self.connections))
+        self.assertEqual(1, len(self.connections))
 
     def test_checkout_lightweight(self):
         self.make_branch_and_tree('branch1')
@@ -36,5 +36,5 @@
 
         cmd = cmd_checkout()
         cmd.run(self.get_url('branch1'), 'local', lightweight=True)
-        self.assertEquals(1, len(self.connections))
+        self.assertEqual(1, len(self.connections))
 

=== modified file 'bzrlib/tests/commands/test_commit.py'
--- bzrlib/tests/commands/test_commit.py	2010-04-09 03:58:14 +0000
+++ bzrlib/tests/commands/test_commit.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007-2010 Canonical Ltd
+# Copyright (C) 2007-2010, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -43,7 +43,7 @@
         # manually
         os.chdir('local')
         commit.run(message=u'empty commit', unchanged=True)
-        self.assertEquals(1, len(self.connections))
+        self.assertEqual(1, len(self.connections))
 
     def test_commit_both_modified(self):
         self.master_wt.commit('empty commit on master')
@@ -55,7 +55,7 @@
         os.chdir('local')
         self.assertRaises(errors.BoundBranchOutOfDate, commit.run,
                           message=u'empty commit', unchanged=True)
-        self.assertEquals(1, len(self.connections))
+        self.assertEqual(1, len(self.connections))
 
     def test_commit_local(self):
         """Commits with --local should not connect to the master!"""
@@ -68,4 +68,4 @@
         commit.run(message=u'empty commit', unchanged=True, local=True)
 
         #it shouldn't open any connections
-        self.assertEquals(0, len(self.connections))
+        self.assertEqual(0, len(self.connections))

=== modified file 'bzrlib/tests/commands/test_init.py'
--- bzrlib/tests/commands/test_init.py	2010-04-09 03:58:14 +0000
+++ bzrlib/tests/commands/test_init.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007-2010 Canonical Ltd
+# Copyright (C) 2007-2010, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -31,5 +31,5 @@
         # We don't care about the ouput but 'outf' should be defined
         cmd.outf = tests.StringIOWrapper()
         cmd.run(self.get_url())
-        self.assertEquals(1, len(self.connections))
+        self.assertEqual(1, len(self.connections))
 

=== modified file 'bzrlib/tests/commands/test_init_repository.py'
--- bzrlib/tests/commands/test_init_repository.py	2010-04-09 03:58:14 +0000
+++ bzrlib/tests/commands/test_init_repository.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007-2010 Canonical Ltd
+# Copyright (C) 2007-2010, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -31,5 +31,5 @@
         # We don't care about the ouput but 'outf' should be defined
         cmd.outf = tests.StringIOWrapper()
         cmd.run(self.get_url())
-        self.assertEquals(1, len(self.connections))
+        self.assertEqual(1, len(self.connections))
 

=== modified file 'bzrlib/tests/commands/test_merge.py'
--- bzrlib/tests/commands/test_merge.py	2010-04-09 03:58:14 +0000
+++ bzrlib/tests/commands/test_merge.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007, 2009, 2010 Canonical Ltd
+# Copyright (C) 2007, 2009, 2010, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -35,4 +35,4 @@
         # We don't care about the ouput but 'outf' should be defined
         cmd.outf = StringIOWrapper()
         cmd.run(self.get_url('branch1'), directory='branch2')
-        self.assertEquals(1, len(self.connections))
+        self.assertEqual(1, len(self.connections))

=== modified file 'bzrlib/tests/commands/test_missing.py'
--- bzrlib/tests/commands/test_missing.py	2010-04-09 03:58:14 +0000
+++ bzrlib/tests/commands/test_missing.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007, 2009, 2010 Canonical Ltd
+# Copyright (C) 2007, 2009, 2010, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -34,5 +34,5 @@
         # We don't care about the ouput but 'outf' should be defined
         cmd.outf = self.make_utf8_encoded_stringio()
         cmd.run(self.get_url('branch2'))
-        self.assertEquals(1, len(self.connections))
+        self.assertEqual(1, len(self.connections))
 

=== modified file 'bzrlib/tests/commands/test_pull.py'
--- bzrlib/tests/commands/test_pull.py	2011-08-30 08:46:10 +0000
+++ bzrlib/tests/commands/test_pull.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007, 2009, 2010 Canonical Ltd
+# Copyright (C) 2007, 2009, 2010, 2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -36,7 +36,7 @@
         # We don't care about the ouput but 'outf' should be defined
         cmd.outf = tests.StringIOWrapper()
         cmd.run(self.get_url('branch1'), directory='branch2')
-        self.assertEquals(1, len(self.connections))
+        self.assertEqual(1, len(self.connections))
 
     def test_pull_with_bound_branch(self):
 
@@ -54,5 +54,5 @@
         # We don't care about the ouput but 'outf' should be defined
         pull.outf = tests.StringIOWrapper()
         pull.run(self.get_url('remote'), directory='local')
-        self.assertEquals(2, len(self.connections))
+        self.assertEqual(2, len(self.connections))
 

=== modified file 'bzrlib/tests/commands/test_push.py'
--- bzrlib/tests/commands/test_push.py	2010-04-09 03:58:14 +0000
+++ bzrlib/tests/commands/test_push.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007-2010 Canonical Ltd
+# Copyright (C) 2007-2010, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -31,7 +31,7 @@
         # We don't care about the ouput but 'outf' should be defined
         cmd.outf = tests.StringIOWrapper()
         cmd.run(self.get_url('remote'), directory='branch')
-        self.assertEquals(1, len(self.connections))
+        self.assertEqual(1, len(self.connections))
 
     def test_push_onto_stacked(self):
         self.make_branch_and_tree('base', format='1.9')

=== modified file 'bzrlib/tests/commands/test_update.py'
--- bzrlib/tests/commands/test_update.py	2010-04-09 03:58:14 +0000
+++ bzrlib/tests/commands/test_update.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007, 2009, 2010 Canonical Ltd
+# Copyright (C) 2007, 2009, 2010, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -41,5 +41,5 @@
         update.outf = tests.StringIOWrapper()
         # update calls it 'dir' where other commands calls it 'directory'
         update.run(dir='local')
-        self.assertEquals(1, len(self.connections))
+        self.assertEqual(1, len(self.connections))
 

=== modified file 'bzrlib/tests/per_branch/__init__.py'
--- bzrlib/tests/per_branch/__init__.py	2012-03-14 15:26:01 +0000
+++ bzrlib/tests/per_branch/__init__.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2010 Canonical Ltd
+# Copyright (C) 2006-2012, 2016 Canonical Ltd
 # Authors: Robert Collins <robert.collins@canonical.com>
 #          and others
 #
@@ -72,7 +72,7 @@
 
     def get_default_format(self):
         format = self.bzrdir_format
-        self.assertEquals(format.get_branch_format(), self.branch_format)
+        self.assertEqual(format.get_branch_format(), self.branch_format)
         return format
 
     def make_branch(self, relpath, format=None):

=== modified file 'bzrlib/tests/per_branch/test_branch.py'
--- bzrlib/tests/per_branch/test_branch.py	2012-07-19 19:27:22 +0000
+++ bzrlib/tests/per_branch/test_branch.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2012 Canonical Ltd
+# Copyright (C) 2005-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -324,7 +324,7 @@
         if repo.bzrdir._format.colocated_branches:
             raise tests.TestNotApplicable(
                 "control dir does not support colocated branches")
-        self.assertEquals(0, len(repo.bzrdir.list_branches()))
+        self.assertEqual(0, len(repo.bzrdir.list_branches()))
         if not self.bzrdir_format.colocated_branches:
             raise tests.TestNotApplicable("control dir format does not support "
                 "colocated branches")
@@ -335,9 +335,9 @@
             # branch references are not default init'able and
             # not all bzrdirs support colocated branches.
             return
-        self.assertEquals(1, len(repo.bzrdir.list_branches()))
+        self.assertEqual(1, len(repo.bzrdir.list_branches()))
         self.branch_format.initialize(repo.bzrdir, name='branch2')
-        self.assertEquals(2, len(repo.bzrdir.list_branches()))
+        self.assertEqual(2, len(repo.bzrdir.list_branches()))
 
     def test_create_append_revisions_only(self):
         try:
@@ -352,7 +352,7 @@
                 # branch references are not default init'able and
                 # not all branches support append_revisions_only
                 return
-            self.assertEquals(True, branch.get_append_revisions_only())
+            self.assertEqual(True, branch.get_append_revisions_only())
             repo.bzrdir.destroy_branch()
 
     def test_get_set_append_revisions_only(self):

=== modified file 'bzrlib/tests/per_branch/test_config.py'
--- bzrlib/tests/per_branch/test_config.py	2012-06-30 06:10:05 +0000
+++ bzrlib/tests/per_branch/test_config.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2010 Canonical Ltd
+# Copyright (C) 2010, 2011, 2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -41,6 +41,6 @@
         b.set_submit_branch('foo')
         # Refresh the branch
         b = branch.Branch.open('.')
-        self.assertEquals('foo', b.get_submit_branch())
+        self.assertEqual('foo', b.get_submit_branch())
 
 

=== modified file 'bzrlib/tests/per_branch/test_hooks.py'
--- bzrlib/tests/per_branch/test_hooks.py	2012-08-04 14:27:47 +0000
+++ bzrlib/tests/per_branch/test_hooks.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007-2010 Canonical Ltd
+# Copyright (C) 2007-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -138,7 +138,7 @@
         """
         branch = self.make_branch_with_revision_ids('revid-one')
         def assertBranchAtRevision1(params):
-            self.assertEquals(
+            self.assertEqual(
                 (1, 'revid-one'), params.branch.last_revision_info())
         _mod_branch.Branch.hooks.install_named_hook(
             'pre_change_branch_tip', assertBranchAtRevision1, None)
@@ -235,7 +235,7 @@
         """
         branch = self.make_branch_with_revision_ids('revid-one')
         def assertBranchAtRevision1(params):
-            self.assertEquals(
+            self.assertEqual(
                 (0, revision.NULL_REVISION), params.branch.last_revision_info())
         _mod_branch.Branch.hooks.install_named_hook(
             'post_change_branch_tip', assertBranchAtRevision1, None)

=== modified file 'bzrlib/tests/per_branch/test_last_revision_info.py'
--- bzrlib/tests/per_branch/test_last_revision_info.py	2012-06-26 12:26:45 +0000
+++ bzrlib/tests/per_branch/test_last_revision_info.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004, 2005, 2007 Canonical Ltd
+# Copyright (C) 2007, 2009-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -40,7 +40,7 @@
         tree1.commit('1st post')
         revid = tree1.commit('2st post', allow_pointless=True)
         branch2 = self.make_branch('branch2')
-        self.assertEquals((2, revid),
+        self.assertEqual((2, revid),
             branch2.import_last_revision_info_and_tags(tree1.branch, 2, revid))
         self.assertEqual((2, revid), branch2.last_revision_info())
         self.assertTrue(branch2.repository.has_revision(revid))

=== modified file 'bzrlib/tests/per_branch/test_parent.py'
--- bzrlib/tests/per_branch/test_parent.py	2011-01-10 22:20:12 +0000
+++ bzrlib/tests/per_branch/test_parent.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007, 2009, 2010, 2011 Canonical Ltd
+# Copyright (C) 2005, 2006, 2007, 2009, 2010, 2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -104,4 +104,4 @@
         if base[0] != 'C':
             other = 'file:///C:/path'
         b.set_parent(other)
-        self.assertEquals(other, b._get_parent_location())
+        self.assertEqual(other, b._get_parent_location())

=== modified file 'bzrlib/tests/per_branch/test_reconcile.py'
--- bzrlib/tests/per_branch/test_reconcile.py	2011-10-16 14:20:03 +0000
+++ bzrlib/tests/per_branch/test_reconcile.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008 Canonical Ltd
+# Copyright (C) 2008, 2009, 2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -87,4 +87,4 @@
         tree.branch.set_last_revision_info(2, r2)
 
         reconciler = tree.branch.reconcile()
-        self.assertEquals(r2, tree.branch.last_revision())
+        self.assertEqual(r2, tree.branch.last_revision())

=== modified file 'bzrlib/tests/per_branch/test_revision_id_to_revno.py'
--- bzrlib/tests/per_branch/test_revision_id_to_revno.py	2011-11-16 12:25:23 +0000
+++ bzrlib/tests/per_branch/test_revision_id_to_revno.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007 Canonical Ltd
+# Copyright (C) 2007, 2009, 2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -54,11 +54,11 @@
         # allow both NoSuchRevision and GhostRevisionsHaveNoRevno here.
         self.assertRaises((errors.NoSuchRevision, errors.GhostRevisionsHaveNoRevno),
             tree.branch.revision_id_to_revno, "unknown")
-        self.assertEquals(1, tree.branch.revision_id_to_revno("rev1"))
-        self.assertEquals(2, tree.branch.revision_id_to_revno("rev2"))
+        self.assertEqual(1, tree.branch.revision_id_to_revno("rev1"))
+        self.assertEqual(2, tree.branch.revision_id_to_revno("rev2"))
 
     def test_empty(self):
         branch = self.make_branch('.')
         self.assertRaises(errors.NoSuchRevision,
             branch.revision_id_to_revno, "unknown")
-        self.assertEquals(0, branch.revision_id_to_revno('null:'))
+        self.assertEqual(0, branch.revision_id_to_revno('null:'))

=== modified file 'bzrlib/tests/per_branch/test_stacking.py'
--- bzrlib/tests/per_branch/test_stacking.py	2012-02-23 23:26:35 +0000
+++ bzrlib/tests/per_branch/test_stacking.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008, 2009, 2010 Canonical Ltd
+# Copyright (C) 2008-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -552,7 +552,7 @@
         self.assertEqual({}, repo.get_parent_map(['rev1']))
         # revision_history should work, even though the history is spread over
         # multiple repositories.
-        self.assertEquals((2, 'rev2'), stacked.branch.last_revision_info())
+        self.assertEqual((2, 'rev2'), stacked.branch.last_revision_info())
 
 
 class TestStackingConnections(

=== modified file 'bzrlib/tests/per_branch/test_tags.py'
--- bzrlib/tests/per_branch/test_tags.py	2012-02-23 23:26:35 +0000
+++ bzrlib/tests/per_branch/test_tags.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007, 2009, 2010 Canonical Ltd
+# Copyright (C) 2007, 2009-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -90,15 +90,15 @@
                 b.tags.set_tag, "ghost", "idontexist")
         else:
             b.tags.set_tag("ghost", "idontexist")
-            self.assertEquals("idontexist", b.tags.lookup_tag("ghost"))
+            self.assertEqual("idontexist", b.tags.lookup_tag("ghost"))
 
     def test_no_such_tag(self):
         b = self.make_branch('b')
         try:
             b.tags.lookup_tag('bosko')
         except errors.NoSuchTag, e:
-            self.assertEquals(e.tag_name, 'bosko')
-            self.assertEquals(str(e), 'No such tag: bosko')
+            self.assertEqual(e.tag_name, 'bosko')
+            self.assertEqual(str(e), 'No such tag: bosko')
         else:
             self.fail("didn't get expected exception")
 
@@ -109,24 +109,24 @@
         # just go across
         b1.tags.set_tag('tagname', 'revid')
         b1.tags.merge_to(b2.tags)
-        self.assertEquals(b2.tags.lookup_tag('tagname'), 'revid')
+        self.assertEqual(b2.tags.lookup_tag('tagname'), 'revid')
         # if a tag is in the destination and not in the source, it is not
         # removed when we merge them
         b2.tags.set_tag('in-destination', 'revid')
         updates, conflicts = b1.tags.merge_to(b2.tags)
-        self.assertEquals(list(conflicts), [])
-        self.assertEquals(updates, {})
-        self.assertEquals(b2.tags.lookup_tag('in-destination'), 'revid')
+        self.assertEqual(list(conflicts), [])
+        self.assertEqual(updates, {})
+        self.assertEqual(b2.tags.lookup_tag('in-destination'), 'revid')
         # if there's a conflicting tag, it's reported -- the command line
         # interface will say "these tags couldn't be copied"
         b1.tags.set_tag('conflicts', 'revid-1')
         b2.tags.set_tag('conflicts', 'revid-2')
         updates, conflicts = b1.tags.merge_to(b2.tags)
-        self.assertEquals(list(conflicts),
+        self.assertEqual(list(conflicts),
             [('conflicts', 'revid-1', 'revid-2')])
         # and it keeps the same value
-        self.assertEquals(updates, {})
-        self.assertEquals(b2.tags.lookup_tag('conflicts'), 'revid-2')
+        self.assertEqual(updates, {})
+        self.assertEqual(b2.tags.lookup_tag('conflicts'), 'revid-2')
 
     def test_unicode_tag(self):
         tag_name = u'\u3070'
@@ -135,7 +135,7 @@
         revid = ('revid' + tag_name).encode('utf-8')
         b1 = self.make_branch_with_revisions('b', [revid])
         b1.tags.set_tag(tag_name, revid)
-        self.assertEquals(b1.tags.lookup_tag(tag_name), revid)
+        self.assertEqual(b1.tags.lookup_tag(tag_name), revid)
 
     def test_delete_tag(self):
         tag_name = u'\N{GREEK SMALL LETTER ALPHA}'
@@ -148,7 +148,7 @@
         self.assertRaises(errors.NoSuchTag,
             b.tags.lookup_tag, tag_name)
         # and it's not in the dictionary
-        self.assertEquals(b.tags.get_tag_dict(), {})
+        self.assertEqual(b.tags.get_tag_dict(), {})
         # and you can't remove it a second time
         self.assertRaises(errors.NoSuchTag,
             b.tags.delete_tag, tag_name)
@@ -290,8 +290,8 @@
         child.bind(master)
         child.update()
         other.tags.merge_to(child.tags)
-        self.assertEquals('rev-1', child.tags.lookup_tag('foo'))
-        self.assertEquals('rev-1', master.tags.lookup_tag('foo'))
+        self.assertEqual('rev-1', child.tags.lookup_tag('foo'))
+        self.assertEqual('rev-1', master.tags.lookup_tag('foo'))
 
     def test_ignore_master_disables_tag_propagation(self):
         """merge_to(child, ignore_master=True) does not merge tags to the
@@ -304,7 +304,7 @@
         child.bind(master)
         child.update()
         other.tags.merge_to(child.tags, ignore_master=True)
-        self.assertEquals('rev-1', child.tags.lookup_tag('foo'))
+        self.assertEqual('rev-1', child.tags.lookup_tag('foo'))
         self.assertRaises(errors.NoSuchTag, master.tags.lookup_tag, 'foo')
 
     def test_merge_to_overwrite_conflict_in_master(self):
@@ -319,9 +319,9 @@
         child.update()
         master.tags.set_tag('foo', 'rev-2')
         tag_updates, tag_conflicts = other.tags.merge_to(child.tags, overwrite=True)
-        self.assertEquals('rev-1', child.tags.lookup_tag('foo'))
-        self.assertEquals('rev-1', master.tags.lookup_tag('foo'))
-        self.assertEquals({"foo": "rev-1"}, tag_updates)
+        self.assertEqual('rev-1', child.tags.lookup_tag('foo'))
+        self.assertEqual('rev-1', master.tags.lookup_tag('foo'))
+        self.assertEqual({"foo": "rev-1"}, tag_updates)
         self.assertLength(0, tag_conflicts)
 
     def test_merge_to_overwrite_conflict_in_child_and_master(self):
@@ -337,9 +337,9 @@
         child.update()
         tag_updates, tag_conflicts = other.tags.merge_to(
             child.tags, overwrite=True)
-        self.assertEquals('rev-1', child.tags.lookup_tag('foo'))
-        self.assertEquals('rev-1', master.tags.lookup_tag('foo'))
-        self.assertEquals({u'foo': 'rev-1'}, tag_updates)
+        self.assertEqual('rev-1', child.tags.lookup_tag('foo'))
+        self.assertEqual('rev-1', master.tags.lookup_tag('foo'))
+        self.assertEqual({u'foo': 'rev-1'}, tag_updates)
         self.assertLength(0, tag_conflicts)
 
     def test_merge_to_conflict_in_child_only(self):
@@ -356,12 +356,12 @@
         master.tags.delete_tag('foo')
         tag_updates, tag_conflicts = other.tags.merge_to(child.tags)
         # Conflict in child, so it is unchanged.
-        self.assertEquals('rev-2', child.tags.lookup_tag('foo'))
+        self.assertEqual('rev-2', child.tags.lookup_tag('foo'))
         # No conflict in the master, so the 'foo' tag equals other's value here.
-        self.assertEquals('rev-1', master.tags.lookup_tag('foo'))
+        self.assertEqual('rev-1', master.tags.lookup_tag('foo'))
         # The conflict is reported.
-        self.assertEquals([(u'foo', 'rev-1', 'rev-2')], list(tag_conflicts))
-        self.assertEquals({u'foo': 'rev-1'}, tag_updates)
+        self.assertEqual([(u'foo', 'rev-1', 'rev-2')], list(tag_conflicts))
+        self.assertEqual({u'foo': 'rev-1'}, tag_updates)
 
     def test_merge_to_conflict_in_master_only(self):
         """When new_tags.merge_to(child.tags) conflicts with the master but not
@@ -376,12 +376,12 @@
         master.tags.set_tag('foo', 'rev-2')
         tag_updates, tag_conflicts = other.tags.merge_to(child.tags)
         # No conflict in the child, so the 'foo' tag equals other's value here.
-        self.assertEquals('rev-1', child.tags.lookup_tag('foo'))
+        self.assertEqual('rev-1', child.tags.lookup_tag('foo'))
         # Conflict in master, so it is unchanged.
-        self.assertEquals('rev-2', master.tags.lookup_tag('foo'))
+        self.assertEqual('rev-2', master.tags.lookup_tag('foo'))
         # The conflict is reported.
-        self.assertEquals({u'foo': 'rev-1'}, tag_updates)
-        self.assertEquals([(u'foo', 'rev-1', 'rev-2')], list(tag_conflicts))
+        self.assertEqual({u'foo': 'rev-1'}, tag_updates)
+        self.assertEqual([(u'foo', 'rev-1', 'rev-2')], list(tag_conflicts))
 
     def test_merge_to_same_conflict_in_master_and_child(self):
         """When new_tags.merge_to(child.tags) conflicts the same way with the
@@ -396,12 +396,12 @@
         child.update()
         tag_updates, tag_conflicts = other.tags.merge_to(child.tags)
         # Both master and child conflict, so both stay as rev-2
-        self.assertEquals('rev-2', child.tags.lookup_tag('foo'))
-        self.assertEquals('rev-2', master.tags.lookup_tag('foo'))
+        self.assertEqual('rev-2', child.tags.lookup_tag('foo'))
+        self.assertEqual('rev-2', master.tags.lookup_tag('foo'))
         # The conflict is reported exactly once, even though it occurs in both
         # master and child.
-        self.assertEquals({}, tag_updates)
-        self.assertEquals([(u'foo', 'rev-1', 'rev-2')], list(tag_conflicts))
+        self.assertEqual({}, tag_updates)
+        self.assertEqual([(u'foo', 'rev-1', 'rev-2')], list(tag_conflicts))
 
     def test_merge_to_different_conflict_in_master_and_child(self):
         """When new_tags.merge_to(child.tags) conflicts differently in the
@@ -419,11 +419,11 @@
         child.tags._set_tag_dict({'foo': 'rev-3'})
         tag_updates, tag_conflicts = other.tags.merge_to(child.tags)
         # Both master and child conflict, so both stay as they were.
-        self.assertEquals('rev-3', child.tags.lookup_tag('foo'))
-        self.assertEquals('rev-2', master.tags.lookup_tag('foo'))
+        self.assertEqual('rev-3', child.tags.lookup_tag('foo'))
+        self.assertEqual('rev-2', master.tags.lookup_tag('foo'))
         # Both conflicts are reported.
-        self.assertEquals({}, tag_updates)
-        self.assertEquals(
+        self.assertEqual({}, tag_updates)
+        self.assertEqual(
             [(u'foo', 'rev-1', 'rev-2'), (u'foo', 'rev-1', 'rev-3')],
             sorted(tag_conflicts))
 
@@ -477,14 +477,14 @@
 
     def test_no_functions(self):
         rev = self.branch.last_revision()
-        self.assertEquals(None, self.branch.automatic_tag_name(rev))
+        self.assertEqual(None, self.branch.automatic_tag_name(rev))
 
     def test_returns_tag_name(self):
         def get_tag_name(br, revid):
             return "foo"
         branch.Branch.hooks.install_named_hook('automatic_tag_name',
             get_tag_name, 'get tag name foo')
-        self.assertEquals("foo", self.branch.automatic_tag_name(
+        self.assertEqual("foo", self.branch.automatic_tag_name(
             self.branch.last_revision()))
 
     def test_uses_first_return(self):
@@ -494,7 +494,7 @@
             get_tag_name_1, 'tagname1')
         branch.Branch.hooks.install_named_hook('automatic_tag_name',
             get_tag_name_2, 'tagname2')
-        self.assertEquals("foo1", self.branch.automatic_tag_name(
+        self.assertEqual("foo1", self.branch.automatic_tag_name(
             self.branch.last_revision()))
 
     def test_ignores_none(self):
@@ -504,5 +504,5 @@
             get_tag_name_1, 'tagname1')
         branch.Branch.hooks.install_named_hook('automatic_tag_name',
             get_tag_name_2, 'tagname2')
-        self.assertEquals("foo2", self.branch.automatic_tag_name(
+        self.assertEqual("foo2", self.branch.automatic_tag_name(
             self.branch.last_revision()))

=== modified file 'bzrlib/tests/per_bzrdir/test_bzrdir.py'
--- bzrlib/tests/per_bzrdir/test_bzrdir.py	2012-02-23 19:45:15 +0000
+++ bzrlib/tests/per_bzrdir/test_bzrdir.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2010 Canonical Ltd
+# Copyright (C) 2010, 2011, 2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -679,7 +679,7 @@
                 "format does not support colocated branches")
         branch = self.make_branch('.', format='development-colo')
         branch.bzrdir.create_branch(name="another-colocated-branch")
-        self.assertEquals(
+        self.assertEqual(
             branch.bzrdir.user_transport.list_dir("."),
             [".bzr"])
 

=== modified file 'bzrlib/tests/per_controldir/test_controldir.py'
--- bzrlib/tests/per_controldir/test_controldir.py	2012-02-23 19:45:15 +0000
+++ bzrlib/tests/per_controldir/test_controldir.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2011 Canonical Ltd
+# Copyright (C) 2006-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -1035,7 +1035,7 @@
         # network name to use - it's possible that this may somehow have got
         # in through an unisolated test though - see
         # <https://bugs.launchpad.net/bzr/+bug/504102>
-        self.assertEquals(getattr(self.bzrdir_format,
+        self.assertEqual(getattr(self.bzrdir_format,
             '_network_name', None),
             None)
         # supported formats must be able to init and open
@@ -1214,7 +1214,7 @@
             raise TestNotApplicable("format does not support "
                 "append_revisions_only setting")
         self.assertIsInstance(made_branch, bzrlib.branch.Branch)
-        self.assertEquals(True, made_branch.get_append_revisions_only())
+        self.assertEqual(True, made_branch.get_append_revisions_only())
         self.assertEqual(made_control, made_branch.bzrdir)
 
     def test_open_branch(self):
@@ -1240,14 +1240,14 @@
         made_repo = made_control.create_repository()
         made_branch = made_control.create_branch()
         branches = made_control.list_branches()
-        self.assertEquals(1, len(branches))
-        self.assertEquals(made_branch.base, branches[0].base)
+        self.assertEqual(1, len(branches))
+        self.assertEqual(made_branch.base, branches[0].base)
         try:
             made_control.destroy_branch()
         except errors.UnsupportedOperation:
             pass # Not all bzrdirs support destroying directories
         else:
-            self.assertEquals([], made_control.list_branches())
+            self.assertEqual([], made_control.list_branches())
 
     def test_get_branches(self):
         repo = self.make_repository('branch-1')
@@ -1384,9 +1384,9 @@
             raise TestSkipped("Can't initialize %r on transport %r"
                               % (self.bzrdir_format, t))
         dir = controldir.ControlDir.open(t.base+",branch=foo")
-        self.assertEquals({"branch": "foo"},
+        self.assertEqual({"branch": "foo"},
             dir.user_transport.get_segment_parameters())
-        self.assertEquals("foo", dir._get_selected_branch())
+        self.assertEqual("foo", dir._get_selected_branch())
 
     def test_get_selected_branch_none_selected(self):
         # _get_selected_branch defaults to None
@@ -1563,10 +1563,10 @@
              ((dir_relpath2, _), entries2)) in izip(
                 osutils.walkdirs(old_path),
                 osutils.walkdirs(new_path)):
-            self.assertEquals(dir_relpath1, dir_relpath2)
+            self.assertEqual(dir_relpath1, dir_relpath2)
             for f1, f2 in zip(entries1, entries2):
-                self.assertEquals(f1[0], f2[0])
-                self.assertEquals(f1[2], f2[2])
+                self.assertEqual(f1[0], f2[0])
+                self.assertEqual(f1[2], f2[2])
                 if f1[2] == "file":
                     osutils.compare_files(open(f1[4]), open(f2[4]))
 

=== modified file 'bzrlib/tests/per_controldir/test_push.py'
--- bzrlib/tests/per_controldir/test_push.py	2010-08-27 17:53:08 +0000
+++ bzrlib/tests/per_controldir/test_push.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009, 2010 Canonical Ltd
+# Copyright (C) 2009, 2010, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -34,17 +34,17 @@
         tree = self.create_simple_tree()
         dir = self.make_repository('dir').bzrdir
         result = dir.push_branch(tree.branch)
-        self.assertEquals(tree.branch, result.source_branch)
-        self.assertEquals(dir.open_branch().base, result.target_branch.base)
-        self.assertEquals(dir.open_branch().base,
+        self.assertEqual(tree.branch, result.source_branch)
+        self.assertEqual(dir.open_branch().base, result.target_branch.base)
+        self.assertEqual(dir.open_branch().base,
             tree.branch.get_push_location())
 
     def test_push_new_empty(self):
         tree = self.make_branch_and_tree('tree')
         dir = self.make_repository('dir').bzrdir
         result = dir.push_branch(tree.branch)
-        self.assertEquals(tree.branch.base, result.source_branch.base)
-        self.assertEquals(dir.open_branch().base,
+        self.assertEqual(tree.branch.base, result.source_branch.base)
+        self.assertEqual(dir.open_branch().base,
             result.target_branch.base)
 
     def test_push_incremental(self):
@@ -55,8 +55,8 @@
         tree.add(['b'])
         tree.commit('two', rev_id='r2')
         result = dir.push_branch(tree.branch)
-        self.assertEquals(tree.last_revision(),
+        self.assertEqual(tree.last_revision(),
             result.branch_push_result.new_revid)
-        self.assertEquals(2, result.branch_push_result.new_revno)
-        self.assertEquals(tree.branch.base, result.source_branch.base)
-        self.assertEquals(dir.open_branch().base, result.target_branch.base)
+        self.assertEqual(2, result.branch_push_result.new_revno)
+        self.assertEqual(tree.branch.base, result.source_branch.base)
+        self.assertEqual(dir.open_branch().base, result.target_branch.base)

=== modified file 'bzrlib/tests/per_controldir_colo/test_supported.py'
--- bzrlib/tests/per_controldir_colo/test_supported.py	2012-03-05 23:50:00 +0000
+++ bzrlib/tests/per_controldir_colo/test_supported.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2010 Canonical Ltd
+# Copyright (C) 2010, 2011, 2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -59,7 +59,7 @@
         made_control.create_repository()
         made_branch = made_control.create_branch("colo")
         self.assertIsInstance(made_branch, Branch)
-        self.assertEquals("colo", made_branch.name)
+        self.assertEqual("colo", made_branch.name)
         self.assertEqual(made_control, made_branch.bzrdir)
 
     def test_open_by_url(self):
@@ -83,7 +83,7 @@
         self.assertNotEqual(made_branch.user_url, other_branch.user_url)
         self.assertNotEqual(made_branch.control_url, other_branch.control_url)
         re_made_branch = Branch.open(made_branch.user_url)
-        self.assertEquals(re_made_branch.name, "colo")
+        self.assertEqual(re_made_branch.name, "colo")
         self.assertEqual(made_branch.control_url, re_made_branch.control_url)
         self.assertEqual(made_branch.user_url, re_made_branch.user_url)
 
@@ -105,7 +105,7 @@
             urlutils.join_segment_parameters(
                 other_branch.bzrdir.user_url, {"branch": "target"}))
         to_branch = to_dir.open_branch(name="target")
-        self.assertEquals(revid, to_branch.last_revision())
+        self.assertEqual(revid, to_branch.last_revision())
 
     def test_unicode(self):
         self.requireFeature(UnicodeFilenameFeature)
@@ -125,7 +125,7 @@
         self.assertTrue(
             u"col\xe9" in [b.name for b in made_control.list_branches()])
         made_branch = Branch.open(made_branch.user_url)
-        self.assertEquals(u"col\xe9", made_branch.name)
+        self.assertEqual(u"col\xe9", made_branch.name)
         made_control.destroy_branch(u"col\xe9")
 
     def test_get_branches(self):
@@ -154,5 +154,5 @@
         except errors.IncompatibleFormat:
             raise tests.TestNotApplicable(
                 'Control dir does not support creating branch references.')
-        self.assertEquals(referenced.base,
+        self.assertEqual(referenced.base,
             repo.bzrdir.get_branch_reference('foo'))

=== modified file 'bzrlib/tests/per_controldir_colo/test_unsupported.py'
--- bzrlib/tests/per_controldir_colo/test_unsupported.py	2012-01-28 00:56:56 +0000
+++ bzrlib/tests/per_controldir_colo/test_unsupported.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2010 Canonical Ltd
+# Copyright (C) 2010, 2011, 2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -43,7 +43,7 @@
             made_control = self.make_bzrdir('.', format=self.bzrdir_format)
         except errors.UninitializableFormat:
             raise tests.TestNotApplicable('Control dir format not initializable')
-        self.assertEquals(made_control._format, self.bzrdir_format)
+        self.assertEqual(made_control._format, self.bzrdir_format)
         made_repo = made_control.create_repository()
         return made_control
 

=== modified file 'bzrlib/tests/per_foreign_vcs/test_branch.py'
--- bzrlib/tests/per_foreign_vcs/test_branch.py	2011-05-13 08:37:15 +0000
+++ bzrlib/tests/per_foreign_vcs/test_branch.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009 Canonical Ltd
+# Copyright (C) 2009, 2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -101,7 +101,7 @@
     def test_null_revid_revno(self):
         """null: should return revno 0."""
         branch = self.make_branch()
-        self.assertEquals(0, branch.revision_id_to_revno(NULL_REVISION))
+        self.assertEqual(0, branch.revision_id_to_revno(NULL_REVISION))
 
     def test_get_stacked_on_url(self):
         """Test that get_stacked_on_url() behaves as expected.
@@ -119,9 +119,9 @@
 
     def test_last_revision_empty_branch(self):
         branch = self.make_empty_branch()
-        self.assertEquals(NULL_REVISION, branch.last_revision())
-        self.assertEquals(0, branch.revno())
-        self.assertEquals((0, NULL_REVISION), branch.last_revision_info())
+        self.assertEqual(NULL_REVISION, branch.last_revision())
+        self.assertEqual(0, branch.revno())
+        self.assertEqual((0, NULL_REVISION), branch.last_revision_info())
 
 
 class ForeignBranchFormatTests(TestCaseWithTransport):

=== modified file 'bzrlib/tests/per_interbranch/__init__.py'
--- bzrlib/tests/per_interbranch/__init__.py	2011-10-03 23:12:01 +0000
+++ bzrlib/tests/per_interbranch/__init__.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009, 2010 Canonical Ltd
+# Copyright (C) 2009, 2010, 2011, 2016 Canonical Ltd
 # -*- coding: utf-8 -*-
 #
 # This program is free software; you can redistribute it and/or modify
@@ -80,7 +80,7 @@
 
     def make_from_branch_and_memory_tree(self, relpath):
         """Create a branch on the default transport and a MemoryTree for it."""
-        self.assertEquals(
+        self.assertEqual(
             self.branch_format_from._matchingbzrdir.get_branch_format(),
             self.branch_format_from)
         return self.make_branch_and_memory_tree(
@@ -88,28 +88,28 @@
 
     def make_from_branch_and_tree(self, relpath):
         """Create a branch on the default transport and a working tree for it."""
-        self.assertEquals(
+        self.assertEqual(
             self.branch_format_from._matchingbzrdir.get_branch_format(),
             self.branch_format_from)
         return self.make_branch_and_tree(relpath,
             format=self.branch_format_from._matchingbzrdir)
 
     def make_from_branch_builder(self, relpath):
-        self.assertEquals(
+        self.assertEqual(
             self.branch_format_from._matchingbzrdir.get_branch_format(),
             self.branch_format_from)
         return branchbuilder.BranchBuilder(self.get_transport(relpath),
             format=self.branch_format_from._matchingbzrdir)
 
     def make_to_branch(self, relpath):
-        self.assertEquals(
+        self.assertEqual(
             self.branch_format_to._matchingbzrdir.get_branch_format(),
             self.branch_format_to)
         return self.make_branch(relpath, format=self.branch_format_to._matchingbzrdir)
 
     def make_to_branch_and_memory_tree(self, relpath):
         """Create a branch on the default transport and a MemoryTree for it."""
-        self.assertEquals(
+        self.assertEqual(
             self.branch_format_to._matchingbzrdir.get_branch_format(),
             self.branch_format_to)
         return self.make_branch_and_memory_tree(
@@ -117,7 +117,7 @@
 
     def make_to_branch_and_tree(self, relpath):
         """Create a branch on the default transport and a working tree for it."""
-        self.assertEquals(
+        self.assertEqual(
             self.branch_format_to._matchingbzrdir.get_branch_format(),
             self.branch_format_to)
         return self.make_branch_and_tree(relpath,
@@ -140,14 +140,14 @@
     def sprout_to(self, origdir, to_url):
         """Sprout a bzrdir, using to_format for the new branch."""
         wt = self._sprout(origdir, to_url, self.branch_format_to._matchingbzrdir)
-        self.assertEquals(wt.branch._format, self.branch_format_to)
+        self.assertEqual(wt.branch._format, self.branch_format_to)
         return wt.bzrdir
 
     def sprout_from(self, origdir, to_url):
         """Sprout a bzrdir, using from_format for the new bzrdir."""
         wt = self._sprout(origdir, to_url,
             self.branch_format_from._matchingbzrdir)
-        self.assertEquals(wt.branch._format, self.branch_format_from)
+        self.assertEqual(wt.branch._format, self.branch_format_from)
         return wt.bzrdir
 
 

=== modified file 'bzrlib/tests/per_interbranch/test_fetch.py'
--- bzrlib/tests/per_interbranch/test_fetch.py	2011-05-20 08:25:15 +0000
+++ bzrlib/tests/per_interbranch/test_fetch.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2011 Canonical Ltd
+# Copyright (C) 2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -36,7 +36,7 @@
         b2.fetch(b1)
 
         # fetch does not update the last revision
-        self.assertEquals(NULL_REVISION, b2.last_revision())
+        self.assertEqual(NULL_REVISION, b2.last_revision())
 
         rev = b2.repository.get_revision('revision-1')
         tree = b2.repository.revision_tree('revision-1')
@@ -58,9 +58,9 @@
         b2.fetch(b1, limit=1)
 
         # fetch does not update the last revision
-        self.assertEquals(NULL_REVISION, b2.last_revision())
+        self.assertEqual(NULL_REVISION, b2.last_revision())
 
-        self.assertEquals(
+        self.assertEqual(
             set(['revision-1']),
             b2.repository.has_revisions(
                 ['revision-1', 'revision-2', 'revision-3']))
@@ -76,7 +76,7 @@
         b2 = self.make_to_branch('b2')
         b2.fetch(b1, limit=1)
 
-        self.assertEquals(
+        self.assertEqual(
             set(['revision-1']),
             b2.repository.has_revisions(
                 ['revision-1', 'revision-2', 'revision-3']))
@@ -87,9 +87,9 @@
         b2.fetch(b1, limit=1)
 
         # fetch does not update the last revision
-        self.assertEquals(NULL_REVISION, b2.last_revision())
+        self.assertEqual(NULL_REVISION, b2.last_revision())
 
-        self.assertEquals(
+        self.assertEqual(
             set(['revision-1', 'revision-2']),
             b2.repository.has_revisions(
                 ['revision-1', 'revision-2', 'revision-3']))

=== modified file 'bzrlib/tests/per_interrepository/__init__.py'
--- bzrlib/tests/per_interrepository/__init__.py	2011-09-30 12:31:07 +0000
+++ bzrlib/tests/per_interrepository/__init__.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2010 Canonical Ltd
+# Copyright (C) 2006-2011, 2016 Canonical Ltd
 # Authors: Robert Collins <robert.collins@canonical.com>
 # -*- coding: utf-8 -*-
 #
@@ -160,7 +160,7 @@
             self.extra_setup(self)
 
     def get_default_format(self):
-        self.assertEquals(
+        self.assertEqual(
             self.repository_format._matchingbzrdir.repository_format,
             self.repository_format)
         return self.repository_format._matchingbzrdir

=== modified file 'bzrlib/tests/per_repository/__init__.py'
--- bzrlib/tests/per_repository/__init__.py	2012-06-26 12:33:14 +0000
+++ bzrlib/tests/per_repository/__init__.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2010 Canonical Ltd
+# Copyright (C) 2006-2012, 2016 Canonical Ltd
 # Authors: Robert Collins <robert.collins@canonical.com>
 #          and others
 #
@@ -94,7 +94,7 @@
 
     def get_default_format(self):
         format = self.repository_format._matchingbzrdir
-        self.assertEquals(format.repository_format, self.repository_format)
+        self.assertEqual(format.repository_format, self.repository_format)
         return format
 
     def make_repository(self, relpath, shared=None, format=None):

=== modified file 'bzrlib/tests/per_repository/test_commit_builder.py'
--- bzrlib/tests/per_repository/test_commit_builder.py	2012-01-30 14:18:22 +0000
+++ bzrlib/tests/per_repository/test_commit_builder.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2011 Canonical Ltd
+# Copyright (C) 2006-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -161,7 +161,7 @@
         finally:
             tree.unlock()
         actually_updated_branch = (tree.branch.last_revision() == rev_id)
-        self.assertEquals(actually_updated_branch, will_update_branch)
+        self.assertEqual(actually_updated_branch, will_update_branch)
 
     def test_commit_with_revision_id_record_entry_contents(self):
         tree = self.make_branch_and_tree(".")

=== modified file 'bzrlib/tests/per_repository/test_file_graph.py'
--- bzrlib/tests/per_repository/test_file_graph.py	2011-05-13 09:30:57 +0000
+++ bzrlib/tests/per_repository/test_file_graph.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2011 Canonical Ltd
+# Copyright (C) 2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -32,6 +32,6 @@
         revid2 = tree.commit("msg")
         self.addCleanup(tree.lock_read().unlock)
         graph = tree.branch.repository.get_file_graph()
-        self.assertEquals({
+        self.assertEqual({
             ("fileid", revid2): (("fileid", revid1),), ("fileid", revid1):()},
             graph.get_parent_map([("fileid", revid2), ("fileid", revid1)]))

=== modified file 'bzrlib/tests/per_repository/test_revision.py'
--- bzrlib/tests/per_repository/test_revision.py	2011-09-26 15:21:01 +0000
+++ bzrlib/tests/per_repository/test_revision.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 Canonical Ltd
+# Copyright (C) 2005, 2006, 2008, 2009, 2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -37,8 +37,8 @@
                  rev_id='test@user-1')
         rev = b.repository.get_revision('test@user-1')
         self.assertTrue('flavor' in rev.properties)
-        self.assertEquals(rev.properties['flavor'], 'choc-mint')
-        self.assertEquals([('branch-nick', 'Nicholas'),
+        self.assertEqual(rev.properties['flavor'], 'choc-mint')
+        self.assertEqual([('branch-nick', 'Nicholas'),
                            ('condiment', 'orange\n  mint\n\tcandy'),
                            ('empty', ''),
                            ('flavor', 'choc-mint'),
@@ -76,7 +76,7 @@
                       'unicode':u'\xb5',
                       'multiline':'foo\nbar\n\n'
                       })
-        self.assertEquals(tree1.branch.last_revision(), rev1)
+        self.assertEqual(tree1.branch.last_revision(), rev1)
         rev_a = tree1.branch.repository.get_revision(
                             tree1.branch.last_revision())
 

=== modified file 'bzrlib/tests/per_repository/test_signatures.py'
--- bzrlib/tests/per_repository/test_signatures.py	2012-03-11 17:06:17 +0000
+++ bzrlib/tests/per_repository/test_signatures.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2011 Canonical Ltd
+# Copyright (C) 2011, 2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -104,7 +104,7 @@
         wt = self.make_branch_and_tree('.')
         wt.commit("base", allow_pointless=True, rev_id='A')
         strategy = gpg.LoopbackGPGStrategy(None)
-        self.assertEquals(
+        self.assertEqual(
             (gpg.SIGNATURE_NOT_SIGNED, None),
             wt.branch.repository.verify_revision_signature('A', strategy))
 
@@ -122,7 +122,7 @@
                          'A').as_short_text() +
                          '-----END PSEUDO-SIGNED CONTENT-----\n',
                          repo.get_signature_text('A'))
-        self.assertEquals(
+        self.assertEqual(
             (gpg.SIGNATURE_VALID, None, ),
             repo.verify_revision_signature('A', strategy))
 
@@ -141,7 +141,7 @@
                          'A').as_short_text() +
                          '-----END PSEUDO-SIGNED CONTENT-----\n',
                          repo.get_signature_text('A'))
-        self.assertEquals(
+        self.assertEqual(
             [('A', gpg.SIGNATURE_VALID, None),
              ('B', gpg.SIGNATURE_NOT_SIGNED, None)],
             list(repo.verify_revision_signatures(['A', 'B'], strategy)))

=== modified file 'bzrlib/tests/per_repository/test_statistics.py'
--- bzrlib/tests/per_repository/test_statistics.py	2011-09-09 12:19:35 +0000
+++ bzrlib/tests/per_repository/test_statistics.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007 Canonical Ltd
+# Copyright (C) 2007, 2008, 2009, 2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -45,17 +45,17 @@
         self.assertEqual(stats['latestrev'], (1171491381.0, 0))
         self.assertEqual(stats['revisions'], 3)
         stats = tree.branch.repository.gather_stats(rev2, committers=True)
-        self.assertEquals(2, stats["committers"])
-        self.assertEquals((1170491381.0, 0), stats["firstrev"])
-        self.assertEquals((1171491381.0, 0), stats["latestrev"])
-        self.assertEquals(3, stats["revisions"])
+        self.assertEqual(2, stats["committers"])
+        self.assertEqual((1170491381.0, 0), stats["firstrev"])
+        self.assertEqual((1171491381.0, 0), stats["latestrev"])
+        self.assertEqual(3, stats["revisions"])
 
     def test_gather_stats_empty_repo(self):
         """An empty repository still has revisions."""
         tree = self.make_branch_and_memory_tree('.')
         # now ask for global repository stats.
         stats = tree.branch.repository.gather_stats()
-        self.assertEquals(0, stats['revisions'])
+        self.assertEqual(0, stats['revisions'])
         self.assertFalse("committers" in stats)
         self.assertFalse("firstrev" in stats)
         self.assertFalse("latestrev" in stats)

=== modified file 'bzrlib/tests/per_repository_reference/test_graph.py'
--- bzrlib/tests/per_repository_reference/test_graph.py	2011-10-01 11:39:29 +0000
+++ bzrlib/tests/per_repository_reference/test_graph.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2011 Canonical Ltd
+# Copyright (C) 2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -35,7 +35,7 @@
         """
         branch_a, branch_b, branch_c, revid_1 = self.make_double_stacked_branches()
         for br in [branch_a, branch_b, branch_c]:
-            self.assertEquals(
+            self.assertEqual(
                 [revid_1],
                 br.repository.get_known_graph_ancestry([revid_1]).topo_sort())
 

=== modified file 'bzrlib/tests/per_repository_vf/test_fileid_involved.py'
--- bzrlib/tests/per_repository_vf/test_fileid_involved.py	2011-10-06 00:14:01 +0000
+++ bzrlib/tests/per_repository_vf/test_fileid_involved.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2010 Canonical Ltd
+# Copyright (C) 2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -319,7 +319,7 @@
                     unique_revs)
                 l1 = set(l1.keys())
                 l2 = self.compare_tree_fileids(self.branch, start_id, end_id)
-                self.assertEquals(l1, l2)
+                self.assertEqual(l1, l2)
 
 
 class TestFileIdInvolvedNonAscii(FileIdInvolvedBase):

=== modified file 'bzrlib/tests/per_repository_vf/test_repository.py'
--- bzrlib/tests/per_repository_vf/test_repository.py	2012-06-26 12:30:00 +0000
+++ bzrlib/tests/per_repository_vf/test_repository.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2011 Canonical Ltd
+# Copyright (C) 2011, 2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -167,7 +167,7 @@
         repo.commit_write_group()
         repo.unlock()
         repo.lock_read()
-        self.assertEquals(inv_sha1, repo.get_revision('A').inventory_sha1)
+        self.assertEqual(inv_sha1, repo.get_revision('A').inventory_sha1)
         repo.unlock()
 
     def test_install_revisions(self):

=== modified file 'bzrlib/tests/per_transport.py'
--- bzrlib/tests/per_transport.py	2016-01-22 08:02:12 +0000
+++ bzrlib/tests/per_transport.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2011, 2016 Canonical Ltd
+# Copyright (C) 2005-2011, 2015, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -988,14 +988,14 @@
         # perhaps all of this could be done in a subdirectory
 
         t.put_bytes('a', 'a first file\n')
-        self.assertEquals([True, False], list(t.has_multi(['a', 'b'])))
+        self.assertEqual([True, False], list(t.has_multi(['a', 'b'])))
 
         t.move('a', 'b')
         self.assertTrue(t.has('b'))
         self.assertFalse(t.has('a'))
 
         self.check_transport_contents('a first file\n', t, 'b')
-        self.assertEquals([False, True], list(t.has_multi(['a', 'b'])))
+        self.assertEqual([False, True], list(t.has_multi(['a', 'b'])))
 
         # Overwrite a file
         t.put_bytes('c', 'c this file\n')
@@ -1194,11 +1194,11 @@
             raise TestSkipped("not a connected transport")
 
         t2 = t1.clone('subdir')
-        self.assertEquals(t1._parsed_url.scheme, t2._parsed_url.scheme)
-        self.assertEquals(t1._parsed_url.user, t2._parsed_url.user)
-        self.assertEquals(t1._parsed_url.password, t2._parsed_url.password)
-        self.assertEquals(t1._parsed_url.host, t2._parsed_url.host)
-        self.assertEquals(t1._parsed_url.port, t2._parsed_url.port)
+        self.assertEqual(t1._parsed_url.scheme, t2._parsed_url.scheme)
+        self.assertEqual(t1._parsed_url.user, t2._parsed_url.user)
+        self.assertEqual(t1._parsed_url.password, t2._parsed_url.password)
+        self.assertEqual(t1._parsed_url.host, t2._parsed_url.host)
+        self.assertEqual(t1._parsed_url.port, t2._parsed_url.port)
 
     def test__reuse_for(self):
         t = self.get_transport()
@@ -1768,7 +1768,7 @@
         """Segment parameters should be stripped and stored in
         transport.segment_parameters."""
         transport = self.get_transport("foo")
-        self.assertEquals({}, transport.get_segment_parameters())
+        self.assertEqual({}, transport.get_segment_parameters())
 
     def test_segment_parameters(self):
         """Segment parameters should be stripped and stored in
@@ -1777,19 +1777,19 @@
         parameters = {"key1": "val1", "key2": "val2"}
         url = urlutils.join_segment_parameters(base_url, parameters)
         transport = _mod_transport.get_transport_from_url(url)
-        self.assertEquals(parameters, transport.get_segment_parameters())
+        self.assertEqual(parameters, transport.get_segment_parameters())
 
     def test_set_segment_parameters(self):
         """Segment parameters can be set and show up in base."""
         transport = self.get_transport("foo")
         orig_base = transport.base
         transport.set_segment_parameter("arm", "board")
-        self.assertEquals("%s,arm=board" % orig_base, transport.base)
-        self.assertEquals({"arm": "board"}, transport.get_segment_parameters())
+        self.assertEqual("%s,arm=board" % orig_base, transport.base)
+        self.assertEqual({"arm": "board"}, transport.get_segment_parameters())
         transport.set_segment_parameter("arm", None)
         transport.set_segment_parameter("nonexistant", None)
-        self.assertEquals({}, transport.get_segment_parameters())
-        self.assertEquals(orig_base, transport.base)
+        self.assertEqual({}, transport.get_segment_parameters())
+        self.assertEqual(orig_base, transport.base)
 
     def test_stat_symlink(self):
         # if a transport points directly to a symlink (and supports symlinks

=== modified file 'bzrlib/tests/per_tree/test_ids.py'
--- bzrlib/tests/per_tree/test_ids.py	2012-03-05 17:29:08 +0000
+++ bzrlib/tests/per_tree/test_ids.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2012 Canonical Ltd
+# Copyright (C) 2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -16,9 +16,10 @@
 
 from bzrlib import (
     errors,
-    )
+)
 from bzrlib.tests.per_tree import TestCaseWithTree
 
+
 class IdTests(TestCaseWithTree):
 
     def setUp(self):
@@ -30,22 +31,22 @@
         self.tree_a = self.workingtree_to_test_tree(work_a)
 
     def test_path2id(self):
-        self.assertEquals('bla-id', self.tree_a.path2id('bla'))
-        self.assertEquals('dir-id', self.tree_a.path2id('dir'))
+        self.assertEqual('bla-id', self.tree_a.path2id('bla'))
+        self.assertEqual('dir-id', self.tree_a.path2id('dir'))
         self.assertIs(None, self.tree_a.path2id('idontexist'))
 
     def test_path2id_list(self):
-        self.assertEquals('bla-id', self.tree_a.path2id(['bla']))
-        self.assertEquals('dir-id', self.tree_a.path2id(['dir']))
-        self.assertEquals('file-id', self.tree_a.path2id(['dir', 'file']))
-        self.assertEquals(self.tree_a.get_root_id(),
-            self.tree_a.path2id([]))
+        self.assertEqual('bla-id', self.tree_a.path2id(['bla']))
+        self.assertEqual('dir-id', self.tree_a.path2id(['dir']))
+        self.assertEqual('file-id', self.tree_a.path2id(['dir', 'file']))
+        self.assertEqual(self.tree_a.get_root_id(),
+                         self.tree_a.path2id([]))
         self.assertIs(None, self.tree_a.path2id(['idontexist']))
         self.assertIs(None, self.tree_a.path2id(['dir', 'idontexist']))
 
     def test_id2path(self):
         self.addCleanup(self.tree_a.lock_read().unlock)
-        self.assertEquals('bla', self.tree_a.id2path('bla-id'))
-        self.assertEquals('dir', self.tree_a.id2path('dir-id'))
-        self.assertEquals('dir/file', self.tree_a.id2path('file-id'))
+        self.assertEqual('bla', self.tree_a.id2path('bla-id'))
+        self.assertEqual('dir', self.tree_a.id2path('dir-id'))
+        self.assertEqual('dir/file', self.tree_a.id2path('file-id'))
         self.assertRaises(errors.NoSuchId, self.tree_a.id2path, 'nonexistant')

=== modified file 'bzrlib/tests/per_tree/test_iter_search_rules.py'
--- bzrlib/tests/per_tree/test_iter_search_rules.py	2010-02-17 17:11:16 +0000
+++ bzrlib/tests/per_tree/test_iter_search_rules.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008, 2009, 2010 Canonical Ltd
+# Copyright (C) 2008, 2009, 2010, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -18,7 +18,7 @@
 
 from bzrlib import (
     rules,
-    )
+)
 from bzrlib.tests.per_tree import TestCaseWithTree
 
 
@@ -47,9 +47,9 @@
             "[name *.txt]\nfoo=bar\na=True\n")
         tree = self.make_tree_with_rules(None)
         result = list(tree.iter_search_rules(['a.txt', 'dir/a.txt'],
-            _default_searcher=per_user))
-        self.assertEquals((('foo', 'baz'),), result[0])
-        self.assertEquals((('foo', 'bar'), ('a', 'True')), result[1])
+                                             _default_searcher=per_user))
+        self.assertEqual((('foo', 'baz'),), result[0])
+        self.assertEqual((('foo', 'bar'), ('a', 'True')), result[1])
 
     def _disabled_test_iter_search_rules_just_tree(self):
         per_user = self.make_per_user_searcher('')
@@ -60,9 +60,9 @@
             "foo=bar\n"
             "a=True\n")
         result = list(tree.iter_search_rules(['a.txt', 'dir/a.txt'],
-            _default_searcher=per_user))
-        self.assertEquals((('foo', 'baz'),), result[0])
-        self.assertEquals((('foo', 'bar'), ('a', 'True')), result[1])
+                                             _default_searcher=per_user))
+        self.assertEqual((('foo', 'baz'),), result[0])
+        self.assertEqual((('foo', 'bar'), ('a', 'True')), result[1])
 
     def _disabled_test_iter_search_rules_tree_and_per_user(self):
         per_user = self.make_per_user_searcher(
@@ -72,6 +72,6 @@
             "[name ./a.txt]\n"
             "foo=qwerty\n")
         result = list(tree.iter_search_rules(['a.txt', 'dir/a.txt'],
-            _default_searcher=per_user))
-        self.assertEquals((('foo', 'qwerty'),), result[0])
-        self.assertEquals((('foo', 'bar'), ('a', 'True')), result[1])
+                                             _default_searcher=per_user))
+        self.assertEqual((('foo', 'qwerty'),), result[0])
+        self.assertEqual((('foo', 'bar'), ('a', 'True')), result[1])

=== modified file 'bzrlib/tests/per_tree/test_tree.py'
--- bzrlib/tests/per_tree/test_tree.py	2012-02-21 13:35:17 +0000
+++ bzrlib/tests/per_tree/test_tree.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2007 Canonical Ltd
+# Copyright (C) 2006-2009, 2011, 2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -346,7 +346,7 @@
         tree.lock_read()
         self.addCleanup(tree.unlock)
         (kind, data) = tree.get_file_verifier('file-id-1')
-        self.assertEquals(
+        self.assertEqual(
             tree.get_file_verifier('file-id-1'),
             tree.get_file_verifier('file-id-2'))
         if kind == "SHA1":

=== modified file 'bzrlib/tests/per_uifactory/__init__.py'
--- bzrlib/tests/per_uifactory/__init__.py	2011-08-19 22:34:02 +0000
+++ bzrlib/tests/per_uifactory/__init__.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009, 2010, 2011 Canonical Ltd
+# Copyright (C) 2009, 2010, 2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -58,9 +58,9 @@
 
     def test_be_quiet(self):
         self.factory.be_quiet(True)
-        self.assertEquals(True, self.factory.is_quiet())
+        self.assertEqual(True, self.factory.is_quiet())
         self.factory.be_quiet(False)
-        self.assertEquals(False, self.factory.is_quiet())
+        self.assertEqual(False, self.factory.is_quiet())
 
     def test_confirm_action(self):
         # confirm_action should be answered by every ui factory; even
@@ -71,7 +71,7 @@
             {})
         # will be true either because we read it from the input or because
         # that's the default
-        self.assertEquals(result, True)
+        self.assertEqual(result, True)
 
     def test_note(self):
         self.factory.note("a note to the user")
@@ -128,23 +128,23 @@
             self.stderr)
 
     def _check_note(self, note_text):
-        self.assertEquals("%s\n" % note_text,
+        self.assertEqual("%s\n" % note_text,
             self.stdout.getvalue())
 
     def _check_show_error(self, msg):
-        self.assertEquals("bzr: error: %s\n" % msg,
+        self.assertEqual("bzr: error: %s\n" % msg,
             self.stderr.getvalue())
-        self.assertEquals("", self.stdout.getvalue())
+        self.assertEqual("", self.stdout.getvalue())
 
     def _check_show_message(self, msg):
-        self.assertEquals("%s\n" % msg,
+        self.assertEqual("%s\n" % msg,
             self.stdout.getvalue())
-        self.assertEquals("", self.stderr.getvalue())
+        self.assertEqual("", self.stderr.getvalue())
 
     def _check_show_warning(self, msg):
-        self.assertEquals("bzr: warning: %s\n" % msg,
+        self.assertEqual("bzr: warning: %s\n" % msg,
             self.stderr.getvalue())
-        self.assertEquals("", self.stdout.getvalue())
+        self.assertEqual("", self.stdout.getvalue())
 
     def _check_log_transport_activity_noarg(self):
         self.assertEqual('', self.stdout.getvalue())

=== modified file 'bzrlib/tests/per_versionedfile.py'
--- bzrlib/tests/per_versionedfile.py	2012-08-04 14:27:47 +0000
+++ bzrlib/tests/per_versionedfile.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2011 Canonical Ltd
+# Copyright (C) 2006-2012, 2016 Canonical Ltd
 #
 # Authors:
 #   Johan Rydberg <jrydberg@gnu.org>
@@ -182,9 +182,9 @@
             versions = f.versions()
             self.assertTrue('r0' in versions)
             self.assertTrue('r1' in versions)
-            self.assertEquals(f.get_lines('r0'), ['a\n', 'b\n'])
-            self.assertEquals(f.get_text('r0'), 'a\nb\n')
-            self.assertEquals(f.get_lines('r1'), ['b\n', 'c\n'])
+            self.assertEqual(f.get_lines('r0'), ['a\n', 'b\n'])
+            self.assertEqual(f.get_text('r0'), 'a\nb\n')
+            self.assertEqual(f.get_lines('r1'), ['b\n', 'c\n'])
             self.assertEqual(2, len(f))
             self.assertEqual(2, f.num_versions())
 
@@ -216,16 +216,16 @@
             self.assertTrue('r0' in versions)
             self.assertTrue('r1' in versions)
             self.assertTrue('r2' in versions)
-            self.assertEquals(f.get_lines('r0'), ['a\n', 'b\n'])
-            self.assertEquals(f.get_lines('r1'), ['b\n', 'c\n'])
-            self.assertEquals(f.get_lines('r2'), ['c\n', 'd\n'])
+            self.assertEqual(f.get_lines('r0'), ['a\n', 'b\n'])
+            self.assertEqual(f.get_lines('r1'), ['b\n', 'c\n'])
+            self.assertEqual(f.get_lines('r2'), ['c\n', 'd\n'])
             self.assertEqual(3, f.num_versions())
             origins = f.annotate('r1')
-            self.assertEquals(origins[0][0], 'r0')
-            self.assertEquals(origins[1][0], 'r1')
+            self.assertEqual(origins[0][0], 'r0')
+            self.assertEqual(origins[1][0], 'r1')
             origins = f.annotate('r2')
-            self.assertEquals(origins[0][0], 'r1')
-            self.assertEquals(origins[1][0], 'r2')
+            self.assertEqual(origins[0][0], 'r1')
+            self.assertEqual(origins[1][0], 'r2')
 
         verify_file(f)
         f = self.reopen_file()
@@ -595,8 +595,8 @@
         f.add_lines('r0', [], ['a\n', 'b\n'])
         f.add_lines('r1', ['r0'], ['c\n', 'b\n'])
         origins = f.annotate('r1')
-        self.assertEquals(origins[0][0], 'r1')
-        self.assertEquals(origins[1][0], 'r0')
+        self.assertEqual(origins[0][0], 'r1')
+        self.assertEqual(origins[1][0], 'r0')
 
         self.assertRaises(RevisionNotPresent,
             f.annotate, 'foo')
@@ -746,9 +746,9 @@
                                  ['base', 'a_ghost'],
                                  ['line\n', 'line_b\n', 'line_c\n'])
         origins = vf.annotate('references_ghost')
-        self.assertEquals(('base', 'line\n'), origins[0])
-        self.assertEquals(('base', 'line_b\n'), origins[1])
-        self.assertEquals(('references_ghost', 'line_c\n'), origins[2])
+        self.assertEqual(('base', 'line\n'), origins[0])
+        self.assertEqual(('base', 'line_b\n'), origins[1])
+        self.assertEqual(('references_ghost', 'line_c\n'), origins[2])
 
     def test_readonly_mode(self):
         t = self.get_transport()
@@ -2768,37 +2768,37 @@
                           [])
 
     def test_get_sha1s_nonexistent(self):
-        self.assertEquals({}, self.texts.get_sha1s([("NONEXISTENT",)]))
+        self.assertEqual({}, self.texts.get_sha1s([("NONEXISTENT",)]))
 
     def test_get_sha1s(self):
         self._lines["key"] = ["dataline1", "dataline2"]
-        self.assertEquals({("key",): osutils.sha_strings(self._lines["key"])},
+        self.assertEqual({("key",): osutils.sha_strings(self._lines["key"])},
                            self.texts.get_sha1s([("key",)]))
 
     def test_get_parent_map(self):
         self._parent_map = {"G": ("A", "B")}
-        self.assertEquals({("G",): (("A",),("B",))},
+        self.assertEqual({("G",): (("A",),("B",))},
                           self.texts.get_parent_map([("G",), ("L",)]))
 
     def test_get_record_stream(self):
         self._lines["A"] = ["FOO", "BAR"]
         it = self.texts.get_record_stream([("A",)], "unordered", True)
         record = it.next()
-        self.assertEquals("chunked", record.storage_kind)
-        self.assertEquals("FOOBAR", record.get_bytes_as("fulltext"))
-        self.assertEquals(["FOO", "BAR"], record.get_bytes_as("chunked"))
+        self.assertEqual("chunked", record.storage_kind)
+        self.assertEqual("FOOBAR", record.get_bytes_as("fulltext"))
+        self.assertEqual(["FOO", "BAR"], record.get_bytes_as("chunked"))
 
     def test_get_record_stream_absent(self):
         it = self.texts.get_record_stream([("A",)], "unordered", True)
         record = it.next()
-        self.assertEquals("absent", record.storage_kind)
+        self.assertEqual("absent", record.storage_kind)
 
     def test_iter_lines_added_or_present_in_keys(self):
         self._lines["A"] = ["FOO", "BAR"]
         self._lines["B"] = ["HEY"]
         self._lines["C"] = ["Alberta"]
         it = self.texts.iter_lines_added_or_present_in_keys([("A",), ("B",)])
-        self.assertEquals(sorted([("FOO", "A"), ("BAR", "A"), ("HEY", "B")]),
+        self.assertEqual(sorted([("FOO", "A"), ("BAR", "A"), ("HEY", "B")]),
             sorted(list(it)))
 
 

=== modified file 'bzrlib/tests/per_workingtree/test_basis_inventory.py'
--- bzrlib/tests/per_workingtree/test_basis_inventory.py	2012-01-30 14:18:22 +0000
+++ bzrlib/tests/per_workingtree/test_basis_inventory.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004, 2005, 2008 Canonical Ltd
+# Copyright (C) 2005-2009, 2011, 2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -41,7 +41,7 @@
         self.assertTrue(t._transport.has('basis-inventory-cache'))
 
         basis_inv = t.basis_tree().root_inventory
-        self.assertEquals('r1', basis_inv.revision_id)
+        self.assertEqual('r1', basis_inv.revision_id)
 
         store_inv = b.repository.get_inventory('r1')
         self.assertEqual([], store_inv._make_delta(basis_inv))
@@ -54,7 +54,7 @@
 
         basis_inv_txt = t.read_basis_inventory()
         basis_inv = bzrlib.xml7.serializer_v7.read_inventory_from_string(basis_inv_txt)
-        self.assertEquals('r2', basis_inv.revision_id)
+        self.assertEqual('r2', basis_inv.revision_id)
         store_inv = b.repository.get_inventory('r2')
 
         self.assertEqual([], store_inv._make_delta(basis_inv))

=== modified file 'bzrlib/tests/per_workingtree/test_content_filters.py'
--- bzrlib/tests/per_workingtree/test_content_filters.py	2012-02-23 23:26:35 +0000
+++ bzrlib/tests/per_workingtree/test_content_filters.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008, 2009, 2010 Canonical Ltd
+# Copyright (C) 2008, 2009, 2010, 2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -237,15 +237,15 @@
         self.addCleanup(source.unlock)
 
         expected_canonical_form = 'Foo Txt\nend string\n'
-        self.assertEquals(source.get_file(txt_fileid, filtered=True).read(),
+        self.assertEqual(source.get_file(txt_fileid, filtered=True).read(),
             expected_canonical_form)
-        self.assertEquals(source.get_file(txt_fileid, filtered=False).read(),
+        self.assertEqual(source.get_file(txt_fileid, filtered=False).read(),
             'Foo Txt')
 
         # results are: kind, size, executable, sha1_or_link_target
         result = source.path_content_summary('file1.txt')
 
-        self.assertEquals(result,
+        self.assertEqual(result,
             ('file', None, False, None))
 
         # we could give back the length of the canonical form, but in general

=== modified file 'bzrlib/tests/per_workingtree/test_executable.py'
--- bzrlib/tests/per_workingtree/test_executable.py	2012-09-19 07:58:27 +0000
+++ bzrlib/tests/per_workingtree/test_executable.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 Canonical Ltd
+# Copyright (C) 2006, 2007, 2009, 2011, 2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -147,8 +147,8 @@
 
         # Make sure pull will delete the files
         wt2.pull(self.wt.branch)
-        self.assertEquals(['r2'], wt2.get_parent_ids())
-        self.assertEquals('r2', wt2.branch.last_revision())
+        self.assertEqual(['r2'], wt2.get_parent_ids())
+        self.assertEqual('r2', wt2.branch.last_revision())
         self.check_empty(wt2)
 
         # Now restore the files on the first branch and commit
@@ -161,8 +161,8 @@
         self.check_exist(self.wt)
 
         wt2.pull(self.wt.branch)
-        self.assertEquals(['r3'], wt2.get_parent_ids())
-        self.assertEquals('r3', wt2.branch.last_revision())
+        self.assertEqual(['r3'], wt2.get_parent_ids())
+        self.assertEqual('r3', wt2.branch.last_revision())
         self.check_exist(wt2)
 
     def test_08_no_op_revert(self):

=== modified file 'bzrlib/tests/per_workingtree/test_pull.py'
--- bzrlib/tests/per_workingtree/test_pull.py	2012-01-27 21:48:58 +0000
+++ bzrlib/tests/per_workingtree/test_pull.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2007, 2009, 2010 Canonical Ltd
+# Copyright (C) 2006, 2007, 2009-2012, 2016 Canonical Ltd
 # Authors:  Robert Collins <robert.collins@canonical.com>
 #
 # This program is free software; you can redistribute it and/or modify
@@ -35,7 +35,7 @@
         tree_a, tree_b = self.get_pullable_trees()
         root_id = tree_a.get_root_id()
         tree_a.pull(tree_b.branch, stop_revision=NULL_REVISION, overwrite=True)
-        self.assertEquals(root_id, tree_a.get_root_id())
+        self.assertEqual(root_id, tree_a.get_root_id())
 
     def test_pull(self):
         tree_a, tree_b = self.get_pullable_trees()

=== modified file 'bzrlib/tests/per_workingtree/test_remove.py'
--- bzrlib/tests/per_workingtree/test_remove.py	2012-09-06 09:29:30 +0000
+++ bzrlib/tests/per_workingtree/test_remove.py	2016-02-01 16:52:49 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007-2010 Canonical Ltd
+# Copyright (C) 2007-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -184,13 +184,13 @@
         ignores.add_runtime_ignores(["*ignored*"])
 
         self.build_tree(['unknown_ignored_file'])
-        self.assertNotEquals(None, tree.is_ignored('unknown_ignored_file'))
+        self.assertNotEqual(None, tree.is_ignored('unknown_ignored_file'))
         tree.remove('unknown_ignored_file', keep_files=False)
         self.assertRemovedAndDeleted('unknown_ignored_file')
 
         self.build_tree(['b/unknown_ignored_file', 'b/unknown_ignored_dir/'])
-        self.assertNotEquals(None, tree.is_ignored('b/unknown_ignored_file'))
-        self.assertNotEquals(None, tree.is_ignored('b/unknown_ignored_dir'))
+        self.assertNotEqual(None, tree.is_ignored('b/unknown_ignored_file'))
+        self.assertNotEqual(None, tree.is_ignored('b/unknown_ignored_dir'))
         tree.remove('b', keep_files=False)
         self.assertRemovedAndDeleted('b')
         tree._validate()
@@ -202,7 +202,7 @@
         tree.add(files)
         ignores.add_runtime_ignores(["*ignored*"])
         self.assertInWorkingTree(files)
-        self.assertNotEquals(None, tree.is_ignored(files[0]))
+        self.assertNotEqual(None, tree.is_ignored(files[0]))
 
         tree.remove(files, keep_files=False)
         self.assertNotInWorkingTree(files)

=== modified file 'bzrlib/tests/per_workingtree/test_smart_add.py'
--- bzrlib/tests/per_workingtree/test_smart_add.py	2012-09-06 09:29:30 +0000
+++ bzrlib/tests/per_workingtree/test_smart_add.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007, 2009, 2010 Canonical Ltd
+# Copyright (C) 2007, 2009-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -102,7 +102,7 @@
         self.overrideAttr(trace, 'warning', warning)
         wt.smart_add((u".",))
         self.assertIs(wt.path2id("nested"), None)
-        self.assertEquals(
+        self.assertEqual(
             ['skipping nested tree %r' % nested_wt.basedir], warnings)
 
     def test_add_dot_from_subdir(self):

=== modified file 'bzrlib/tests/per_workingtree/test_symlinks.py'
--- bzrlib/tests/per_workingtree/test_symlinks.py	2011-07-25 02:51:30 +0000
+++ bzrlib/tests/per_workingtree/test_symlinks.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2010 Canonical Ltd
+# Copyright (C) 2010, 2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -67,7 +67,7 @@
             ('tree/dir/',),
             ('tree/dir/file', 'content'),
             ])
-        self.assertEquals(
+        self.assertEqual(
             tree.smart_add(['tree/link/file']),
             ([u'dir', u'dir/file'], {}))
         # should add the actual parent directory, not the apparent parent
@@ -103,12 +103,12 @@
         tree.commit('change to dir')
         tree.lock_read()
         self.addCleanup(tree.unlock)
-        self.assertEquals([], list(tree.iter_changes(tree.basis_tree())))
+        self.assertEqual([], list(tree.iter_changes(tree.basis_tree())))
         if tree._format.supports_versioned_directories:
-            self.assertEquals(
+            self.assertEqual(
                 ['a', 'a/f'], sorted(info[0] for info in tree.list_files()))
         else:
-            self.assertEquals([], list(tree.list_files()))
+            self.assertEqual([], list(tree.list_files()))
 
     def test_dir_changes_to_symlink(self):
         # <https://bugs.launchpad.net/bzr/+bug/192859>:
@@ -148,7 +148,7 @@
     def check_open_containing(self, to_open, expected_tree_name,
         expected_relpath):
         wt, relpath = workingtree.WorkingTree.open_containing(to_open)
-        self.assertEquals(relpath, expected_relpath)
+        self.assertEqual(relpath, expected_relpath)
         self.assertEndsWith(wt.basedir, expected_tree_name)
 
     def test_tree_files(self):
@@ -166,7 +166,7 @@
     def check_tree_files(self, to_open, expected_tree, expect_paths):
         tree, relpaths = workingtree.WorkingTree.open_containing_paths(to_open)
         self.assertEndsWith(tree.basedir, expected_tree)
-        self.assertEquals(expect_paths, relpaths)
+        self.assertEqual(expect_paths, relpaths)
 
     def make_test_tree(self):
         tree = self.make_branch_and_tree('tree')

=== modified file 'bzrlib/tests/per_workingtree/test_views.py'
--- bzrlib/tests/per_workingtree/test_views.py	2012-09-19 07:58:27 +0000
+++ bzrlib/tests/per_workingtree/test_views.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008 Canonical Ltd
+# Copyright (C) 2008, 2009, 2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -56,24 +56,24 @@
             'other-name': ['dir-2']}
         wt.views.set_view_info(view_current, view_dict)
         current, views = wt.views.get_view_info()
-        self.assertEquals(view_current, current)
-        self.assertEquals(view_dict, views)
+        self.assertEqual(view_current, current)
+        self.assertEqual(view_dict, views)
         # then reopen the tree and see they're still there
         wt = WorkingTree.open('wt')
         current, views = wt.views.get_view_info()
-        self.assertEquals(view_current, current)
-        self.assertEquals(view_dict, views)
+        self.assertEqual(view_current, current)
+        self.assertEqual(view_dict, views)
         # test setting a current view which does not exist
         self.assertRaises(errors.NoSuchView,
             wt.views.set_view_info, 'yet-another', view_dict)
         current, views = wt.views.get_view_info()
-        self.assertEquals(view_current, current)
-        self.assertEquals(view_dict, views)
+        self.assertEqual(view_current, current)
+        self.assertEqual(view_dict, views)
         # test clearing the current view
         wt.views.set_view_info(None, view_dict)
         current, views = wt.views.get_view_info()
-        self.assertEquals(None, current)
-        self.assertEquals(view_dict, views)
+        self.assertEqual(None, current)
+        self.assertEqual(view_dict, views)
 
     def test_lookup_view(self):
         wt = self.make_branch_and_tree('wt')
@@ -94,13 +94,13 @@
         # test that set_view sets the current view by default
         wt.views.set_view('view-1', ['dir-1'])
         current, views = wt.views.get_view_info()
-        self.assertEquals('view-1', current)
-        self.assertEquals({'view-1': ['dir-1']}, views)
+        self.assertEqual('view-1', current)
+        self.assertEqual({'view-1': ['dir-1']}, views)
         # test adding a view and not making it the current one
         wt.views.set_view('view-2', ['dir-2'], make_current=False)
         current, views = wt.views.get_view_info()
-        self.assertEquals('view-1', current)
-        self.assertEquals({'view-1': ['dir-1'], 'view-2': ['dir-2']}, views)
+        self.assertEqual('view-1', current)
+        self.assertEqual({'view-1': ['dir-1'], 'view-2': ['dir-2']}, views)
 
     def test_unicode_view(self):
         wt = self.make_branch_and_tree('wt')
@@ -109,16 +109,16 @@
         view_dict = {view_name: view_files}
         wt.views.set_view_info(view_name, view_dict)
         current, views = wt.views.get_view_info()
-        self.assertEquals(view_name, current)
-        self.assertEquals(view_dict, views)
+        self.assertEqual(view_name, current)
+        self.assertEqual(view_dict, views)
 
     def test_no_such_view(self):
         wt = self.make_branch_and_tree('wt')
         try:
             wt.views.lookup_view('opaque')
         except errors.NoSuchView, e:
-            self.assertEquals(e.view_name, 'opaque')
-            self.assertEquals(str(e), 'No such view: opaque.')
+            self.assertEqual(e.view_name, 'opaque')
+            self.assertEqual(str(e), 'No such view: opaque.')
         else:
             self.fail("didn't get expected exception")
 
@@ -133,7 +133,7 @@
         self.assertRaises(errors.NoSuchView,
             wt.views.lookup_view, view_name)
         # and it's not in the dictionary
-        self.assertEquals(wt.views.get_view_info()[1], {})
+        self.assertEqual(wt.views.get_view_info()[1], {})
         # and you can't remove it a second time
         self.assertRaises(errors.NoSuchView,
             wt.views.delete_view, view_name)

=== modified file 'bzrlib/tests/per_workingtree/test_workingtree.py'
--- bzrlib/tests/per_workingtree/test_workingtree.py	2012-09-19 07:58:27 +0000
+++ bzrlib/tests/per_workingtree/test_workingtree.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2011 Canonical Ltd
+# Copyright (C) 2006-2012, 2016 Canonical Ltd
 # Authors:  Robert Collins <robert.collins@canonical.com>
 #           and others
 #
@@ -238,7 +238,7 @@
         tree = self.make_branch_and_tree('.')
         self.build_tree(['hello.txt'])
         tree.add('hello.txt')
-        self.assertEquals(list(tree.unknowns()),
+        self.assertEqual(list(tree.unknowns()),
                           [])
 
     def test_unknowns(self):
@@ -247,7 +247,7 @@
                          'hello.txt.~1~'])
         self.build_tree_contents([('.bzrignore', '*.~*\n')])
         tree.add('.bzrignore')
-        self.assertEquals(list(tree.unknowns()),
+        self.assertEqual(list(tree.unknowns()),
                           ['hello.txt'])
 
     def test_initialize(self):
@@ -681,11 +681,11 @@
             tree.add(['somefile'], ['file-id'])
             tree.set_merge_modified(d)
             mm = tree.merge_modified()
-            self.assertEquals(mm, d)
+            self.assertEqual(mm, d)
         finally:
             tree.unlock()
         mm = tree.merge_modified()
-        self.assertEquals(mm, d)
+        self.assertEqual(mm, d)
 
     def test_conflicts(self):
         from bzrlib.tests.test_conflicts import example_conflicts
@@ -1216,7 +1216,7 @@
         self.overrideAttr(trace, 'warning', warning)
         self.assertEqual(10, wt._worth_saving_limit())
         self.assertLength(1, warnings)
-        self.assertEquals('Value "a" is not valid for'
+        self.assertEqual('Value "a" is not valid for'
                           ' "bzr.workingtree.worth_saving_limit"',
                           warnings[0])
 

=== modified file 'bzrlib/tests/test__bencode.py'
--- bzrlib/tests/test__bencode.py	2010-09-17 04:32:50 +0000
+++ bzrlib/tests/test__bencode.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007, 2009, 2010 Canonical Ltd
+# Copyright (C) 2007, 2009, 2010, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -31,7 +31,7 @@
     module = None
 
     def _check(self, expected, source):
-        self.assertEquals(expected, self.module.bdecode(source))
+        self.assertEqual(expected, self.module.bdecode(source))
 
     def _run_check_error(self, exc, bad):
         """Check that bdecoding a string raises a particular exception."""
@@ -155,7 +155,7 @@
     module = None
 
     def _check(self, expected, source):
-        self.assertEquals(expected, self.module.bencode(source))
+        self.assertEqual(expected, self.module.bencode(source))
 
     def test_int(self):
         self._check('i4e', 4)

=== modified file 'bzrlib/tests/test__rio.py'
--- bzrlib/tests/test__rio.py	2010-02-17 17:11:16 +0000
+++ bzrlib/tests/test__rio.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009, 2010 Canonical Ltd
+# Copyright (C) 2009, 2010, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -63,7 +63,7 @@
 
     def assertReadStanza(self, result, line_iter):
         s = self.module._read_stanza_utf8(line_iter)
-        self.assertEquals(result, s)
+        self.assertEqual(result, s)
         if s is not None:
             for tag, value in s.iter_pairs():
                 self.assertIsInstance(tag, str)
@@ -119,7 +119,7 @@
 
     def assertReadStanza(self, result, line_iter):
         s = self.module._read_stanza_unicode(line_iter)
-        self.assertEquals(result, s)
+        self.assertEqual(result, s)
         if s is not None:
             for tag, value in s.iter_pairs():
                 self.assertIsInstance(tag, str)

=== modified file 'bzrlib/tests/test_api.py'
--- bzrlib/tests/test_api.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/test_api.py	2016-02-01 16:50:54 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 Canonical Ltd
+# Copyright (C) 2005-2009, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -30,9 +30,9 @@
 
     def test_library_version(self):
         """Library API version is exposed"""
-        self.assert_(isinstance(bzrlib.__version__, str))
-        self.assert_(isinstance(bzrlib.version_string, str))
-        self.assert_(isinstance(bzrlib.version_info, tuple))
+        self.assertTrue(isinstance(bzrlib.__version__, str))
+        self.assertTrue(isinstance(bzrlib.version_string, str))
+        self.assertTrue(isinstance(bzrlib.version_info, tuple))
         self.assertEqual(len(bzrlib.version_info), 5)
 
 

=== modified file 'bzrlib/tests/test_branch.py'
--- bzrlib/tests/test_branch.py	2012-07-19 15:34:45 +0000
+++ bzrlib/tests/test_branch.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2012 Canonical Ltd
+# Copyright (C) 2006-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -81,7 +81,7 @@
         branch = BzrBranchFormat5().initialize(bdir)
         t = self.get_transport()
         self.log("branch instance is %r" % branch)
-        self.assert_(isinstance(branch, BzrBranch5))
+        self.assertTrue(isinstance(branch, BzrBranch5))
         self.assertIsDirectory('.', t)
         self.assertIsDirectory('.bzr/branch', t)
         self.assertIsDirectory('.bzr/branch/lock', t)
@@ -226,10 +226,10 @@
         tree.branch.update_feature_flags({"name": "optional"})
         found_format = _mod_branch.BranchFormatMetadir.find_format(tree.bzrdir)
         self.assertIsInstance(found_format, _mod_branch.BranchFormatMetadir)
-        self.assertEquals(found_format.features.get("name"), "optional")
+        self.assertEqual(found_format.features.get("name"), "optional")
         tree.branch.update_feature_flags({"name": None})
         branch = _mod_branch.Branch.open('.')
-        self.assertEquals(branch._format.features, {})
+        self.assertEqual(branch._format.features, {})
 
 
 class TestBranchFormatRegistry(tests.TestCase):
@@ -242,12 +242,12 @@
         self.assertIs(None, self.registry.get_default())
         format = SampleBranchFormat()
         self.registry.set_default(format)
-        self.assertEquals(format, self.registry.get_default())
+        self.assertEqual(format, self.registry.get_default())
 
     def test_register_unregister_format(self):
         format = SampleBranchFormat()
         self.registry.register(format)
-        self.assertEquals(format,
+        self.assertEqual(format,
             self.registry.get("Sample branch format."))
         self.registry.remove(format)
         self.assertRaises(KeyError, self.registry.get,
@@ -255,22 +255,22 @@
 
     def test_get_all(self):
         format = SampleBranchFormat()
-        self.assertEquals([], self.registry._get_all())
+        self.assertEqual([], self.registry._get_all())
         self.registry.register(format)
-        self.assertEquals([format], self.registry._get_all())
+        self.assertEqual([format], self.registry._get_all())
 
     def test_register_extra(self):
         format = SampleExtraBranchFormat()
-        self.assertEquals([], self.registry._get_all())
+        self.assertEqual([], self.registry._get_all())
         self.registry.register_extra(format)
-        self.assertEquals([format], self.registry._get_all())
+        self.assertEqual([format], self.registry._get_all())
 
     def test_register_extra_lazy(self):
-        self.assertEquals([], self.registry._get_all())
+        self.assertEqual([], self.registry._get_all())
         self.registry.register_extra_lazy("bzrlib.tests.test_branch",
             "SampleExtraBranchFormat")
         formats = self.registry._get_all()
-        self.assertEquals(1, len(formats))
+        self.assertEqual(1, len(formats))
         self.assertIsInstance(formats[0], SampleExtraBranchFormat)
 
 
@@ -634,7 +634,7 @@
                          self.branch.get_append_revisions_only())
 
     def test_valid_append_revisions_only(self):
-        self.assertEquals(None,
+        self.assertEqual(None,
                           self.config_stack.get('append_revisions_only'))
         self.check_append_revisions_only(None)
         self.check_append_revisions_only(False, 'False')

=== modified file 'bzrlib/tests/test_btree_index.py'
--- bzrlib/tests/test_btree_index.py	2012-08-04 14:27:47 +0000
+++ bzrlib/tests/test_btree_index.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008-2011 Canonical Ltd
+# Copyright (C) 2008-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -103,7 +103,7 @@
         self.overrideAttr(btree_index, '_PAGE_SIZE')
         btree_index._PAGE_SIZE = 2048
 
-    def assertEqualsApproxCompressed(self, expected, actual, slop=6):
+    def assertEqualApproxCompressed(self, expected, actual, slop=6):
         """Check a count of compressed bytes is approximately as expected
 
         Relying on compressed length being stable even with fixed inputs is
@@ -209,7 +209,7 @@
         temp_file = builder.finish()
         content = temp_file.read()
         del temp_file
-        self.assertEqualsApproxCompressed(9283, len(content))
+        self.assertEqualApproxCompressed(9283, len(content))
         self.assertEqual(
             "B+Tree Graph Index 2\nnode_ref_lists=0\nkey_elements=1\nlen=400\n"
             "row_lengths=1,2\n",
@@ -243,7 +243,7 @@
         temp_file = builder.finish()
         content = temp_file.read()
         del temp_file
-        self.assertEqualsApproxCompressed(155, len(content))
+        self.assertEqualApproxCompressed(155, len(content))
         self.assertEqual(
             "B+Tree Graph Index 2\nnode_ref_lists=0\nkey_elements=1\nlen=10\n"
             "row_lengths=1\n",
@@ -265,7 +265,7 @@
         temp_file = builder.finish()
         content = temp_file.read()
         del temp_file
-        self.assertEqualsApproxCompressed(9283, len(content))
+        self.assertEqualApproxCompressed(9283, len(content))
         self.assertEqual(
             "B+Tree Graph Index 2\nnode_ref_lists=0\nkey_elements=1\nlen=400\n"
             "row_lengths=1,2\n",
@@ -324,7 +324,7 @@
         temp_file = builder.finish()
         content = temp_file.read()
         del temp_file
-        self.assertEqualsApproxCompressed(12643, len(content))
+        self.assertEqualApproxCompressed(12643, len(content))
         self.assertEqual(
             "B+Tree Graph Index 2\nnode_ref_lists=2\nkey_elements=2\nlen=200\n"
             "row_lengths=1,3\n",
@@ -710,7 +710,7 @@
         # The entire index should have been read, as it is one page long.
         self.assertEqual([('readv', 'index', [(0, size)], False, None)],
             t._activity)
-        self.assertEqualsApproxCompressed(1173, size)
+        self.assertEqualApproxCompressed(1173, size)
 
     def test_with_offset_no_size(self):
         index = self.make_index_with_offset(key_elements=1, ref_lists=1,
@@ -760,7 +760,7 @@
             builder.add_node(*node)
         t = transport.get_transport_from_url('trace+' + self.get_url(''))
         size = t.put_file('index', builder.finish())
-        self.assertEqualsApproxCompressed(17692, size)
+        self.assertEqualApproxCompressed(17692, size)
         index = btree_index.BTreeGraphIndex(t, 'index', size)
         del t._activity[:]
         self.assertEqual([], t._activity)
@@ -783,7 +783,7 @@
         # The entire index should have been read linearly.
         self.assertEqual([('readv', 'index', [(0, size)], False, None)],
                          t._activity)
-        self.assertEqualsApproxCompressed(1488, size)
+        self.assertEqualApproxCompressed(1488, size)
 
     def test_validate_two_pages(self):
         builder = btree_index.BTreeBuilder(key_elements=2, reference_lists=2)
@@ -793,7 +793,7 @@
         t = transport.get_transport_from_url('trace+' + self.get_url(''))
         size = t.put_file('index', builder.finish())
         # Root page, 2 leaf pages
-        self.assertEqualsApproxCompressed(9339, size)
+        self.assertEqualApproxCompressed(9339, size)
         index = btree_index.BTreeGraphIndex(t, 'index', size)
         del t._activity[:]
         self.assertEqual([], t._activity)
@@ -892,7 +892,7 @@
         # The entire index should have been read
         total_pages = sum(index._row_lengths)
         self.assertEqual(total_pages, index._row_offsets[-1])
-        self.assertEqualsApproxCompressed(1303220, size)
+        self.assertEqualApproxCompressed(1303220, size)
         # The start of the leaves
         first_byte = index._row_offsets[-2] * page_size
         readv_request = []

=== modified file 'bzrlib/tests/test_bundle.py'
--- bzrlib/tests/test_bundle.py	2013-06-24 12:03:12 +0000
+++ bzrlib/tests/test_bundle.py	2016-02-01 16:50:54 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2011 Canonical Ltd
+# Copyright (C) 2005-2013, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -545,21 +545,21 @@
         original_parents = to_tree.get_parent_ids()
         self.assertIs(repository.has_revision(base_rev_id), True)
         for rev in info.real_revisions:
-            self.assert_(not repository.has_revision(rev.revision_id),
-                'Revision {%s} present before applying bundle'
-                % rev.revision_id)
+            self.assertTrue(not repository.has_revision(rev.revision_id),
+                            'Revision {%s} present before applying bundle'
+                            % rev.revision_id)
         merge_bundle(info, to_tree, True, merge.Merge3Merger, False, False)
 
         for rev in info.real_revisions:
-            self.assert_(repository.has_revision(rev.revision_id),
-                'Missing revision {%s} after applying bundle'
-                % rev.revision_id)
+            self.assertTrue(repository.has_revision(rev.revision_id),
+                            'Missing revision {%s} after applying bundle'
+                            % rev.revision_id)
 
-        self.assert_(to_tree.branch.repository.has_revision(info.target))
+        self.assertTrue(to_tree.branch.repository.has_revision(info.target))
         # Do we also want to verify that all the texts have been added?
 
         self.assertEqual(original_parents + [info.target],
-            to_tree.get_parent_ids())
+                         to_tree.get_parent_ids())
 
         rev = info.real_revisions[-1]
         base_tree = self.b1.repository.revision_tree(rev.revision_id)

=== modified file 'bzrlib/tests/test_bzrdir.py'
--- bzrlib/tests/test_bzrdir.py	2013-05-23 10:04:17 +0000
+++ bzrlib/tests/test_bzrdir.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2011 Canonical Ltd
+# Copyright (C) 2006-2013, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -1032,10 +1032,10 @@
         bzrdir.BzrDirMetaFormat1.register_feature('bar')
         self.addCleanup(bzrdir.BzrDirMetaFormat1.unregister_feature, 'bar')
         dir = bzrdir.BzrDir.open('tree')
-        self.assertEquals("required", dir._format.features.get("bar"))
+        self.assertEqual("required", dir._format.features.get("bar"))
         tree.bzrdir.update_feature_flags({"bar": None, "nonexistant": None})
         dir = bzrdir.BzrDir.open('tree')
-        self.assertEquals({}, dir._format.features)
+        self.assertEqual({}, dir._format.features)
 
     def test_needs_conversion_different_working_tree(self):
         # meta1dirs need an conversion if any element is not the default.
@@ -1231,14 +1231,14 @@
             raise TestSkipped('unable to make file hidden without pywin32 library')
         b = bzrdir.BzrDir.create('.')
         self.build_tree(['a'])
-        self.assertEquals(['a'], self.get_ls())
+        self.assertEqual(['a'], self.get_ls())
 
     def test_dot_bzr_hidden_with_url(self):
         if sys.platform == 'win32' and not win32utils.has_win32file:
             raise TestSkipped('unable to make file hidden without pywin32 library')
         b = bzrdir.BzrDir.create(urlutils.local_path_to_url('.'))
         self.build_tree(['a'])
-        self.assertEquals(['a'], self.get_ls())
+        self.assertEqual(['a'], self.get_ls())
 
 
 class _TestBzrDirFormat(bzrdir.BzrDirMetaFormat1):
@@ -1475,11 +1475,11 @@
     def test_as_string(self):
         format = SampleBzrFormat()
         format.features = {"foo": "required"}
-        self.assertEquals(format.as_string(),
+        self.assertEqual(format.as_string(),
             "First line\n"
             "required foo\n")
         format.features["another"] = "optional"
-        self.assertEquals(format.as_string(),
+        self.assertEqual(format.as_string(),
             "First line\n"
             "required foo\n"
             "optional another\n")
@@ -1488,7 +1488,7 @@
         # The network string should include the feature info
         format = SampleBzrFormat()
         format.features = {"foo": "required"}
-        self.assertEquals(
+        self.assertEqual(
             "First line\nrequired foo\n",
             format.network_name())
 
@@ -1496,13 +1496,13 @@
         # No features
         format = SampleBzrFormat.from_string(
             "First line\n")
-        self.assertEquals({}, format.features)
+        self.assertEqual({}, format.features)
 
     def test_from_string_with_feature(self):
         # Proper feature
         format = SampleBzrFormat.from_string(
             "First line\nrequired foo\n")
-        self.assertEquals("required", format.features.get("foo"))
+        self.assertEqual("required", format.features.get("foo"))
 
     def test_from_string_format_string_mismatch(self):
         # The first line has to match the format string
@@ -1518,17 +1518,17 @@
         # Feature with spaces (in case we add stuff like this in the future)
         format = SampleBzrFormat.from_string(
             "First line\nrequired foo with spaces\n")
-        self.assertEquals("required", format.features.get("foo with spaces"))
+        self.assertEqual("required", format.features.get("foo with spaces"))
 
     def test_eq(self):
         format1 = SampleBzrFormat()
         format1.features = {"nested-trees": "optional"}
         format2 = SampleBzrFormat()
         format2.features = {"nested-trees": "optional"}
-        self.assertEquals(format1, format1)
-        self.assertEquals(format1, format2)
+        self.assertEqual(format1, format1)
+        self.assertEqual(format1, format2)
         format3 = SampleBzrFormat()
-        self.assertNotEquals(format1, format3)
+        self.assertNotEqual(format1, format3)
 
     def test_check_support_status_optional(self):
         # Optional, so silently ignore

=== modified file 'bzrlib/tests/test_cethread.py'
--- bzrlib/tests/test_cethread.py	2011-02-11 16:15:39 +0000
+++ bzrlib/tests/test_cethread.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2010, 2011 Canonical Ltd
+# Copyright (C) 2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -81,7 +81,7 @@
         self.assertIs(in_thread, tt.sync_event)
         control.set()
         self.assertRaises(MyException, tt.join)
-        self.assertEquals(True, tt.sync_event.isSet())
+        self.assertEqual(True, tt.sync_event.isSet())
 
     def test_switch_and_set(self):
         """Caller can precisely control a thread."""
@@ -111,17 +111,17 @@
 
         tt = TestThread()
         tt.start()
-        self.assertEquals('starting', tt.current_step)
+        self.assertEqual('starting', tt.current_step)
         control1.set()
         tt.step1.wait()
-        self.assertEquals('step1', tt.current_step)
+        self.assertEqual('step1', tt.current_step)
         control2.set()
         tt.step2.wait()
-        self.assertEquals('step2', tt.current_step)
+        self.assertEqual('step2', tt.current_step)
         control3.set()
         # We don't wait on tt.final
         tt.join()
-        self.assertEquals('done', tt.current_step)
+        self.assertEqual('done', tt.current_step)
 
     def test_exception_while_switch_and_set(self):
         control1 = threading.Event()
@@ -152,7 +152,7 @@
 
         tt = TestThread()
         tt.start()
-        self.assertEquals('starting', tt.current_step)
+        self.assertEqual('starting', tt.current_step)
         control1.set()
         # We now wait on step1 which will be set when catching the exception
         tt.step1.wait()

=== modified file 'bzrlib/tests/test_chk_map.py'
--- bzrlib/tests/test_chk_map.py	2011-09-16 20:42:31 +0000
+++ bzrlib/tests/test_chk_map.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008, 2009, 2010 Canonical Ltd
+# Copyright (C) 2008-2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -40,7 +40,7 @@
         self.assertTrue(len(common) <= len(key))
         self.assertStartsWith(prefix, common)
         self.assertStartsWith(key, common)
-        self.assertEquals(expected_common, common)
+        self.assertEqual(expected_common, common)
 
     def test_common_prefix(self):
         self.assertCommonPrefix('beg', 'beg', 'begin')
@@ -377,7 +377,7 @@
             else:
                 # Leaf nodes must have identical contents
                 self.assertEqual(node_one._items, node_two._items)
-        self.assertEquals([], node_two_stack)
+        self.assertEqual([], node_two_stack)
 
     def assertCanonicalForm(self, chkmap):
         """Assert that the chkmap is in 'canonical' form.

=== modified file 'bzrlib/tests/test_chk_serializer.py'
--- bzrlib/tests/test_chk_serializer.py	2011-01-12 01:01:53 +0000
+++ bzrlib/tests/test_chk_serializer.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009, 2011 Canonical Ltd
+# Copyright (C) 2009, 2010, 2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -61,18 +61,18 @@
         """Test unpacking a revision"""
         rev = chk_bencode_serializer.read_revision_from_string(
                 _working_revision_bencode1)
-        self.assertEquals(rev.committer,
+        self.assertEqual(rev.committer,
            "Canonical.com Patch Queue Manager <pqm@pqm.ubuntu.com>")
-        self.assertEquals(rev.inventory_sha1,
+        self.assertEqual(rev.inventory_sha1,
            "4a2c7fb50e077699242cf6eb16a61779c7b680a7")
-        self.assertEquals(["pqm@pqm.ubuntu.com-20090514104039-kggemn7lrretzpvc",
+        self.assertEqual(["pqm@pqm.ubuntu.com-20090514104039-kggemn7lrretzpvc",
             "jelmer@samba.org-20090510012654-jp9ufxquekaokbeo"],
             rev.parent_ids)
-        self.assertEquals("(Jelmer) Move dpush to InterBranch.", rev.message)
-        self.assertEquals("pqm@pqm.ubuntu.com-20090514113250-jntkkpminfn3e0tz",
+        self.assertEqual("(Jelmer) Move dpush to InterBranch.", rev.message)
+        self.assertEqual("pqm@pqm.ubuntu.com-20090514113250-jntkkpminfn3e0tz",
            rev.revision_id)
-        self.assertEquals({"branch-nick": u"+trunk"}, rev.properties)
-        self.assertEquals(3600, rev.timezone)
+        self.assertEqual({"branch-nick": u"+trunk"}, rev.properties)
+        self.assertEqual(3600, rev.timezone)
 
     def test_written_form_matches(self):
         rev = chk_bencode_serializer.read_revision_from_string(
@@ -83,12 +83,12 @@
     def test_unpack_revision_no_timezone(self):
         rev = chk_bencode_serializer.read_revision_from_string(
             _working_revision_bencode1_no_timezone)
-        self.assertEquals(None, rev.timezone)
+        self.assertEqual(None, rev.timezone)
 
     def assertRoundTrips(self, serializer, orig_rev):
         text = serializer.write_revision_to_string(orig_rev)
         new_rev = serializer.read_revision_from_string(text)
-        self.assertEquals(orig_rev, new_rev)
+        self.assertEqual(orig_rev, new_rev)
 
     def test_roundtrips_non_ascii(self):
         rev = Revision("revid1")

=== modified file 'bzrlib/tests/test_commands.py'
--- bzrlib/tests/test_commands.py	2012-08-04 11:16:14 +0000
+++ bzrlib/tests/test_commands.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2011 Canonical Ltd
+# Copyright (C) 2005-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -98,14 +98,14 @@
             # We override the run() command method so we can observe the
             # overrides from inside.
             c = config.GlobalStack()
-            self.assertEquals('12', c.get('xx'))
-            self.assertEquals('foo', c.get('yy'))
+            self.assertEqual('12', c.get('xx'))
+            self.assertEqual('foo', c.get('yy'))
         self.overrideAttr(builtins.cmd_rocks, 'run', run)
         self.run_bzr(['rocks', '-Oxx=12', '-Oyy=foo'])
         c = config.GlobalStack()
         # Ensure that we don't leak outside of the command
-        self.assertEquals(None, c.get('xx'))
-        self.assertEquals(None, c.get('yy'))
+        self.assertEqual(None, c.get('xx'))
+        self.assertEqual(None, c.get('yy'))
 
 
 class TestInvokedAs(tests.TestCase):
@@ -117,7 +117,7 @@
         # get one from the real get_cmd_object.
         c = commands.get_cmd_object('ci')
         self.assertIsInstance(c, builtins.cmd_commit)
-        self.assertEquals(c.invoked_as, 'ci')
+        self.assertEqual(c.invoked_as, 'ci')
 
 
 class TestGetAlias(tests.TestCase):

=== modified file 'bzrlib/tests/test_commit.py'
--- bzrlib/tests/test_commit.py	2012-02-23 23:26:35 +0000
+++ bzrlib/tests/test_commit.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2011 Canonical Ltd
+# Copyright (C) 2005-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -90,7 +90,7 @@
         with file('hello', 'w') as f: f.write('version 2')
         rev2 = wt.commit(message='commit 2')
 
-        eq = self.assertEquals
+        eq = self.assertEqual
         eq(b.revno(), 2)
         rev = b.repository.get_revision(rev1)
         eq(rev.message, 'add hello')
@@ -114,7 +114,7 @@
         with file('hello', 'w') as f: f.write('hello world')
         wt.add('hello')
         revid = wt.commit(message='add hello', rev_id='revid', lossy=True)
-        self.assertEquals('revid', revid)
+        self.assertEqual('revid', revid)
 
     def test_commit_lossy_foreign(self):
         """Attempt a lossy commit to a foreign branch."""
@@ -126,7 +126,7 @@
         wt.add('hello')
         revid = wt.commit(message='add hello', lossy=True,
             timestamp=1302659388, timezone=0)
-        self.assertEquals('dummy-v1:1302659388.0-0-UNKNOWN', revid)
+        self.assertEqual('dummy-v1:1302659388.0-0-UNKNOWN', revid)
 
     def test_commit_bound_lossy_foreign(self):
         """Attempt a lossy commit to a bzr branch bound to a foreign branch."""
@@ -139,10 +139,10 @@
         wt.add('hello')
         revid = wt.commit(message='add hello', lossy=True,
             timestamp=1302659388, timezone=0)
-        self.assertEquals('dummy-v1:1302659388.0-0-0', revid)
-        self.assertEquals('dummy-v1:1302659388.0-0-0',
+        self.assertEqual('dummy-v1:1302659388.0-0-0', revid)
+        self.assertEqual('dummy-v1:1302659388.0-0-0',
             foreign_branch.last_revision())
-        self.assertEquals('dummy-v1:1302659388.0-0-0',
+        self.assertEqual('dummy-v1:1302659388.0-0-0',
             wt.branch.last_revision())
 
     def test_missing_commit(self):
@@ -156,7 +156,7 @@
         os.remove('hello')
         reporter = CapturingReporter()
         wt.commit('removed hello', rev_id='rev2', reporter=reporter)
-        self.assertEquals(
+        self.assertEqual(
             [('missing', u'hello'), ('deleted', u'hello')],
             reporter.calls)
 
@@ -190,12 +190,12 @@
         with file('hello', 'w') as f: f.write('hello')
         wt.add(['hello'])
         wt.commit(message='add hello')
-        self.assertEquals(b.revno(), 1)
+        self.assertEqual(b.revno(), 1)
         self.assertRaises(PointlessCommit,
                           wt.commit,
                           message='fails',
                           allow_pointless=False)
-        self.assertEquals(b.revno(), 1)
+        self.assertEqual(b.revno(), 1)
 
     def test_commit_empty(self):
         """Commiting an empty tree works."""
@@ -207,7 +207,7 @@
                           message='empty tree',
                           allow_pointless=False)
         wt.commit(message='empty tree', allow_pointless=True)
-        self.assertEquals(b.revno(), 2)
+        self.assertEqual(b.revno(), 2)
 
     def test_selective_delete(self):
         """Selective commit in tree with deletions"""
@@ -232,21 +232,21 @@
                  allow_pointless=False,
                  rev_id='test@rev-3')
 
-        eq = self.assertEquals
+        eq = self.assertEqual
         eq(b.revno(), 3)
 
         tree2 = b.repository.revision_tree('test@rev-2')
         tree2.lock_read()
         self.addCleanup(tree2.unlock)
         self.assertTrue(tree2.has_filename('hello'))
-        self.assertEquals(tree2.get_file_text('hello-id'), 'hello')
-        self.assertEquals(tree2.get_file_text('buongia-id'), 'new text')
+        self.assertEqual(tree2.get_file_text('hello-id'), 'hello')
+        self.assertEqual(tree2.get_file_text('buongia-id'), 'new text')
 
         tree3 = b.repository.revision_tree('test@rev-3')
         tree3.lock_read()
         self.addCleanup(tree3.unlock)
         self.assertFalse(tree3.has_filename('hello'))
-        self.assertEquals(tree3.get_file_text('buongia-id'), 'new text')
+        self.assertEqual(tree3.get_file_text('buongia-id'), 'new text')
 
     def test_commit_rename(self):
         """Test commit of a revision where a file is renamed."""
@@ -259,7 +259,7 @@
         tree.rename_one('hello', 'fruity')
         tree.commit(message='renamed', rev_id='test@rev-2', allow_pointless=False)
 
-        eq = self.assertEquals
+        eq = self.assertEqual
         tree1 = b.repository.revision_tree('test@rev-1')
         tree1.lock_read()
         self.addCleanup(tree1.unlock)
@@ -290,7 +290,7 @@
 
     def test_commit_move(self):
         """Test commit of revisions with moved files and directories"""
-        eq = self.assertEquals
+        eq = self.assertEqual
         wt = self.make_branch_and_tree('.')
         b = wt.branch
         r1 = 'test@rev-1'
@@ -489,7 +489,7 @@
         wt = self.make_branch_and_tree('.')
         c = Commit()
         c.commit(working_tree=wt, message='empty tree', allow_pointless=True)
-        self.assertEquals(wt.branch.revno(), 1)
+        self.assertEqual(wt.branch.revno(), 1)
         self.assertEqual({},
                          wt.branch.repository.get_revision(
                             wt.branch.last_revision()).properties)

=== modified file 'bzrlib/tests/test_commit_merge.py'
--- bzrlib/tests/test_commit_merge.py	2011-12-13 21:20:35 +0000
+++ bzrlib/tests/test_commit_merge.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007, 2009, 2011 Canonical Ltd
+# Copyright (C) 2005, 2006, 2007, 2009, 2010, 2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -58,14 +58,14 @@
         wty.merge_from_branch(bx)
         wty.commit('merge from x', rev_id='y@u-0-2', allow_pointless=False)
 
-        self.assertEquals(by.revno(), 3)
+        self.assertEqual(by.revno(), 3)
         graph = wty.branch.repository.get_graph()
         self.addCleanup(wty.lock_read().unlock)
         self.assertThat(by,
             RevisionHistoryMatches([base_rev, 'y@u-0-1', 'y@u-0-2'])
             )
         rev = by.repository.get_revision('y@u-0-2')
-        self.assertEquals(rev.parent_ids,
+        self.assertEqual(rev.parent_ids,
                           ['y@u-0-1', 'x@u-0-1'])
 
     def test_merge_new_file(self):
@@ -98,8 +98,8 @@
 
         wty.commit('merge from x', rev_id='y@u-0-2', allow_pointless=False)
         tree = by.repository.revision_tree('y@u-0-2')
-        self.assertEquals(tree.get_file_revision('ecks-id'), 'x@u-0-1')
-        self.assertEquals(tree.get_file_revision('why-id'), 'y@u-0-1')
+        self.assertEqual(tree.get_file_revision('ecks-id'), 'x@u-0-1')
+        self.assertEqual(tree.get_file_revision('why-id'), 'y@u-0-1')
 
         check.check_dwim(bx.base, False, True, True)
         check.check_dwim(by.base, False, True, True)

=== modified file 'bzrlib/tests/test_config.py'
--- bzrlib/tests/test_config.py	2016-01-21 11:42:23 +0000
+++ bzrlib/tests/test_config.py	2016-02-01 18:06:32 +0000
@@ -448,7 +448,7 @@
         output = outfile.getvalue()
         # now we're trying to read it back
         co2 = config.ConfigObj(StringIO(output))
-        self.assertEquals(triple_quotes_value, co2['test'])
+        self.assertEqual(triple_quotes_value, co2['test'])
 
 
 erroneous_config = """[section] # line 1
@@ -649,7 +649,7 @@
         self.path = self.uid = self.gid = None
         conf = config.IniBasedConfig(file_name='./foo.conf')
         conf._write_config_file()
-        self.assertEquals(self.path, './foo.conf')
+        self.assertEqual(self.path, './foo.conf')
         self.assertTrue(isinstance(self.uid, int))
         self.assertTrue(isinstance(self.gid, int))
 
@@ -699,7 +699,7 @@
         return c
 
     def assertExpansion(self, expected, conf, string, env=None):
-        self.assertEquals(expected, conf.expand_options(string, env))
+        self.assertEqual(expected, conf.expand_options(string, env))
 
     def test_no_expansion(self):
         c = self.get_config('')
@@ -747,8 +747,8 @@
 baz={foo}''')
         e = self.assertRaises(errors.OptionExpansionLoop,
                               c.expand_options, '{foo}')
-        self.assertEquals('foo->bar->baz', e.refs)
-        self.assertEquals('{foo}', e.string)
+        self.assertEqual('foo->bar->baz', e.refs)
+        self.assertEqual('{foo}', e.string)
 
     def test_list(self):
         conf = self.get_config('''
@@ -757,7 +757,7 @@
 baz=end
 list={foo},{bar},{baz}
 ''')
-        self.assertEquals(['start', 'middle', 'end'],
+        self.assertEqual(['start', 'middle', 'end'],
                            conf.get_user_option('list', expand=True))
 
     def test_cascading_list(self):
@@ -767,7 +767,7 @@
 baz=end
 list={foo}
 ''')
-        self.assertEquals(['start', 'middle', 'end'],
+        self.assertEqual(['start', 'middle', 'end'],
                            conf.get_user_option('list', expand=True))
 
     def test_pathological_hidden_list(self):
@@ -781,7 +781,7 @@
 ''')
         # Nope, it's either a string or a list, and the list wins as soon as a
         # ',' appears, so the string concatenation never occur.
-        self.assertEquals(['{foo', '}', '{', 'bar}'],
+        self.assertEqual(['{foo', '}', '{', 'bar}'],
                           conf.get_user_option('hidden', expand=True))
 
 
@@ -815,7 +815,7 @@
 [/project/branch/path]
 bar = {foo}ux
 ''')
-        self.assertEquals('quux', c.get_user_option('bar', expand=True))
+        self.assertEqual('quux', c.get_user_option('bar', expand=True))
 
 
 class TestIniBaseConfigOnDisk(tests.TestCaseInTempDir):
@@ -861,21 +861,21 @@
         return c
 
     def test_simple_read_access(self):
-        self.assertEquals('1', self.config.get_user_option('one'))
+        self.assertEqual('1', self.config.get_user_option('one'))
 
     def test_simple_write_access(self):
         self.config.set_user_option('one', 'one')
-        self.assertEquals('one', self.config.get_user_option('one'))
+        self.assertEqual('one', self.config.get_user_option('one'))
 
     def test_listen_to_the_last_speaker(self):
         c1 = self.config
         c2 = self.get_existing_config()
         c1.set_user_option('one', 'ONE')
         c2.set_user_option('two', 'TWO')
-        self.assertEquals('ONE', c1.get_user_option('one'))
-        self.assertEquals('TWO', c2.get_user_option('two'))
+        self.assertEqual('ONE', c1.get_user_option('one'))
+        self.assertEqual('TWO', c2.get_user_option('two'))
         # The second update respect the first one
-        self.assertEquals('ONE', c2.get_user_option('one'))
+        self.assertEqual('ONE', c2.get_user_option('one'))
 
     def test_last_speaker_wins(self):
         # If the same config is not shared, the same variable modified twice
@@ -884,12 +884,12 @@
         c2 = self.get_existing_config()
         c1.set_user_option('one', 'c1')
         c2.set_user_option('one', 'c2')
-        self.assertEquals('c2', c2._get_user_option('one'))
+        self.assertEqual('c2', c2._get_user_option('one'))
         # The first modification is still available until another refresh
         # occur
-        self.assertEquals('c1', c1._get_user_option('one'))
+        self.assertEqual('c1', c1._get_user_option('one'))
         c1.set_user_option('two', 'done')
-        self.assertEquals('c2', c1._get_user_option('one'))
+        self.assertEqual('c2', c1._get_user_option('one'))
 
     def test_writes_are_serialized(self):
         c1 = self.config
@@ -920,12 +920,12 @@
         self.assertTrue(c1._lock.is_held)
         self.assertRaises(errors.LockContention,
                           c2.set_user_option, 'one', 'c2')
-        self.assertEquals('c1', c1.get_user_option('one'))
+        self.assertEqual('c1', c1.get_user_option('one'))
         # Let the lock be released
         after_writing.set()
         writing_done.wait()
         c2.set_user_option('one', 'c2')
-        self.assertEquals('c2', c2.get_user_option('one'))
+        self.assertEqual('c2', c2.get_user_option('one'))
 
     def test_read_while_writing(self):
        c1 = self.config
@@ -953,16 +953,16 @@
        # Ensure the thread is ready to write
        ready_to_write.wait()
        self.assertTrue(c1._lock.is_held)
-       self.assertEquals('c1', c1.get_user_option('one'))
+       self.assertEqual('c1', c1.get_user_option('one'))
        # If we read during the write, we get the old value
        c2 = self.get_existing_config()
-       self.assertEquals('1', c2.get_user_option('one'))
+       self.assertEqual('1', c2.get_user_option('one'))
        # Let the writing occur and ensure it occurred
        do_writing.set()
        writing_done.wait()
        # Now we get the updated value
        c3 = self.get_existing_config()
-       self.assertEquals('c1', c3.get_user_option('one'))
+       self.assertEqual('c1', c3.get_user_option('one'))
 
 
 class TestGetUserOptionAs(TestIniConfig):
@@ -983,10 +983,10 @@
         self.overrideAttr(trace, 'warning', warning)
         msg = 'Value "%s" is not a boolean for "%s"'
         self.assertIs(None, get_bool('an_invalid_bool'))
-        self.assertEquals(msg % ('maybe', 'an_invalid_bool'), warnings[0])
+        self.assertEqual(msg % ('maybe', 'an_invalid_bool'), warnings[0])
         warnings = []
         self.assertIs(None, get_bool('not_defined_in_this_config'))
-        self.assertEquals([], warnings)
+        self.assertEqual([], warnings)
 
     def test_get_user_option_as_list(self):
         conf, parser = self.make_config_parser("""
@@ -1340,7 +1340,7 @@
     def test_find_merge_tool_known(self):
         conf = self._get_empty_config()
         cmdline = conf.find_merge_tool('kdiff3')
-        self.assertEquals('kdiff3 {base} {this} {other} -o {result}', cmdline)
+        self.assertEqual('kdiff3 {base} {this} {other} -o {result}', cmdline)
 
     def test_find_merge_tool_override_known(self):
         conf = self._get_empty_config()
@@ -1906,7 +1906,7 @@
         # Store the raw content in the config file
         t.put_bytes('foo.conf', utf8_content)
         conf = config.TransportConfig(t, 'foo.conf')
-        self.assertEquals(unicode_user, conf.get_option('user'))
+        self.assertEqual(unicode_user, conf.get_option('user'))
 
     def test_load_non_ascii(self):
         """Ensure we display a proper error on non-ascii, non utf-8 content."""
@@ -1940,7 +1940,7 @@
         cfg = config.TransportConfig(
             DenyingTransport("nonexisting://"), 'control.conf')
         self.assertIs(None, cfg.get_option('non-existant', 'SECTION'))
-        self.assertEquals(
+        self.assertEqual(
             warnings,
             [u'Permission denied while trying to open configuration file '
              u'nonexisting:///control.conf.'])
@@ -1998,9 +1998,9 @@
             config.OldConfigHooks.uninstall_named_hook, 'get', None)
         self.assertLength(0, calls)
         actual_value = conf.get_user_option(name)
-        self.assertEquals(value, actual_value)
+        self.assertEqual(value, actual_value)
         self.assertLength(1, calls)
-        self.assertEquals((conf, name, value), calls[0])
+        self.assertEqual((conf, name, value), calls[0])
 
     def test_get_hook_bazaar(self):
         self.assertGetHook(self.bazaar_config, 'file', 'bazaar')
@@ -2026,7 +2026,7 @@
         # We can't assert the conf object below as different configs use
         # different means to implement set_user_option and we care only about
         # coverage here.
-        self.assertEquals((name, value), calls[0][1:])
+        self.assertEqual((name, value), calls[0][1:])
 
     def test_set_hook_bazaar(self):
         self.assertSetHook(self.bazaar_config, 'foo', 'bazaar')
@@ -2050,7 +2050,7 @@
         # We can't assert the conf object below as different configs use
         # different means to implement remove_user_option and we care only about
         # coverage here.
-        self.assertEquals((name,), calls[0][1:])
+        self.assertEqual((name,), calls[0][1:])
 
     def test_remove_hook_bazaar(self):
         self.assertRemoveHook(self.bazaar_config, 'file')
@@ -2129,9 +2129,9 @@
             config.OldConfigHooks.uninstall_named_hook, 'get', None)
         self.assertLength(0, calls)
         actual_value = conf.get_option(name)
-        self.assertEquals(value, actual_value)
+        self.assertEqual(value, actual_value)
         self.assertLength(1, calls)
-        self.assertEquals((conf, name, value), calls[0])
+        self.assertEqual((conf, name, value), calls[0])
 
     def test_get_hook_remote_branch(self):
         remote_branch = branch.Branch.open(self.get_url('tree'))
@@ -2156,7 +2156,7 @@
         # We can't assert the conf object below as different configs use
         # different means to implement set_user_option and we care only about
         # coverage here.
-        self.assertEquals((name, value), calls[0][1:])
+        self.assertEqual((name, value), calls[0][1:])
 
     def test_set_hook_remote_branch(self):
         remote_branch = branch.Branch.open(self.get_url('tree'))
@@ -2272,19 +2272,19 @@
 
     def test_default_value(self):
         opt = config.Option('foo', default='bar')
-        self.assertEquals('bar', opt.get_default())
+        self.assertEqual('bar', opt.get_default())
 
     def test_callable_default_value(self):
         def bar_as_unicode():
             return u'bar'
         opt = config.Option('foo', default=bar_as_unicode)
-        self.assertEquals('bar', opt.get_default())
+        self.assertEqual('bar', opt.get_default())
 
     def test_default_value_from_env(self):
         opt = config.Option('foo', default='bar', default_from_env=['FOO'])
         self.overrideEnv('FOO', 'quux')
         # Env variable provides a default taking over the option one
-        self.assertEquals('quux', opt.get_default())
+        self.assertEqual('quux', opt.get_default())
 
     def test_first_default_value_from_env_wins(self):
         opt = config.Option('foo', default='bar',
@@ -2292,7 +2292,7 @@
         self.overrideEnv('FOO', 'foo')
         self.overrideEnv('BAZ', 'baz')
         # The first env var set wins
-        self.assertEquals('foo', opt.get_default())
+        self.assertEqual('foo', opt.get_default())
 
     def test_not_supported_list_default_value(self):
         self.assertRaises(AssertionError, config.Option, 'foo', default=[1])
@@ -2309,13 +2309,13 @@
 
     def test_get_help_topic(self):
         opt = config.Option('foo')
-        self.assertEquals('foo', opt.get_help_topic())
+        self.assertEqual('foo', opt.get_help_topic())
 
 
 class TestOptionConverter(tests.TestCase):
 
     def assertConverted(self, expected, opt, value):
-        self.assertEquals(expected, opt.convert_from_unicode(None, value))
+        self.assertEqual(expected, opt.convert_from_unicode(None, value))
 
     def assertCallsWarning(self, opt, value):
         warnings = []
@@ -2323,9 +2323,9 @@
         def warning(*args):
             warnings.append(args[0] % args[1:])
         self.overrideAttr(trace, 'warning', warning)
-        self.assertEquals(None, opt.convert_from_unicode(None, value))
+        self.assertEqual(None, opt.convert_from_unicode(None, value))
         self.assertLength(1, warnings)
-        self.assertEquals(
+        self.assertEqual(
             'Value "%s" is not valid for "%s"' % (value, opt.name),
             warnings[0])
 
@@ -2335,7 +2335,7 @@
 
     def assertConvertInvalid(self, opt, invalid_value):
         opt.invalid = None
-        self.assertEquals(None, opt.convert_from_unicode(None, invalid_value))
+        self.assertEqual(None, opt.convert_from_unicode(None, invalid_value))
         opt.invalid = 'warning'
         self.assertCallsWarning(opt, invalid_value)
         opt.invalid = 'error'
@@ -2456,7 +2456,7 @@
         registry.register("someval", 1234, help="some option")
         registry.register("dunno", 1234, help="some other option")
         opt = self.get_option(registry)
-        self.assertEquals(
+        self.assertEqual(
             'A registry option.\n'
             '\n'
             'The following values are supported:\n'
@@ -2469,7 +2469,7 @@
         registry.register("someval", 1234, help="some option")
         registry.register("dunno", 1234, help="some other option")
         opt = self.get_option(registry)
-        self.assertEquals(
+        self.assertEqual(
             'A registry option.\n'
             '\n'
             'The following values are supported:\n'
@@ -2494,7 +2494,7 @@
     def test_registered_help(self):
         opt = config.Option('foo', help='A simple option')
         self.registry.register(opt)
-        self.assertEquals('A simple option', self.registry.get_help('foo'))
+        self.assertEqual('A simple option', self.registry.get_help('foo'))
 
     def test_dont_register_illegal_name(self):
         self.assertRaises(errors.IllegalOptionName,
@@ -2512,7 +2512,7 @@
     def test_registered_lazy_help(self):
         self.registry.register_lazy('lazy_foo', self.__module__,
                                     'TestOptionRegistry.lazy_option')
-        self.assertEquals('Lazy help', self.registry.get_help('lazy_foo'))
+        self.assertEqual('Lazy help', self.registry.get_help('lazy_foo'))
 
     def test_dont_lazy_register_illegal_name(self):
         # This is where the root cause of http://pad.lv/1235099 is better
@@ -2541,14 +2541,14 @@
     def test_proper_name(self):
         # An option should be registered under its own name, this can't be
         # checked at registration time for the lazy ones.
-        self.assertEquals(self.option_name, self.option.name)
+        self.assertEqual(self.option_name, self.option.name)
 
     def test_help_is_set(self):
         option_help = self.registry.get_help(self.option_name)
         # Come on, think about the user, he really wants to know what the
         # option is about
         self.assertIsNot(None, option_help)
-        self.assertNotEquals('', option_help)
+        self.assertNotEqual('', option_help)
 
 
 class TestSection(tests.TestCase):
@@ -2559,12 +2559,12 @@
     def test_get_a_value(self):
         a_dict = dict(foo='bar')
         section = config.Section('myID', a_dict)
-        self.assertEquals('bar', section.get('foo'))
+        self.assertEqual('bar', section.get('foo'))
 
     def test_get_unknown_option(self):
         a_dict = dict()
         section = config.Section(None, a_dict)
-        self.assertEquals('out of thin air',
+        self.assertEqual('out of thin air',
                           section.get('foo', 'out of thin air'))
 
     def test_options_is_shared(self):
@@ -2584,12 +2584,12 @@
         a_dict = dict(foo='bar')
         section = self.get_section(a_dict)
         section.set('foo', 'new_value')
-        self.assertEquals('new_value', section.get('foo'))
+        self.assertEqual('new_value', section.get('foo'))
         # The change appears in the shared section
-        self.assertEquals('new_value', a_dict.get('foo'))
+        self.assertEqual('new_value', a_dict.get('foo'))
         # We keep track of the change
         self.assertTrue('foo' in section.orig)
-        self.assertEquals('bar', section.orig.get('foo'))
+        self.assertEqual('bar', section.orig.get('foo'))
 
     def test_set_preserve_original_once(self):
         a_dict = dict(foo='bar')
@@ -2598,20 +2598,20 @@
         section.set('foo', 'second_value')
         # We keep track of the original value
         self.assertTrue('foo' in section.orig)
-        self.assertEquals('bar', section.orig.get('foo'))
+        self.assertEqual('bar', section.orig.get('foo'))
 
     def test_remove(self):
         a_dict = dict(foo='bar')
         section = self.get_section(a_dict)
         section.remove('foo')
         # We get None for unknown options via the default value
-        self.assertEquals(None, section.get('foo'))
+        self.assertEqual(None, section.get('foo'))
         # Or we just get the default value
-        self.assertEquals('unknown', section.get('foo', 'unknown'))
+        self.assertEqual('unknown', section.get('foo', 'unknown'))
         self.assertFalse('foo' in section.options)
         # We keep track of the deletion
         self.assertTrue('foo' in section.orig)
-        self.assertEquals('bar', section.orig.get('foo'))
+        self.assertEqual('bar', section.orig.get('foo'))
 
     def test_remove_new_option(self):
         a_dict = dict()
@@ -2622,7 +2622,7 @@
         # The option didn't exist initially so it we need to keep track of it
         # with a special value
         self.assertTrue('foo' in section.orig)
-        self.assertEquals(config._NewlyCreatedOption, section.orig['foo'])
+        self.assertEqual(config._NewlyCreatedOption, section.orig['foo'])
 
 
 class TestCommandLineStore(tests.TestCase):
@@ -2637,7 +2637,7 @@
         sections = list(self.store.get_sections())
         self.assertLength(1, sections)
         store, section = sections[0]
-        self.assertEquals(self.store, store)
+        self.assertEqual(self.store, store)
         return section
 
     def test_no_override(self):
@@ -2664,8 +2664,8 @@
     def test_multiple_overrides(self):
         self.store._from_cmdline(['a=b', 'x=y'])
         section = self.get_section()
-        self.assertEquals('b', section.get('a'))
-        self.assertEquals('y', section.get('x'))
+        self.assertEqual('b', section.get('a'))
+        self.assertEqual('y', section.get('x'))
 
     def test_wrong_syntax(self):
         self.assertRaises(errors.BzrCommandError,
@@ -2691,8 +2691,8 @@
     def assertSectionContent(self, expected, (store, section)):
         """Assert that some options have the proper values in a section."""
         expected_name, expected_options = expected
-        self.assertEquals(expected_name, section.id)
-        self.assertEquals(
+        self.assertEqual(expected_name, section.id)
+        self.assertEqual(
             expected_options,
             dict([(k, section.get(k)) for k in expected_options.keys()]))
 
@@ -2704,14 +2704,14 @@
 
     def test_building_delays_load(self):
         store = self.get_store(self)
-        self.assertEquals(False, store.is_loaded())
+        self.assertEqual(False, store.is_loaded())
         store._load_from_string('')
-        self.assertEquals(True, store.is_loaded())
+        self.assertEqual(True, store.is_loaded())
 
     def test_get_no_sections_for_empty(self):
         store = self.get_store(self)
         store._load_from_string('')
-        self.assertEquals([], list(store.get_sections()))
+        self.assertEqual([], list(store.get_sections()))
 
     def test_get_default_section(self):
         store = self.get_store(self)
@@ -2752,8 +2752,8 @@
 
         :param s: A string, quoted if required.
         """
-        self.assertEquals(s, self.store.quote(self.store.unquote(s)))
-        self.assertEquals(s, self.store.unquote(self.store.quote(s)))
+        self.assertEqual(s, self.store.quote(self.store.unquote(s)))
+        self.assertEqual(s, self.store.unquote(self.store.quote(s)))
 
     def test_empty_string(self):
         if isinstance(self.store, config.IniFileStore):
@@ -2797,13 +2797,13 @@
         value = conf.get('a_section')
         # Urgh, despite 'conf' asking for the no-name section, we get the
         # content of another section as a dict o_O
-        self.assertEquals({'a': '1'}, value)
+        self.assertEqual({'a': '1'}, value)
         unquoted = conf.store.unquote(value)
         # Which cannot be unquoted but shouldn't crash either (the use cases
         # are getting the value or displaying it. In the later case, '%s' will
         # do).
-        self.assertEquals({'a': '1'}, unquoted)
-        self.assertEquals("{u'a': u'1'}", '%s' % (unquoted,))
+        self.assertEqual({'a': '1'}, unquoted)
+        self.assertEqual("{u'a': u'1'}", '%s' % (unquoted,))
 
 
 class TestIniFileStoreContent(tests.TestCaseWithTransport):
@@ -2829,7 +2829,7 @@
         store = config.TransportIniFileStore(t, 'foo.conf')
         store.load()
         stack = config.Stack([store.get_sections], store)
-        self.assertEquals(unicode_user, stack.get('user'))
+        self.assertEqual(unicode_user, stack.get('user'))
 
     def test_load_non_ascii(self):
         """Ensure we display a proper error on non-ascii, non utf-8 content."""
@@ -2859,7 +2859,7 @@
         t.get_bytes = get_bytes
         store = config.TransportIniFileStore(t, 'foo.conf')
         self.assertRaises(errors.PermissionDenied, store.load)
-        self.assertEquals(
+        self.assertEqual(
             warnings,
             [u'Permission denied while trying to load configuration store %s.'
              % store.external_url()])
@@ -2886,7 +2886,7 @@
         with open('foo.conf', 'wb') as f:
             f.write(utf8_content)
         conf = config.IniBasedConfig(file_name='foo.conf')
-        self.assertEquals(unicode_user, conf.get_user_option('user'))
+        self.assertEqual(unicode_user, conf.get_user_option('user'))
 
     def test_load_badly_encoded_content(self):
         """Ensure we display a proper error on non-ascii, non utf-8 content."""
@@ -2925,7 +2925,7 @@
                 'branch.conf is *always* created when a branch is initialized')
         store = self.get_store(self)
         store.save()
-        self.assertEquals(False, self.has_store(store))
+        self.assertEqual(False, self.has_store(store))
 
     def test_mutable_section_shared(self):
         store = self.get_store(self)
@@ -2952,7 +2952,7 @@
         section = store.get_mutable_section(None)
         section.remove('foo')
         store.save()
-        self.assertEquals(True, self.has_store(store))
+        self.assertEqual(True, self.has_store(store))
         modified_store = self.get_store(self)
         sections = list(modified_store.get_sections())
         self.assertLength(0, sections)
@@ -2965,9 +2965,9 @@
                 'branch.conf is *always* created when a branch is initialized')
         store = self.get_store(self)
         store._load_from_string('foo=bar\n')
-        self.assertEquals(False, self.has_store(store))
+        self.assertEqual(False, self.has_store(store))
         store.save()
-        self.assertEquals(True, self.has_store(store))
+        self.assertEqual(True, self.has_store(store))
         modified_store = self.get_store(self)
         sections = list(modified_store.get_sections())
         self.assertLength(1, sections)
@@ -3040,7 +3040,7 @@
         self.assertLength(0, calls)
         store.load()
         self.assertLength(1, calls)
-        self.assertEquals((store,), calls[0])
+        self.assertEqual((store,), calls[0])
 
     def test_save_hook(self):
         calls = []
@@ -3058,7 +3058,7 @@
         section.set('foo', 'bar')
         store.save()
         self.assertLength(1, calls)
-        self.assertEquals((store,), calls[0])
+        self.assertEqual((store,), calls[0])
 
     def test_set_mark_dirty(self):
         stack = config.MemoryStack('')
@@ -3103,7 +3103,7 @@
     def test_no_changes_no_save(self):
         s = self.get_stack(self.st1)
         s.store.save_changes()
-        self.assertEquals(False, self.has_store(self.st1))
+        self.assertEqual(False, self.has_store(self.st1))
 
     def test_unrelated_concurrent_update(self):
         s1 = self.get_stack(self.st1)
@@ -3112,11 +3112,11 @@
         s2.set('baz', 'quux')
         s1.store.save()
         # Changes don't propagate magically
-        self.assertEquals(None, s1.get('baz'))
+        self.assertEqual(None, s1.get('baz'))
         s2.store.save_changes()
-        self.assertEquals('quux', s2.get('baz'))
+        self.assertEqual('quux', s2.get('baz'))
         # Changes are acquired when saving
-        self.assertEquals('bar', s2.get('foo'))
+        self.assertEqual('bar', s2.get('foo'))
         # Since there is no overlap, no warnings are emitted
         self.assertLength(0, self.warnings)
 
@@ -3128,7 +3128,7 @@
         s1.store.save()
         # Last speaker wins
         s2.store.save_changes()
-        self.assertEquals('baz', s2.get('foo'))
+        self.assertEqual('baz', s2.get('foo'))
         # But the user get a warning
         self.assertLength(1, self.warnings)
         warning = self.warnings[0]
@@ -3164,7 +3164,7 @@
         store = self.get_store()
         store._load_from_string('foo= " abc "')
         stack = config.Stack([store.get_sections])
-        self.assertEquals(' abc ', stack.get('foo'))
+        self.assertEqual(' abc ', stack.get('foo'))
 
     def test_set_quoted_string(self):
         store = self.get_store()
@@ -3183,13 +3183,13 @@
 
     def test_invalid_content(self):
         store = config.TransportIniFileStore(self.get_transport(), 'foo.conf')
-        self.assertEquals(False, store.is_loaded())
+        self.assertEqual(False, store.is_loaded())
         exc = self.assertRaises(
             errors.ParseConfigError, store._load_from_string,
             'this is invalid !')
         self.assertEndsWith(exc.filename, 'foo.conf')
         # And the load failed
-        self.assertEquals(False, store.is_loaded())
+        self.assertEqual(False, store.is_loaded())
 
     def test_get_embedded_sections(self):
         # A more complicated example (which also shows that section names and
@@ -3262,21 +3262,21 @@
         self.stack.store.save()
 
     def test_simple_read_access(self):
-        self.assertEquals('1', self.stack.get('one'))
+        self.assertEqual('1', self.stack.get('one'))
 
     def test_simple_write_access(self):
         self.stack.set('one', 'one')
-        self.assertEquals('one', self.stack.get('one'))
+        self.assertEqual('one', self.stack.get('one'))
 
     def test_listen_to_the_last_speaker(self):
         c1 = self.stack
         c2 = self.get_stack(self)
         c1.set('one', 'ONE')
         c2.set('two', 'TWO')
-        self.assertEquals('ONE', c1.get('one'))
-        self.assertEquals('TWO', c2.get('two'))
+        self.assertEqual('ONE', c1.get('one'))
+        self.assertEqual('TWO', c2.get('two'))
         # The second update respect the first one
-        self.assertEquals('ONE', c2.get('one'))
+        self.assertEqual('ONE', c2.get('one'))
 
     def test_last_speaker_wins(self):
         # If the same config is not shared, the same variable modified twice
@@ -3285,12 +3285,12 @@
         c2 = self.get_stack(self)
         c1.set('one', 'c1')
         c2.set('one', 'c2')
-        self.assertEquals('c2', c2.get('one'))
+        self.assertEqual('c2', c2.get('one'))
         # The first modification is still available until another refresh
         # occur
-        self.assertEquals('c1', c1.get('one'))
+        self.assertEqual('c1', c1.get('one'))
         c1.set('two', 'done')
-        self.assertEquals('c2', c1.get('one'))
+        self.assertEqual('c2', c1.get('one'))
 
     def test_writes_are_serialized(self):
         c1 = self.stack
@@ -3320,12 +3320,12 @@
         before_writing.wait()
         self.assertRaises(errors.LockContention,
                           c2.set, 'one', 'c2')
-        self.assertEquals('c1', c1.get('one'))
+        self.assertEqual('c1', c1.get('one'))
         # Let the lock be released
         after_writing.set()
         writing_done.wait()
         c2.set('one', 'c2')
-        self.assertEquals('c2', c2.get('one'))
+        self.assertEqual('c2', c2.get('one'))
 
     def test_read_while_writing(self):
        c1 = self.stack
@@ -3353,16 +3353,16 @@
        t1.start()
        # Ensure the thread is ready to write
        ready_to_write.wait()
-       self.assertEquals('c1', c1.get('one'))
+       self.assertEqual('c1', c1.get('one'))
        # If we read during the write, we get the old value
        c2 = self.get_stack(self)
-       self.assertEquals('1', c2.get('one'))
+       self.assertEqual('1', c2.get('one'))
        # Let the writing occur and ensure it occurred
        do_writing.set()
        writing_done.wait()
        # Now we get the updated value
        c3 = self.get_stack(self)
-       self.assertEquals('c1', c3.get('one'))
+       self.assertEqual('c1', c3.get('one'))
 
     # FIXME: It may be worth looking into removing the lock dir when it's not
     # needed anymore and look at possible fallouts for concurrent lockers. This
@@ -3384,7 +3384,7 @@
         store = self.get_store(self)
         store._load_from_string('')
         matcher = self.matcher(store, '/bar')
-        self.assertEquals([], list(matcher.get_sections()))
+        self.assertEqual([], list(matcher.get_sections()))
 
     def test_build_doesnt_load_store(self):
         store = self.get_store(self)
@@ -3400,18 +3400,18 @@
 
     def test_simple_option(self):
         section = self.get_section({'foo': 'bar'}, '')
-        self.assertEquals('bar', section.get('foo'))
+        self.assertEqual('bar', section.get('foo'))
 
     def test_option_with_extra_path(self):
         section = self.get_section({'foo': 'bar', 'foo:policy': 'appendpath'},
                                    'baz')
-        self.assertEquals('bar/baz', section.get('foo'))
+        self.assertEqual('bar/baz', section.get('foo'))
 
     def test_invalid_policy(self):
         section = self.get_section({'foo': 'bar', 'foo:policy': 'die'},
                                    'baz')
         # invalid policies are ignored
-        self.assertEquals('bar', section.get('foo'))
+        self.assertEqual('bar', section.get('foo'))
 
 
 class TestLocationMatcher(TestStore):
@@ -3435,14 +3435,14 @@
 [/quux/quux]
 section=/quux/quux
 ''')
-        self.assertEquals(['/foo', '/foo/baz', '/foo/bar', '/foo/bar/baz',
+        self.assertEqual(['/foo', '/foo/baz', '/foo/bar', '/foo/bar/baz',
                            '/quux/quux'],
                           [section.id for _, section in store.get_sections()])
         matcher = config.LocationMatcher(store, '/foo/bar/quux')
         sections = [section for _, section in matcher.get_sections()]
-        self.assertEquals(['/foo/bar', '/foo'],
+        self.assertEqual(['/foo/bar', '/foo'],
                           [section.id for section in sections])
-        self.assertEquals(['quux', 'bar/quux'],
+        self.assertEqual(['quux', 'bar/quux'],
                           [section.extra_path for section in sections])
 
     def test_more_specific_sections_first(self):
@@ -3453,13 +3453,13 @@
 [/foo/bar]
 section=/foo/bar
 ''')
-        self.assertEquals(['/foo', '/foo/bar'],
+        self.assertEqual(['/foo', '/foo/bar'],
                           [section.id for _, section in store.get_sections()])
         matcher = config.LocationMatcher(store, '/foo/bar/baz')
         sections = [section for _, section in matcher.get_sections()]
-        self.assertEquals(['/foo/bar', '/foo'],
+        self.assertEqual(['/foo/bar', '/foo'],
                           [section.id for section in sections])
-        self.assertEquals(['baz', 'bar/baz'],
+        self.assertEqual(['baz', 'bar/baz'],
                           [section.extra_path for section in sections])
 
     def test_appendpath_in_no_name_section(self):
@@ -3473,7 +3473,7 @@
         matcher = config.LocationMatcher(store, 'dir/subdir')
         sections = list(matcher.get_sections())
         self.assertLength(1, sections)
-        self.assertEquals('bar/dir/subdir', sections[0][1].get('foo'))
+        self.assertEqual('bar/dir/subdir', sections[0][1].get('foo'))
 
     def test_file_urls_are_normalized(self):
         store = self.get_store(self)
@@ -3484,7 +3484,7 @@
             expected_url = 'file:///dir/subdir'
             expected_location = '/dir/subdir'
         matcher = config.LocationMatcher(store, expected_url)
-        self.assertEquals(expected_location, matcher.location)
+        self.assertEqual(expected_location, matcher.location)
 
     def test_branch_name_colo(self):
         store = self.get_store(self)
@@ -3553,7 +3553,7 @@
 [/foo]
 [/foo/bar]
 ''')
-        self.assertEquals(['baz', 'bar/baz', '/foo/bar/baz'],
+        self.assertEqual(['baz', 'bar/baz', '/foo/bar/baz'],
                           [s.locals['relpath'] for _, s in sections])
 
     def test_order_reversed(self):
@@ -3580,7 +3580,7 @@
         # Note that 'baz' as a relpath for /foo/b* is not fully correct, but
         # nothing really is... as far using {relpath} to append it to something
         # else, this seems good enough though.
-        self.assertEquals(['', 'baz', 'bar/baz'],
+        self.assertEqual(['', 'baz', 'bar/baz'],
                           [s.locals['relpath'] for _, s in sections])
 
     def test_respect_order(self):
@@ -3636,25 +3636,25 @@
         store2 = config.IniFileStore()
         store2._load_from_string('foo=baz')
         conf = config.Stack([store1.get_sections, store2.get_sections])
-        self.assertEquals('bar', conf.get('foo'))
+        self.assertEqual('bar', conf.get('foo'))
 
     def test_get_with_registered_default_value(self):
         config.option_registry.register(config.Option('foo', default='bar'))
         conf_stack = config.Stack([])
-        self.assertEquals('bar', conf_stack.get('foo'))
+        self.assertEqual('bar', conf_stack.get('foo'))
 
     def test_get_without_registered_default_value(self):
         config.option_registry.register(config.Option('foo'))
         conf_stack = config.Stack([])
-        self.assertEquals(None, conf_stack.get('foo'))
+        self.assertEqual(None, conf_stack.get('foo'))
 
     def test_get_without_default_value_for_not_registered(self):
         conf_stack = config.Stack([])
-        self.assertEquals(None, conf_stack.get('foo'))
+        self.assertEqual(None, conf_stack.get('foo'))
 
     def test_get_for_empty_section_callable(self):
         conf_stack = config.Stack([lambda : []])
-        self.assertEquals(None, conf_stack.get('foo'))
+        self.assertEqual(None, conf_stack.get('foo'))
 
     def test_get_for_broken_callable(self):
         # Trying to use and invalid callable raises an exception on first use
@@ -3679,7 +3679,7 @@
         self.overrideEnv('FOO', 'quux')
         # Env variable provides a default taking over the option one
         conf = self.get_conf('foo=store')
-        self.assertEquals('quux', conf.get('foo'))
+        self.assertEqual('quux', conf.get('foo'))
 
     def test_first_override_value_from_env_wins(self):
         self.overrideEnv('NO_VALUE', None)
@@ -3692,19 +3692,19 @@
         self.overrideEnv('BAZ', 'baz')
         # The first env var set wins
         conf = self.get_conf('foo=store')
-        self.assertEquals('foo', conf.get('foo'))
+        self.assertEqual('foo', conf.get('foo'))
 
 
 class TestMemoryStack(tests.TestCase):
 
     def test_get(self):
         conf = config.MemoryStack('foo=bar')
-        self.assertEquals('bar', conf.get('foo'))
+        self.assertEqual('bar', conf.get('foo'))
 
     def test_set(self):
         conf = config.MemoryStack('foo=bar')
         conf.set('foo', 'baz')
-        self.assertEquals('baz', conf.get('foo'))
+        self.assertEqual('baz', conf.get('foo'))
 
     def test_no_content(self):
         conf = config.MemoryStack()
@@ -3713,7 +3713,7 @@
         self.assertRaises(NotImplementedError, conf.get, 'foo')
         # But a content can still be provided
         conf.store._load_from_string('foo=bar')
-        self.assertEquals('bar', conf.get('foo'))
+        self.assertEqual('bar', conf.get('foo'))
 
 
 class TestStackIterSections(tests.TestCase):
@@ -3771,7 +3771,7 @@
         self.conf = self.get_stack(self)
 
     def test_get_for_empty_stack(self):
-        self.assertEquals(None, self.conf.get('foo'))
+        self.assertEqual(None, self.conf.get('foo'))
 
     def test_get_hook(self):
         self.conf.set('foo', 'bar')
@@ -3781,9 +3781,9 @@
         config.ConfigHooks.install_named_hook('get', hook, None)
         self.assertLength(0, calls)
         value = self.conf.get('foo')
-        self.assertEquals('bar', value)
+        self.assertEqual('bar', value)
         self.assertLength(1, calls)
-        self.assertEquals((self.conf, 'foo', 'bar'), calls[0])
+        self.assertEqual((self.conf, 'foo', 'bar'), calls[0])
 
 
 class TestStackGetWithConverter(tests.TestCase):
@@ -3805,33 +3805,33 @@
     def test_get_default_bool_None(self):
         self.register_bool_option('foo')
         conf = self.get_conf('')
-        self.assertEquals(None, conf.get('foo'))
+        self.assertEqual(None, conf.get('foo'))
 
     def test_get_default_bool_True(self):
         self.register_bool_option('foo', u'True')
         conf = self.get_conf('')
-        self.assertEquals(True, conf.get('foo'))
+        self.assertEqual(True, conf.get('foo'))
 
     def test_get_default_bool_False(self):
         self.register_bool_option('foo', False)
         conf = self.get_conf('')
-        self.assertEquals(False, conf.get('foo'))
+        self.assertEqual(False, conf.get('foo'))
 
     def test_get_default_bool_False_as_string(self):
         self.register_bool_option('foo', u'False')
         conf = self.get_conf('')
-        self.assertEquals(False, conf.get('foo'))
+        self.assertEqual(False, conf.get('foo'))
 
     def test_get_default_bool_from_env_converted(self):
         self.register_bool_option('foo', u'True', default_from_env=['FOO'])
         self.overrideEnv('FOO', 'False')
         conf = self.get_conf('')
-        self.assertEquals(False, conf.get('foo'))
+        self.assertEqual(False, conf.get('foo'))
 
     def test_get_default_bool_when_conversion_fails(self):
         self.register_bool_option('foo', default='True')
         conf = self.get_conf('foo=invalid boolean')
-        self.assertEquals(True, conf.get('foo'))
+        self.assertEqual(True, conf.get('foo'))
 
     def register_integer_option(self, name,
                                 default=None, default_from_env=None):
@@ -3843,28 +3843,28 @@
     def test_get_default_integer_None(self):
         self.register_integer_option('foo')
         conf = self.get_conf('')
-        self.assertEquals(None, conf.get('foo'))
+        self.assertEqual(None, conf.get('foo'))
 
     def test_get_default_integer(self):
         self.register_integer_option('foo', 42)
         conf = self.get_conf('')
-        self.assertEquals(42, conf.get('foo'))
+        self.assertEqual(42, conf.get('foo'))
 
     def test_get_default_integer_as_string(self):
         self.register_integer_option('foo', u'42')
         conf = self.get_conf('')
-        self.assertEquals(42, conf.get('foo'))
+        self.assertEqual(42, conf.get('foo'))
 
     def test_get_default_integer_from_env(self):
         self.register_integer_option('foo', default_from_env=['FOO'])
         self.overrideEnv('FOO', '18')
         conf = self.get_conf('')
-        self.assertEquals(18, conf.get('foo'))
+        self.assertEqual(18, conf.get('foo'))
 
     def test_get_default_integer_when_conversion_fails(self):
         self.register_integer_option('foo', default='12')
         conf = self.get_conf('foo=invalid integer')
-        self.assertEquals(12, conf.get('foo'))
+        self.assertEqual(12, conf.get('foo'))
 
     def register_list_option(self, name, default=None, default_from_env=None):
         l = config.ListOption(name, help='A list.', default=default,
@@ -3874,45 +3874,45 @@
     def test_get_default_list_None(self):
         self.register_list_option('foo')
         conf = self.get_conf('')
-        self.assertEquals(None, conf.get('foo'))
+        self.assertEqual(None, conf.get('foo'))
 
     def test_get_default_list_empty(self):
         self.register_list_option('foo', '')
         conf = self.get_conf('')
-        self.assertEquals([], conf.get('foo'))
+        self.assertEqual([], conf.get('foo'))
 
     def test_get_default_list_from_env(self):
         self.register_list_option('foo', default_from_env=['FOO'])
         self.overrideEnv('FOO', '')
         conf = self.get_conf('')
-        self.assertEquals([], conf.get('foo'))
+        self.assertEqual([], conf.get('foo'))
 
     def test_get_with_list_converter_no_item(self):
         self.register_list_option('foo', None)
         conf = self.get_conf('foo=,')
-        self.assertEquals([], conf.get('foo'))
+        self.assertEqual([], conf.get('foo'))
 
     def test_get_with_list_converter_many_items(self):
         self.register_list_option('foo', None)
         conf = self.get_conf('foo=m,o,r,e')
-        self.assertEquals(['m', 'o', 'r', 'e'], conf.get('foo'))
+        self.assertEqual(['m', 'o', 'r', 'e'], conf.get('foo'))
 
     def test_get_with_list_converter_embedded_spaces_many_items(self):
         self.register_list_option('foo', None)
         conf = self.get_conf('foo=" bar", "baz "')
-        self.assertEquals([' bar', 'baz '], conf.get('foo'))
+        self.assertEqual([' bar', 'baz '], conf.get('foo'))
 
     def test_get_with_list_converter_stripped_spaces_many_items(self):
         self.register_list_option('foo', None)
         conf = self.get_conf('foo= bar ,  baz ')
-        self.assertEquals(['bar', 'baz'], conf.get('foo'))
+        self.assertEqual(['bar', 'baz'], conf.get('foo'))
 
 
 class TestIterOptionRefs(tests.TestCase):
     """iter_option_refs is a bit unusual, document some cases."""
 
     def assertRefs(self, expected, string):
-        self.assertEquals(expected, list(config.iter_option_refs(string)))
+        self.assertEqual(expected, list(config.iter_option_refs(string)))
 
     def test_empty(self):
         self.assertRefs([(False, '')], '')
@@ -3950,7 +3950,7 @@
         self.conf = config.Stack([store.get_sections], store)
 
     def assertExpansion(self, expected, string, env=None):
-        self.assertEquals(expected, self.conf.expand_options(string, env))
+        self.assertEqual(expected, self.conf.expand_options(string, env))
 
     def test_no_expansion(self):
         self.assertExpansion('foo', 'foo')
@@ -3958,20 +3958,20 @@
     def test_expand_default_value(self):
         self.conf.store._load_from_string('bar=baz')
         self.registry.register(config.Option('foo', default=u'{bar}'))
-        self.assertEquals('baz', self.conf.get('foo', expand=True))
+        self.assertEqual('baz', self.conf.get('foo', expand=True))
 
     def test_expand_default_from_env(self):
         self.conf.store._load_from_string('bar=baz')
         self.registry.register(config.Option('foo', default_from_env=['FOO']))
         self.overrideEnv('FOO', '{bar}')
-        self.assertEquals('baz', self.conf.get('foo', expand=True))
+        self.assertEqual('baz', self.conf.get('foo', expand=True))
 
     def test_expand_default_on_failed_conversion(self):
         self.conf.store._load_from_string('baz=bogus\nbar=42\nfoo={baz}')
         self.registry.register(
             config.Option('foo', default=u'{bar}',
                           from_unicode=config.int_from_store))
-        self.assertEquals(42, self.conf.get('foo', expand=True))
+        self.assertEqual(42, self.conf.get('foo', expand=True))
 
     def test_env_adding_options(self):
         self.assertExpansion('bar', '{foo}', {'foo': 'bar'})
@@ -4019,8 +4019,8 @@
 baz={foo}''')
         e = self.assertRaises(errors.OptionExpansionLoop,
                               self.conf.expand_options, '{foo}')
-        self.assertEquals('foo->bar->baz', e.refs)
-        self.assertEquals('{foo}', e.string)
+        self.assertEqual('foo->bar->baz', e.refs)
+        self.assertEqual('{foo}', e.string)
 
     def test_list(self):
         self.conf.store._load_from_string('''
@@ -4031,7 +4031,7 @@
 ''')
         self.registry.register(
             config.ListOption('list'))
-        self.assertEquals(['start', 'middle', 'end'],
+        self.assertEqual(['start', 'middle', 'end'],
                            self.conf.get('list', expand=True))
 
     def test_cascading_list(self):
@@ -4046,7 +4046,7 @@
         # happen while expanding. Conversion should only occur for the original
         # option ('list' here).
         self.registry.register(config.ListOption('baz'))
-        self.assertEquals(['start', 'middle', 'end'],
+        self.assertEqual(['start', 'middle', 'end'],
                            self.conf.get('list', expand=True))
 
     def test_pathologically_hidden_list(self):
@@ -4061,7 +4061,7 @@
         # What matters is what the registration says, the conversion happens
         # only after all expansions have been performed
         self.registry.register(config.ListOption('hidden'))
-        self.assertEquals(['bin', 'go'],
+        self.assertEqual(['bin', 'go'],
                           self.conf.get('hidden', expand=True))
 
 
@@ -4099,7 +4099,7 @@
 [/project/branch/path]
 bar = {foo}ux
 ''')
-        self.assertEquals('quux', c.get('bar', expand=True))
+        self.assertEqual('quux', c.get('bar', expand=True))
 
 
 class TestStackCrossStoresExpand(tests.TestCaseWithTransport):
@@ -4120,8 +4120,8 @@
 ''')
         g_store.save()
         stack = config.LocationStack('/branch')
-        self.assertEquals('glob-bar', stack.get('lbar', expand=True))
-        self.assertEquals('loc-foo', stack.get('gfoo', expand=True))
+        self.assertEqual('glob-bar', stack.get('lbar', expand=True))
+        self.assertEqual('loc-foo', stack.get('gfoo', expand=True))
 
 
 class TestStackExpandSectionLocals(tests.TestCaseWithTransport):
@@ -4135,8 +4135,8 @@
 ''')
         l_store.save()
         stack = config.LocationStack('/home/user/project/')
-        self.assertEquals('', stack.get('base', expand=True))
-        self.assertEquals('', stack.get('rel', expand=True))
+        self.assertEqual('', stack.get('base', expand=True))
+        self.assertEqual('', stack.get('rel', expand=True))
 
     def test_expand_basename_locally(self):
         l_store = config.LocationStore()
@@ -4146,7 +4146,7 @@
 ''')
         l_store.save()
         stack = config.LocationStack('/home/user/project/branch')
-        self.assertEquals('branch', stack.get('bfoo', expand=True))
+        self.assertEqual('branch', stack.get('bfoo', expand=True))
 
     def test_expand_basename_locally_longer_path(self):
         l_store = config.LocationStore()
@@ -4156,7 +4156,7 @@
 ''')
         l_store.save()
         stack = config.LocationStack('/home/user/project/dir/branch')
-        self.assertEquals('branch', stack.get('bfoo', expand=True))
+        self.assertEqual('branch', stack.get('bfoo', expand=True))
 
     def test_expand_relpath_locally(self):
         l_store = config.LocationStore()
@@ -4166,7 +4166,7 @@
 ''')
         l_store.save()
         stack = config.LocationStack('/home/user/project/branch')
-        self.assertEquals('loc-foo/branch', stack.get('lfoo', expand=True))
+        self.assertEqual('loc-foo/branch', stack.get('lfoo', expand=True))
 
     def test_expand_relpath_unknonw_in_global(self):
         g_store = config.GlobalStore()
@@ -4195,8 +4195,8 @@
 ''')
         g_store.save()
         stack = config.LocationStack('/home/user/project/branch')
-        self.assertEquals('glob-bar', stack.get('lbar', expand=True))
-        self.assertEquals('loc-foo/branch', stack.get('gfoo', expand=True))
+        self.assertEqual('glob-bar', stack.get('lbar', expand=True))
+        self.assertEqual('loc-foo/branch', stack.get('gfoo', expand=True))
 
     def test_locals_dont_leak(self):
         """Make sure we chose the right local in presence of several sections.
@@ -4210,9 +4210,9 @@
 ''')
         l_store.save()
         stack = config.LocationStack('/home/user/project/branch')
-        self.assertEquals('loc-foo/branch', stack.get('lfoo', expand=True))
+        self.assertEqual('loc-foo/branch', stack.get('lfoo', expand=True))
         stack = config.LocationStack('/home/user/bar/baz')
-        self.assertEquals('loc-foo/bar/baz', stack.get('lfoo', expand=True))
+        self.assertEqual('loc-foo/bar/baz', stack.get('lfoo', expand=True))
 
 
 
@@ -4220,15 +4220,15 @@
 
     def test_simple_set(self):
         conf = self.get_stack(self)
-        self.assertEquals(None, conf.get('foo'))
+        self.assertEqual(None, conf.get('foo'))
         conf.set('foo', 'baz')
         # Did we get it back ?
-        self.assertEquals('baz', conf.get('foo'))
+        self.assertEqual('baz', conf.get('foo'))
 
     def test_set_creates_a_new_section(self):
         conf = self.get_stack(self)
         conf.set('foo', 'baz')
-        self.assertEquals, 'baz', conf.get('foo')
+        self.assertEqual, 'baz', conf.get('foo')
 
     def test_set_hook(self):
         calls = []
@@ -4239,7 +4239,7 @@
         conf = self.get_stack(self)
         conf.set('foo', 'bar')
         self.assertLength(1, calls)
-        self.assertEquals((conf, 'foo', 'bar'), calls[0])
+        self.assertEqual((conf, 'foo', 'bar'), calls[0])
 
 
 class TestStackRemove(TestStackWithTransport):
@@ -4247,10 +4247,10 @@
     def test_remove_existing(self):
         conf = self.get_stack(self)
         conf.set('foo', 'bar')
-        self.assertEquals('bar', conf.get('foo'))
+        self.assertEqual('bar', conf.get('foo'))
         conf.remove('foo')
         # Did we get it back ?
-        self.assertEquals(None, conf.get('foo'))
+        self.assertEqual(None, conf.get('foo'))
 
     def test_remove_unknown(self):
         conf = self.get_stack(self)
@@ -4266,7 +4266,7 @@
         conf.set('foo', 'bar')
         conf.remove('foo')
         self.assertLength(1, calls)
-        self.assertEquals((conf, 'foo'), calls[0])
+        self.assertEqual((conf, 'foo'), calls[0])
 
 
 class TestConfigGetOptions(tests.TestCaseWithTransport, TestOptionsMixin):
@@ -4441,12 +4441,12 @@
         else:
             user = credentials['user']
             password = credentials['password']
-        self.assertEquals(expected_user, user)
-        self.assertEquals(expected_password, password)
+        self.assertEqual(expected_user, user)
+        self.assertEqual(expected_password, password)
 
     def test_empty_config(self):
         conf = config.AuthenticationConfig(_file=StringIO())
-        self.assertEquals({}, conf._get_config())
+        self.assertEqual({}, conf._get_config())
         self._got_user_passwd(None, None, conf, 'http', 'foo.net')
 
     def test_non_utf8_config(self):
@@ -4634,9 +4634,9 @@
 password=bendover
 """))
         credentials = conf.get_credentials('https', 'bar.org')
-        self.assertEquals(False, credentials.get('verify_certificates'))
+        self.assertEqual(False, credentials.get('verify_certificates'))
         credentials = conf.get_credentials('https', 'foo.net')
-        self.assertEquals(True, credentials.get('verify_certificates'))
+        self.assertEqual(True, credentials.get('verify_certificates'))
 
 
 class TestAuthenticationStorage(tests.TestCaseInTempDir):
@@ -4689,11 +4689,11 @@
                                             stdout=stdout, stderr=stderr)
         # We use an empty conf so that the user is always prompted
         conf = config.AuthenticationConfig()
-        self.assertEquals(password,
+        self.assertEqual(password,
                           conf.get_password(scheme, host, user, port=port,
                                             realm=realm, path=path))
-        self.assertEquals(expected_prompt, stderr.getvalue())
-        self.assertEquals('', stdout.getvalue())
+        self.assertEqual(expected_prompt, stderr.getvalue())
+        self.assertEqual('', stdout.getvalue())
 
     def _check_default_username_prompt(self, expected_prompt_format, scheme,
                                        host=None, port=None, realm=None,
@@ -4710,10 +4710,10 @@
                                             stdout=stdout, stderr=stderr)
         # We use an empty conf so that the user is always prompted
         conf = config.AuthenticationConfig()
-        self.assertEquals(username, conf.get_user(scheme, host, port=port,
+        self.assertEqual(username, conf.get_user(scheme, host, port=port,
                           realm=realm, path=path, ask=True))
-        self.assertEquals(expected_prompt, stderr.getvalue())
-        self.assertEquals('', stdout.getvalue())
+        self.assertEqual(expected_prompt, stderr.getvalue())
+        self.assertEqual('', stdout.getvalue())
 
     def test_username_defaults_prompts(self):
         # HTTP prompts can't be tested here, see test_http.py
@@ -4725,9 +4725,9 @@
 
     def test_username_default_no_prompt(self):
         conf = config.AuthenticationConfig()
-        self.assertEquals(None,
+        self.assertEqual(None,
             conf.get_user('ftp', 'example.com'))
-        self.assertEquals("explicitdefault",
+        self.assertEqual("explicitdefault",
             conf.get_user('ftp', 'example.com', default="explicitdefault"))
 
     def test_password_default_prompts(self):
@@ -4766,7 +4766,7 @@
 
         # Since the password defined in the authentication config is ignored,
         # the user is prompted
-        self.assertEquals(entered_password,
+        self.assertEqual(entered_password,
                           conf.get_password('ssh', 'bar.org', user='jim'))
         self.assertContainsRe(
             self.get_log(),
@@ -4789,7 +4789,7 @@
 
         # Since the password defined in the authentication config is ignored,
         # the user is prompted
-        self.assertEquals(entered_password,
+        self.assertEqual(entered_password,
                           conf.get_password('ssh', 'bar.org', user='jim'))
         # No warning shoud be emitted since there is no password. We are only
         # providing "user".
@@ -4805,8 +4805,8 @@
         config.credential_store_registry.register("stub", store, fallback=True)
         conf = config.AuthenticationConfig(_file=StringIO())
         creds = conf.get_credentials("http", "example.com")
-        self.assertEquals("joe", creds["user"])
-        self.assertEquals("secret", creds["password"])
+        self.assertEqual("joe", creds["user"])
+        self.assertEqual("secret", creds["password"])
 
 
 class StubCredentialStore(config.CredentialStore):
@@ -4857,20 +4857,20 @@
 
     def test_fallback_none_registered(self):
         r = config.CredentialStoreRegistry()
-        self.assertEquals(None,
+        self.assertEqual(None,
                           r.get_fallback_credentials("http", "example.com"))
 
     def test_register(self):
         r = config.CredentialStoreRegistry()
         r.register("stub", StubCredentialStore(), fallback=False)
         r.register("another", StubCredentialStore(), fallback=True)
-        self.assertEquals(["another", "stub"], r.keys())
+        self.assertEqual(["another", "stub"], r.keys())
 
     def test_register_lazy(self):
         r = config.CredentialStoreRegistry()
         r.register_lazy("stub", "bzrlib.tests.test_config",
                         "StubCredentialStore", fallback=False)
-        self.assertEquals(["stub"], r.keys())
+        self.assertEqual(["stub"], r.keys())
         self.assertIsInstance(r.get_credential_store("stub"),
                               StubCredentialStore)
 
@@ -4878,16 +4878,16 @@
         r = config.CredentialStoreRegistry()
         r.register("stub1", None, fallback=False)
         r.register("stub2", None, fallback=True)
-        self.assertEquals(False, r.is_fallback("stub1"))
-        self.assertEquals(True, r.is_fallback("stub2"))
+        self.assertEqual(False, r.is_fallback("stub1"))
+        self.assertEqual(True, r.is_fallback("stub2"))
 
     def test_no_fallback(self):
         r = config.CredentialStoreRegistry()
         store = CountingCredentialStore()
         r.register("count", store, fallback=False)
-        self.assertEquals(None,
+        self.assertEqual(None,
                           r.get_fallback_credentials("http", "example.com"))
-        self.assertEquals(0, store._calls)
+        self.assertEqual(0, store._calls)
 
     def test_fallback_credentials(self):
         r = config.CredentialStoreRegistry()
@@ -4896,8 +4896,8 @@
                               "somebody", "geheim")
         r.register("stub", store, fallback=True)
         creds = r.get_fallback_credentials("http", "example.com")
-        self.assertEquals("somebody", creds["user"])
-        self.assertEquals("geheim", creds["password"])
+        self.assertEqual("somebody", creds["user"])
+        self.assertEqual("geheim", creds["password"])
 
     def test_fallback_first_wins(self):
         r = config.CredentialStoreRegistry()
@@ -4910,8 +4910,8 @@
                               "somebody", "stub2")
         r.register("stub2", stub1, fallback=True)
         creds = r.get_fallback_credentials("http", "example.com")
-        self.assertEquals("somebody", creds["user"])
-        self.assertEquals("stub1", creds["password"])
+        self.assertEqual("somebody", creds["user"])
+        self.assertEqual("stub1", creds["password"])
 
 
 class TestPlainTextCredentialStore(tests.TestCase):
@@ -4920,7 +4920,7 @@
         r = config.credential_store_registry
         plain_text = r.get_credential_store()
         decoded = plain_text.decode_password(dict(password='secret'))
-        self.assertEquals('secret', decoded)
+        self.assertEqual('secret', decoded)
 
 
 class TestBase64CredentialStore(tests.TestCase):
@@ -4929,7 +4929,7 @@
         r = config.credential_store_registry
         plain_text = r.get_credential_store('base64')
         decoded = plain_text.decode_password(dict(password='c2VjcmV0'))
-        self.assertEquals('secret', decoded)
+        self.assertEqual('secret', decoded)
 
 
 # FIXME: Once we have a way to declare authentication to all test servers, we
@@ -4963,7 +4963,7 @@
             self.assertIsNot(None, realname)
             self.assertIsNot(None, address)
         else:
-            self.assertEquals((None, None), (realname, address))
+            self.assertEqual((None, None), (realname, address))
 
 
 class TestDefaultMailDomain(tests.TestCaseInTempDir):
@@ -4976,7 +4976,7 @@
         finally:
             f.close()
         r = config._get_default_mail_domain('simple')
-        self.assertEquals('domainname.com', r)
+        self.assertEqual('domainname.com', r)
 
     def test_default_mail_domain_no_eol(self):
         f = file('no_eol', 'w')
@@ -4985,7 +4985,7 @@
         finally:
             f.close()
         r = config._get_default_mail_domain('no_eol')
-        self.assertEquals('domainname.com', r)
+        self.assertEqual('domainname.com', r)
 
     def test_default_mail_domain_multiple_lines(self):
         f = file('multiple_lines', 'w')
@@ -4994,7 +4994,7 @@
         finally:
             f.close()
         r = config._get_default_mail_domain('multiple_lines')
-        self.assertEquals('domainname.com', r)
+        self.assertEqual('domainname.com', r)
 
 
 class EmailOptionTests(tests.TestCase):
@@ -5004,21 +5004,21 @@
         # BZR_EMAIL takes precedence over EMAIL
         self.overrideEnv('BZR_EMAIL', 'jelmer@samba.org')
         self.overrideEnv('EMAIL', 'jelmer@apache.org')
-        self.assertEquals('jelmer@samba.org', conf.get('email'))
+        self.assertEqual('jelmer@samba.org', conf.get('email'))
 
     def test_default_email_uses_EMAIL(self):
         conf = config.MemoryStack('')
         self.overrideEnv('BZR_EMAIL', None)
         self.overrideEnv('EMAIL', 'jelmer@apache.org')
-        self.assertEquals('jelmer@apache.org', conf.get('email'))
+        self.assertEqual('jelmer@apache.org', conf.get('email'))
 
     def test_BZR_EMAIL_overrides(self):
         conf = config.MemoryStack('email=jelmer@debian.org')
         self.overrideEnv('BZR_EMAIL', 'jelmer@apache.org')
-        self.assertEquals('jelmer@apache.org', conf.get('email'))
+        self.assertEqual('jelmer@apache.org', conf.get('email'))
         self.overrideEnv('BZR_EMAIL', None)
         self.overrideEnv('EMAIL', 'jelmer@samba.org')
-        self.assertEquals('jelmer@debian.org', conf.get('email'))
+        self.assertEqual('jelmer@debian.org', conf.get('email'))
 
 
 class MailClientOptionTests(tests.TestCase):

=== modified file 'bzrlib/tests/test_controldir.py'
--- bzrlib/tests/test_controldir.py	2011-03-22 12:10:34 +0000
+++ bzrlib/tests/test_controldir.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2011 Canonical Ltd
+# Copyright (C) 2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -50,7 +50,7 @@
     def test_register_unregister_format(self):
         format = SampleComponentFormat()
         self.registry.register(format)
-        self.assertEquals(format,
+        self.assertEqual(format,
             self.registry.get("Example component format."))
         self.registry.remove(format)
         self.assertRaises(KeyError, self.registry.get,
@@ -58,30 +58,30 @@
 
     def test_get_all(self):
         format = SampleComponentFormat()
-        self.assertEquals([], self.registry._get_all())
+        self.assertEqual([], self.registry._get_all())
         self.registry.register(format)
-        self.assertEquals([format], self.registry._get_all())
+        self.assertEqual([format], self.registry._get_all())
 
     def test_get_all_modules(self):
         format = SampleComponentFormat()
-        self.assertEquals(set(), self.registry._get_all_modules())
+        self.assertEqual(set(), self.registry._get_all_modules())
         self.registry.register(format)
-        self.assertEquals(
+        self.assertEqual(
             set(["bzrlib.tests.test_controldir"]),
             self.registry._get_all_modules())
 
     def test_register_extra(self):
         format = SampleExtraComponentFormat()
-        self.assertEquals([], self.registry._get_all())
+        self.assertEqual([], self.registry._get_all())
         self.registry.register_extra(format)
-        self.assertEquals([format], self.registry._get_all())
+        self.assertEqual([format], self.registry._get_all())
 
     def test_register_extra_lazy(self):
-        self.assertEquals([], self.registry._get_all())
+        self.assertEqual([], self.registry._get_all())
         self.registry.register_extra_lazy("bzrlib.tests.test_controldir",
             "SampleExtraComponentFormat")
         formats = self.registry._get_all()
-        self.assertEquals(1, len(formats))
+        self.assertEqual(1, len(formats))
         self.assertIsInstance(formats[0], SampleExtraComponentFormat)
 
 
@@ -219,7 +219,7 @@
         format = controldir.ControlComponentFormat()
         format.check_support_status(allow_unsupported=False,
             recommend_upgrade=True)
-        self.assertEquals("", stderr.getvalue())
+        self.assertEqual("", stderr.getvalue())
 
     def test_recommend_upgrade_old_format(self):
         stderr = tests.StringIOWrapper()
@@ -227,10 +227,10 @@
         format = OldControlComponentFormat()
         format.check_support_status(allow_unsupported=False,
             recommend_upgrade=False)
-        self.assertEquals("", stderr.getvalue())
+        self.assertEqual("", stderr.getvalue())
         format.check_support_status(allow_unsupported=False,
             recommend_upgrade=True, basedir='apath')
-        self.assertEquals(
+        self.assertEqual(
             'An old format that is slow is deprecated and a better format '
             'is available.\nIt is recommended that you upgrade by running '
             'the command\n  bzr upgrade apath\n',

=== modified file 'bzrlib/tests/test_counted_lock.py'
--- bzrlib/tests/test_counted_lock.py	2009-07-27 06:28:35 +0000
+++ bzrlib/tests/test_counted_lock.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007, 2008, 2009 Canonical Ltd
+# Copyright (C) 2007, 2008, 2009, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -143,7 +143,7 @@
         self.assertTrue(l.is_locked())
         l.unlock()
         self.assertFalse(l.is_locked())
-        self.assertEquals(
+        self.assertEqual(
             ['lock_read', 'unlock'],
             real_lock._calls)
 
@@ -157,12 +157,12 @@
         l = CountedLock(real_lock)
         l.lock_write()
         l.lock_read()
-        self.assertEquals('token', l.lock_write())
+        self.assertEqual('token', l.lock_write())
         l.unlock()
         l.unlock()
         l.unlock()
         self.assertFalse(l.is_locked())
-        self.assertEquals(
+        self.assertEqual(
             ['lock_write', 'unlock'],
             real_lock._calls)
 
@@ -174,7 +174,7 @@
         self.assertRaises(ReadOnlyError, l.lock_write)
         l.unlock()
         self.assertFalse(l.is_locked())
-        self.assertEquals(
+        self.assertEqual(
             ['lock_read', 'unlock'],
             real_lock._calls)
 

=== modified file 'bzrlib/tests/test_crash.py'
--- bzrlib/tests/test_crash.py	2011-04-18 03:45:05 +0000
+++ bzrlib/tests/test_crash.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009, 2010, 2011 Canonical Ltd
+# Copyright (C) 2009, 2010, 2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -39,7 +39,7 @@
         crash_dir = osutils.joinpath((self.test_base_dir, 'crash'))
         os.mkdir(crash_dir)
         self.overrideEnv('APPORT_CRASH_DIR', crash_dir)
-        self.assertEquals(crash_dir, config.crash_dir())
+        self.assertEqual(crash_dir, config.crash_dir())
 
         self.overrideAttr(
             plugin,

=== modified file 'bzrlib/tests/test_delta.py'
--- bzrlib/tests/test_delta.py	2010-10-20 14:38:53 +0000
+++ bzrlib/tests/test_delta.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007-2010 Canonical Ltd
+# Copyright (C) 2007-2010, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -321,13 +321,13 @@
         d, long_status, short_status = self._get_delta()
         out = StringIO()
         _mod_delta.report_delta(out, d, short_status=True)
-        self.assertEquals(short_status, out.getvalue())
+        self.assertEqual(short_status, out.getvalue())
 
     def test_delta_show_long_status_no_filter(self):
         d, long_status, short_status = self._get_delta()
         out = StringIO()
         _mod_delta.report_delta(out, d, short_status=False)
-        self.assertEquals(long_status, out.getvalue())
+        self.assertEqual(long_status, out.getvalue())
 
     def test_delta_show_no_filter(self):
         d, long_status, short_status = self._get_delta()
@@ -335,7 +335,7 @@
         def not_a_filter(path, file_id):
             return True
         _mod_delta.report_delta(out, d, short_status=True, filter=not_a_filter)
-        self.assertEquals(short_status, out.getvalue())
+        self.assertEqual(short_status, out.getvalue())
 
     def test_delta_show_short_status_single_file_filter(self):
         d, long_status, short_status = self._get_delta()
@@ -343,7 +343,7 @@
         def only_f2(path, file_id):
             return path == 'f2'
         _mod_delta.report_delta(out, d, short_status=True, filter=only_f2)
-        self.assertEquals("A  f2\n", out.getvalue())
+        self.assertEqual("A  f2\n", out.getvalue())
 
     def test_delta_show_long_status_single_file_filter(self):
         d, long_status, short_status = self._get_delta()
@@ -351,7 +351,7 @@
         def only_f2(path, file_id):
             return path == 'f2'
         _mod_delta.report_delta(out, d, short_status=False, filter=only_f2)
-        self.assertEquals("added:\n  f2\n", out.getvalue())
+        self.assertEqual("added:\n  f2\n", out.getvalue())
 
     def test_delta_show_short_status_single_file_id_filter(self):
         d, long_status, short_status = self._get_delta()
@@ -359,5 +359,5 @@
         def only_f2_id(path, file_id):
             return file_id == 'f2-id'
         _mod_delta.report_delta(out, d, short_status=True, filter=only_f2_id)
-        self.assertEquals("A  f2\n", out.getvalue())
+        self.assertEqual("A  f2\n", out.getvalue())
 

=== modified file 'bzrlib/tests/test_diff.py'
--- bzrlib/tests/test_diff.py	2014-10-02 05:50:48 +0000
+++ bzrlib/tests/test_diff.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2014 Canonical Ltd
+# Copyright (C) 2005-2012, 2014, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -94,7 +94,7 @@
         """diff generates a valid diff for patches that add a newline"""
         lines = udiff_lines(['boo'], ['boo\n'])
         self.check_patch(lines)
-        self.assertEquals(lines[4], '\\ No newline at end of file\n')
+        self.assertEqual(lines[4], '\\ No newline at end of file\n')
             ## "expected no-nl, got %r" % lines[4]
 
     def test_add_nl_2(self):
@@ -103,7 +103,7 @@
         """
         lines = udiff_lines(['boo'], ['goo\n'])
         self.check_patch(lines)
-        self.assertEquals(lines[4], '\\ No newline at end of file\n')
+        self.assertEqual(lines[4], '\\ No newline at end of file\n')
             ## "expected no-nl, got %r" % lines[4]
 
     def test_remove_nl(self):
@@ -112,21 +112,21 @@
         """
         lines = udiff_lines(['boo\n'], ['boo'])
         self.check_patch(lines)
-        self.assertEquals(lines[5], '\\ No newline at end of file\n')
+        self.assertEqual(lines[5], '\\ No newline at end of file\n')
             ## "expected no-nl, got %r" % lines[5]
 
     def check_patch(self, lines):
-        self.assert_(len(lines) > 1)
+        self.assertTrue(len(lines) > 1)
             ## "Not enough lines for a file header for patch:\n%s" % "".join(lines)
-        self.assert_(lines[0].startswith ('---'))
+        self.assertTrue(lines[0].startswith ('---'))
             ## 'No orig line for patch:\n%s' % "".join(lines)
-        self.assert_(lines[1].startswith ('+++'))
+        self.assertTrue(lines[1].startswith ('+++'))
             ## 'No mod line for patch:\n%s' % "".join(lines)
-        self.assert_(len(lines) > 2)
+        self.assertTrue(len(lines) > 2)
             ## "No hunks for patch:\n%s" % "".join(lines)
-        self.assert_(lines[2].startswith('@@'))
+        self.assertTrue(lines[2].startswith('@@'))
             ## "No hunk header for patch:\n%s" % "".join(lines)
-        self.assert_('@@' in lines[2][2:])
+        self.assertTrue('@@' in lines[2][2:])
             ## "Unterminated hunk header for patch:\n%s" % "".join(lines)
 
     def test_binary_lines(self):
@@ -157,7 +157,7 @@
         # Older versions of diffutils say "Binary files", newer
         # versions just say "Files".
         self.assertContainsRe(lines[0], '(Binary f|F)iles old and new differ\n')
-        self.assertEquals(lines[1:], ['\n'])
+        self.assertEqual(lines[1:], ['\n'])
 
     def test_no_external_diff(self):
         """Check that NoDiff is raised when diff is not available"""
@@ -175,7 +175,7 @@
                            u'new_\xe5', ['new_text\n'], output)
         lines = output.getvalue().splitlines(True)
         self.check_patch(lines)
-        self.assertEquals(['--- old_\xc2\xb5\n',
+        self.assertEqual(['--- old_\xc2\xb5\n',
                            '+++ new_\xc3\xa5\n',
                            '@@ -1,1 +1,1 @@\n',
                            '-old_text\n',
@@ -191,7 +191,7 @@
                            path_encoding='utf8')
         lines = output.getvalue().splitlines(True)
         self.check_patch(lines)
-        self.assertEquals(['--- old_\xc2\xb5\n',
+        self.assertEqual(['--- old_\xc2\xb5\n',
                            '+++ new_\xc3\xa5\n',
                            '@@ -1,1 +1,1 @@\n',
                            '-old_text\n',
@@ -207,7 +207,7 @@
                            path_encoding='iso-8859-1')
         lines = output.getvalue().splitlines(True)
         self.check_patch(lines)
-        self.assertEquals(['--- old_\xb5\n',
+        self.assertEqual(['--- old_\xb5\n',
                            '+++ new_\xe5\n',
                            '@@ -1,1 +1,1 @@\n',
                            '-old_text\n',
@@ -244,7 +244,7 @@
                            'same_text\n','same_text\n','new_text\n'], output)
         lines = output.getvalue().splitlines(True)
         self.check_patch(lines)
-        self.assertEquals(['--- old\n',
+        self.assertEqual(['--- old\n',
                            '+++ new\n',
                            '@@ -3,4 +3,4 @@\n',
                            ' same_text\n',
@@ -265,7 +265,7 @@
                            context_lines=0)
         lines = output.getvalue().splitlines(True)
         self.check_patch(lines)
-        self.assertEquals(['--- old\n',
+        self.assertEqual(['--- old\n',
                            '+++ new\n',
                            '@@ -6,1 +6,1 @@\n',
                            '-old_text\n',
@@ -283,7 +283,7 @@
                            context_lines=4)
         lines = output.getvalue().splitlines(True)
         self.check_patch(lines)
-        self.assertEquals(['--- old\n',
+        self.assertEqual(['--- old\n',
                            '+++ new\n',
                            '@@ -2,5 +2,5 @@\n',
                            ' same_text\n',
@@ -864,28 +864,28 @@
         b = ''.join([unichr(i) for i in range(4300, 4800, 2)])
         sm = self._PatienceSequenceMatcher(None, a, b)
         mb = sm.get_matching_blocks()
-        self.assertEquals(35, len(mb))
+        self.assertEqual(35, len(mb))
 
     def test_unique_lcs(self):
         unique_lcs = self._unique_lcs
-        self.assertEquals(unique_lcs('', ''), [])
-        self.assertEquals(unique_lcs('', 'a'), [])
-        self.assertEquals(unique_lcs('a', ''), [])
-        self.assertEquals(unique_lcs('a', 'a'), [(0,0)])
-        self.assertEquals(unique_lcs('a', 'b'), [])
-        self.assertEquals(unique_lcs('ab', 'ab'), [(0,0), (1,1)])
-        self.assertEquals(unique_lcs('abcde', 'cdeab'), [(2,0), (3,1), (4,2)])
-        self.assertEquals(unique_lcs('cdeab', 'abcde'), [(0,2), (1,3), (2,4)])
-        self.assertEquals(unique_lcs('abXde', 'abYde'), [(0,0), (1,1),
+        self.assertEqual(unique_lcs('', ''), [])
+        self.assertEqual(unique_lcs('', 'a'), [])
+        self.assertEqual(unique_lcs('a', ''), [])
+        self.assertEqual(unique_lcs('a', 'a'), [(0,0)])
+        self.assertEqual(unique_lcs('a', 'b'), [])
+        self.assertEqual(unique_lcs('ab', 'ab'), [(0,0), (1,1)])
+        self.assertEqual(unique_lcs('abcde', 'cdeab'), [(2,0), (3,1), (4,2)])
+        self.assertEqual(unique_lcs('cdeab', 'abcde'), [(0,2), (1,3), (2,4)])
+        self.assertEqual(unique_lcs('abXde', 'abYde'), [(0,0), (1,1),
                                                          (3,3), (4,4)])
-        self.assertEquals(unique_lcs('acbac', 'abc'), [(2,1)])
+        self.assertEqual(unique_lcs('acbac', 'abc'), [(2,1)])
 
     def test_recurse_matches(self):
         def test_one(a, b, matches):
             test_matches = []
             self._recurse_matches(
                 a, b, 0, 0, len(a), len(b), test_matches, 10)
-            self.assertEquals(test_matches, matches)
+            self.assertEqual(test_matches, matches)
 
         test_one(['a', '', 'b', '', 'c'], ['a', 'a', 'b', 'c', 'c'],
                  [(0, 0), (2, 2), (4, 4)])
@@ -996,7 +996,7 @@
     def test_opcodes(self):
         def chk_ops(a, b, expected_codes):
             s = self._PatienceSequenceMatcher(None, a, b)
-            self.assertEquals(expected_codes, s.get_opcodes())
+            self.assertEqual(expected_codes, s.get_opcodes())
 
         chk_ops('', '', [])
         chk_ops([], [], [])
@@ -1072,7 +1072,7 @@
     def test_grouped_opcodes(self):
         def chk_ops(a, b, expected_codes, n=3):
             s = self._PatienceSequenceMatcher(None, a, b)
-            self.assertEquals(expected_codes, list(s.get_grouped_opcodes(n)))
+            self.assertEqual(expected_codes, list(s.get_grouped_opcodes(n)))
 
         chk_ops('', '', [])
         chk_ops([], [], [])
@@ -1172,7 +1172,7 @@
                  'how are you today?\n']
         unified_diff = patiencediff.unified_diff
         psm = self._PatienceSequenceMatcher
-        self.assertEquals(['--- \n',
+        self.assertEqual(['--- \n',
                            '+++ \n',
                            '@@ -1,3 +1,2 @@\n',
                            ' hello there\n',
@@ -1184,7 +1184,7 @@
         txt_a = map(lambda x: x+'\n', 'abcdefghijklmnop')
         txt_b = map(lambda x: x+'\n', 'abcdefxydefghijklmnop')
         # This is the result with LongestCommonSubstring matching
-        self.assertEquals(['--- \n',
+        self.assertEqual(['--- \n',
                            '+++ \n',
                            '@@ -1,6 +1,11 @@\n',
                            ' a\n',
@@ -1200,7 +1200,7 @@
                            ' f\n']
                           , list(unified_diff(txt_a, txt_b)))
         # And the patience diff
-        self.assertEquals(['--- \n',
+        self.assertEqual(['--- \n',
                            '+++ \n',
                            '@@ -4,6 +4,11 @@\n',
                            ' d\n',
@@ -1226,7 +1226,7 @@
                  'how are you today?\n']
         unified_diff = patiencediff.unified_diff
         psm = self._PatienceSequenceMatcher
-        self.assertEquals(['--- a\t2008-08-08\n',
+        self.assertEqual(['--- a\t2008-08-08\n',
                            '+++ b\t2008-09-09\n',
                            '@@ -1,3 +1,2 @@\n',
                            ' hello there\n',
@@ -1284,7 +1284,7 @@
 
         unified_diff_files = patiencediff.unified_diff_files
         psm = self._PatienceSequenceMatcher
-        self.assertEquals(['--- a1\n',
+        self.assertEqual(['--- a1\n',
                            '+++ b1\n',
                            '@@ -1,3 +1,2 @@\n',
                            ' hello there\n',
@@ -1300,7 +1300,7 @@
         with open('b2', 'wb') as f: f.writelines(txt_b)
 
         # This is the result with LongestCommonSubstring matching
-        self.assertEquals(['--- a2\n',
+        self.assertEqual(['--- a2\n',
                            '+++ b2\n',
                            '@@ -1,6 +1,11 @@\n',
                            ' a\n',
@@ -1317,23 +1317,22 @@
                           , list(unified_diff_files('a2', 'b2')))
 
         # And the patience diff
-        self.assertEquals(['--- a2\n',
-                           '+++ b2\n',
-                           '@@ -4,6 +4,11 @@\n',
-                           ' d\n',
-                           ' e\n',
-                           ' f\n',
-                           '+x\n',
-                           '+y\n',
-                           '+d\n',
-                           '+e\n',
-                           '+f\n',
-                           ' g\n',
-                           ' h\n',
-                           ' i\n',
-                          ]
-                          , list(unified_diff_files('a2', 'b2',
-                                 sequencematcher=psm)))
+        self.assertEqual(['--- a2\n',
+                          '+++ b2\n',
+                          '@@ -4,6 +4,11 @@\n',
+                          ' d\n',
+                          ' e\n',
+                          ' f\n',
+                          '+x\n',
+                          '+y\n',
+                          '+d\n',
+                          '+e\n',
+                          '+f\n',
+                          ' g\n',
+                          ' h\n',
+                          ' i\n'],
+                         list(unified_diff_files('a2', 'b2',
+                                                 sequencematcher=psm)))
 
 
 class TestPatienceDiffLibFiles_c(TestPatienceDiffLibFiles):
@@ -1500,24 +1499,22 @@
                                     None, None, None)
         for _, scenario in EncodingAdapter.encoding_scenarios:
             encoding = scenario['encoding']
-            dirname  = scenario['info']['directory']
+            dirname = scenario['info']['directory']
             filename = scenario['info']['filename']
 
             self.overrideAttr(diffobj, '_fenc', lambda: encoding)
             relpath = dirname + u'/' + filename
             fullpath = diffobj._safe_filename('safe', relpath)
-            self.assertEqual(
-                    fullpath,
-                    fullpath.encode(encoding).decode(encoding)
-                    )
-            self.assert_(fullpath.startswith(diffobj._root + '/safe'))
+            self.assertEqual(fullpath,
+                             fullpath.encode(encoding).decode(encoding))
+            self.assertTrue(fullpath.startswith(diffobj._root + '/safe'))
 
     def test_unencodable_filename(self):
         diffobj = diff.DiffFromTool(['dummy', '@old_path', '@new_path'],
                                     None, None, None)
         for _, scenario in EncodingAdapter.encoding_scenarios:
             encoding = scenario['encoding']
-            dirname  = scenario['info']['directory']
+            dirname = scenario['info']['directory']
             filename = scenario['info']['filename']
 
             if encoding == 'iso-8859-1':
@@ -1528,11 +1525,9 @@
             self.overrideAttr(diffobj, '_fenc', lambda: encoding)
             relpath = dirname + u'/' + filename
             fullpath = diffobj._safe_filename('safe', relpath)
-            self.assertEqual(
-                    fullpath,
-                    fullpath.encode(encoding).decode(encoding)
-                    )
-            self.assert_(fullpath.startswith(diffobj._root + '/safe'))
+            self.assertEqual(fullpath,
+                             fullpath.encode(encoding).decode(encoding))
+            self.assertTrue(fullpath.startswith(diffobj._root + '/safe'))
 
 
 class TestGetTreesAndBranchesToDiffLocked(tests.TestCaseWithTransport):

=== modified file 'bzrlib/tests/test_directory_service.py'
--- bzrlib/tests/test_directory_service.py	2012-08-04 14:27:47 +0000
+++ bzrlib/tests/test_directory_service.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008-2012 Canonical Ltd
+# Copyright (C) 2008-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -71,7 +71,7 @@
 
     def assertAliasFromBranch(self, setter, value, alias):
         setter(value)
-        self.assertEquals(value, directories.dereference(alias))
+        self.assertEqual(value, directories.dereference(alias))
 
     def test_lookup_parent(self):
         self.assertAliasFromBranch(self.branch.set_parent, 'http://a',
@@ -115,7 +115,7 @@
         self.addCleanup(AliasDirectory.branch_aliases.remove, "booga")
         AliasDirectory.branch_aliases.register("booga",
             lambda b: "UHH?", help="Nobody knows")
-        self.assertEquals("UHH?", directories.dereference(":booga"))
+        self.assertEqual("UHH?", directories.dereference(":booga"))
 
 
 class TestColocatedDirectory(TestCaseWithTransport):
@@ -123,17 +123,17 @@
     def test_lookup_non_default(self):
         default = self.make_branch('.')
         non_default = default.bzrdir.create_branch(name='nondefault')
-        self.assertEquals(non_default.base, directories.dereference('co:nondefault'))
+        self.assertEqual(non_default.base, directories.dereference('co:nondefault'))
 
     def test_lookup_default(self):
         default = self.make_branch('.')
         non_default = default.bzrdir.create_branch(name='nondefault')
-        self.assertEquals(urlutils.join_segment_parameters(default.bzrdir.user_url,
+        self.assertEqual(urlutils.join_segment_parameters(default.bzrdir.user_url,
             {"branch": ""}), directories.dereference('co:'))
 
     def test_no_such_branch(self):
         # No error is raised in this case, that is up to the code that actually
         # opens the branch.
         default = self.make_branch('.')
-        self.assertEquals(urlutils.join_segment_parameters(default.bzrdir.user_url,
+        self.assertEqual(urlutils.join_segment_parameters(default.bzrdir.user_url,
             {"branch": "foo"}), directories.dereference('co:foo'))

=== modified file 'bzrlib/tests/test_email_message.py'
--- bzrlib/tests/test_email_message.py	2014-04-09 08:00:39 +0000
+++ bzrlib/tests/test_email_message.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007 Canonical Ltd
+# Copyright (C) 2007, 2009, 2011, 2014, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -187,13 +187,13 @@
 
         address = u'Pepe P\xe9rez <pperez@ejemplo.com>' # unicode ok
         encoded = EmailMessage.address_to_encoded_header(address)
-        self.assert_('pperez@ejemplo.com' in encoded) # addr must be unencoded
-        self.assertEquals(address, decode(encoded))
+        self.assertTrue('pperez@ejemplo.com' in encoded) # addr must be unencoded
+        self.assertEqual(address, decode(encoded))
 
         address = 'Pepe P\xc3\xa9red <pperez@ejemplo.com>' # UTF-8 ok
         encoded = EmailMessage.address_to_encoded_header(address)
-        self.assert_('pperez@ejemplo.com' in encoded)
-        self.assertEquals(address, decode(encoded).encode('utf-8'))
+        self.assertTrue('pperez@ejemplo.com' in encoded)
+        self.assertEqual(address, decode(encoded).encode('utf-8'))
 
         address = 'Pepe P\xe9rez <pperez@ejemplo.com>' # ISO-8859-1 not ok
         self.assertRaises(BzrBadParameterNotUnicode,

=== modified file 'bzrlib/tests/test_errors.py'
--- bzrlib/tests/test_errors.py	2012-02-23 23:26:35 +0000
+++ bzrlib/tests/test_errors.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2011 Canonical Ltd
+# Copyright (C) 2006-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -133,15 +133,15 @@
         error = errors.InvalidHttpRange('path',
                                         'Content-Range: potatoes 0-00/o0oo0',
                                         'bad range')
-        self.assertEquals("Invalid http range"
-                          " 'Content-Range: potatoes 0-00/o0oo0'"
-                          " for path: bad range",
-                          str(error))
+        self.assertEqual("Invalid http range"
+                         " 'Content-Range: potatoes 0-00/o0oo0'"
+                         " for path: bad range",
+                         str(error))
 
     def test_invalid_range(self):
         error = errors.InvalidRange('path', 12, 'bad range')
-        self.assertEquals("Invalid range access in path at 12: bad range",
-                          str(error))
+        self.assertEqual("Invalid range access in path at 12: bad range",
+                         str(error))
 
     def test_inventory_modified(self):
         error = errors.InventoryModified("a tree to be repred")
@@ -517,7 +517,7 @@
 
     def test_immortal_pending_deletion_message(self):
         err = errors.ImmortalPendingDeletion('foo')
-        self.assertEquals(
+        self.assertEqual(
             "Unable to delete transform temporary directory foo.  "
             "Please examine foo to see if it contains any files "
             "you wish to keep, and delete it when you are done.",
@@ -525,15 +525,15 @@
 
     def test_unable_create_symlink(self):
         err = errors.UnableCreateSymlink()
-        self.assertEquals(
+        self.assertEqual(
             "Unable to create symlink on this platform",
             str(err))
         err = errors.UnableCreateSymlink(path=u'foo')
-        self.assertEquals(
+        self.assertEqual(
             "Unable to create symlink 'foo' on this platform",
             str(err))
         err = errors.UnableCreateSymlink(path=u'\xb5')
-        self.assertEquals(
+        self.assertEqual(
             "Unable to create symlink u'\\xb5' on this platform",
             str(err))
 
@@ -546,45 +546,45 @@
 
     def test_incorrect_url(self):
         err = errors.InvalidBugTrackerURL('foo', 'http://bug.com/')
-        self.assertEquals(
+        self.assertEqual(
             ("The URL for bug tracker \"foo\" doesn't contain {id}: "
              "http://bug.com/"),
             str(err))
 
     def test_unable_encode_path(self):
         err = errors.UnableEncodePath('foo', 'executable')
-        self.assertEquals("Unable to encode executable path 'foo' in "
-            "user encoding " + osutils.get_user_encoding(),
-            str(err))
+        self.assertEqual("Unable to encode executable path 'foo' in "
+                         "user encoding " + osutils.get_user_encoding(),
+                         str(err))
 
     def test_unknown_format(self):
         err = errors.UnknownFormatError('bar', kind='foo')
-        self.assertEquals("Unknown foo format: 'bar'", str(err))
+        self.assertEqual("Unknown foo format: 'bar'", str(err))
 
     def test_unknown_rules(self):
         err = errors.UnknownRules(['foo', 'bar'])
-        self.assertEquals("Unknown rules detected: foo, bar.", str(err))
+        self.assertEqual("Unknown rules detected: foo, bar.", str(err))
 
     def test_tip_change_rejected(self):
         err = errors.TipChangeRejected(u'Unicode message\N{INTERROBANG}')
-        self.assertEquals(
+        self.assertEqual(
             u'Tip change rejected: Unicode message\N{INTERROBANG}',
             unicode(err))
-        self.assertEquals(
+        self.assertEqual(
             'Tip change rejected: Unicode message\xe2\x80\xbd',
             str(err))
 
     def test_error_from_smart_server(self):
         error_tuple = ('error', 'tuple')
         err = errors.ErrorFromSmartServer(error_tuple)
-        self.assertEquals(
+        self.assertEqual(
             "Error received from smart server: ('error', 'tuple')", str(err))
 
     def test_untranslateable_error_from_smart_server(self):
         error_tuple = ('error', 'tuple')
         orig_err = errors.ErrorFromSmartServer(error_tuple)
         err = errors.UnknownErrorFromSmartServer(orig_err)
-        self.assertEquals(
+        self.assertEqual(
             "Server sent an unexpected error: ('error', 'tuple')", str(err))
 
     def test_smart_message_handler_error(self):
@@ -608,7 +608,7 @@
 
     def test_no_such_view(self):
         err = errors.NoSuchView('foo')
-        self.assertEquals("No such view: foo.", str(err))
+        self.assertEqual("No such view: foo.", str(err))
 
     def test_views_not_supported(self):
         err = errors.ViewsNotSupported('atree')
@@ -619,14 +619,14 @@
 
     def test_file_outside_view(self):
         err = errors.FileOutsideView('baz', ['foo', 'bar'])
-        self.assertEquals('Specified file "baz" is outside the current view: '
-            'foo, bar', str(err))
+        self.assertEqual('Specified file "baz" is outside the current view: '
+                         'foo, bar', str(err))
 
     def test_invalid_shelf_id(self):
         invalid_id = "foo"
         err = errors.InvalidShelfId(invalid_id)
         self.assertEqual('"foo" is not a valid shelf id, '
-            'try a number instead.', str(err))
+                         'try a number instead.', str(err))
 
     def test_unresumable_write_group(self):
         repo = "dummy repo"
@@ -736,7 +736,7 @@
     def test_missing_format_string(self):
         e = ErrorWithNoFormat(param='randomvalue')
         self.assertStartsWith(str(e),
-            "Unprintable exception ErrorWithNoFormat")
+                              "Unprintable exception ErrorWithNoFormat")
 
     def test_mismatched_format_args(self):
         # Even though ErrorWithBadFormat's format string does not match the
@@ -749,17 +749,18 @@
     def test_cannot_bind_address(self):
         # see <https://bugs.launchpad.net/bzr/+bug/286871>
         e = errors.CannotBindAddress('example.com', 22,
-            socket.error(13, 'Permission denied'))
-        self.assertContainsRe(str(e),
+                                     socket.error(13, 'Permission denied'))
+        self.assertContainsRe(
+            str(e),
             r'Cannot bind address "example\.com:22":.*Permission denied')
 
-    def test_file_timestamp_unavailable(self):            
+    def test_file_timestamp_unavailable(self):
         e = errors.FileTimestampUnavailable("/path/foo")
-        self.assertEquals("The filestamp for /path/foo is not available.",
-            str(e))
-            
+        self.assertEqual("The filestamp for /path/foo is not available.",
+                         str(e))
+
     def test_transform_rename_failed(self):
         e = errors.TransformRenameFailed(u"from", u"to", "readonly file", 2)
-        self.assertEquals(
+        self.assertEqual(
             u"Failed to rename from to to: readonly file",
             str(e))

=== modified file 'bzrlib/tests/test_export.py'
--- bzrlib/tests/test_export.py	2011-07-08 23:01:39 +0000
+++ bzrlib/tests/test_export.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009, 2010 Canonical Ltd
+# Copyright (C) 2009, 2010, 2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -46,7 +46,7 @@
     def test_empty(self):
         wt = self.make_branch_and_tree('.')
         export.export(wt, 'target', format="dir")
-        self.assertEquals([], os.listdir("target"))
+        self.assertEqual([], os.listdir("target"))
 
     def test_symlink(self):
         self.requireFeature(features.SymlinkFeature)
@@ -166,7 +166,7 @@
         export.export(tree, 'target', format='dir', subdir='subdir',
             per_file_timestamps=True)
         t = self.get_transport('target')
-        self.assertEquals(foo_time, t.stat('foo.txt').st_mtime)
+        self.assertEqual(foo_time, t.stat('foo.txt').st_mtime)
 
 
 class TarExporterTests(tests.TestCaseWithTransport):
@@ -180,7 +180,7 @@
         wt.commit("1")
         export.export(wt, 'target.tar.xz', format="txz")
         tf = tarfile.open(fileobj=lzma.LZMAFile('target.tar.xz'))
-        self.assertEquals(["target/a"], tf.getnames())
+        self.assertEqual(["target/a"], tf.getnames())
 
     def test_lzma(self):
         self.requireFeature(features.lzma)
@@ -191,7 +191,7 @@
         wt.commit("1")
         export.export(wt, 'target.tar.lzma', format="tlzma")
         tf = tarfile.open(fileobj=lzma.LZMAFile('target.tar.lzma'))
-        self.assertEquals(["target/a"], tf.getnames())
+        self.assertEqual(["target/a"], tf.getnames())
 
     def test_tgz(self):
         wt = self.make_branch_and_tree('.')
@@ -200,7 +200,7 @@
         wt.commit("1")
         export.export(wt, 'target.tar.gz', format="tgz")
         tf = tarfile.open('target.tar.gz')
-        self.assertEquals(["target/a"], tf.getnames())
+        self.assertEqual(["target/a"], tf.getnames())
 
     def test_tgz_ignores_dest_path(self):
         # The target path should not be a part of the target file.
@@ -235,7 +235,7 @@
         wt.commit("1")
         export.export(wt, 'target.tar.bz2', format="tbz2")
         tf = tarfile.open('target.tar.bz2')
-        self.assertEquals(["target/a"], tf.getnames())
+        self.assertEqual(["target/a"], tf.getnames())
 
     def test_xz_stdout(self):
         wt = self.make_branch_and_tree('.')
@@ -259,7 +259,7 @@
         target.seek(0)
         ball2 = tarfile.open(None, "r", target)
         self.addCleanup(ball2.close)
-        self.assertEquals(["bar/a"], ball2.getnames())
+        self.assertEqual(["bar/a"], ball2.getnames())
 
 
 class ZipExporterTests(tests.TestCaseWithTransport):
@@ -275,20 +275,20 @@
             per_file_timestamps=True)
         zfile = zipfile.ZipFile('test.zip')
         info = zfile.getinfo("test/har")
-        self.assertEquals(time.localtime(timestamp)[:6], info.date_time)
+        self.assertEqual(time.localtime(timestamp)[:6], info.date_time)
 
 
 class RootNameTests(tests.TestCase):
 
     def test_root_name(self):
-        self.assertEquals('mytest', get_root_name('../mytest.tar'))
-        self.assertEquals('mytar', get_root_name('mytar.tar'))
-        self.assertEquals('mytar', get_root_name('mytar.tar.bz2'))
-        self.assertEquals('tar.tar.tar', get_root_name('tar.tar.tar.tgz'))
-        self.assertEquals('bzr-0.0.5', get_root_name('bzr-0.0.5.tar.gz'))
-        self.assertEquals('bzr-0.0.5', get_root_name('bzr-0.0.5.zip'))
-        self.assertEquals('bzr-0.0.5', get_root_name('bzr-0.0.5'))
-        self.assertEquals('mytar', get_root_name('a/long/path/mytar.tgz'))
-        self.assertEquals('other',
+        self.assertEqual('mytest', get_root_name('../mytest.tar'))
+        self.assertEqual('mytar', get_root_name('mytar.tar'))
+        self.assertEqual('mytar', get_root_name('mytar.tar.bz2'))
+        self.assertEqual('tar.tar.tar', get_root_name('tar.tar.tar.tgz'))
+        self.assertEqual('bzr-0.0.5', get_root_name('bzr-0.0.5.tar.gz'))
+        self.assertEqual('bzr-0.0.5', get_root_name('bzr-0.0.5.zip'))
+        self.assertEqual('bzr-0.0.5', get_root_name('bzr-0.0.5'))
+        self.assertEqual('mytar', get_root_name('a/long/path/mytar.tgz'))
+        self.assertEqual('other',
             get_root_name('../parent/../dir/other.tbz2'))
-        self.assertEquals('', get_root_name('-'))
+        self.assertEqual('', get_root_name('-'))

=== modified file 'bzrlib/tests/test_export_pot.py'
--- bzrlib/tests/test_export_pot.py	2011-12-08 18:58:27 +0000
+++ bzrlib/tests/test_export_pot.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2011 Canonical Ltd
+# Copyright (C) 2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -160,7 +160,7 @@
     """Checks for source context tracking objects"""
 
     def check_context(self, context, path, lineno):
-        self.assertEquals((context.path, context.lineno), (path, lineno))
+        self.assertEqual((context.path, context.lineno), (path, lineno))
 
     def test___init__(self):
         context = export_pot._ModuleContext("one.py")
@@ -182,7 +182,7 @@
         contextB2 = contextA.from_class(B)
         self.check_context(contextB2, path, 7)
         self.check_context(context, path, 1)
-        self.assertEquals("", self.get_log())
+        self.assertEqual("", self.get_log())
 
     def test_from_class_missing(self):
         """When class has no lineno the old context details are returned"""
@@ -209,7 +209,7 @@
         context2B = context1.from_string("two")
         self.check_context(context2B, path, 42)
         self.check_context(context, path, 1)
-        self.assertEquals("", self.get_log())
+        self.assertEqual("", self.get_log())
 
     def test_from_string_missing(self):
         """When string has no lineno the old context details are returned"""

=== modified file 'bzrlib/tests/test_features.py'
--- bzrlib/tests/test_features.py	2011-11-29 16:27:56 +0000
+++ bzrlib/tests/test_features.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2011 Canonical Ltd
+# Copyright (C) 2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -101,10 +101,10 @@
             caller = sys._getframe(stacklevel)
             reported_file = caller.f_globals['__file__']
             reported_lineno = caller.f_lineno
-            self.assertEquals(__file__, reported_file)
+            self.assertEqual(__file__, reported_file)
             # The call we're tracking occurred the line after we grabbed the
             # lineno.
-            self.assertEquals(self.lineno + 1, reported_lineno)
+            self.assertEqual(self.lineno + 1, reported_lineno)
         self.overrideAttr(symbol_versioning, 'warn', test_caller)
         # Grab the current lineno
         self.lineno = sys._getframe().f_lineno

=== modified file 'bzrlib/tests/test_fetch.py'
--- bzrlib/tests/test_fetch.py	2011-10-14 12:49:33 +0000
+++ bzrlib/tests/test_fetch.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2011 Canonical Ltd
+# Copyright (C) 2005-2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -56,10 +56,10 @@
     repo_b = br_b.repository
     self.assertFalse(repo_b.has_revision(revision_history(br_a)[3]))
     self.assertTrue(repo_b.has_revision(revision_history(br_a)[2]))
-    self.assertEquals(len(revision_history(br_b)), 7)
+    self.assertEqual(len(revision_history(br_b)), 7)
     br_b.fetch(br_a, revision_history(br_a)[2])
     # branch.fetch is not supposed to alter the revision history
-    self.assertEquals(len(revision_history(br_b)), 7)
+    self.assertEqual(len(revision_history(br_b)), 7)
     self.assertFalse(repo_b.has_revision(revision_history(br_a)[3]))
 
     # fetching the next revision up in sample data copies one revision

=== modified file 'bzrlib/tests/test_filter_tree.py'
--- bzrlib/tests/test_filter_tree.py	2011-07-04 21:15:24 +0000
+++ bzrlib/tests/test_filter_tree.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2011 Canonical Ltd
+# Copyright (C) 2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -43,10 +43,10 @@
 
     def test_get_file_text(self):
         self.make_tree()
-        self.assertEquals(
+        self.assertEqual(
             self.underlying_tree.get_file_text('hello-id'),
             'hello world')
-        self.assertEquals(
+        self.assertEqual(
             self.filter_tree.get_file_text('hello-id'),
             'HELLO WORLD')
 
@@ -55,7 +55,7 @@
         self.make_tree()
         export.export(self.filter_tree, "out.tgz")
         ball = tarfile.open("out.tgz", "r:gz")
-        self.assertEquals(
+        self.assertEqual(
             'HELLO WORLD',
             ball.extractfile('out/hello').read())
 
@@ -63,6 +63,6 @@
         self.make_tree()
         export.export(self.filter_tree, 'out.zip')
         zipf = zipfile.ZipFile('out.zip', 'r')
-        self.assertEquals(
+        self.assertEqual(
             'HELLO WORLD',
             zipf.read('out/hello'))

=== modified file 'bzrlib/tests/test_filters.py'
--- bzrlib/tests/test_filters.py	2012-03-29 14:54:16 +0000
+++ bzrlib/tests/test_filters.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008 Canonical Ltd
+# Copyright (C) 2008, 2009, 2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -58,7 +58,7 @@
 
     def test_filter_context_with_path(self):
         ctx = ContentFilterContext('foo/bar')
-        self.assertEquals('foo/bar', ctx.relpath())
+        self.assertEqual('foo/bar', ctx.relpath())
 
 
 class TestFilteredInput(TestCase):

=== modified file 'bzrlib/tests/test_foreign.py'
--- bzrlib/tests/test_foreign.py	2012-02-23 19:45:15 +0000
+++ bzrlib/tests/test_foreign.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008-2011 Canonical Ltd
+# Copyright (C) 2008-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -321,7 +321,7 @@
         return super(DummyForeignVcsDir, self).create_workingtree()
 
     def open_branch(self, name=None, unsupported=False, ignore_fallbacks=True,
-            possible_transports=None):
+                    possible_transports=None):
         if name is None:
             name = self._get_selected_branch()
         if name != "":
@@ -339,24 +339,25 @@
                recurse='down', possible_transports=None,
                accelerator_tree=None, hardlink=False, stacked=False,
                source_branch=None):
-        # dirstate doesn't cope with accelerator_trees well 
+        # dirstate doesn't cope with accelerator_trees well
         # that have a different control dir
-        return super(DummyForeignVcsDir, self).sprout(url=url, 
-                revision_id=revision_id, force_new_repo=force_new_repo, 
-                recurse=recurse, possible_transports=possible_transports, 
-                hardlink=hardlink, stacked=stacked, source_branch=source_branch)
+        return super(DummyForeignVcsDir, self).sprout(
+            url=url,
+            revision_id=revision_id, force_new_repo=force_new_repo,
+            recurse=recurse, possible_transports=possible_transports,
+            hardlink=hardlink, stacked=stacked, source_branch=source_branch)
 
 
 def register_dummy_foreign_for_test(testcase):
     controldir.ControlDirFormat.register_prober(DummyForeignProber)
     testcase.addCleanup(controldir.ControlDirFormat.unregister_prober,
-        DummyForeignProber)
+                        DummyForeignProber)
     repository.format_registry.register(DummyForeignVcsRepositoryFormat())
     testcase.addCleanup(repository.format_registry.remove,
-            DummyForeignVcsRepositoryFormat())
+                        DummyForeignVcsRepositoryFormat())
     branch.format_registry.register(DummyForeignVcsBranchFormat())
     testcase.addCleanup(branch.format_registry.remove,
-            DummyForeignVcsBranchFormat())
+                        DummyForeignVcsBranchFormat())
     # We need to register the optimiser to make the dummy appears really
     # different from a regular bzr repository.
     branch.InterBranch.register_optimiser(InterToDummyVcsBranch)
@@ -395,7 +396,7 @@
         reg = foreign.ForeignVcsRegistry()
         vcs = DummyForeignVcs()
         reg.register("dummy", vcs, "Dummy VCS")
-        self.assertEquals((
+        self.assertEqual((
             ("some", "foreign", "revid"), DummyForeignVcsMapping(vcs)),
             reg.parse_revision_id("dummy-v1:some-foreign-revid"))
 
@@ -407,9 +408,9 @@
         mapp = DummyForeignVcsMapping(DummyForeignVcs())
         rev = foreign.ForeignRevision(("a", "foreign", "revid"),
                                       mapp, "roundtripped-revid")
-        self.assertEquals("", rev.inventory_sha1)
-        self.assertEquals(("a", "foreign", "revid"), rev.foreign_revid)
-        self.assertEquals(mapp, rev.mapping)
+        self.assertEqual("", rev.inventory_sha1)
+        self.assertEqual(("a", "foreign", "revid"), rev.foreign_revid)
+        self.assertEqual(mapp, rev.mapping)
 
 
 class WorkingTreeFileUpdateTests(tests.TestCaseWithTransport):
@@ -431,7 +432,7 @@
         foreign.update_workingtree_fileids(wt, target_basis)
         wt.lock_read()
         try:
-            self.assertEquals(set([root_id, "bla-b"]), set(wt.all_file_ids()))
+            self.assertEqual(set([root_id, "bla-b"]), set(wt.all_file_ids()))
         finally:
             wt.unlock()
 
@@ -447,7 +448,7 @@
         """Test we can create dummies."""
         self.make_branch_and_tree("d", format=DummyForeignVcsDirFormat())
         dir = controldir.ControlDir.open("d")
-        self.assertEquals("A Dummy VCS Dir", dir._format.get_format_string())
+        self.assertEqual("A Dummy VCS Dir", dir._format.get_format_string())
         dir.open_repository()
         dir.open_branch()
         dir.open_workingtree()
@@ -457,39 +458,39 @@
         self.make_branch_and_tree("d", format=DummyForeignVcsDirFormat())
         dir = controldir.ControlDir.open("d")
         newdir = dir.sprout("e")
-        self.assertNotEquals("A Dummy VCS Dir",
-                             newdir._format.get_format_string())
+        self.assertNotEqual("A Dummy VCS Dir",
+                            newdir._format.get_format_string())
 
     def test_push_not_supported(self):
         source_tree = self.make_branch_and_tree("source")
-        target_tree = self.make_branch_and_tree("target", 
-            format=DummyForeignVcsDirFormat())
-        self.assertRaises(errors.NoRoundtrippingSupport, 
-            source_tree.branch.push, target_tree.branch)
+        target_tree = self.make_branch_and_tree(
+            "target", format=DummyForeignVcsDirFormat())
+        self.assertRaises(errors.NoRoundtrippingSupport,
+                          source_tree.branch.push, target_tree.branch)
 
     def test_lossy_push_empty(self):
         source_tree = self.make_branch_and_tree("source")
-        target_tree = self.make_branch_and_tree("target", 
-            format=DummyForeignVcsDirFormat())
+        target_tree = self.make_branch_and_tree(
+            "target", format=DummyForeignVcsDirFormat())
         pushresult = source_tree.branch.push(target_tree.branch, lossy=True)
-        self.assertEquals(revision.NULL_REVISION, pushresult.old_revid)
-        self.assertEquals(revision.NULL_REVISION, pushresult.new_revid)
-        self.assertEquals({}, pushresult.revidmap)
+        self.assertEqual(revision.NULL_REVISION, pushresult.old_revid)
+        self.assertEqual(revision.NULL_REVISION, pushresult.new_revid)
+        self.assertEqual({}, pushresult.revidmap)
 
     def test_lossy_push_simple(self):
         source_tree = self.make_branch_and_tree("source")
         self.build_tree(['source/a', 'source/b'])
         source_tree.add(['a', 'b'])
         revid1 = source_tree.commit("msg")
-        target_tree = self.make_branch_and_tree("target", 
-            format=DummyForeignVcsDirFormat())
+        target_tree = self.make_branch_and_tree(
+            "target", format=DummyForeignVcsDirFormat())
         target_tree.branch.lock_write()
         try:
             pushresult = source_tree.branch.push(
                 target_tree.branch, lossy=True)
         finally:
             target_tree.branch.unlock()
-        self.assertEquals(revision.NULL_REVISION, pushresult.old_revid)
-        self.assertEquals({revid1:target_tree.branch.last_revision()}, 
-                           pushresult.revidmap)
-        self.assertEquals(pushresult.revidmap[revid1], pushresult.new_revid)
+        self.assertEqual(revision.NULL_REVISION, pushresult.old_revid)
+        self.assertEqual({revid1: target_tree.branch.last_revision()},
+                         pushresult.revidmap)
+        self.assertEqual(pushresult.revidmap[revid1], pushresult.new_revid)

=== modified file 'bzrlib/tests/test_hashcache.py'
--- bzrlib/tests/test_hashcache.py	2011-06-14 01:26:41 +0000
+++ bzrlib/tests/test_hashcache.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2009, 2011 Canonical Ltd
+# Copyright (C) 2005-2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -54,45 +54,45 @@
         """Get correct hash from an empty hashcache"""
         hc = self.make_hashcache()
         self.build_tree_contents([('foo', 'hello')])
-        self.assertEquals(hc.get_sha1('foo'),
+        self.assertEqual(hc.get_sha1('foo'),
                           'aaf4c61ddcc5e8a2dabede0f3b482cd9aea9434d')
-        self.assertEquals(hc.miss_count, 1)
-        self.assertEquals(hc.hit_count, 0)
+        self.assertEqual(hc.miss_count, 1)
+        self.assertEqual(hc.hit_count, 0)
 
     def test_hashcache_new_file(self):
         hc = self.make_hashcache()
         self.build_tree_contents([('foo', 'goodbye')])
         # now read without pausing; it may not be possible to cache it as its
         # so new
-        self.assertEquals(hc.get_sha1('foo'), sha1('goodbye'))
+        self.assertEqual(hc.get_sha1('foo'), sha1('goodbye'))
 
     def test_hashcache_nonexistent_file(self):
         hc = self.make_hashcache()
-        self.assertEquals(hc.get_sha1('no-name-yet'), None)
+        self.assertEqual(hc.get_sha1('no-name-yet'), None)
 
     def test_hashcache_replaced_file(self):
         hc = self.make_hashcache()
         self.build_tree_contents([('foo', 'goodbye')])
-        self.assertEquals(hc.get_sha1('foo'), sha1('goodbye'))
+        self.assertEqual(hc.get_sha1('foo'), sha1('goodbye'))
         os.remove('foo')
-        self.assertEquals(hc.get_sha1('foo'), None)
+        self.assertEqual(hc.get_sha1('foo'), None)
         self.build_tree_contents([('foo', 'new content')])
-        self.assertEquals(hc.get_sha1('foo'), sha1('new content'))
+        self.assertEqual(hc.get_sha1('foo'), sha1('new content'))
 
     def test_hashcache_not_file(self):
         hc = self.make_hashcache()
         self.build_tree(['subdir/'])
-        self.assertEquals(hc.get_sha1('subdir'), None)
+        self.assertEqual(hc.get_sha1('subdir'), None)
 
     def test_hashcache_load(self):
         hc = self.make_hashcache()
         self.build_tree_contents([('foo', 'contents')])
         pause()
-        self.assertEquals(hc.get_sha1('foo'), sha1('contents'))
+        self.assertEqual(hc.get_sha1('foo'), sha1('contents'))
         hc.write()
         hc = self.reopen_hashcache()
-        self.assertEquals(hc.get_sha1('foo'), sha1('contents'))
-        self.assertEquals(hc.hit_count, 1)
+        self.assertEqual(hc.get_sha1('foo'), sha1('contents'))
+        self.assertEqual(hc.hit_count, 1)
 
     def test_hammer_hashcache(self):
         hc = self.make_hashcache()
@@ -108,7 +108,7 @@
             self.log("iteration %d: %r -> %r",
                      i, last_content, last_sha1)
             got_sha1 = hc.get_sha1('foo')
-            self.assertEquals(got_sha1, last_sha1)
+            self.assertEqual(got_sha1, last_sha1)
             hc.write()
             hc = self.reopen_hashcache()
 
@@ -173,13 +173,13 @@
         """A new file gives the right sha1 but misses"""
         hc = self.make_hashcache()
         hc.put_file('foo', 'hello')
-        self.assertEquals(hc.get_sha1('foo'), sha1('hello'))
-        self.assertEquals(hc.miss_count, 1)
-        self.assertEquals(hc.hit_count, 0)
+        self.assertEqual(hc.get_sha1('foo'), sha1('hello'))
+        self.assertEqual(hc.miss_count, 1)
+        self.assertEqual(hc.hit_count, 0)
         # if we try again it's still too new;
-        self.assertEquals(hc.get_sha1('foo'), sha1('hello'))
-        self.assertEquals(hc.miss_count, 2)
-        self.assertEquals(hc.hit_count, 0)
+        self.assertEqual(hc.get_sha1('foo'), sha1('hello'))
+        self.assertEqual(hc.miss_count, 2)
+        self.assertEqual(hc.hit_count, 0)
 
     def test_hashcache_old_file(self):
         """An old file gives the right sha1 and hits"""
@@ -187,18 +187,18 @@
         hc.put_file('foo', 'hello')
         hc.pretend_to_sleep(20)
         # file is new; should get the correct hash but miss
-        self.assertEquals(hc.get_sha1('foo'), sha1('hello'))
-        self.assertEquals(hc.miss_count, 1)
-        self.assertEquals(hc.hit_count, 0)
+        self.assertEqual(hc.get_sha1('foo'), sha1('hello'))
+        self.assertEqual(hc.miss_count, 1)
+        self.assertEqual(hc.hit_count, 0)
         # and can now be hit
-        self.assertEquals(hc.get_sha1('foo'), sha1('hello'))
-        self.assertEquals(hc.miss_count, 1)
-        self.assertEquals(hc.hit_count, 1)
+        self.assertEqual(hc.get_sha1('foo'), sha1('hello'))
+        self.assertEqual(hc.miss_count, 1)
+        self.assertEqual(hc.hit_count, 1)
         hc.pretend_to_sleep(3)
         # and again
-        self.assertEquals(hc.get_sha1('foo'), sha1('hello'))
-        self.assertEquals(hc.miss_count, 1)
-        self.assertEquals(hc.hit_count, 2)
+        self.assertEqual(hc.get_sha1('foo'), sha1('hello'))
+        self.assertEqual(hc.miss_count, 1)
+        self.assertEqual(hc.hit_count, 2)
 
     def test_hashcache_invalidates(self):
         hc = self.make_hashcache()
@@ -206,6 +206,6 @@
         hc.pretend_to_sleep(20)
         hc.get_sha1('foo')
         hc.put_file('foo', 'h1llo')
-        self.assertEquals(hc.get_sha1('foo'), sha1('h1llo'))
-        self.assertEquals(hc.miss_count, 2)
-        self.assertEquals(hc.hit_count, 0)
+        self.assertEqual(hc.get_sha1('foo'), sha1('h1llo'))
+        self.assertEqual(hc.miss_count, 2)
+        self.assertEqual(hc.hit_count, 0)

=== modified file 'bzrlib/tests/test_help.py'
--- bzrlib/tests/test_help.py	2012-08-04 11:16:14 +0000
+++ bzrlib/tests/test_help.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007-2011 Canonical Ltd
+# Copyright (C) 2007-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -597,7 +597,7 @@
         self.assertLength(1, topics)
         opt = topics[0]
         self.assertIsInstance(opt, config.Option)
-        self.assertEquals('default_format', opt.name)
+        self.assertEqual('default_format', opt.name)
 
 
 class TestCommandIndex(TestHelp):

=== modified file 'bzrlib/tests/test_hooks.py'
--- bzrlib/tests/test_hooks.py	2012-03-14 08:34:10 +0000
+++ bzrlib/tests/test_hooks.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007-2010 Canonical Ltd
+# Copyright (C) 2007-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -142,9 +142,9 @@
             'TestHooks.hooks', 'set_rh', set_rh, "demo")
         set_rh_lazy_hooks = _mod_hooks._lazy_hooks[
             ('bzrlib.tests.test_hooks', 'TestHooks.hooks', 'set_rh')]
-        self.assertEquals(1, len(set_rh_lazy_hooks))
-        self.assertEquals(set_rh, set_rh_lazy_hooks[0][0].get_obj())
-        self.assertEquals("demo", set_rh_lazy_hooks[0][1])
+        self.assertEqual(1, len(set_rh_lazy_hooks))
+        self.assertEqual(set_rh, set_rh_lazy_hooks[0][0].get_obj())
+        self.assertEqual("demo", set_rh_lazy_hooks[0][1])
         self.assertEqual(list(TestHooks.hooks['set_rh']), [set_rh])
 
     set_rh = lambda: None
@@ -172,8 +172,8 @@
         for key, callbacks in _mod_hooks._lazy_hooks.iteritems():
             (module_name, member_name, hook_name) = key
             obj = pyutils.get_named_object(module_name, member_name)
-            self.assertEquals(obj._module, module_name)
-            self.assertEquals(obj._member_name, member_name)
+            self.assertEqual(obj._module, module_name)
+            self.assertEqual(obj._member_name, member_name)
             self.assertTrue(hook_name in obj)
             self.assertIs(callbacks, obj[hook_name]._callbacks)
 

=== modified file 'bzrlib/tests/test_http.py'
--- bzrlib/tests/test_http.py	2015-09-06 16:10:26 +0000
+++ bzrlib/tests/test_http.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2012, 2015 Canonical Ltd
+# Copyright (C) 2005-2012, 2015, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -288,7 +288,7 @@
         self.req_handler = RequestHandler(None, None, None)
 
     def assertRanges(self, ranges, header, file_size):
-        self.assertEquals(ranges,
+        self.assertEqual(ranges,
                           self.req_handler._parse_ranges(header, file_size))
 
     def test_simple_range(self):
@@ -1200,7 +1200,7 @@
 
     def assertEvaluateProxyBypass(self, expected, host, no_proxy):
         handler = _urllib2_wrappers.ProxyHandler()
-        self.assertEquals(expected,
+        self.assertEqual(expected,
                           handler.evaluate_proxy_bypass(host, no_proxy))
 
     def test_empty_user(self):
@@ -1599,7 +1599,7 @@
             path='/',
             realm='Realm',
             ))
-        self.assertEquals((user, password), got_pass)
+        self.assertEqual((user, password), got_pass)
 
 
 class TestAuth(http_utils.TestCaseWithWebserver):
@@ -2000,7 +2000,7 @@
         self.assertIsInstance(r, type(t))
         # Both transports share the some connection
         self.assertEqual(t._get_connection(), r._get_connection())
-        self.assertEquals('http://www.example.com/foo/subdir/', r.base)
+        self.assertEqual('http://www.example.com/foo/subdir/', r.base)
 
     def test_redirected_to_self_with_slash(self):
         t = self._transport('http://www.example.com/foo')
@@ -2017,7 +2017,7 @@
         r = t._redirected_to('http://www.example.com/foo',
                              'http://foo.example.com/foo/subdir')
         self.assertIsInstance(r, type(t))
-        self.assertEquals('http://foo.example.com/foo/subdir/',
+        self.assertEqual('http://foo.example.com/foo/subdir/',
             r.external_url())
 
     def test_redirected_to_same_host_sibling_protocol(self):
@@ -2025,21 +2025,21 @@
         r = t._redirected_to('http://www.example.com/foo',
                              'https://www.example.com/foo')
         self.assertIsInstance(r, type(t))
-        self.assertEquals('https://www.example.com/foo/',
+        self.assertEqual('https://www.example.com/foo/',
             r.external_url())
 
     def test_redirected_to_same_host_different_protocol(self):
         t = self._transport('http://www.example.com/foo')
         r = t._redirected_to('http://www.example.com/foo',
                              'ftp://www.example.com/foo')
-        self.assertNotEquals(type(r), type(t))
-        self.assertEquals('ftp://www.example.com/foo/', r.external_url())
+        self.assertNotEqual(type(r), type(t))
+        self.assertEqual('ftp://www.example.com/foo/', r.external_url())
 
     def test_redirected_to_same_host_specific_implementation(self):
         t = self._transport('http://www.example.com/foo')
         r = t._redirected_to('http://www.example.com/foo',
                              'https+urllib://www.example.com/foo')
-        self.assertEquals('https://www.example.com/foo/', r.external_url())
+        self.assertEqual('https://www.example.com/foo/', r.external_url())
 
     def test_redirected_to_different_host_same_user(self):
         t = self._transport('http://joe@www.example.com/foo')
@@ -2047,7 +2047,7 @@
                              'https://foo.example.com/foo')
         self.assertIsInstance(r, type(t))
         self.assertEqual(t._parsed_url.user, r._parsed_url.user)
-        self.assertEquals('https://joe@foo.example.com/foo/', r.external_url())
+        self.assertEqual('https://joe@foo.example.com/foo/', r.external_url())
 
 
 class PredefinedRequestHandler(http_server.TestingHTTPRequestHandler):

=== modified file 'bzrlib/tests/test_http_response.py'
--- bzrlib/tests/test_http_response.py	2013-05-24 23:50:40 +0000
+++ bzrlib/tests/test_http_response.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2010 Canonical Ltd
+# Copyright (C) 2006-2010, 2012, 2013, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -103,7 +103,7 @@
         # Now, get the response
         resp = conn.getresponse()
         # Read part of the response
-        self.assertEquals('0123456789\n', resp.read(11))
+        self.assertEqual('0123456789\n', resp.read(11))
         # Override the thresold to force the warning emission
         conn._range_warning_thresold = 6 # There are 7 bytes pending
         conn.cleanup_pipe()
@@ -121,36 +121,36 @@
 
     def test_can_read_at_first_access(self):
         """Test that the just created file can be read."""
-        self.assertEquals(self.alpha, self._file.read())
+        self.assertEqual(self.alpha, self._file.read())
 
     def test_seek_read(self):
         """Test seek/read inside the range."""
         f = self._file
         start = self.first_range_start
         # Before any use, tell() should be at the range start
-        self.assertEquals(start, f.tell())
+        self.assertEqual(start, f.tell())
         cur = start # For an overall offset assertion
         f.seek(start + 3)
         cur += 3
-        self.assertEquals('def', f.read(3))
+        self.assertEqual('def', f.read(3))
         cur += len('def')
         f.seek(4, 1)
         cur += 4
-        self.assertEquals('klmn', f.read(4))
+        self.assertEqual('klmn', f.read(4))
         cur += len('klmn')
         # read(0) in the middle of a range
-        self.assertEquals('', f.read(0))
+        self.assertEqual('', f.read(0))
         # seek in place
         here = f.tell()
         f.seek(0, 1)
-        self.assertEquals(here, f.tell())
-        self.assertEquals(cur, f.tell())
+        self.assertEqual(here, f.tell())
+        self.assertEqual(cur, f.tell())
 
     def test_read_zero(self):
         f = self._file
-        self.assertEquals('', f.read(0))
+        self.assertEqual('', f.read(0))
         f.seek(10, 1)
-        self.assertEquals('', f.read(0))
+        self.assertEqual('', f.read(0))
 
     def test_seek_at_range_end(self):
         f = self._file
@@ -159,15 +159,15 @@
     def test_read_at_range_end(self):
         """Test read behaviour at range end."""
         f = self._file
-        self.assertEquals(self.alpha, f.read())
-        self.assertEquals('', f.read(0))
+        self.assertEqual(self.alpha, f.read())
+        self.assertEqual('', f.read(0))
         self.assertRaises(errors.InvalidRange, f.read, 1)
 
     def test_unbounded_read_after_seek(self):
         f = self._file
         f.seek(24, 1)
         # Should not cross ranges
-        self.assertEquals('yz', f.read())
+        self.assertEqual('yz', f.read())
 
     def test_seek_backwards(self):
         f = self._file
@@ -207,7 +207,7 @@
        """
        f = self._file
        f.seek(-2, 2)
-       self.assertEquals('yz', f.read())
+       self.assertEqual('yz', f.read())
 
 
 class TestRangeFileSizeUnknown(tests.TestCase, TestRangeFileMixin):
@@ -230,9 +230,9 @@
     def test_read_at_range_end(self):
         """Test read behaviour at range end."""
         f = self._file
-        self.assertEquals(self.alpha, f.read())
-        self.assertEquals('', f.read(0))
-        self.assertEquals('', f.read(1))
+        self.assertEqual(self.alpha, f.read())
+        self.assertEqual('', f.read(0))
+        self.assertEqual('', f.read(1))
 
 
 class TestRangeFileSizeKnown(tests.TestCase, TestRangeFileMixin):
@@ -347,14 +347,14 @@
 
     def test_read_all_ranges(self):
         f = self._file
-        self.assertEquals(self.alpha, f.read()) # Read first range
+        self.assertEqual(self.alpha, f.read()) # Read first range
         f.seek(100) # Trigger the second range recognition
-        self.assertEquals(self.alpha, f.read()) # Read second range
-        self.assertEquals(126, f.tell())
+        self.assertEqual(self.alpha, f.read()) # Read second range
+        self.assertEqual(126, f.tell())
         f.seek(126) # Start of third range which is also the current pos !
-        self.assertEquals('A', f.read(1))
+        self.assertEqual('A', f.read(1))
         f.seek(10, 1)
-        self.assertEquals('LMN', f.read(3))
+        self.assertEqual('LMN', f.read(3))
 
     def test_seek_from_end(self):
         """See TestRangeFileMixin.test_seek_from_end."""
@@ -364,7 +364,7 @@
         # behaviour.
         f = self._file
         f.seek(-2, 2)
-        self.assertEquals('yz', f.read())
+        self.assertEqual('yz', f.read())
         self.assertRaises(errors.InvalidRange, f.seek, -2, 2)
 
     def test_seek_into_void(self):
@@ -382,14 +382,14 @@
     def test_seek_across_ranges(self):
         f = self._file
         f.seek(126) # skip the two first ranges
-        self.assertEquals('AB', f.read(2))
+        self.assertEqual('AB', f.read(2))
 
     def test_checked_read_dont_overflow_buffers(self):
         f = self._file
         # We force a very low value to exercise all code paths in _checked_read
         f._discarded_buf_size = 8
         f.seek(126) # skip the two first ranges
-        self.assertEquals('AB', f.read(2))
+        self.assertEqual('AB', f.read(2))
 
     def test_seek_twice_between_ranges(self):
         f = self._file
@@ -407,9 +407,9 @@
 
     def test_read_at_range_end(self):
         f = self._file
-        self.assertEquals(self.alpha, f.read())
-        self.assertEquals(self.alpha, f.read())
-        self.assertEquals(self.alpha.upper(), f.read())
+        self.assertEqual(self.alpha, f.read())
+        self.assertEqual(self.alpha, f.read())
+        self.assertEqual(self.alpha.upper(), f.read())
         self.assertRaises(errors.InvalidHttpResponse, f.read, 1)
 
 
@@ -458,7 +458,7 @@
         def ok(expected, header_value):
             f.set_range_from_header(header_value)
             # Slightly peek under the covers to get the size
-            self.assertEquals(expected, (f.tell(), f._size))
+            self.assertEqual(expected, (f.tell(), f._size))
 
         ok((1, 10), 'bytes 1-10/11')
         ok((1, 10), 'bytes 1-10/*')

=== modified file 'bzrlib/tests/test_https_urllib.py'
--- bzrlib/tests/test_https_urllib.py	2016-01-31 12:55:31 +0000
+++ bzrlib/tests/test_https_urllib.py	2016-02-01 18:06:32 +0000
@@ -47,7 +47,7 @@
         self.build_tree(['cacerts.pem'])
         path = os.path.join(self.test_dir, "cacerts.pem")
         stack = self.get_stack("ssl.ca_certs = %s\n" % path)
-        self.assertEquals(path, stack.get('ssl.ca_certs'))
+        self.assertEqual(path, stack.get('ssl.ca_certs'))
 
     def test_specified_doesnt_exist(self):
         stack = self.get_stack('')
@@ -59,7 +59,7 @@
         def warning(*args):
             self.warnings.append(args[0] % args[1:])
         self.overrideAttr(trace, 'warning', warning)
-        self.assertEquals(None, stack.get('ssl.ca_certs'))
+        self.assertEqual(None, stack.get('ssl.ca_certs'))
         self.assertLength(1, self.warnings)
         self.assertContainsRe(self.warnings[0],
                               "is not valid for \"ssl.ca_certs\"")
@@ -69,13 +69,13 @@
 
     def test_default(self):
         stack = config.MemoryStack("")
-        self.assertEquals(ssl.CERT_REQUIRED, stack.get("ssl.cert_reqs"))
+        self.assertEqual(ssl.CERT_REQUIRED, stack.get("ssl.cert_reqs"))
 
     def test_from_string(self):
         stack = config.MemoryStack("ssl.cert_reqs = none\n")
-        self.assertEquals(ssl.CERT_NONE, stack.get("ssl.cert_reqs"))
+        self.assertEqual(ssl.CERT_NONE, stack.get("ssl.cert_reqs"))
         stack = config.MemoryStack("ssl.cert_reqs = required\n")
-        self.assertEquals(ssl.CERT_REQUIRED, stack.get("ssl.cert_reqs"))
+        self.assertEqual(ssl.CERT_REQUIRED, stack.get("ssl.cert_reqs"))
         stack = config.MemoryStack("ssl.cert_reqs = invalid\n")
         self.assertRaises(ConfigOptionValueError, stack.get, "ssl.cert_reqs")
 

=== modified file 'bzrlib/tests/test_i18n.py'
--- bzrlib/tests/test_i18n.py	2011-10-04 22:20:49 +0000
+++ bzrlib/tests/test_i18n.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2011 Canonical Ltd
+# Copyright (C) 2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -159,4 +159,4 @@
 
     def test_does_not_exist(self):
         translation = i18n.load_plugin_translations("doesnotexist")
-        self.assertEquals("foo", translation.gettext("foo"))
+        self.assertEqual("foo", translation.gettext("foo"))

=== modified file 'bzrlib/tests/test_ignores.py'
--- bzrlib/tests/test_ignores.py	2012-08-04 14:27:47 +0000
+++ bzrlib/tests/test_ignores.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2011 Canonical Ltd
+# Copyright (C) 2006-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -175,7 +175,7 @@
     
     def assertPatternsEquals(self, patterns):
         contents = open(".bzrignore", 'rU').read().strip().split('\n')
-        self.assertEquals(sorted(patterns), sorted(contents))
+        self.assertEqual(sorted(patterns), sorted(contents))
 
     def test_new_file(self):
         tree = self.make_branch_and_tree(".")
@@ -222,5 +222,5 @@
         self.build_tree_contents([('.bzrignore', "myentry1\r\n")])
         tree.add([".bzrignore"])
         ignores.tree_ignores_add_patterns(tree, ["myentry2", "foo"])
-        self.assertEquals(open('.bzrignore', 'rb').read(), 'myentry1\r\nmyentry2\r\nfoo\r\n')
+        self.assertEqual(open('.bzrignore', 'rb').read(), 'myentry1\r\nmyentry2\r\nfoo\r\n')
         self.assertPatternsEquals(["myentry1", "myentry2", "foo"])

=== modified file 'bzrlib/tests/test_inv.py'
--- bzrlib/tests/test_inv.py	2012-01-24 03:04:58 +0000
+++ bzrlib/tests/test_inv.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2011 Canonical Ltd
+# Copyright (C) 2005-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -325,8 +325,8 @@
         inv = inventory.Inventory(root_id='someroot')
         inv.root.revision = 'therev'
         inv2 = inv.copy()
-        self.assertEquals('someroot', inv2.root.file_id)
-        self.assertEquals('therev', inv2.root.revision)
+        self.assertEqual('someroot', inv2.root.file_id)
+        self.assertEqual('therev', inv2.root.revision)
 
     def test_create_tree_reference(self):
         inv = inventory.Inventory('tree-root-123')
@@ -1101,7 +1101,7 @@
         delta = [("", None, base_inv.root.file_id, None),
             (None, "",  "myrootid", inv.root)]
         new_inv = base_inv.create_by_apply_delta(delta, "expectedid")
-        self.assertEquals(reference_inv.root, new_inv.root)
+        self.assertEqual(reference_inv.root, new_inv.root)
 
     def test_create_by_apply_delta_empty_add_child(self):
         inv = Inventory()
@@ -1552,8 +1552,8 @@
         repository = self.make_repository('.')
         tree = repository.revision_tree(revision.NULL_REVISION)
         inv = mutable_inventory_from_tree(tree)
-        self.assertEquals(revision.NULL_REVISION, inv.revision_id)
-        self.assertEquals(0, len(inv))
+        self.assertEqual(revision.NULL_REVISION, inv.revision_id)
+        self.assertEqual(0, len(inv))
 
     def test_some_files(self):
         wt = self.make_branch_and_tree('.')
@@ -1562,9 +1562,9 @@
         revid = wt.commit("commit")
         tree = wt.branch.repository.revision_tree(revid)
         inv = mutable_inventory_from_tree(tree)
-        self.assertEquals(revid, inv.revision_id)
-        self.assertEquals(2, len(inv))
-        self.assertEquals("a", inv['thefileid'].name)
+        self.assertEqual(revid, inv.revision_id)
+        self.assertEqual(2, len(inv))
+        self.assertEqual("a", inv['thefileid'].name)
         # The inventory should be mutable and independent of
         # the original tree
         self.assertFalse(tree.root_inventory['thefileid'].executable)

=== modified file 'bzrlib/tests/test_inventory_delta.py'
--- bzrlib/tests/test_inventory_delta.py	2011-01-12 01:01:53 +0000
+++ bzrlib/tests/test_inventory_delta.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009, 2010, 2011 Canonical Ltd
+# Copyright (C) 2009, 2010, 2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -200,14 +200,14 @@
             allow_versioned_root=False)
         err = self.assertRaises(inventory_delta.IncompatibleInventoryDelta,
             deserializer.parse_text_bytes, root_only_lines)
-        self.assertEquals("versioned_root not allowed", str(err))
+        self.assertEqual("versioned_root not allowed", str(err))
 
     def test_parse_tree_when_disabled(self):
         deserializer = inventory_delta.InventoryDeltaDeserializer(
             allow_tree_references=False)
         err = self.assertRaises(inventory_delta.IncompatibleInventoryDelta,
             deserializer.parse_text_bytes, reference_lines)
-        self.assertEquals("Tree reference not allowed", str(err))
+        self.assertEqual("Tree reference not allowed", str(err))
 
     def test_parse_tree_when_header_disallows(self):
         # A deserializer that allows tree_references to be set or unset.

=== modified file 'bzrlib/tests/test_lockdir.py'
--- bzrlib/tests/test_lockdir.py	2012-08-02 11:45:26 +0000
+++ bzrlib/tests/test_lockdir.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2011 Canonical Ltd
+# Copyright (C) 2006-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -475,7 +475,7 @@
         # now the original caller should succeed in unlocking
         ld1.unlock()
         # and there should be nothing left over
-        self.assertEquals([], t.list_dir('test_lock'))
+        self.assertEqual([], t.list_dir('test_lock'))
 
     def test_failed_lock_leaves_no_trash(self):
         # if we fail to acquire the lock, we don't leave pending directories
@@ -487,7 +487,7 @@
         t = self.get_transport().clone('test_lock')
 
         def check_dir(a):
-            self.assertEquals(a, t.list_dir('.'))
+            self.assertEqual(a, t.list_dir('.'))
 
         check_dir([])
         # when held, that's all we see
@@ -512,7 +512,7 @@
         lf = LockDir(t, 'test_lock')
         info = lf.peek()
         formatted_info = info.to_readable_dict()
-        self.assertEquals(
+        self.assertEqual(
             dict(user='<unknown>', hostname='<unknown>', pid='<unknown>',
                 time_ago='(unknown)'),
             formatted_info)

=== modified file 'bzrlib/tests/test_log.py'
--- bzrlib/tests/test_log.py	2013-08-11 20:35:16 +0000
+++ bzrlib/tests/test_log.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2011 Canonical Ltd
+# Copyright (C) 2005-2013, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -1660,7 +1660,7 @@
         request = log.make_log_request_dict(limit=10)
         log.Logger(b, request).show(log_formatter)
         # should have all three revisions:
-        self.assertEquals(len(log_formatter.revisions), 3)
+        self.assertEqual(len(log_formatter.revisions), 3)
 
         del log_formatter
         log_formatter = LogCatcher()
@@ -1668,5 +1668,5 @@
         request = log.make_log_request_dict(limit=10, levels=1)
         log.Logger(b, request).show(log_formatter)
         # should now only have 2 revisions:
-        self.assertEquals(len(log_formatter.revisions), 2)
+        self.assertEqual(len(log_formatter.revisions), 2)
 

=== modified file 'bzrlib/tests/test_matchers.py'
--- bzrlib/tests/test_matchers.py	2012-01-06 22:53:14 +0000
+++ bzrlib/tests/test_matchers.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2010 Canonical Ltd
+# Copyright (C) 2010, 2011, 2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -103,7 +103,7 @@
         m = MatchesAncestry(branch.repository, revid1)
         mismatch = m.match([])
         self.assertIsNot(None, mismatch)
-        self.assertEquals(
+        self.assertEqual(
             "mismatched ancestry for revision '%s' was ['%s'], expected []" % (
                 revid1, revid1),
             mismatch.describe())
@@ -132,7 +132,7 @@
         t.add(['a', 'b', 'b/c'], ['a-id', 'b-id', 'c-id'])
         mismatch = HasLayout(['a']).match(t)
         self.assertIsNot(None, mismatch)
-        self.assertEquals(
+        self.assertEqual(
             "['a'] != [u'', u'a', u'b/', u'b/c']",
             mismatch.describe())
 
@@ -146,7 +146,7 @@
         self.assertIs(None, HasLayout(['', 'a', 'b/', 'b/c', 'd/']).match(t))
         mismatch = HasLayout([u'', u'a', u'd/']).match(t)
         self.assertIsNot(None, mismatch)
-        self.assertEquals(
+        self.assertEqual(
             "[u'', u'a'] != [u'', u'a', u'b/', u'b/c']",
             mismatch.describe())
 
@@ -175,8 +175,8 @@
                  self._make_call("Branch.get_config_file", [])]
         mismatch = ContainsNoVfsCalls().match(calls)
         self.assertIsNot(None, mismatch)
-        self.assertEquals([calls[0].call], mismatch.vfs_calls)
-        self.assertEquals("no VFS calls expected, got: append('file')""",
+        self.assertEqual([calls[0].call], mismatch.vfs_calls)
+        self.assertEqual("no VFS calls expected, got: append('file')""",
                 mismatch.describe())
 
 
@@ -199,6 +199,6 @@
         tree.commit('msg1', rev_id='a')
         tree.commit('msg2', rev_id='b')
         matcher = RevisionHistoryMatches(['a', 'b', 'c'])
-        self.assertEquals(
+        self.assertEqual(
             "['a', 'b', 'c'] != ['a', 'b']",
             matcher.match(tree.branch).describe())

=== modified file 'bzrlib/tests/test_merge.py'
--- bzrlib/tests/test_merge.py	2012-08-04 14:27:47 +0000
+++ bzrlib/tests/test_merge.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2012 Canonical Ltd
+# Copyright (C) 2005-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -520,7 +520,7 @@
         merger.merge_type = _mod_merge.Merge3Merger
         conflict_count = merger.do_merge()
         self.assertEqual(0, conflict_count)
-        self.assertEquals(set([old_root_id]), tree.all_file_ids())
+        self.assertEqual(set([old_root_id]), tree.all_file_ids())
         tree.set_parent_ids([])
 
     def test_merge_add_into_deleted_root(self):

=== modified file 'bzrlib/tests/test_merge3.py'
--- bzrlib/tests/test_merge3.py	2011-01-12 01:01:53 +0000
+++ bzrlib/tests/test_merge3.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2011 Canonical Ltd
+# Copyright (C) 2005-2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -101,19 +101,19 @@
                            ['aaa', 'bbb'],
                            ['aaa', 'bbb'])
 
-        self.assertEquals(m3.find_unconflicted(),
+        self.assertEqual(m3.find_unconflicted(),
                           [(0, 2)])
 
-        self.assertEquals(list(m3.find_sync_regions()),
+        self.assertEqual(list(m3.find_sync_regions()),
                           [(0, 2,
                             0, 2,
                             0, 2),
                            (2,2, 2,2, 2,2)])
 
-        self.assertEquals(list(m3.merge_regions()),
+        self.assertEqual(list(m3.merge_regions()),
                           [('unchanged', 0, 2)])
 
-        self.assertEquals(list(m3.merge_groups()),
+        self.assertEqual(list(m3.merge_groups()),
                           [('unchanged', ['aaa', 'bbb'])])
 
     def test_front_insert(self):
@@ -123,15 +123,15 @@
 
         # todo: should use a sentinal at end as from get_matching_blocks
         # to match without zz
-        self.assertEquals(list(m3.find_sync_regions()),
+        self.assertEqual(list(m3.find_sync_regions()),
                           [(0,1, 2,3, 0,1),
                            (1,1, 3,3, 1,1),])
 
-        self.assertEquals(list(m3.merge_regions()),
+        self.assertEqual(list(m3.merge_regions()),
                           [('a', 0, 2),
                            ('unchanged', 0, 1)])
 
-        self.assertEquals(list(m3.merge_groups()),
+        self.assertEqual(list(m3.merge_groups()),
                           [('a', ['aaa', 'bbb']),
                            ('unchanged', ['zz'])])
 
@@ -141,13 +141,13 @@
                            [])
         # todo: should use a sentinal at end as from get_matching_blocks
         # to match without zz
-        self.assertEquals(list(m3.find_sync_regions()),
+        self.assertEqual(list(m3.find_sync_regions()),
                           [(0,0, 2,2, 0,0)])
 
-        self.assertEquals(list(m3.merge_regions()),
+        self.assertEqual(list(m3.merge_regions()),
                           [('a', 0, 2)])
 
-        self.assertEquals(list(m3.merge_lines()),
+        self.assertEqual(list(m3.merge_lines()),
                           ['aaa', 'bbb'])
 
     def test_no_conflicts(self):
@@ -156,15 +156,15 @@
                            ['aaa', '111', 'bbb'],
                            ['aaa', 'bbb'])
 
-        self.assertEquals(m3.find_unconflicted(),
+        self.assertEqual(m3.find_unconflicted(),
                           [(0, 1), (1, 2)])
 
-        self.assertEquals(list(m3.find_sync_regions()),
+        self.assertEqual(list(m3.find_sync_regions()),
                           [(0,1, 0,1, 0,1),
                            (1,2, 2,3, 1,2),
                            (2,2, 3,3, 2,2),])
 
-        self.assertEquals(list(m3.merge_regions()),
+        self.assertEqual(list(m3.merge_regions()),
                           [('unchanged', 0, 1),
                            ('a', 1, 2),
                            ('unchanged', 1, 2),])
@@ -174,7 +174,7 @@
                            ['aaa\n', 'bbb\n', '222\n'],
                            ['aaa\n', 'bbb\n'])
 
-        self.assertEquals(''.join(m3.merge_lines()),
+        self.assertEqual(''.join(m3.merge_lines()),
                           'aaa\nbbb\n222\n')
 
     def test_append_b(self):
@@ -182,7 +182,7 @@
                            ['aaa\n', 'bbb\n'],
                            ['aaa\n', 'bbb\n', '222\n'])
 
-        self.assertEquals(''.join(m3.merge_lines()),
+        self.assertEqual(''.join(m3.merge_lines()),
                           'aaa\nbbb\n222\n')
 
     def test_append_agreement(self):
@@ -190,7 +190,7 @@
                            ['aaa\n', 'bbb\n', '222\n'],
                            ['aaa\n', 'bbb\n', '222\n'])
 
-        self.assertEquals(''.join(m3.merge_lines()),
+        self.assertEqual(''.join(m3.merge_lines()),
                           'aaa\nbbb\n222\n')
 
     def test_append_clash(self):
@@ -203,7 +203,7 @@
                             start_marker='<<',
                             mid_marker='--',
                             end_marker='>>')
-        self.assertEquals(''.join(ml),
+        self.assertEqual(''.join(ml),
 '''\
 aaa
 bbb
@@ -224,7 +224,7 @@
                             start_marker='<<',
                             mid_marker='--',
                             end_marker='>>')
-        self.assertEquals(''.join(ml), 'aaa\n222\nbbb\n')
+        self.assertEqual(''.join(ml), 'aaa\n222\nbbb\n')
 
 
     def test_insert_clash(self):
@@ -233,20 +233,20 @@
                            ['aaa\n', '111\n', 'bbb\n'],
                            ['aaa\n', '222\n', 'bbb\n'])
 
-        self.assertEquals(m3.find_unconflicted(),
+        self.assertEqual(m3.find_unconflicted(),
                           [(0, 1), (1, 2)])
 
-        self.assertEquals(list(m3.find_sync_regions()),
+        self.assertEqual(list(m3.find_sync_regions()),
                           [(0,1, 0,1, 0,1),
                            (1,2, 2,3, 2,3),
                            (2,2, 3,3, 3,3),])
 
-        self.assertEquals(list(m3.merge_regions()),
+        self.assertEqual(list(m3.merge_regions()),
                           [('unchanged', 0,1),
                            ('conflict', 1,1, 1,2, 1,2),
                            ('unchanged', 1,2)])
 
-        self.assertEquals(list(m3.merge_groups()),
+        self.assertEqual(list(m3.merge_groups()),
                           [('unchanged', ['aaa\n']),
                            ('conflict', [], ['111\n'], ['222\n']),
                            ('unchanged', ['bbb\n']),
@@ -257,7 +257,7 @@
                             start_marker='<<',
                             mid_marker='--',
                             end_marker='>>')
-        self.assertEquals(''.join(ml),
+        self.assertEqual(''.join(ml),
 '''aaa
 << a
 111
@@ -273,10 +273,10 @@
                            ['aaa', '111', 'bbb'],
                            ['aaa', '222', 'bbb'])
 
-        self.assertEquals(m3.find_unconflicted(),
+        self.assertEqual(m3.find_unconflicted(),
                           [(0, 1), (2, 3)])
 
-        self.assertEquals(list(m3.find_sync_regions()),
+        self.assertEqual(list(m3.find_sync_regions()),
                           [(0,1, 0,1, 0,1),
                            (2,3, 2,3, 2,3),
                            (3,3, 3,3, 3,3),])
@@ -287,11 +287,11 @@
                            ['aaa', '111', '111', '111', 'bbb'],
                            ['aaa', '222', '222', '222', '222', 'bbb'])
 
-        self.assertEquals(m3.find_unconflicted(),
+        self.assertEqual(m3.find_unconflicted(),
                           [(0, 1), (3, 4)])
 
 
-        self.assertEquals(list(m3.find_sync_regions()),
+        self.assertEqual(list(m3.find_sync_regions()),
                           [(0,1, 0,1, 0,1),
                            (3,4, 4,5, 5,6),
                            (4,4, 5,5, 6,6),])
@@ -302,7 +302,7 @@
         ml = list(m3.merge_lines('LAO', 'TAO'))
         self.log('merge result:')
         self.log(''.join(ml))
-        self.assertEquals(ml, MERGED_RESULT)
+        self.assertEqual(ml, MERGED_RESULT)
 
     def test_minimal_conflicts_common(self):
         """Reprocessing"""

=== modified file 'bzrlib/tests/test_merge_core.py'
--- bzrlib/tests/test_merge_core.py	2012-03-13 16:28:30 +0000
+++ bzrlib/tests/test_merge_core.py	2016-02-01 16:50:54 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2011 Canonical Ltd
+# Copyright (C) 2005-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -553,7 +553,7 @@
         wtb.add('b_file')
         b_rev = wtb.commit('b_revision', allow_pointless=False)
         wta.merge_from_branch(wtb.branch, b_rev, 'null:')
-        self.assert_(os.path.lexists('a/b_file'))
+        self.assertTrue(os.path.lexists('a/b_file'))
         self.assertEqual([b_rev], wta.get_parent_ids()[1:])
 
     def test_merge_unrelated_conflicting(self):
@@ -569,8 +569,8 @@
         wtb.add('file')
         b_rev = wtb.commit('b_revision', allow_pointless=False)
         wta.merge_from_branch(wtb.branch, b_rev, 'null:')
-        self.assert_(os.path.lexists('a/file'))
-        self.assert_(os.path.lexists('a/file.moved'))
+        self.assertTrue(os.path.lexists('a/file'))
+        self.assertTrue(os.path.lexists('a/file.moved'))
         self.assertEqual([b_rev], wta.get_parent_ids()[1:])
 
     def test_merge_deleted_conflicts(self):
@@ -603,7 +603,7 @@
         self.assertFalse(os.path.exists('a/file'))
         b_wt.commit('exec a')
         a_wt.merge_from_branch(b_wt.branch, b_wt.last_revision(), 'null:')
-        self.assert_(os.path.exists('a/file'))
+        self.assertTrue(os.path.exists('a/file'))
 
     def test_merge_swapping_renames(self):
         a_wt = self.make_branch_and_tree('a')
@@ -640,7 +640,7 @@
         b_wt.commit('r2')
         a_wt.merge_from_branch(b_wt.branch, b_wt.branch.last_revision(),
                                b_wt.branch.get_rev_id(1))
-        self.assert_(os.path.exists('a/file'))
+        self.assertTrue(os.path.exists('a/file'))
         self.assertEqual(file('a/file').read(),'THAT')
 
     def test_merge_rename_before_create(self):

=== modified file 'bzrlib/tests/test_msgeditor.py'
--- bzrlib/tests/test_msgeditor.py	2012-02-06 11:58:42 +0000
+++ bzrlib/tests/test_msgeditor.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2011 Canonical Ltd
+# Copyright (C) 2005-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -351,7 +351,7 @@
         msgeditor.hooks.install_named_hook("set_commit_message",
                 lambda commit_obj, existing_message: "save me some typing\n", None)
         commit_obj = commit.Commit()
-        self.assertEquals("save me some typing\n",
+        self.assertEqual("save me some typing\n",
             msgeditor.set_commit_message(commit_obj))
 
     def test_generate_commit_message_template_no_hooks(self):
@@ -363,7 +363,7 @@
         msgeditor.hooks.install_named_hook("commit_message_template",
                 lambda commit_obj, msg: "save me some typing\n", None)
         commit_obj = commit.Commit()
-        self.assertEquals("save me some typing\n",
+        self.assertEqual("save me some typing\n",
             msgeditor.generate_commit_message_template(commit_obj))
 
 

=== modified file 'bzrlib/tests/test_options.py'
--- bzrlib/tests/test_options.py	2012-02-23 19:45:15 +0000
+++ bzrlib/tests/test_options.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2011 Canonical Ltd
+# Copyright (C) 2005-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -346,7 +346,7 @@
             cmd = commands.get_cmd_object(cmd_name)
             for opt_name, opt in sorted(cmd.options().items()):
                 g.append((cmd_name, opt))
-        self.assert_(g)
+        self.assertTrue(g)
         return g
 
     def test_option_grammar(self):
@@ -388,10 +388,10 @@
     def test_short_name(self):
         registry = controldir.ControlDirFormatRegistry()
         opt = option.RegistryOption('format', help='', registry=registry)
-        self.assertEquals(None, opt.short_name())
+        self.assertEqual(None, opt.short_name())
         opt = option.RegistryOption('format', short_name='F', help='',
             registry=registry)
-        self.assertEquals('F', opt.short_name())
+        self.assertEqual('F', opt.short_name())
 
     def test_option_custom_help(self):
         the_opt = option.Option.OPTIONS['help']

=== modified file 'bzrlib/tests/test_osutils.py'
--- bzrlib/tests/test_osutils.py	2015-09-06 16:23:59 +0000
+++ bzrlib/tests/test_osutils.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2015 Canonical Ltd
+# Copyright (C) 2005-2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -180,7 +180,7 @@
         # we can't use failUnlessExists on case-insensitive filesystem
         # so try to check shape of the tree
         shape = sorted(os.listdir('.'))
-        self.assertEquals(['A', 'B'], shape)
+        self.assertEqual(['A', 'B'], shape)
 
     def test_rename_exception(self):
         try:
@@ -222,7 +222,7 @@
                          (['src'], SRC_FOO_C),
                          (['src'], 'src'),
                          ]:
-            self.assert_(osutils.is_inside_any(dirs, fn))
+            self.assertTrue(osutils.is_inside_any(dirs, fn))
         for dirs, fn in [(['src'], 'srccontrol'),
                          (['src'], 'srccontrol/foo')]:
             self.assertFalse(osutils.is_inside_any(dirs, fn))
@@ -234,7 +234,7 @@
                          (['src/bar.c', 'bla/foo.c'], 'src'),
                          (['src'], 'src'),
                          ]:
-            self.assert_(osutils.is_inside_or_parent_of_any(dirs, fn))
+            self.assertTrue(osutils.is_inside_or_parent_of_any(dirs, fn))
 
         for dirs, fn in [(['src'], 'srccontrol'),
                          (['srccontrol/foo.c'], 'src'),
@@ -298,11 +298,11 @@
 
     def test_file_kind(self):
         self.build_tree(['file', 'dir/'])
-        self.assertEquals('file', osutils.file_kind('file'))
-        self.assertEquals('directory', osutils.file_kind('dir/'))
+        self.assertEqual('file', osutils.file_kind('file'))
+        self.assertEqual('directory', osutils.file_kind('dir/'))
         if osutils.has_symlinks():
             os.symlink('symlink', 'symlink')
-            self.assertEquals('symlink', osutils.file_kind('symlink'))
+            self.assertEqual('symlink', osutils.file_kind('symlink'))
 
         # TODO: jam 20060529 Test a block device
         try:
@@ -311,13 +311,13 @@
             if e.errno not in (errno.ENOENT,):
                 raise
         else:
-            self.assertEquals('chardev', osutils.file_kind('/dev/null'))
+            self.assertEqual('chardev', osutils.file_kind('/dev/null'))
 
         mkfifo = getattr(os, 'mkfifo', None)
         if mkfifo:
             mkfifo('fifo')
             try:
-                self.assertEquals('fifo', osutils.file_kind('fifo'))
+                self.assertEqual('fifo', osutils.file_kind('fifo'))
             finally:
                 os.remove('fifo')
 
@@ -326,7 +326,7 @@
             s = socket.socket(AF_UNIX)
             s.bind('socket')
             try:
-                self.assertEquals('socket', osutils.file_kind('socket'))
+                self.assertEqual('socket', osutils.file_kind('socket'))
             finally:
                 os.remove('socket')
 
@@ -1205,8 +1205,8 @@
         # (It would be ok if it happened earlier but at the moment it
         # doesn't.)
         e = self.assertRaises(OSError, list, osutils._walkdirs_utf8("."))
-        self.assertEquals('./test-unreadable', e.filename)
-        self.assertEquals(errno.EACCES, e.errno)
+        self.assertEqual('./test-unreadable', e.filename)
+        self.assertEqual(errno.EACCES, e.errno)
         # Ensure the message contains the file name
         self.assertContainsRe(str(e), "\./test-unreadable")
 
@@ -2003,10 +2003,10 @@
         os.symlink(self.target, self.link)
 
     def test_os_readlink_link_encoding(self):
-        self.assertEquals(self.target,  os.readlink(self.link))
+        self.assertEqual(self.target,  os.readlink(self.link))
 
     def test_os_readlink_link_decoding(self):
-        self.assertEquals(self.target.encode(osutils._fs_enc),
+        self.assertEqual(self.target.encode(osutils._fs_enc),
                           os.readlink(self.link.encode(osutils._fs_enc)))
 
 
@@ -2032,8 +2032,8 @@
         self.overrideEnv('BZR_CONCURRENCY', '1')
         self.run_bzr('rocks --concurrency 42')
         # Command line overrides environment variable
-        self.assertEquals('42', os.environ['BZR_CONCURRENCY'])
-        self.assertEquals(42, osutils.local_concurrency(use_cache=False))
+        self.assertEqual('42', os.environ['BZR_CONCURRENCY'])
+        self.assertEqual(42, osutils.local_concurrency(use_cache=False))
 
 
 class TestFailedToLoadExtension(tests.TestCase):
@@ -2052,7 +2052,7 @@
     def test_failure_to_load(self):
         self._try_loading()
         self.assertLength(1, osutils._extension_load_failures)
-        self.assertEquals(osutils._extension_load_failures[0],
+        self.assertEqual(osutils._extension_load_failures[0],
             "No module named _fictional_extension_py")
 
     def test_report_extension_load_failures_no_warning(self):
@@ -2179,9 +2179,9 @@
         osutils.copy_ownership_from_path('test_file', ownsrc)
 
         s = os.stat(ownsrc)
-        self.assertEquals(self.path, 'test_file')
-        self.assertEquals(self.uid, s.st_uid)
-        self.assertEquals(self.gid, s.st_gid)
+        self.assertEqual(self.path, 'test_file')
+        self.assertEqual(self.uid, s.st_uid)
+        self.assertEqual(self.gid, s.st_gid)
 
     def test_copy_ownership_nonesrc(self):
         """copy_ownership_from_path test with src=None."""
@@ -2190,9 +2190,9 @@
         osutils.copy_ownership_from_path('test_file')
 
         s = os.stat('..')
-        self.assertEquals(self.path, 'test_file')
-        self.assertEquals(self.uid, s.st_uid)
-        self.assertEquals(self.gid, s.st_gid)
+        self.assertEqual(self.path, 'test_file')
+        self.assertEqual(self.uid, s.st_uid)
+        self.assertEqual(self.gid, s.st_gid)
 
 
 class TestPathFromEnviron(tests.TestCase):

=== modified file 'bzrlib/tests/test_osutils_encodings.py'
--- bzrlib/tests/test_osutils_encodings.py	2012-08-04 14:27:47 +0000
+++ bzrlib/tests/test_osutils_encodings.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2011 Canonical Ltd
+# Copyright (C) 2006-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -144,7 +144,7 @@
         self.assertEqual('latin-1', osutils.get_terminal_encoding())
 
         # check stderr
-        self.assertEquals('', sys.stderr.getvalue())
+        self.assertEqual('', sys.stderr.getvalue())
 
     def test_terminal_cp_unknown(self):
         # test against really unknown encoding
@@ -158,7 +158,7 @@
         self.assertEqual('latin-1', osutils.get_terminal_encoding())
 
         # check stderr
-        self.assertEquals('bzr: warning: unknown terminal encoding cp-unknown.\n'
+        self.assertEqual('bzr: warning: unknown terminal encoding cp-unknown.\n'
                           '  Using encoding latin-1 instead.\n',
                           sys.stderr.getvalue())
 
@@ -179,24 +179,24 @@
     def test_get_user_encoding(self):
         self._encoding = 'user_encoding'
         fake_codec.add('user_encoding')
-        self.assertEquals('iso8859-1', # fake_codec maps to latin-1
+        self.assertEqual('iso8859-1', # fake_codec maps to latin-1
                           osutils.get_user_encoding())
-        self.assertEquals('', sys.stderr.getvalue())
+        self.assertEqual('', sys.stderr.getvalue())
 
     def test_user_cp0(self):
         self._encoding = 'cp0'
-        self.assertEquals('ascii', osutils.get_user_encoding())
-        self.assertEquals('', sys.stderr.getvalue())
+        self.assertEqual('ascii', osutils.get_user_encoding())
+        self.assertEqual('', sys.stderr.getvalue())
 
     def test_user_cp_unknown(self):
         self._encoding = 'cp-unknown'
-        self.assertEquals('ascii', osutils.get_user_encoding())
-        self.assertEquals('bzr: warning: unknown encoding cp-unknown.'
+        self.assertEqual('ascii', osutils.get_user_encoding())
+        self.assertEqual('bzr: warning: unknown encoding cp-unknown.'
                           ' Continuing with ascii encoding.\n',
                           sys.stderr.getvalue())
 
     def test_user_empty(self):
         """Running bzr from a vim script gives '' for a preferred locale"""
         self._encoding = ''
-        self.assertEquals('ascii', osutils.get_user_encoding())
-        self.assertEquals('', sys.stderr.getvalue())
+        self.assertEqual('ascii', osutils.get_user_encoding())
+        self.assertEqual('', sys.stderr.getvalue())

=== modified file 'bzrlib/tests/test_pack.py'
--- bzrlib/tests/test_pack.py	2012-08-04 11:16:14 +0000
+++ bzrlib/tests/test_pack.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007 Canonical Ltd
+# Copyright (C) 2007, 2009, 2011, 2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -160,7 +160,7 @@
             'Bazaar pack format 1 (introduced in 0.18)\n'
             'B6\nname1\n\nabcabc')
 
-        self.assertEquals([
+        self.assertEqual([
             'Bazaar pack format 1 (introduced in 0.18)\n',
             'B6\nname1\n\n',
             'abcabc'],

=== modified file 'bzrlib/tests/test_plugins.py'
--- bzrlib/tests/test_plugins.py	2012-01-25 19:07:22 +0000
+++ bzrlib/tests/test_plugins.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2011 Canonical Ltd
+# Copyright (C) 2005-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -284,7 +284,7 @@
         log = self.load_and_capture(name)
         self.assertNotContainsRe(log,
             r"It requested API version")
-        self.assertEquals(
+        self.assertEqual(
             ['wants100'],
             plugin.plugin_warnings.keys())
         self.assertContainsRe(
@@ -709,7 +709,7 @@
         if setting_dirs:
             self._set_path(*setting_dirs)
         actual = plugin.get_standard_plugins_path()
-        self.assertEquals(self._list2paths(*expected_dirs), actual)
+        self.assertEqual(self._list2paths(*expected_dirs), actual)
 
     def test_default(self):
         self.check_path([self.user, self.core, self.site],
@@ -827,11 +827,11 @@
         return plugin._get_specific_plugin_paths(paths)
 
     def test_empty(self):
-        self.assertEquals([], self._get_paths(None))
-        self.assertEquals([], self._get_paths(''))
+        self.assertEqual([], self._get_paths(None))
+        self.assertEqual([], self._get_paths(''))
 
     def test_one_path(self):
-        self.assertEquals([('b', 'man')], self._get_paths('b@man'))
+        self.assertEqual([('b', 'man')], self._get_paths('b@man'))
 
     def test_bogus_path(self):
         # We need a '@'
@@ -975,7 +975,7 @@
         self.overrideAttr(plugin, 'plugin_warnings',
             {'bad': ['Failed to load (just testing)']})
         self.overrideAttr(plugin, 'plugins', dummy_plugins)
-        self.assertEquals("""\
+        self.assertEqual("""\
 bad (failed to load)
   ** Failed to load (just testing)
 

=== modified file 'bzrlib/tests/test_registry.py'
--- bzrlib/tests/test_registry.py	2012-01-25 21:13:15 +0000
+++ bzrlib/tests/test_registry.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2008-2011 Canonical Ltd
+# Copyright (C) 2006, 2008-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -344,7 +344,7 @@
         a_registry = registry.Registry()
         a_registry.register_lazy('obj', "bzrlib.tests.test_registry",
             'object1')
-        self.assertEquals("bzrlib.tests.test_registry",
+        self.assertEqual("bzrlib.tests.test_registry",
             a_registry._get_module("obj"))
 
     def test_normal_get_module(self):
@@ -352,5 +352,5 @@
             """Something"""
         a_registry = registry.Registry()
         a_registry.register("obj", AThing())
-        self.assertEquals("bzrlib.tests.test_registry",
+        self.assertEqual("bzrlib.tests.test_registry",
             a_registry._get_module("obj"))

=== modified file 'bzrlib/tests/test_remote.py'
--- bzrlib/tests/test_remote.py	2013-06-24 12:03:12 +0000
+++ bzrlib/tests/test_remote.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2012 Canonical Ltd
+# Copyright (C) 2006-2013, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -556,7 +556,7 @@
         a_bzrdir = RemoteBzrDir(transport, RemoteBzrDirFormat(),
             _client=client)
         result = a_bzrdir.get_branches()
-        self.assertEquals(set(["", "foo"]), set(result.keys()))
+        self.assertEqual(set(["", "foo"]), set(result.keys()))
         self.assertEqual(
             [('call_expecting_body', 'BzrDir.get_branches', ('quack/',)),
              ('call', 'BzrDir.find_repositoryV3', ('quack/', )),
@@ -2124,7 +2124,7 @@
         transport.mkdir('quack')
         transport = transport.clone('quack')
         branch = self.make_remote_branch(transport, client)
-        self.assertEquals(0, branch.revision_id_to_revno('null:'))
+        self.assertEqual(0, branch.revision_id_to_revno('null:'))
         self.assertRaises(errors.NoSuchRevision,
             branch.revision_id_to_revno, 'unknown')
         self.assertFinished(client)
@@ -2144,7 +2144,7 @@
         transport.mkdir('quack')
         transport = transport.clone('quack')
         branch = self.make_remote_branch(transport, client)
-        self.assertEquals((0, ), branch.revision_id_to_dotted_revno('null:'))
+        self.assertEqual((0, ), branch.revision_id_to_dotted_revno('null:'))
         self.assertRaises(errors.NoSuchRevision,
             branch.revision_id_to_dotted_revno, 'unknown')
         self.assertFinished(client)
@@ -2154,7 +2154,7 @@
         branch = self.make_branch('.')
         self.disable_verb('Branch.revision_id_to_revno')
         self.reset_smart_call_log()
-        self.assertEquals((0, ),
+        self.assertEqual((0, ),
             branch.revision_id_to_dotted_revno('null:'))
         self.assertLength(8, self.hpss_calls)
 
@@ -2327,7 +2327,7 @@
         transport_path = 'quack'
         repo, client = self.setup_fake_client_and_repository(transport_path)
         client.add_success_response_with_body('', 'ok')
-        self.assertEquals([], repo.all_revision_ids())
+        self.assertEqual([], repo.all_revision_ids())
         self.assertEqual(
             [('call_expecting_body', 'Repository.all_revision_ids',
              ('quack/',))],
@@ -2338,7 +2338,7 @@
         repo, client = self.setup_fake_client_and_repository(transport_path)
         client.add_success_response_with_body(
             'rev1\nrev2\nanotherrev\n', 'ok')
-        self.assertEquals(["rev1", "rev2", "anotherrev"],
+        self.assertEqual(["rev1", "rev2", "anotherrev"],
             repo.all_revision_ids())
         self.assertEqual(
             [('call_expecting_body', 'Repository.all_revision_ids',
@@ -2422,7 +2422,7 @@
         transport_path = 'hill'
         repo, client = self.setup_fake_client_and_repository(transport_path)
         client.add_success_response('ok', '7')
-        self.assertEquals('7', repo.get_serializer_format())
+        self.assertEqual('7', repo.get_serializer_format())
         self.assertEqual(
             [('call', 'VersionedFileRepository.get_serializer_format',
               ('hill/', ))],
@@ -2446,8 +2446,8 @@
              ('call_expecting_body', 'Repository.reconcile',
                 ('hill/', 'a token'))],
             client._calls)
-        self.assertEquals(2, reconciler.garbage_inventories)
-        self.assertEquals(3, reconciler.inconsistent_parents)
+        self.assertEqual(2, reconciler.garbage_inventories)
+        self.assertEqual(3, reconciler.inconsistent_parents)
 
 
 class TestRepositoryGetRevisionSignatureText(TestRemoteRepository):
@@ -2458,7 +2458,7 @@
         repo, client = self.setup_fake_client_and_repository(transport_path)
         client.add_success_response_with_body(
             'THETEXT', 'ok')
-        self.assertEquals("THETEXT", repo.get_signature_text("revid"))
+        self.assertEqual("THETEXT", repo.get_signature_text("revid"))
         self.assertEqual(
             [('call_expecting_body', 'Repository.get_revision_signature_text',
              ('quack/', 'revid'))],
@@ -2771,7 +2771,7 @@
         client.add_success_response_with_body(
                 [body[:10], body[10:]], 'ok', '10')
         revs = repo.get_revisions(['somerev1'])
-        self.assertEquals(revs, [somerev1])
+        self.assertEqual(revs, [somerev1])
         self.assertEqual(
             [('call_with_body_bytes_expecting_body', 'Repository.iter_revisions',
              ('quack/', ), "somerev1")],
@@ -3098,7 +3098,7 @@
             'error', ('UnsuspendableWriteGroup',))
         repo.lock_write()
         repo.start_write_group()
-        self.assertEquals(client._calls[-2:], [ 
+        self.assertEqual(client._calls[-2:], [ 
             ('_ensure_real',),
             ('start_write_group',)])
 
@@ -3137,7 +3137,7 @@
     def test_suspend_write_group(self):
         transport_path = 'quack'
         repo, client = self.setup_fake_client_and_repository(transport_path)
-        self.assertEquals([], repo.suspend_write_group())
+        self.assertEqual([], repo.suspend_write_group())
 
     def test_resume_write_group(self):
         transport_path = 'quack'
@@ -3227,8 +3227,8 @@
             'success', ('ok',), iter(["ok\x000", "\n", zlib.compress("mydata" * 10)]))
         for (identifier, byte_stream) in repo.iter_files_bytes([("somefile",
                 "somerev", "myid")]):
-            self.assertEquals("myid", identifier)
-            self.assertEquals("".join(byte_stream), "mydata" * 10)
+            self.assertEqual("myid", identifier)
+            self.assertEqual("".join(byte_stream), "mydata" * 10)
 
     def test_missing(self):
         transport_path = 'quack'
@@ -4154,7 +4154,7 @@
     def assertUpdateSucceeds(self, new_location):
         self.checkout.branch.set_bound_location(new_location)
         self.checkout.update()
-        self.assertEquals(self.last_revid, self.checkout.last_revision())
+        self.assertEqual(self.last_revid, self.checkout.last_revision())
 
     def test_without_final_slash(self):
         self.make_master_and_checkout('master', 'checkout')
@@ -4276,13 +4276,13 @@
         ret = list(repo.iter_inventories(["somerevid"]))
         self.assertLength(1, ret)
         inv = ret[0]
-        self.assertEquals("somerevid", inv.revision_id)
+        self.assertEqual("somerevid", inv.revision_id)
 
     def test_empty(self):
         transport_path = 'quack'
         repo, client = self.setup_fake_client_and_repository(transport_path)
         ret = list(repo.iter_inventories([]))
-        self.assertEquals(ret, [])
+        self.assertEqual(ret, [])
 
     def test_missing(self):
         transport_path = 'quack'

=== modified file 'bzrlib/tests/test_repository.py'
--- bzrlib/tests/test_repository.py	2012-06-26 12:58:22 +0000
+++ bzrlib/tests/test_repository.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2011 Canonical Ltd
+# Copyright (C) 2006-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -170,7 +170,7 @@
         tree.branch.repository.update_feature_flags({"name": "necessity"})
         found_format = repository.RepositoryFormatMetaDir.find_format(tree.bzrdir)
         self.assertIsInstance(found_format, repository.RepositoryFormatMetaDir)
-        self.assertEquals(found_format.features.get("name"), "necessity")
+        self.assertEqual(found_format.features.get("name"), "necessity")
         self.assertRaises(errors.MissingFeature, found_format.check_support_status,
             True)
         self.addCleanup(repository.RepositoryFormatMetaDir.unregister_feature,
@@ -188,28 +188,28 @@
     def test_register_unregister_format(self):
         format = SampleRepositoryFormat()
         self.registry.register(format)
-        self.assertEquals(format, self.registry.get("Sample .bzr repository format."))
+        self.assertEqual(format, self.registry.get("Sample .bzr repository format."))
         self.registry.remove(format)
         self.assertRaises(KeyError, self.registry.get, "Sample .bzr repository format.")
 
     def test_get_all(self):
         format = SampleRepositoryFormat()
-        self.assertEquals([], self.registry._get_all())
+        self.assertEqual([], self.registry._get_all())
         self.registry.register(format)
-        self.assertEquals([format], self.registry._get_all())
+        self.assertEqual([format], self.registry._get_all())
 
     def test_register_extra(self):
         format = SampleExtraRepositoryFormat()
-        self.assertEquals([], self.registry._get_all())
+        self.assertEqual([], self.registry._get_all())
         self.registry.register_extra(format)
-        self.assertEquals([format], self.registry._get_all())
+        self.assertEqual([format], self.registry._get_all())
 
     def test_register_extra_lazy(self):
-        self.assertEquals([], self.registry._get_all())
+        self.assertEqual([], self.registry._get_all())
         self.registry.register_extra_lazy("bzrlib.tests.test_repository",
             "SampleExtraRepositoryFormat")
         formats = self.registry._get_all()
-        self.assertEquals(1, len(formats))
+        self.assertEqual(1, len(formats))
         self.assertIsInstance(formats[0], SampleExtraRepositoryFormat)
 
 

=== modified file 'bzrlib/tests/test_revision.py'
--- bzrlib/tests/test_revision.py	2011-10-06 00:14:01 +0000
+++ bzrlib/tests/test_revision.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2011 Canonical Ltd
+# Copyright (C) 2005-2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -66,13 +66,13 @@
     br2 = tree2.branch
     tree2.commit("Commit four", rev_id="b@u-0-3")
     tree2.commit("Commit five", rev_id="b@u-0-4")
-    self.assertEquals(br2.last_revision(), 'b@u-0-4')
+    self.assertEqual(br2.last_revision(), 'b@u-0-4')
 
     tree1.merge_from_branch(br2)
     tree1.commit("Commit six", rev_id="a@u-0-3")
     tree1.commit("Commit seven", rev_id="a@u-0-4")
     tree2.commit("Commit eight", rev_id="b@u-0-5")
-    self.assertEquals(br2.last_revision(), 'b@u-0-5')
+    self.assertEqual(br2.last_revision(), 'b@u-0-5')
 
     tree1.merge_from_branch(br2)
     tree1.commit("Commit nine", rev_id="a@u-0-5")

=== modified file 'bzrlib/tests/test_revisionspec.py'
--- bzrlib/tests/test_revisionspec.py	2012-08-04 14:27:47 +0000
+++ bzrlib/tests/test_revisionspec.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2011 Canonical Ltd
+# Copyright (C) 2005-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -363,17 +363,17 @@
 
     def test_as_tree(self):
         tree = self.get_as_tree('0')
-        self.assertEquals(_mod_revision.NULL_REVISION, tree.get_revision_id())
+        self.assertEqual(_mod_revision.NULL_REVISION, tree.get_revision_id())
         tree = self.get_as_tree('1')
-        self.assertEquals('r1', tree.get_revision_id())
+        self.assertEqual('r1', tree.get_revision_id())
         tree = self.get_as_tree('2')
-        self.assertEquals('r2', tree.get_revision_id())
+        self.assertEqual('r2', tree.get_revision_id())
         tree = self.get_as_tree('-2')
-        self.assertEquals('r1', tree.get_revision_id())
+        self.assertEqual('r1', tree.get_revision_id())
         tree = self.get_as_tree('-1')
-        self.assertEquals('r2', tree.get_revision_id())
+        self.assertEqual('r2', tree.get_revision_id())
         tree = self.get_as_tree('1.1.1')
-        self.assertEquals('alt_r2', tree.get_revision_id())
+        self.assertEqual('alt_r2', tree.get_revision_id())
 
 
 class TestRevisionSpec_revid(TestRevisionSpec):
@@ -656,7 +656,7 @@
 
     def test_as_tree(self):
         tree = self.get_as_tree('branch:tree', self.tree2)
-        self.assertEquals('r2', tree.get_revision_id())
+        self.assertEqual('r2', tree.get_revision_id())
         self.assertFalse(self.tree2.branch.repository.has_revision('r2'))
 
 

=== modified file 'bzrlib/tests/test_revisiontree.py'
--- bzrlib/tests/test_revisiontree.py	2012-01-24 16:19:04 +0000
+++ bzrlib/tests/test_revisiontree.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2008-2011 Canonical Ltd
+# Copyright (C) 2006, 2008-2012, 2016 Canonical Ltd
 # Authors:  Robert Collins <robert.collins@canonical.com>
 #
 # This program is free software; you can redistribute it and/or modify
@@ -61,7 +61,7 @@
         self.assertIs(None, null_tree.get_root_id())
 
     def test_get_file_revision_root(self):
-        self.assertEquals(self.rev_id,
+        self.assertEqual(self.rev_id,
             self.rev_tree.get_file_revision(self.rev_tree.get_root_id()))
 
     def test_get_file_revision(self):
@@ -70,7 +70,7 @@
         revid1 = self.t.commit('add a')
         revid2 = self.t.commit('another change', allow_pointless=True)
         tree = self.t.branch.repository.revision_tree(revid2)
-        self.assertEquals(revid1,
+        self.assertEqual(revid1,
             tree.get_file_revision(tree.path2id('a')))
 
     def test_get_file_mtime_ghost(self):

=== modified file 'bzrlib/tests/test_rio.py'
--- bzrlib/tests/test_rio.py	2011-01-12 01:01:53 +0000
+++ bzrlib/tests/test_rio.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007, 2009, 2010, 2011 Canonical Ltd
+# Copyright (C) 2005, 2006, 2007, 2009, 2010, 2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -46,10 +46,10 @@
         self.assertTrue('number' in s)
         self.assertFalse('color' in s)
         self.assertFalse('42' in s)
-        self.assertEquals(list(s.iter_pairs()),
+        self.assertEqual(list(s.iter_pairs()),
                 [('name', 'fred'), ('number', '42')])
-        self.assertEquals(s.get('number'), '42')
-        self.assertEquals(s.get('name'), 'fred')
+        self.assertEqual(s.get('number'), '42')
+        self.assertEqual(s.get('name'), 'fred')
 
     def test_value_checks(self):
         """rio checks types on construction"""
@@ -68,7 +68,7 @@
     def test_to_lines(self):
         """Write simple rio stanza to string"""
         s = Stanza(number='42', name='fred')
-        self.assertEquals(list(s.to_lines()),
+        self.assertEqual(list(s.to_lines()),
                 ['name: fred\n',
                  'number: 42\n'])
 
@@ -76,7 +76,7 @@
         """Convert rio Stanza to dictionary"""
         s = Stanza(number='42', name='fred')
         sd = s.as_dict()
-        self.assertEquals(sd, dict(number='42', name='fred'))
+        self.assertEqual(sd, dict(number='42', name='fred'))
 
     def test_to_file(self):
         """Write rio to file"""
@@ -102,7 +102,7 @@
 ''')
         tmpf.seek(0)
         s2 = read_stanza(tmpf)
-        self.assertEquals(s, s2)
+        self.assertEqual(s, s2)
 
     def test_read_stanza(self):
         """Load stanza from string"""
@@ -115,12 +115,12 @@
         s = read_stanza(lines)
         self.assertTrue('revision' in s)
         self.assertEqualDiff(s.get('revision'), 'mbp@sourcefrog.net-123-abc')
-        self.assertEquals(list(s.iter_pairs()),
+        self.assertEqual(list(s.iter_pairs()),
                 [('revision', 'mbp@sourcefrog.net-123-abc'),
                  ('timestamp', '1130653962'),
                  ('timezone', '36000'),
                  ('committer', "Martin Pool <mbp@test.sourcefrog.net>")])
-        self.assertEquals(len(s), 4)
+        self.assertEqual(len(s), 4)
 
     def test_repeated_field(self):
         """Repeated field in rio"""
@@ -129,16 +129,16 @@
                      ('a', '1000'), ('b', '2000')]:
             s.add(k, v)
         s2 = read_stanza(s.to_lines())
-        self.assertEquals(s, s2)
-        self.assertEquals(s.get_all('a'), map(str, [10, 100, 1000]))
-        self.assertEquals(s.get_all('b'), map(str, [20, 200, 2000]))
+        self.assertEqual(s, s2)
+        self.assertEqual(s.get_all('a'), map(str, [10, 100, 1000]))
+        self.assertEqual(s.get_all('b'), map(str, [20, 200, 2000]))
 
     def test_backslash(self):
         s = Stanza(q='\\')
         t = s.to_string()
         self.assertEqualDiff(t, 'q: \\\n')
         s2 = read_stanza(s.to_lines())
-        self.assertEquals(s, s2)
+        self.assertEqual(s, s2)
 
     def test_blank_line(self):
         s = Stanza(none='', one='\n', two='\n\n')
@@ -151,7 +151,7 @@
 \t
 """)
         s2 = read_stanza(s.to_lines())
-        self.assertEquals(s, s2)
+        self.assertEqual(s, s2)
 
     def test_whitespace_value(self):
         s = Stanza(space=' ', tabs='\t\t\t', combo='\n\t\t\n')
@@ -163,7 +163,7 @@
 tabs: \t\t\t
 """)
         s2 = read_stanza(s.to_lines())
-        self.assertEquals(s, s2)
+        self.assertEqual(s, s2)
         self.rio_file_stanzas([s])
 
     def test_quoted(self):
@@ -179,10 +179,10 @@
                    q9='\\"\\"',
                    )
         s2 = read_stanza(s.to_lines())
-        self.assertEquals(s, s2)
+        self.assertEqual(s, s2)
         # apparent bug in read_stanza
         # s3 = read_stanza(self.stanzas_to_str([s]))
-        # self.assertEquals(s, s3)
+        # self.assertEqual(s, s3)
 
     def test_read_empty(self):
         """Detect end of rio file"""
@@ -238,23 +238,23 @@
 """)
         tmpf.seek(0)
         s = read_stanza(tmpf)
-        self.assertEquals(s, Stanza(version_header='1'))
+        self.assertEqual(s, Stanza(version_header='1'))
         s = read_stanza(tmpf)
-        self.assertEquals(s, Stanza(name="foo", val='123'))
+        self.assertEqual(s, Stanza(name="foo", val='123'))
         s = read_stanza(tmpf)
         self.assertEqualDiff(s.get('name'), 'quoted')
         self.assertEqualDiff(s.get('address'), '  "Willowglen"\n  42 Wallaby Way\n  Sydney')
         s = read_stanza(tmpf)
-        self.assertEquals(s, Stanza(name="bar", val='129319'))
+        self.assertEqual(s, Stanza(name="bar", val='129319'))
         s = read_stanza(tmpf)
-        self.assertEquals(s, None)
+        self.assertEqual(s, None)
         self.check_rio_file(tmpf)
 
     def check_rio_file(self, real_file):
         real_file.seek(0)
         read_write = rio_file(RioReader(real_file)).read()
         real_file.seek(0)
-        self.assertEquals(read_write, real_file.read())
+        self.assertEqual(read_write, real_file.read())
 
     @staticmethod
     def stanzas_to_str(stanzas):
@@ -315,13 +315,13 @@
         for expected in expected_vals:
             stanza = read_stanza(tmpf)
             self.rio_file_stanzas([stanza])
-            self.assertEquals(len(stanza), 1)
+            self.assertEqual(len(stanza), 1)
             self.assertEqualDiff(stanza.get('s'), expected)
 
     def test_write_empty_stanza(self):
         """Write empty stanza"""
         l = list(Stanza().to_lines())
-        self.assertEquals(l, [])
+        self.assertEqual(l, [])
 
     def test_rio_raises_type_error(self):
         """TypeError on adding invalid type to Stanza"""
@@ -336,12 +336,12 @@
     def test_rio_unicode(self):
         uni_data = u'\N{KATAKANA LETTER O}'
         s = Stanza(foo=uni_data)
-        self.assertEquals(s.get('foo'), uni_data)
+        self.assertEqual(s.get('foo'), uni_data)
         raw_lines = s.to_lines()
-        self.assertEquals(raw_lines,
+        self.assertEqual(raw_lines,
                 ['foo: ' + uni_data.encode('utf-8') + '\n'])
         new_s = read_stanza(raw_lines)
-        self.assertEquals(new_s.get('foo'), uni_data)
+        self.assertEqual(new_s.get('foo'), uni_data)
 
     def test_rio_to_unicode(self):
         uni_data = u'\N{KATAKANA LETTER O}'

=== modified file 'bzrlib/tests/test_rules.py'
--- bzrlib/tests/test_rules.py	2011-04-19 07:52:11 +0000
+++ bzrlib/tests/test_rules.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008-2011 Canonical Ltd
+# Copyright (C) 2008-2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -41,59 +41,59 @@
 
     def test_get_items_file_missing(self):
         rs = self.make_searcher(None)
-        self.assertEquals((), rs.get_items('a.txt'))
-        self.assertEquals((), rs.get_selected_items('a.txt', ['foo']))
-        self.assertEquals(None, rs.get_single_value('a.txt', 'foo'))
+        self.assertEqual((), rs.get_items('a.txt'))
+        self.assertEqual((), rs.get_selected_items('a.txt', ['foo']))
+        self.assertEqual(None, rs.get_single_value('a.txt', 'foo'))
 
     def test_get_items_file_empty(self):
         rs = self.make_searcher("")
-        self.assertEquals((), rs.get_items('a.txt'))
-        self.assertEquals((), rs.get_selected_items('a.txt', ['foo']))
-        self.assertEquals(None, rs.get_single_value('a.txt', 'foo'))
+        self.assertEqual((), rs.get_items('a.txt'))
+        self.assertEqual((), rs.get_selected_items('a.txt', ['foo']))
+        self.assertEqual(None, rs.get_single_value('a.txt', 'foo'))
 
     def test_get_items_from_extension_match(self):
         rs = self.make_searcher("[name *.txt]\nfoo=bar\na=True\n")
-        self.assertEquals((), rs.get_items('a.py'))
-        self.assertEquals((('foo', 'bar'), ('a', 'True')),
+        self.assertEqual((), rs.get_items('a.py'))
+        self.assertEqual((('foo', 'bar'), ('a', 'True')),
             rs.get_items('a.txt'))
-        self.assertEquals((('foo', 'bar'), ('a', 'True')),
+        self.assertEqual((('foo', 'bar'), ('a', 'True')),
             rs.get_items('dir/a.txt'))
-        self.assertEquals((('foo', 'bar'),),
+        self.assertEqual((('foo', 'bar'),),
             rs.get_selected_items('a.txt', ['foo']))
-        self.assertEquals('bar', rs.get_single_value('a.txt', 'foo'))
+        self.assertEqual('bar', rs.get_single_value('a.txt', 'foo'))
 
     def test_get_items_from_multiple_glob_match(self):
         rs = self.make_searcher(
             "[name *.txt *.py 'x x' \"y y\"]\nfoo=bar\na=True\n")
-        self.assertEquals((), rs.get_items('NEWS'))
-        self.assertEquals((('foo', 'bar'), ('a', 'True')),
+        self.assertEqual((), rs.get_items('NEWS'))
+        self.assertEqual((('foo', 'bar'), ('a', 'True')),
             rs.get_items('a.py'))
-        self.assertEquals((('foo', 'bar'), ('a', 'True')),
+        self.assertEqual((('foo', 'bar'), ('a', 'True')),
             rs.get_items('a.txt'))
-        self.assertEquals((('foo', 'bar'), ('a', 'True')),
+        self.assertEqual((('foo', 'bar'), ('a', 'True')),
             rs.get_items('x x'))
-        self.assertEquals((('foo', 'bar'), ('a', 'True')),
+        self.assertEqual((('foo', 'bar'), ('a', 'True')),
             rs.get_items('y y'))
-        self.assertEquals('bar', rs.get_single_value('a.txt', 'foo'))
+        self.assertEqual('bar', rs.get_single_value('a.txt', 'foo'))
 
     def test_get_items_pathname_match(self):
         rs = self.make_searcher("[name ./a.txt]\nfoo=baz\n")
-        self.assertEquals((('foo', 'baz'),),
+        self.assertEqual((('foo', 'baz'),),
             rs.get_items('a.txt'))
-        self.assertEquals('baz', rs.get_single_value('a.txt', 'foo'))
-        self.assertEquals((), rs.get_items('dir/a.txt'))
-        self.assertEquals(None, rs.get_single_value('dir/a.txt', 'foo'))
+        self.assertEqual('baz', rs.get_single_value('a.txt', 'foo'))
+        self.assertEqual((), rs.get_items('dir/a.txt'))
+        self.assertEqual(None, rs.get_single_value('dir/a.txt', 'foo'))
 
     def test_get_items_match_first(self):
         rs = self.make_searcher(
             "[name ./a.txt]\nfoo=baz\n"
             "[name *.txt]\nfoo=bar\na=True\n")
-        self.assertEquals((('foo', 'baz'),),
+        self.assertEqual((('foo', 'baz'),),
             rs.get_items('a.txt'))
-        self.assertEquals('baz', rs.get_single_value('a.txt', 'foo'))
-        self.assertEquals((('foo', 'bar'), ('a', 'True')),
+        self.assertEqual('baz', rs.get_single_value('a.txt', 'foo'))
+        self.assertEqual((('foo', 'bar'), ('a', 'True')),
             rs.get_items('dir/a.txt'))
-        self.assertEquals('bar', rs.get_single_value('dir/a.txt', 'foo'))
+        self.assertEqual('bar', rs.get_single_value('dir/a.txt', 'foo'))
 
 
 class TestStackedRulesSearcher(tests.TestCase):
@@ -113,14 +113,14 @@
         rs = self.make_searcher(
             "[name ./a.txt]\nfoo=baz\n",
             "[name *.txt]\nfoo=bar\na=True\n")
-        self.assertEquals((('foo', 'baz'),),
+        self.assertEqual((('foo', 'baz'),),
             rs.get_items('a.txt'))
-        self.assertEquals('baz', rs.get_single_value('a.txt', 'foo'))
-        self.assertEquals(None, rs.get_single_value('a.txt', 'a'))
-        self.assertEquals((('foo', 'bar'), ('a', 'True')),
+        self.assertEqual('baz', rs.get_single_value('a.txt', 'foo'))
+        self.assertEqual(None, rs.get_single_value('a.txt', 'a'))
+        self.assertEqual((('foo', 'bar'), ('a', 'True')),
             rs.get_items('dir/a.txt'))
-        self.assertEquals('bar', rs.get_single_value('dir/a.txt', 'foo'))
-        self.assertEquals('True', rs.get_single_value('dir/a.txt', 'a'))
+        self.assertEqual('bar', rs.get_single_value('dir/a.txt', 'foo'))
+        self.assertEqual('True', rs.get_single_value('dir/a.txt', 'a'))
 
 
 class TestRulesPath(tests.TestCase):

=== modified file 'bzrlib/tests/test_scenarios.py'
--- bzrlib/tests/test_scenarios.py	2010-11-05 20:54:32 +0000
+++ bzrlib/tests/test_scenarios.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2010 Canonical Ltd
+# Copyright (C) 2010, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -64,7 +64,7 @@
             self,
             vary_by_color(),
             suite)
-        self.assertEquals(
+        self.assertEqual(
             ['blue', 'green', 'red'],
             get_generated_test_attributes(suite, 'color'))
 
@@ -74,7 +74,7 @@
             vary_named_attribute('one'),
             vary_named_attribute('two'),
             )
-        self.assertEquals(
+        self.assertEqual(
             2*2,
             len(s),
             s)
@@ -86,7 +86,7 @@
         multiply_tests_by_their_scenarios(
             test_instance,
             suite)
-        self.assertEquals(
+        self.assertEqual(
             ['a', 'a', 'b', 'b'],
             get_generated_test_attributes(suite, 'value'))
 

=== modified file 'bzrlib/tests/test_script.py'
--- bzrlib/tests/test_script.py	2011-10-05 22:15:03 +0000
+++ bzrlib/tests/test_script.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009, 2010 Canonical Ltd
+# Copyright (C) 2009, 2010, 2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -28,10 +28,10 @@
 class TestSyntax(tests.TestCase):
 
     def test_comment_is_ignored(self):
-        self.assertEquals([], script._script_to_commands('#comment\n'))
+        self.assertEqual([], script._script_to_commands('#comment\n'))
 
     def test_comment_multiple_lines(self):
-        self.assertEquals([
+        self.assertEqual([
             (['bar'], None, None, None),
             ],
             script._script_to_commands("""
@@ -50,7 +50,7 @@
 
         However we do want to be able to match commands that emit blank lines.
         """
-        self.assertEquals([
+        self.assertEqual([
             (['bar'], None, '\n', None),
             ],
             script._script_to_commands("""
@@ -59,23 +59,23 @@
             """))
 
     def test_simple_command(self):
-        self.assertEquals([(['cd', 'trunk'], None, None, None)],
+        self.assertEqual([(['cd', 'trunk'], None, None, None)],
                            script._script_to_commands('$ cd trunk'))
 
     def test_command_with_single_quoted_param(self):
         story = """$ bzr commit -m 'two words'"""
-        self.assertEquals([(['bzr', 'commit', '-m', "'two words'"],
+        self.assertEqual([(['bzr', 'commit', '-m', "'two words'"],
                             None, None, None)],
                            script._script_to_commands(story))
 
     def test_command_with_double_quoted_param(self):
         story = """$ bzr commit -m "two words" """
-        self.assertEquals([(['bzr', 'commit', '-m', '"two words"'],
+        self.assertEqual([(['bzr', 'commit', '-m', '"two words"'],
                             None, None, None)],
                            script._script_to_commands(story))
 
     def test_command_with_input(self):
-        self.assertEquals(
+        self.assertEqual(
             [(['cat', '>file'], 'content\n', None, None)],
             script._script_to_commands('$ cat >file\n<content\n'))
 
@@ -87,7 +87,7 @@
             adding file
             adding file2
             """
-        self.assertEquals([(['bzr', 'add'], None,
+        self.assertEqual([(['bzr', 'add'], None,
                             'adding file\nadding file2\n', None)],
                           script._script_to_commands(story))
 
@@ -97,7 +97,7 @@
 adding file
 adding file2
 """
-        self.assertEquals([(['bzr', 'add'], None,
+        self.assertEqual([(['bzr', 'add'], None,
                             'adding file\nadding file2\n', None)],
                           script._script_to_commands(story))
 
@@ -106,7 +106,7 @@
 $ bzr branch foo
 2>bzr: ERROR: Not a branch: "foo"
 """
-        self.assertEquals([(['bzr', 'branch', 'foo'],
+        self.assertEqual([(['bzr', 'branch', 'foo'],
                             None, None, 'bzr: ERROR: Not a branch: "foo"\n')],
                           script._script_to_commands(story))
 
@@ -120,7 +120,7 @@
         story = """
 $ foo = `bzr file-id toto`
 """
-        self.assertEquals([(['foo', '=', '`bzr file-id toto`'],
+        self.assertEqual([(['foo', '=', '`bzr file-id toto`'],
                             None, None, None)],
                           script._script_to_commands(story))
 
@@ -172,7 +172,7 @@
         """
         e = self.assertRaises(SyntaxError, self.run_script, "$ foo --frob")
         self.assertContainsRe(e.msg, "not found.*foo")
-        self.assertEquals(e.text, "foo --frob")
+        self.assertEqual(e.text, "foo --frob")
 
     def test_blank_output_mismatches_output(self):
         """If you give output, the output must actually be blank.
@@ -299,7 +299,7 @@
         self.run_script("""
         $ bzr init --quiet a
         """)
-        self.assertEquals(trace.is_quiet(), False)
+        self.assertEqual(trace.is_quiet(), False)
 
 
 class TestCat(script.TestCaseWithTransportAndScript):
@@ -310,27 +310,27 @@
     def test_cat_input_to_output(self):
         retcode, out, err = self.run_command(['cat'],
                                              'content\n', 'content\n', None)
-        self.assertEquals('content\n', out)
-        self.assertEquals(None, err)
+        self.assertEqual('content\n', out)
+        self.assertEqual(None, err)
 
     def test_cat_file_to_output(self):
         self.build_tree_contents([('file', 'content\n')])
         retcode, out, err = self.run_command(['cat', 'file'],
                                              None, 'content\n', None)
-        self.assertEquals('content\n', out)
-        self.assertEquals(None, err)
+        self.assertEqual('content\n', out)
+        self.assertEqual(None, err)
 
     def test_cat_input_to_file(self):
         retcode, out, err = self.run_command(['cat', '>file'],
                                              'content\n', None, None)
         self.assertFileEqual('content\n', 'file')
-        self.assertEquals(None, out)
-        self.assertEquals(None, err)
+        self.assertEqual(None, out)
+        self.assertEqual(None, err)
         retcode, out, err = self.run_command(['cat', '>>file'],
                                              'more\n', None, None)
         self.assertFileEqual('content\nmore\n', 'file')
-        self.assertEquals(None, out)
-        self.assertEquals(None, err)
+        self.assertEqual(None, out)
+        self.assertEqual(None, err)
 
     def test_cat_file_to_file(self):
         self.build_tree_contents([('file', 'content\n')])
@@ -397,16 +397,16 @@
         self.assertRaises(ValueError, self.run_script, '$ cd ..')
 
     def test_cd_dir_and_back_home(self):
-        self.assertEquals(self.test_dir, osutils.getcwd())
+        self.assertEqual(self.test_dir, osutils.getcwd())
         self.run_script("""
 $ mkdir dir
 $ cd dir
 """)
-        self.assertEquals(osutils.pathjoin(self.test_dir, 'dir'),
+        self.assertEqual(osutils.pathjoin(self.test_dir, 'dir'),
                           osutils.getcwd())
 
         self.run_script('$ cd')
-        self.assertEquals(self.test_dir, osutils.getcwd())
+        self.assertEqual(self.test_dir, osutils.getcwd())
 
 
 class TestBzr(script.TestCaseWithTransportAndScript):
@@ -435,32 +435,32 @@
 
     def test_echo_to_output(self):
         retcode, out, err = self.run_command(['echo'], None, '\n', None)
-        self.assertEquals('\n', out)
-        self.assertEquals(None, err)
+        self.assertEqual('\n', out)
+        self.assertEqual(None, err)
 
     def test_echo_some_to_output(self):
         retcode, out, err = self.run_command(['echo', 'hello'],
                                              None, 'hello\n', None)
-        self.assertEquals('hello\n', out)
-        self.assertEquals(None, err)
+        self.assertEqual('hello\n', out)
+        self.assertEqual(None, err)
 
     def test_echo_more_output(self):
         retcode, out, err = self.run_command(
             ['echo', 'hello', 'happy', 'world'],
             None, 'hello happy world\n', None)
-        self.assertEquals('hello happy world\n', out)
-        self.assertEquals(None, err)
+        self.assertEqual('hello happy world\n', out)
+        self.assertEqual(None, err)
 
     def test_echo_appended(self):
         retcode, out, err = self.run_command(['echo', 'hello', '>file'],
                                              None, None, None)
-        self.assertEquals(None, out)
-        self.assertEquals(None, err)
+        self.assertEqual(None, out)
+        self.assertEqual(None, err)
         self.assertFileEqual('hello\n', 'file')
         retcode, out, err = self.run_command(['echo', 'happy', '>>file'],
                                              None, None, None)
-        self.assertEquals(None, out)
-        self.assertEquals(None, err)
+        self.assertEqual(None, out)
+        self.assertEqual(None, err)
         self.assertFileEqual('hello\nhappy\n', 'file')
 
     def test_empty_line_in_output_is_respected(self):

=== modified file 'bzrlib/tests/test_selftest.py'
--- bzrlib/tests/test_selftest.py	2013-05-23 10:04:17 +0000
+++ bzrlib/tests/test_selftest.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2011 Canonical Ltd
+# Copyright (C) 2005-2013, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -1002,7 +1002,7 @@
             pass
         test = unittest.FunctionTestCase(test_function)
         test.run(result)
-        self.assertEquals(1, result.calls)
+        self.assertEqual(1, result.calls)
 
     def test_startTests_only_once(self):
         """With multiple tests startTests should still only be called once"""
@@ -1014,8 +1014,8 @@
             unittest.FunctionTestCase(lambda: None),
             unittest.FunctionTestCase(lambda: None)])
         suite.run(result)
-        self.assertEquals(1, result.calls)
-        self.assertEquals(2, result.count)
+        self.assertEqual(1, result.calls)
+        self.assertEqual(2, result.count)
 
 
 class TestRunner(tests.TestCase):
@@ -1732,7 +1732,7 @@
             test_selftest, '_add_numbers')
         self.assertEqual(test_selftest._add_numbers(2, 10),
             12)
-        self.assertEquals(calls, [((2, 10), {})])
+        self.assertEqual(calls, [((2, 10), {})])
 
 
 def _add_numbers(a, b):
@@ -1912,12 +1912,12 @@
         self.assertIsInstance(2, int)
         self.assertIsInstance(u'', basestring)
         e = self.assertRaises(AssertionError, self.assertIsInstance, None, int)
-        self.assertEquals(str(e),
+        self.assertEqual(str(e),
             "None is an instance of <type 'NoneType'> rather than <type 'int'>")
         self.assertRaises(AssertionError, self.assertIsInstance, 23.3, int)
         e = self.assertRaises(AssertionError,
             self.assertIsInstance, None, int, "it's just not")
-        self.assertEquals(str(e),
+        self.assertEqual(str(e),
             "None is an instance of <type 'NoneType'> rather than <type 'int'>"
             ": it's just not")
 
@@ -1928,12 +1928,12 @@
     def test_assertEqualDiff(self):
         e = self.assertRaises(AssertionError,
                               self.assertEqualDiff, '', '\n')
-        self.assertEquals(str(e),
+        self.assertEqual(str(e),
                           # Don't blink ! The '+' applies to the second string
                           'first string is missing a final newline.\n+ \n')
         e = self.assertRaises(AssertionError,
                               self.assertEqualDiff, '\n', '')
-        self.assertEquals(str(e),
+        self.assertEqual(str(e),
                           # Don't blink ! The '-' applies to the second string
                           'second string is missing a final newline.\n- \n')
 
@@ -1996,12 +1996,12 @@
             warnings.warn("this is your last warning")
             return a + b
         wlist, result = self.callCatchWarnings(meth, 1, 2)
-        self.assertEquals(3, result)
+        self.assertEqual(3, result)
         # would like just to compare them, but UserWarning doesn't implement
         # eq well
         w0, = wlist
         self.assertIsInstance(w0, UserWarning)
-        self.assertEquals("this is your last warning", str(w0))
+        self.assertEqual("this is your last warning", str(w0))
 
 
 class TestConvenienceMakers(tests.TestCaseWithTransport):
@@ -2028,9 +2028,9 @@
         tree = self.make_branch_and_tree('t1')
         base = tree.bzrdir.root_transport.base
         self.assertStartsWith(base, 'file://')
-        self.assertEquals(tree.bzrdir.root_transport,
+        self.assertEqual(tree.bzrdir.root_transport,
                 tree.branch.bzrdir.root_transport)
-        self.assertEquals(tree.bzrdir.root_transport,
+        self.assertEqual(tree.bzrdir.root_transport,
                 tree.branch.repository.bzrdir.root_transport)
 
 
@@ -2300,9 +2300,9 @@
         self.assertEqual(['rocks'], self.argv)
         self.assertEqual(34, self.retcode)
         self.assertEqual('It sure does!\n', out)
-        self.assertEquals(out, self.out)
+        self.assertEqual(out, self.out)
         self.assertEqual('', err)
-        self.assertEquals(err, self.err)
+        self.assertEqual(err, self.err)
 
     def test_run_bzr_error_regexes(self):
         self.out = ''
@@ -2847,7 +2847,7 @@
             self.run_bzr, ['assert-fail'])
         # make sure we got the real thing, not an error from somewhere else in
         # the test framework
-        self.assertEquals('always fails', str(e))
+        self.assertEqual('always fails', str(e))
         # check that there's no traceback in the test log
         self.assertNotContainsRe(self.get_log(), r'Traceback')
 
@@ -2902,7 +2902,7 @@
     def test_load_tests_from_module_name_smoke_test(self):
         loader = TestUtil.TestLoader()
         suite = loader.loadTestsFromModuleName('bzrlib.tests.test_sampler')
-        self.assertEquals(['bzrlib.tests.test_sampler.DemoTest.test_nothing'],
+        self.assertEqual(['bzrlib.tests.test_sampler.DemoTest.test_nothing'],
                           _test_ids(suite))
 
     def test_load_tests_from_module_name_with_bogus_module_name(self):
@@ -2937,8 +2937,8 @@
 
     def test_empty_list(self):
         id_list = self._create_id_list([])
-        self.assertEquals({}, id_list.tests)
-        self.assertEquals({}, id_list.modules)
+        self.assertEqual({}, id_list.tests)
+        self.assertEqual({}, id_list.modules)
 
     def test_valid_list(self):
         id_list = self._create_id_list(
@@ -2971,8 +2971,8 @@
         test_list = ['bzrlib.tests.test_sampler.DemoTest.test_nothing',
                      'bogus']
         not_found, duplicates = tests.suite_matches_id_list(suite, test_list)
-        self.assertEquals(['bogus'], not_found)
-        self.assertEquals([], duplicates)
+        self.assertEqual(['bogus'], not_found)
+        self.assertEqual([], duplicates)
 
     def test_suite_matches_id_list_with_duplicates(self):
         loader = TestUtil.TestLoader()
@@ -2985,8 +2985,8 @@
         test_list = ['bzrlib.tests.test_sampler.DemoTest.test_nothing',]
         not_found, duplicates = tests.suite_matches_id_list(
             dupes, test_list)
-        self.assertEquals([], not_found)
-        self.assertEquals(['bzrlib.tests.test_sampler.DemoTest.test_nothing'],
+        self.assertEqual([], not_found)
+        self.assertEqual(['bzrlib.tests.test_sampler.DemoTest.test_nothing'],
                           duplicates)
 
 
@@ -3065,7 +3065,7 @@
         suite = tests.test_suite(test_list,
                                  ['bzrlib.tests.test_selftest.TestTestSuite'])
         # test_test_suite_list_and_start is not included 
-        self.assertEquals(test_list, _test_ids(suite))
+        self.assertEqual(test_list, _test_ids(suite))
 
 
 class TestLoadTestIdList(tests.TestCaseInTempDir):
@@ -3084,9 +3084,9 @@
         self._create_test_list_file(test_list_fname,
                                     'mod1.cl1.meth1\nmod2.cl2.meth2\n')
         tlist = tests.load_test_id_list(test_list_fname)
-        self.assertEquals(2, len(tlist))
-        self.assertEquals('mod1.cl1.meth1', tlist[0])
-        self.assertEquals('mod2.cl2.meth2', tlist[1])
+        self.assertEqual(2, len(tlist))
+        self.assertEqual('mod1.cl1.meth1', tlist[0])
+        self.assertEqual('mod2.cl2.meth2', tlist[1])
 
     def test_load_dirty_file(self):
         test_list_fname = 'test.list'
@@ -3094,11 +3094,11 @@
                                     '  mod1.cl1.meth1\n\nmod2.cl2.meth2  \n'
                                     'bar baz\n')
         tlist = tests.load_test_id_list(test_list_fname)
-        self.assertEquals(4, len(tlist))
-        self.assertEquals('mod1.cl1.meth1', tlist[0])
-        self.assertEquals('', tlist[1])
-        self.assertEquals('mod2.cl2.meth2', tlist[2])
-        self.assertEquals('bar baz', tlist[3])
+        self.assertEqual(4, len(tlist))
+        self.assertEqual('mod1.cl1.meth1', tlist[0])
+        self.assertEqual('', tlist[1])
+        self.assertEqual('mod2.cl2.meth2', tlist[2])
+        self.assertEqual('bar baz', tlist[3])
 
 
 class TestFilteredByModuleTestLoader(tests.TestCase):
@@ -3112,13 +3112,13 @@
         test_list = ['bzrlib.tests.test_sampler.DemoTest.test_nothing']
         loader = self._create_loader(test_list)
         suite = loader.loadTestsFromModuleName('bzrlib.tests.test_sampler')
-        self.assertEquals(test_list, _test_ids(suite))
+        self.assertEqual(test_list, _test_ids(suite))
 
     def test_exclude_tests(self):
         test_list = ['bogus']
         loader = self._create_loader(test_list)
         suite = loader.loadTestsFromModuleName('bzrlib.tests.test_sampler')
-        self.assertEquals([], _test_ids(suite))
+        self.assertEqual([], _test_ids(suite))
 
 
 class TestFilteredByNameStartTestLoader(tests.TestCase):
@@ -3134,21 +3134,21 @@
         loader = self._create_loader('bzrlib.tests.test_samp')
 
         suite = loader.loadTestsFromModuleName('bzrlib.tests.test_sampler')
-        self.assertEquals(test_list, _test_ids(suite))
+        self.assertEqual(test_list, _test_ids(suite))
 
     def test_load_tests_inside_module(self):
         test_list = ['bzrlib.tests.test_sampler.DemoTest.test_nothing']
         loader = self._create_loader('bzrlib.tests.test_sampler.Demo')
 
         suite = loader.loadTestsFromModuleName('bzrlib.tests.test_sampler')
-        self.assertEquals(test_list, _test_ids(suite))
+        self.assertEqual(test_list, _test_ids(suite))
 
     def test_exclude_tests(self):
         test_list = ['bogus']
         loader = self._create_loader('bogus')
 
         suite = loader.loadTestsFromModuleName('bzrlib.tests.test_sampler')
-        self.assertEquals([], _test_ids(suite))
+        self.assertEqual([], _test_ids(suite))
 
 
 class TestTestPrefixRegistry(tests.TestCase):
@@ -3160,13 +3160,13 @@
     def test_register_new_prefix(self):
         tpr = self._get_registry()
         tpr.register('foo', 'fff.ooo.ooo')
-        self.assertEquals('fff.ooo.ooo', tpr.get('foo'))
+        self.assertEqual('fff.ooo.ooo', tpr.get('foo'))
 
     def test_register_existing_prefix(self):
         tpr = self._get_registry()
         tpr.register('bar', 'bbb.aaa.rrr')
         tpr.register('bar', 'bBB.aAA.rRR')
-        self.assertEquals('bbb.aaa.rrr', tpr.get('bar'))
+        self.assertEqual('bbb.aaa.rrr', tpr.get('bar'))
         self.assertThat(self.get_log(),
             DocTestMatches("...bar...bbb.aaa.rrr...BB.aAA.rRR",
                            doctest.ELLIPSIS))
@@ -3178,7 +3178,7 @@
     def test_resolve_prefix(self):
         tpr = self._get_registry()
         tpr.register('bar', 'bb.aa.rr')
-        self.assertEquals('bb.aa.rr', tpr.resolve_alias('bar'))
+        self.assertEqual('bb.aa.rr', tpr.resolve_alias('bar'))
 
     def test_resolve_unknown_alias(self):
         tpr = self._get_registry()
@@ -3187,12 +3187,12 @@
 
     def test_predefined_prefixes(self):
         tpr = tests.test_prefix_alias_registry
-        self.assertEquals('bzrlib', tpr.resolve_alias('bzrlib'))
-        self.assertEquals('bzrlib.doc', tpr.resolve_alias('bd'))
-        self.assertEquals('bzrlib.utils', tpr.resolve_alias('bu'))
-        self.assertEquals('bzrlib.tests', tpr.resolve_alias('bt'))
-        self.assertEquals('bzrlib.tests.blackbox', tpr.resolve_alias('bb'))
-        self.assertEquals('bzrlib.plugins', tpr.resolve_alias('bp'))
+        self.assertEqual('bzrlib', tpr.resolve_alias('bzrlib'))
+        self.assertEqual('bzrlib.doc', tpr.resolve_alias('bd'))
+        self.assertEqual('bzrlib.utils', tpr.resolve_alias('bu'))
+        self.assertEqual('bzrlib.tests', tpr.resolve_alias('bt'))
+        self.assertEqual('bzrlib.tests.blackbox', tpr.resolve_alias('bb'))
+        self.assertEqual('bzrlib.plugins', tpr.resolve_alias('bp'))
 
 
 class TestThreadLeakDetection(tests.TestCase):
@@ -3521,17 +3521,17 @@
             def test_me(self):
                 # The first call save the 42 value
                 self.overrideEnv('MYVAR', None)
-                self.assertEquals(None, os.environ.get('MYVAR'))
+                self.assertEqual(None, os.environ.get('MYVAR'))
                 # Make sure we can call it twice
                 self.overrideEnv('MYVAR', None)
-                self.assertEquals(None, os.environ.get('MYVAR'))
+                self.assertEqual(None, os.environ.get('MYVAR'))
         output = StringIO()
         result = tests.TextTestResult(output, 0, 1)
         Test('test_me').run(result)
         if not result.wasStrictlySuccessful():
             self.fail(output.getvalue())
         # We get our value back
-        self.assertEquals('42', os.environ.get('MYVAR'))
+        self.assertEqual('42', os.environ.get('MYVAR'))
 
 
 class TestIsolatedEnv(tests.TestCase):
@@ -3553,20 +3553,20 @@
         # Make sure we know the definition of BZR_HOME: not part of os.environ
         # for tests.TestCase.
         self.assertTrue('BZR_HOME' in tests.isolated_environ)
-        self.assertEquals(None, tests.isolated_environ['BZR_HOME'])
+        self.assertEqual(None, tests.isolated_environ['BZR_HOME'])
         # Being part of isolated_environ, BZR_HOME should not appear here
         self.assertFalse('BZR_HOME' in os.environ)
         # Make sure we know the definition of LINES: part of os.environ for
         # tests.TestCase
         self.assertTrue('LINES' in tests.isolated_environ)
-        self.assertEquals('25', tests.isolated_environ['LINES'])
-        self.assertEquals('25', os.environ['LINES'])
+        self.assertEqual('25', tests.isolated_environ['LINES'])
+        self.assertEqual('25', os.environ['LINES'])
 
     def test_injecting_unknown_variable(self):
         # BZR_HOME is known to be absent from os.environ
         test = self.ScratchMonkey('test_me')
         tests.override_os_environ(test, {'BZR_HOME': 'foo'})
-        self.assertEquals('foo', os.environ['BZR_HOME'])
+        self.assertEqual('foo', os.environ['BZR_HOME'])
         tests.restore_os_environ(test)
         self.assertFalse('BZR_HOME' in os.environ)
 
@@ -3574,9 +3574,9 @@
         test = self.ScratchMonkey('test_me')
         # LINES is known to be present in os.environ
         tests.override_os_environ(test, {'LINES': '42'})
-        self.assertEquals('42', os.environ['LINES'])
+        self.assertEqual('42', os.environ['LINES'])
         tests.restore_os_environ(test)
-        self.assertEquals('25', os.environ['LINES'])
+        self.assertEqual('25', os.environ['LINES'])
 
     def test_deleting_variable(self):
         test = self.ScratchMonkey('test_me')
@@ -3584,7 +3584,7 @@
         tests.override_os_environ(test, {'LINES': None})
         self.assertTrue('LINES' not in os.environ)
         tests.restore_os_environ(test)
-        self.assertEquals('25', os.environ['LINES'])
+        self.assertEqual('25', os.environ['LINES'])
 
 
 class TestDocTestSuiteIsolation(tests.TestCase):
@@ -3677,7 +3677,7 @@
         # test at the command level without loading the whole test suite
         out, err = self.run_bzr(('selftest', '--list') + selftest_args)
         actual = out.splitlines()
-        self.assertEquals(expected, actual)
+        self.assertEqual(expected, actual)
 
     def test_full_list(self):
         self.assertTestList(['a', 'b', 'c'])
@@ -3718,7 +3718,7 @@
         test.run(result)
         self.assertTrue(hasattr(test, '_counters'))
         self.assertTrue(test._counters.has_key('myhook'))
-        self.assertEquals(expected_calls, test._counters['myhook'])
+        self.assertEqual(expected_calls, test._counters['myhook'])
 
     def test_no_hook(self):
         self.assertHookCalls(0, 'no_hook')

=== modified file 'bzrlib/tests/test_sftp_transport.py'
--- bzrlib/tests/test_sftp_transport.py	2012-08-04 14:27:47 +0000
+++ bzrlib/tests/test_sftp_transport.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2011 Robey Pointer <robey@lag.net>
+# Copyright (C) 2005-2012, 2016 Robey Pointer <robey@lag.net>
 # Copyright (C) 2005, 2006, 2007 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
@@ -155,11 +155,11 @@
     def test_parse_url_with_home_dir(self):
         s = _mod_sftp.SFTPTransport(
             'sftp://ro%62ey:h%40t@example.com:2222/~/relative')
-        self.assertEquals(s._parsed_url.host, 'example.com')
-        self.assertEquals(s._parsed_url.port, 2222)
-        self.assertEquals(s._parsed_url.user, 'robey')
-        self.assertEquals(s._parsed_url.password, 'h@t')
-        self.assertEquals(s._parsed_url.path, '/~/relative/')
+        self.assertEqual(s._parsed_url.host, 'example.com')
+        self.assertEqual(s._parsed_url.port, 2222)
+        self.assertEqual(s._parsed_url.user, 'robey')
+        self.assertEqual(s._parsed_url.password, 'h@t')
+        self.assertEqual(s._parsed_url.path, '/~/relative/')
 
     def test_relpath(self):
         s = _mod_sftp.SFTPTransport('sftp://user@host.com/abs/path')
@@ -200,13 +200,13 @@
         b2 = controldir.ControlDir.create_branch_and_repo(self.get_url('/b'))
         b2.pull(b)
 
-        self.assertEquals(b2.last_revision(), 'a1')
+        self.assertEqual(b2.last_revision(), 'a1')
 
         with open('a/foo', 'wt') as f: f.write('something new in foo\n')
         t.commit('new', rev_id='a2')
         b2.pull(b)
 
-        self.assertEquals(b2.last_revision(), 'a2')
+        self.assertEqual(b2.last_revision(), 'a2')
 
 
 class SSHVendorConnection(TestCaseWithSFTPServer):
@@ -496,5 +496,5 @@
         t = self.get_transport_for_connection(set_config=False)
         self.assertIs(None, t._get_credentials()[0])
         # No prompts should've been printed, stdin shouldn't have been read
-        self.assertEquals("", stdout.getvalue())
-        self.assertEquals(0, ui.ui_factory.stdin.tell())
+        self.assertEqual("", stdout.getvalue())
+        self.assertEqual(0, ui.ui_factory.stdin.tell())

=== modified file 'bzrlib/tests/test_shelf_ui.py'
--- bzrlib/tests/test_shelf_ui.py	2011-10-10 20:55:52 +0000
+++ bzrlib/tests/test_shelf_ui.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008, 2009, 2010 Canonical Ltd
+# Copyright (C) 2008-2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -302,11 +302,11 @@
         tree1_root_id = tree1.get_root_id()
         tree2 = self.make_branch_and_tree('tree2')
         rev2 = tree2.commit('add root')
-        self.assertNotEquals(tree1_root_id, tree2.get_root_id())
+        self.assertNotEqual(tree1_root_id, tree2.get_root_id())
         tree1.merge_from_branch(tree2.branch,
                                 from_revision=revision.NULL_REVISION)
         tree1.commit('merging in tree2')
-        self.assertEquals(tree1_root_id, tree1.get_root_id())
+        self.assertEqual(tree1_root_id, tree1.get_root_id())
         # This is essentially assertNotRaises(InconsistentDelta)
         # With testtools 0.9.9, it can be rewritten as:
         # with ExpectedException(AssertionError,

=== modified file 'bzrlib/tests/test_smart.py'
--- bzrlib/tests/test_smart.py	2012-08-04 14:27:47 +0000
+++ bzrlib/tests/test_smart.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2012 Canonical Ltd
+# Copyright (C) 2006-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -944,7 +944,7 @@
         self.assertEqual(
             smart_req.SmartServerResponse(('ok', )),
             request.do_body('foo bar baz'))
-        self.assertEquals(
+        self.assertEqual(
             branch.control_transport.get_bytes('branch.conf'),
             'foo bar baz')
         branch.unlock()
@@ -1033,7 +1033,7 @@
         response = request.do_chunk(tag_bytes)
         self.assertEqual(None, response)
         response = request.do_end()
-        self.assertEquals(
+        self.assertEqual(
             smart_req.SuccessfulSmartServerResponse(()), response)
         base_branch.unlock()
 
@@ -1295,7 +1295,7 @@
         base_branch = self.make_branch('base')
         request = smart_branch.SmartServerBranchGetParent(self.get_transport())
         response = request.execute('base')
-        self.assertEquals(
+        self.assertEqual(
             smart_req.SuccessfulSmartServerResponse(('',)), response)
 
     def test_get_parent_something(self):
@@ -1303,7 +1303,7 @@
         base_branch.set_parent(self.get_url('foo'))
         request = smart_branch.SmartServerBranchGetParent(self.get_transport())
         response = request.execute('base')
-        self.assertEquals(
+        self.assertEqual(
             smart_req.SuccessfulSmartServerResponse(("../foo",)),
             response)
 
@@ -1352,7 +1352,7 @@
         request = smart_branch.SmartServerBranchGetTagsBytes(
             self.get_transport())
         response = request.execute('base')
-        self.assertEquals(
+        self.assertEqual(
             smart_req.SuccessfulSmartServerResponse(('',)), response)
 
 
@@ -1366,7 +1366,7 @@
         request = smart_branch.SmartServerBranchRequestGetStackedOnURL(
             self.get_transport())
         response = request.execute('stacked')
-        self.assertEquals(
+        self.assertEqual(
             smart_req.SmartServerResponse(('ok', '../base')),
             response)
 
@@ -1484,7 +1484,7 @@
             backing)
         branch = self.make_branch('.')
         branch_token, repo_token = self.get_lock_tokens(branch)
-        self.assertEquals(True, branch.get_physical_lock_status())
+        self.assertEqual(True, branch.get_physical_lock_status())
         response = request.execute('')
         self.assertEqual(
             smart_req.SmartServerResponse(('yes',)), response)
@@ -1495,7 +1495,7 @@
         request = smart_branch.SmartServerBranchRequestGetPhysicalLockStatus(
             backing)
         branch = self.make_branch('.')
-        self.assertEquals(False, branch.get_physical_lock_status())
+        self.assertEqual(False, branch.get_physical_lock_status())
         response = request.execute('')
         self.assertEqual(
             smart_req.SmartServerResponse(('no',)), response)
@@ -1601,7 +1601,7 @@
         backing = self.get_transport()
         request = smart_repo.SmartServerRepositoryAllRevisionIds(backing)
         self.make_repository('.')
-        self.assertEquals(
+        self.assertEqual(
             smart_req.SuccessfulSmartServerResponse(("ok", ), ""),
             request.execute(''))
 
@@ -1615,7 +1615,7 @@
         tree.commit(rev_id='origineel', message="message")
         tree.commit(rev_id='nog-een-revisie', message="message")
         tree.unlock()
-        self.assertEquals(
+        self.assertEqual(
             smart_req.SuccessfulSmartServerResponse(("ok", ),
                 "origineel\nnog-een-revisie"),
             request.execute(''))
@@ -1783,7 +1783,7 @@
         response = request.do_body("rev1\nrev2")
         self.assertTrue(response.is_successful())
         # Format 2a uses serializer format 10
-        self.assertEquals(response.args, ("ok", "10"))
+        self.assertEqual(response.args, ("ok", "10"))
 
         self.addCleanup(tree.branch.lock_read().unlock)
         entries = [zlib.compress(record.get_bytes_as("fulltext")) for record in
@@ -1804,10 +1804,10 @@
         response = request.do_body("rev1\nrev2")
         self.assertTrue(response.is_successful())
         # Format 2a uses serializer format 10
-        self.assertEquals(response.args, ("ok", "10"))
+        self.assertEqual(response.args, ("ok", "10"))
 
         contents = "".join(response.body_stream)
-        self.assertEquals(contents, "")
+        self.assertEqual(contents, "")
 
 
 class GetStreamTestBase(tests.TestCaseWithMemoryTransport):
@@ -1902,8 +1902,8 @@
         self.assertIs(None, request.execute(''))
         response = request.do_body("thefileid\0somerev\n")
         self.assertTrue(response.is_successful())
-        self.assertEquals(response.args, ("ok", ))
-        self.assertEquals("".join(response.body_stream),
+        self.assertEqual(response.args, ("ok", ))
+        self.assertEqual("".join(response.body_stream),
             "ok\x000\n" + zlib.compress("somecontents"))
 
     def test_missing(self):
@@ -1914,8 +1914,8 @@
         self.assertIs(None, request.execute(''))
         response = request.do_body("thefileid\0revision\n")
         self.assertTrue(response.is_successful())
-        self.assertEquals(response.args, ("ok", ))
-        self.assertEquals("".join(response.body_stream),
+        self.assertEqual(response.args, ("ok", ))
+        self.assertEqual("".join(response.body_stream),
             "absent\x00thefileid\x00revision\x000\n")
 
 
@@ -2238,7 +2238,7 @@
     def test_without_write_lock(self):
         backing = self.get_transport()
         repo = self.make_repository('.')
-        self.assertEquals(False, repo.get_physical_lock_status())
+        self.assertEqual(False, repo.get_physical_lock_status())
         request_class = smart_repo.SmartServerRepositoryGetPhysicalLockStatus
         request = request_class(backing)
         self.assertEqual(smart_req.SuccessfulSmartServerResponse(('no',)),
@@ -2611,9 +2611,9 @@
             None)
         self.server._sockname = ('example.com', 42)
         self.server.run_server_started_hooks()
-        self.assertEquals(started_calls,
+        self.assertEqual(started_calls,
             [([self.get_transport().base], 'bzr://example.com:42/')])
-        self.assertEquals(started_ex_calls,
+        self.assertEqual(started_ex_calls,
             [([self.get_transport().base], self.server)])
 
     def test_run_server_started_hooks_ipv6(self):
@@ -2624,7 +2624,7 @@
             lambda backing_urls, url: started_calls.append((backing_urls, url)),
             None)
         self.server.run_server_started_hooks()
-        self.assertEquals(started_calls,
+        self.assertEqual(started_calls,
                 [([self.get_transport().base], 'bzr://:::42/')])
 
     def test_run_server_stopped_hooks(self):
@@ -2635,7 +2635,7 @@
             lambda backing_urls, url: stopped_calls.append((backing_urls, url)),
             None)
         self.server.run_server_stopped_hooks()
-        self.assertEquals(stopped_calls,
+        self.assertEqual(stopped_calls,
             [([self.get_transport().base], 'bzr://example.com:42/')])
 
 
@@ -2674,13 +2674,13 @@
         self.assertIs(None, request.execute('', 'unordered'))
         response = request.do_body("somerev\n")
         self.assertTrue(response.is_successful())
-        self.assertEquals(response.args, ("ok", ))
+        self.assertEqual(response.args, ("ok", ))
         stream = [('inventory-deltas', [
             versionedfile.FulltextContentFactory('somerev', None, None,
                 self._get_serialized_inventory_delta(
                     t.branch.repository, 'null:', 'somerev'))])]
         fmt = controldir.format_registry.get('2a')().repository_format
-        self.assertEquals(
+        self.assertEqual(
             "".join(response.body_stream),
             "".join(smart_repo._stream_to_byte_stream(stream, fmt)))
 
@@ -2695,6 +2695,6 @@
         self.assertIs(None, request.execute('', 'unordered'))
         response = request.do_body("")
         self.assertTrue(response.is_successful())
-        self.assertEquals(response.args, ("ok", ))
-        self.assertEquals("".join(response.body_stream),
+        self.assertEqual(response.args, ("ok", ))
+        self.assertEqual("".join(response.body_stream),
             "Bazaar pack format 1 (introduced in 0.18)\nB54\n\nBazaar repository format 2a (needs bzr 1.16 or later)\nE")

=== modified file 'bzrlib/tests/test_smart_transport.py'
--- bzrlib/tests/test_smart_transport.py	2016-01-22 08:02:12 +0000
+++ bzrlib/tests/test_smart_transport.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2014, 2016 Canonical Ltd
+# Copyright (C) 2006-2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -503,21 +503,21 @@
     def test_ssh_client_repr(self):
         client_medium = medium.SmartSSHClientMedium(
             'base', medium.SSHParams("example.com", "4242", "username"))
-        self.assertEquals(
+        self.assertEqual(
             "SmartSSHClientMedium(bzr+ssh://username@example.com:4242/)",
             repr(client_medium))
 
     def test_ssh_client_repr_no_port(self):
         client_medium = medium.SmartSSHClientMedium(
             'base', medium.SSHParams("example.com", None, "username"))
-        self.assertEquals(
+        self.assertEqual(
             "SmartSSHClientMedium(bzr+ssh://username@example.com/)",
             repr(client_medium))
 
     def test_ssh_client_repr_no_username(self):
         client_medium = medium.SmartSSHClientMedium(
             'base', medium.SSHParams("example.com", None, None))
-        self.assertEquals(
+        self.assertEqual(
             "SmartSSHClientMedium(bzr+ssh://example.com/)",
             repr(client_medium))
 
@@ -773,7 +773,7 @@
 class RemoteTransportTests(test_smart.TestCaseWithSmartMedium):
 
     def test_plausible_url(self):
-        self.assert_(self.get_url().startswith('bzr://'))
+        self.assertTrue(self.get_url().startswith('bzr://'))
 
     def test_probe_transport(self):
         t = self.get_transport()
@@ -1595,13 +1595,13 @@
                       conn2.get_smart_medium())
 
     def test__remote_path(self):
-        self.assertEquals('/foo/bar',
+        self.assertEqual('/foo/bar',
                           self.transport._remote_path('foo/bar'))
 
     def test_clone_changes_base(self):
         """Cloning transport produces one with a new base location"""
         conn2 = self.transport.clone('subdir')
-        self.assertEquals(self.transport.base + 'subdir/',
+        self.assertEqual(self.transport.base + 'subdir/',
                           conn2.base)
 
     def test_open_dir(self):
@@ -1610,7 +1610,7 @@
         transport = self.transport
         self.backing_transport.mkdir('toffee')
         self.backing_transport.mkdir('toffee/apple')
-        self.assertEquals('/toffee', transport._remote_path('toffee'))
+        self.assertEqual('/toffee', transport._remote_path('toffee'))
         toffee_trans = transport.clone('toffee')
         # Check that each transport has only the contents of its directory
         # directly visible. If state was being held in the wrong object, it's
@@ -3199,7 +3199,7 @@
         requester, output = self.make_client_encoder_and_output()
         requester.set_headers({'header name': 'header value'})
         requester.call('one arg')
-        self.assertEquals(
+        self.assertEqual(
             'bzr message 3 (bzr 1.6)\n' # protocol version
             '\x00\x00\x00\x1fd11:header name12:header valuee' # headers
             's\x00\x00\x00\x0bl7:one arge' # args
@@ -3215,7 +3215,7 @@
         requester, output = self.make_client_encoder_and_output()
         requester.set_headers({'header name': 'header value'})
         requester.call_with_body_bytes(('one arg',), 'body bytes')
-        self.assertEquals(
+        self.assertEqual(
             'bzr message 3 (bzr 1.6)\n' # protocol version
             '\x00\x00\x00\x1fd11:header name12:header valuee' # headers
             's\x00\x00\x00\x0bl7:one arge' # args
@@ -3250,7 +3250,7 @@
         requester.set_headers({'header name': 'header value'})
         stream = ['chunk 1', 'chunk two']
         requester.call_with_body_stream(('one arg',), stream)
-        self.assertEquals(
+        self.assertEqual(
             'bzr message 3 (bzr 1.6)\n' # protocol version
             '\x00\x00\x00\x1fd11:header name12:header valuee' # headers
             's\x00\x00\x00\x0bl7:one arge' # args
@@ -3265,7 +3265,7 @@
         requester.set_headers({})
         stream = []
         requester.call_with_body_stream(('one arg',), stream)
-        self.assertEquals(
+        self.assertEqual(
             'bzr message 3 (bzr 1.6)\n' # protocol version
             '\x00\x00\x00\x02de' # headers
             's\x00\x00\x00\x0bl7:one arge' # args
@@ -3287,7 +3287,7 @@
             raise Exception('Boom!')
         self.assertRaises(Exception, requester.call_with_body_stream,
             ('one arg',), stream_that_fails())
-        self.assertEquals(
+        self.assertEqual(
             'bzr message 3 (bzr 1.6)\n' # protocol version
             '\x00\x00\x00\x02de' # headers
             's\x00\x00\x00\x0bl7:one arge' # args
@@ -4285,27 +4285,27 @@
         t = remote.RemoteHTTPTransport('bzr+http://www.example.com/foo')
         r = t._redirected_to('http://www.example.com/foo',
                              'http://www.example.com/bar')
-        self.assertEquals(type(r), type(t))
+        self.assertEqual(type(r), type(t))
 
     def test__redirect_sibling_protocol(self):
         t = remote.RemoteHTTPTransport('bzr+http://www.example.com/foo')
         r = t._redirected_to('http://www.example.com/foo',
                              'https://www.example.com/bar')
-        self.assertEquals(type(r), type(t))
+        self.assertEqual(type(r), type(t))
         self.assertStartsWith(r.base, 'bzr+https')
 
     def test__redirect_to_with_user(self):
         t = remote.RemoteHTTPTransport('bzr+http://joe@www.example.com/foo')
         r = t._redirected_to('http://www.example.com/foo',
                              'http://www.example.com/bar')
-        self.assertEquals(type(r), type(t))
-        self.assertEquals('joe', t._parsed_url.user)
-        self.assertEquals(t._parsed_url.user, r._parsed_url.user)
+        self.assertEqual(type(r), type(t))
+        self.assertEqual('joe', t._parsed_url.user)
+        self.assertEqual(t._parsed_url.user, r._parsed_url.user)
 
     def test_redirected_to_same_host_different_protocol(self):
         t = remote.RemoteHTTPTransport('bzr+http://joe@www.example.com/foo')
         r = t._redirected_to('http://www.example.com/foo',
                              'ftp://www.example.com/foo')
-        self.assertNotEquals(type(r), type(t))
+        self.assertNotEqual(type(r), type(t))
 
 

=== modified file 'bzrlib/tests/test_store.py'
--- bzrlib/tests/test_store.py	2011-08-19 22:34:02 +0000
+++ bzrlib/tests/test_store.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2009, 2011 Canonical Ltd
+# Copyright (C) 2005-2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -168,24 +168,24 @@
         self.assertPathExists('a.gz')
         self.assertFalse(os.path.lexists('a'))
 
-        self.assertEquals(gzip.GzipFile('a.gz').read(), 'hello there')
+        self.assertEqual(gzip.GzipFile('a.gz').read(), 'hello there')
 
-        self.assertEquals(cs.has_id('a'), True)
-        self.assertEquals(s.has_id('a'), True)
-        self.assertEquals(cs.get('a').read(), 'hello there')
-        self.assertEquals(s.get('a').read(), 'hello there')
+        self.assertEqual(cs.has_id('a'), True)
+        self.assertEqual(s.has_id('a'), True)
+        self.assertEqual(cs.get('a').read(), 'hello there')
+        self.assertEqual(s.get('a').read(), 'hello there')
 
         self.assertRaises(BzrError, s.add, StringIO('goodbye'), 'a')
 
         s.add(StringIO('goodbye'), 'b')
         self.assertPathExists('b')
         self.assertFalse(os.path.lexists('b.gz'))
-        self.assertEquals(open('b').read(), 'goodbye')
+        self.assertEqual(open('b').read(), 'goodbye')
 
-        self.assertEquals(cs.has_id('b'), True)
-        self.assertEquals(s.has_id('b'), True)
-        self.assertEquals(cs.get('b').read(), 'goodbye')
-        self.assertEquals(s.get('b').read(), 'goodbye')
+        self.assertEqual(cs.has_id('b'), True)
+        self.assertEqual(s.has_id('b'), True)
+        self.assertEqual(cs.get('b').read(), 'goodbye')
+        self.assertEqual(s.get('b').read(), 'goodbye')
 
         self.assertRaises(BzrError, cs.add, StringIO('again'), 'b')
 
@@ -402,7 +402,7 @@
         my_store = TransportStore(MemoryTransport(), prefixed=True,
             escaped=True)
         # a particularly perverse file-id! :-)
-        self.assertEquals(my_store._relpath('C:<>'), 'be/%2543%253a%253c%253e')
+        self.assertEqual(my_store._relpath('C:<>'), 'be/%2543%253a%253c%253e')
 
 
 class TestVersionFileStore(TestCaseWithTransport):

=== modified file 'bzrlib/tests/test_tag.py'
--- bzrlib/tests/test_tag.py	2012-02-23 19:45:15 +0000
+++ bzrlib/tests/test_tag.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007, 2009, 2010 Canonical Ltd
+# Copyright (C) 2007, 2009-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -57,13 +57,13 @@
         store = self.make_branch_supporting_tags('a').tags
         store.set_tag("foo", "myoldrevid")
         store.rename_revisions({"myoldrevid": "mynewrevid"})
-        self.assertEquals({"foo": "mynewrevid"}, store.get_tag_dict())
+        self.assertEqual({"foo": "mynewrevid"}, store.get_tag_dict())
 
     def test_unknown_ignored(self):
         store = self.make_branch_supporting_tags('a').tags
         store.set_tag("foo", "myoldrevid")
         store.rename_revisions({"anotherrevid": "mynewrevid"})
-        self.assertEquals({"foo": "myoldrevid"}, store.get_tag_dict())
+        self.assertEqual({"foo": "myoldrevid"}, store.get_tag_dict())
 
 
 class TestTagMerging(TestCaseWithTransport):
@@ -133,7 +133,7 @@
         child = self.make_branch('child')
         child.bind(master)
         child.tags.set_tag('foo', 'rev-1')
-        self.assertEquals('rev-1', master.tags.lookup_tag('foo'))
+        self.assertEqual('rev-1', master.tags.lookup_tag('foo'))
         # deleting a tag updates the master too
         child.tags.delete_tag('foo')
         self.assertRaises(errors.NoSuchTag,
@@ -144,7 +144,7 @@
         master = self.make_branch('master')
         master.tags.set_tag('foo', 'rev-1')
         co_tree = master.create_checkout('checkout')
-        self.assertEquals('rev-1',
+        self.assertEqual('rev-1',
             co_tree.branch.tags.lookup_tag('foo'))
 
     def test_update_updates_tags(self):
@@ -155,11 +155,11 @@
         child.bind(master)
         child.update()
         # after an update, the child has all the master's tags
-        self.assertEquals('rev-1', child.tags.lookup_tag('foo'))
+        self.assertEqual('rev-1', child.tags.lookup_tag('foo'))
         # add another tag and update again
         master.tags.set_tag('tag2', 'target2')
         child.update()
-        self.assertEquals('target2', child.tags.lookup_tag('tag2'))
+        self.assertEqual('target2', child.tags.lookup_tag('tag2'))
 
     def test_tag_deletion_from_master_to_bound(self):
         master = self.make_branch('master')

=== modified file 'bzrlib/tests/test_test_server.py'
--- bzrlib/tests/test_test_server.py	2011-11-24 15:48:29 +0000
+++ bzrlib/tests/test_test_server.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2010, 2011 Canonical Ltd
+# Copyright (C) 2010, 2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -133,7 +133,7 @@
 
     def assertClientAddr(self, client, server, conn_rank):
         conn = self.get_server_connection(server, conn_rank)
-        self.assertEquals(client.sock.getsockname(), conn[1])
+        self.assertEqual(client.sock.getsockname(), conn[1])
 
     def test_start_stop(self):
         server = self.get_server()
@@ -152,7 +152,7 @@
         self.assertIs(None, client.write('ping\n'))
         resp = client.read()
         self.assertClientAddr(client, server, 0)
-        self.assertEquals('pong\n', resp)
+        self.assertEqual('pong\n', resp)
 
     def test_server_fails_to_start(self):
         class CantStart(Exception):
@@ -266,7 +266,7 @@
 
         server = self.get_server(
             connection_handler_class=FailingWhileServingConnectionHandler)
-        self.assertEquals(True, server.server.serving)
+        self.assertEqual(True, server.server.serving)
         # Install the exception swallower
         server.set_ignored_exceptions(CantServe)
         client = self.get_client()

=== modified file 'bzrlib/tests/test_timestamp.py'
--- bzrlib/tests/test_timestamp.py	2011-11-20 01:49:32 +0000
+++ bzrlib/tests/test_timestamp.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007, 2009, 2011 Canonical Ltd
+# Copyright (C) 2007, 2009, 2010, 2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -102,16 +102,16 @@
 class UnpackHighresDateTests(tests.TestCase):
 
     def test_unpack_highres_date(self):
-        self.assertEquals(
+        self.assertEqual(
             (1120153132.3508501, -18000),
             timestamp.unpack_highres_date('Thu 2005-06-30 12:38:52.350850105 -0500'))
-        self.assertEquals(
+        self.assertEqual(
             (1120153132.3508501, 0),
             timestamp.unpack_highres_date('Thu 2005-06-30 17:38:52.350850105 +0000'))
-        self.assertEquals(
+        self.assertEqual(
             (1120153132.3508501, 7200),
             timestamp.unpack_highres_date('Thu 2005-06-30 19:38:52.350850105 +0200'))
-        self.assertEquals(
+        self.assertEqual(
             (1152428738.867522, 19800),
             timestamp.unpack_highres_date('Sun 2006-07-09 12:35:38.867522001 +0530'))
 
@@ -119,8 +119,8 @@
         t = time.time()
         o = local_time_offset()
         t2, o2 = timestamp.unpack_highres_date(timestamp.format_highres_date(t, o))
-        self.assertEquals(t, t2)
-        self.assertEquals(o, o2)
+        self.assertEqual(t, t2)
+        self.assertEqual(o, o2)
         t -= 24*3600*365*2 # Start 2 years ago
         o = -12*3600
         for count in xrange(500):
@@ -128,7 +128,7 @@
             o = ((o/3600 + 13) % 25 - 12)*3600 # Add 1 wrap around from [-12, 12]
             date = timestamp.format_highres_date(t, o)
             t2, o2 = timestamp.unpack_highres_date(date)
-            self.assertEquals(t, t2,
+            self.assertEqual(t, t2,
                 'Failed on date %r, %s,%s diff:%s' % (date, t, o, t2-t))
-            self.assertEquals(o, o2,
+            self.assertEqual(o, o2,
                 'Failed on date %r, %s,%s diff:%s' % (date, t, o, t2-t))

=== modified file 'bzrlib/tests/test_trace.py'
--- bzrlib/tests/test_trace.py	2011-12-05 14:21:55 +0000
+++ bzrlib/tests/test_trace.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2011 Canonical Ltd
+# Copyright (C) 2005-2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -82,7 +82,7 @@
         except MemoryError:
             pass
         msg = _format_exception()
-        self.assertEquals(msg,
+        self.assertEqual(msg,
             "bzr: out of memory\nUse -Dmem_dump to dump memory to a file.\n")
 
     def test_format_mem_dump(self):
@@ -204,9 +204,9 @@
     def test_report_broken_pipe(self):
         try:
             raise IOError(errno.EPIPE, 'broken pipe foofofo')
-        except IOError, e:
+        except IOError as e:
             msg = _format_exception()
-            self.assertEquals(msg, "bzr: broken pipe\n")
+            self.assertEqual(msg, "bzr: broken pipe\n")
         else:
             self.fail("expected error not raised")
 

=== modified file 'bzrlib/tests/test_transform.py'
--- bzrlib/tests/test_transform.py	2012-03-30 02:23:41 +0000
+++ bzrlib/tests/test_transform.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2011 Canonical Ltd
+# Copyright (C) 2006-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -456,7 +456,7 @@
         newtip = transform2.new_file('tip', oz_id, 'other', 'tip-id')
         result = transform2.find_conflicts()
         fp = FinalPaths(transform2)
-        self.assert_('oz/tip' in transform2._tree_path_ids)
+        self.assertTrue('oz/tip' in transform2._tree_path_ids)
         self.assertEqual(fp.get_path(newtip), pathjoin('oz', 'tip'))
         self.assertEqual(len(result), 2)
         self.assertEqual((result[0][0], result[0][1]),
@@ -801,7 +801,7 @@
         os.symlink = None
         try:
             err = self.assertRaises(errors.UnableCreateSymlink, tt_helper)
-            self.assertEquals(
+            self.assertEqual(
                 "Unable to create symlink 'foo' on this platform",
                 str(err))
         finally:
@@ -3642,13 +3642,13 @@
             warnings.append(args[0] % args[1:])
         self.overrideAttr(trace, 'warning', warning)
         remaining_conflicts = resolve_conflicts(tt)
-        self.assertEquals(['dir/foo has been orphaned in bzr-orphans'],
+        self.assertEqual(['dir/foo has been orphaned in bzr-orphans'],
                           warnings)
         # Yeah for resolved conflicts !
         self.assertLength(0, remaining_conflicts)
         # We have a new orphan
-        self.assertEquals('foo.~1~', tt.final_name(orphan_tid))
-        self.assertEquals('bzr-orphans',
+        self.assertEqual('foo.~1~', tt.final_name(orphan_tid))
+        self.assertEqual('bzr-orphans',
                           tt.final_name(tt.final_parent(orphan_tid)))
 
     def test_never_orphan(self):
@@ -3714,7 +3714,7 @@
         old_root_id = transform.tree_file_id(root)
         transform.apply()
         self.assertEqual(old_root_id, self.wt.get_root_id())
-        self.assertEquals([(self.wt, transform)], calls)
+        self.assertEqual([(self.wt, transform)], calls)
 
     def test_post_commit_hooks(self):
         calls = []
@@ -3726,4 +3726,4 @@
         old_root_id = transform.tree_file_id(root)
         transform.apply()
         self.assertEqual(old_root_id, self.wt.get_root_id())
-        self.assertEquals([(self.wt, transform)], calls)
+        self.assertEqual([(self.wt, transform)], calls)

=== modified file 'bzrlib/tests/test_transport.py'
--- bzrlib/tests/test_transport.py	2015-09-08 07:59:37 +0000
+++ bzrlib/tests/test_transport.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2011, 2015 Canonical Ltd
+# Copyright (C) 2005-2011, 2015, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -95,7 +95,7 @@
             transport.get_transport_from_url('foo://fooserver/foo')
         except errors.UnsupportedProtocol, e:
             e_str = str(e)
-            self.assertEquals('Unsupported protocol'
+            self.assertEqual('Unsupported protocol'
                                 ' for url "foo://fooserver/foo":'
                                 ' Unable to import library "some_lib":'
                                 ' testing missing dependency', str(e))
@@ -121,7 +121,7 @@
             transport.get_transport_from_url('ssh://fooserver/foo')
         except errors.UnsupportedProtocol, e:
             e_str = str(e)
-            self.assertEquals('Unsupported protocol'
+            self.assertEqual('Unsupported protocol'
                               ' for url "ssh://fooserver/foo":'
                               ' bzr supports bzr+ssh to operate over ssh,'
                               ' use "bzr+ssh://fooserver/foo".',
@@ -298,12 +298,12 @@
 
     def test_has_missing(self):
         t = memory.MemoryTransport()
-        self.assertEquals(False, t.has('foo'))
+        self.assertEqual(False, t.has('foo'))
 
     def test_has_present(self):
         t = memory.MemoryTransport()
         t.append_bytes('foo', 'content')
-        self.assertEquals(True, t.has('foo'))
+        self.assertEqual(True, t.has('foo'))
 
     def test_list_dir(self):
         t = memory.MemoryTransport()
@@ -312,8 +312,8 @@
         t.put_bytes('dir/subfoo', 'content')
         t.put_bytes('dirlike', 'content')
 
-        self.assertEquals(['dir', 'dirlike', 'foo'], sorted(t.list_dir('.')))
-        self.assertEquals(['subfoo'], sorted(t.list_dir('dir')))
+        self.assertEqual(['dir', 'dirlike', 'foo'], sorted(t.list_dir('.')))
+        self.assertEqual(['subfoo'], sorted(t.list_dir('dir')))
 
     def test_mkdir(self):
         t = memory.MemoryTransport()
@@ -703,13 +703,13 @@
     def test_with_path(self):
         t = transport.get_transport_from_path(self.test_dir)
         self.assertIsInstance(t, local.LocalTransport)
-        self.assertEquals(t.base.rstrip("/"),
+        self.assertEqual(t.base.rstrip("/"),
             urlutils.local_path_to_url(self.test_dir))
 
     def test_with_url(self):
         t = transport.get_transport_from_path("file:")
         self.assertIsInstance(t, local.LocalTransport)
-        self.assertEquals(t.base.rstrip("/"),
+        self.assertEqual(t.base.rstrip("/"),
             urlutils.local_path_to_url(os.path.join(self.test_dir, "file:")))
 
 
@@ -723,13 +723,13 @@
         url = urlutils.local_path_to_url(self.test_dir)
         t = transport.get_transport_from_url(url)
         self.assertIsInstance(t, local.LocalTransport)
-        self.assertEquals(t.base.rstrip("/"), url)
+        self.assertEqual(t.base.rstrip("/"), url)
 
     def test_with_url_and_segment_parameters(self):
         url = urlutils.local_path_to_url(self.test_dir)+",branch=foo"
         t = transport.get_transport_from_url(url)
         self.assertIsInstance(t, local.LocalTransport)
-        self.assertEquals(t.base.rstrip("/"), url)
+        self.assertEqual(t.base.rstrip("/"), url)
         with open(os.path.join(self.test_dir, "afile"), 'w') as f:
             f.write("data")
         self.assertTrue(t.has("afile"))
@@ -741,25 +741,25 @@
         here = osutils.abspath('.')
         t = transport.get_transport(here)
         self.assertIsInstance(t, local.LocalTransport)
-        self.assertEquals(t.base, urlutils.local_path_to_url(here) + '/')
+        self.assertEqual(t.base, urlutils.local_path_to_url(here) + '/')
 
     def test_get_transport_from_relpath(self):
         here = osutils.abspath('.')
         t = transport.get_transport('.')
         self.assertIsInstance(t, local.LocalTransport)
-        self.assertEquals(t.base, urlutils.local_path_to_url('.') + '/')
+        self.assertEqual(t.base, urlutils.local_path_to_url('.') + '/')
 
     def test_get_transport_from_local_url(self):
         here = osutils.abspath('.')
         here_url = urlutils.local_path_to_url(here) + '/'
         t = transport.get_transport(here_url)
         self.assertIsInstance(t, local.LocalTransport)
-        self.assertEquals(t.base, here_url)
+        self.assertEqual(t.base, here_url)
 
     def test_local_abspath(self):
         here = osutils.abspath('.')
         t = transport.get_transport(here)
-        self.assertEquals(t.local_abspath(''), here)
+        self.assertEqual(t.local_abspath(''), here)
 
 
 class TestLocalTransportMutation(tests.TestCaseInTempDir):
@@ -804,8 +804,8 @@
         w.fdatasync()
         with open('out', 'rb') as f:
             # Should have been flushed.
-            self.assertEquals(f.read(), 'foo')
-        self.assertEquals(len(calls), 1, calls)
+            self.assertEqual(f.read(), 'foo')
+        self.assertEqual(len(calls), 1, calls)
 
     def test_missing_directory(self):
         t = self.get_transport('.')
@@ -822,10 +822,10 @@
         t = local.EmulatedWin32LocalTransport('file://HOST/path/to/some/dir/')
         for i in xrange(4):
             t = t.clone('..')
-        self.assertEquals(t.base, 'file://HOST/')
+        self.assertEqual(t.base, 'file://HOST/')
         # make sure we reach the root
         t = t.clone('..')
-        self.assertEquals(t.base, 'file://HOST/')
+        self.assertEqual(t.base, 'file://HOST/')
 
 
 class TestConnectedTransport(tests.TestCase):
@@ -834,30 +834,30 @@
     def test_parse_url(self):
         t = transport.ConnectedTransport(
             'http://simple.example.com/home/source')
-        self.assertEquals(t._parsed_url.host, 'simple.example.com')
-        self.assertEquals(t._parsed_url.port, None)
-        self.assertEquals(t._parsed_url.path, '/home/source/')
+        self.assertEqual(t._parsed_url.host, 'simple.example.com')
+        self.assertEqual(t._parsed_url.port, None)
+        self.assertEqual(t._parsed_url.path, '/home/source/')
         self.assertTrue(t._parsed_url.user is None)
         self.assertTrue(t._parsed_url.password is None)
 
-        self.assertEquals(t.base, 'http://simple.example.com/home/source/')
+        self.assertEqual(t.base, 'http://simple.example.com/home/source/')
 
     def test_parse_url_with_at_in_user(self):
         # Bug 228058
         t = transport.ConnectedTransport('ftp://user@host.com@www.host.com/')
-        self.assertEquals(t._parsed_url.user, 'user@host.com')
+        self.assertEqual(t._parsed_url.user, 'user@host.com')
 
     def test_parse_quoted_url(self):
         t = transport.ConnectedTransport(
             'http://ro%62ey:h%40t@ex%41mple.com:2222/path')
-        self.assertEquals(t._parsed_url.host, 'exAmple.com')
-        self.assertEquals(t._parsed_url.port, 2222)
-        self.assertEquals(t._parsed_url.user, 'robey')
-        self.assertEquals(t._parsed_url.password, 'h@t')
-        self.assertEquals(t._parsed_url.path, '/path/')
+        self.assertEqual(t._parsed_url.host, 'exAmple.com')
+        self.assertEqual(t._parsed_url.port, 2222)
+        self.assertEqual(t._parsed_url.user, 'robey')
+        self.assertEqual(t._parsed_url.password, 'h@t')
+        self.assertEqual(t._parsed_url.path, '/path/')
 
         # Base should not keep track of the password
-        self.assertEquals(t.base, 'http://ro%62ey@ex%41mple.com:2222/path/')
+        self.assertEqual(t.base, 'http://ro%62ey@ex%41mple.com:2222/path/')
 
     def test_parse_invalid_url(self):
         self.assertRaises(errors.InvalidURL,
@@ -867,7 +867,7 @@
     def test_relpath(self):
         t = transport.ConnectedTransport('sftp://user@host.com/abs/path')
 
-        self.assertEquals(t.relpath('sftp://user@host.com/abs/path/sub'),
+        self.assertEqual(t.relpath('sftp://user@host.com/abs/path/sub'),
             'sub')
         self.assertRaises(errors.PathNotChild, t.relpath,
                           'http://user@host.com/abs/path/sub')
@@ -879,16 +879,16 @@
                           'sftp://user@host.com:33/abs/path/sub')
         # Make sure it works when we don't supply a username
         t = transport.ConnectedTransport('sftp://host.com/abs/path')
-        self.assertEquals(t.relpath('sftp://host.com/abs/path/sub'), 'sub')
+        self.assertEqual(t.relpath('sftp://host.com/abs/path/sub'), 'sub')
 
         # Make sure it works when parts of the path will be url encoded
         t = transport.ConnectedTransport('sftp://host.com/dev/%path')
-        self.assertEquals(t.relpath('sftp://host.com/dev/%path/sub'), 'sub')
+        self.assertEqual(t.relpath('sftp://host.com/dev/%path/sub'), 'sub')
 
     def test_connection_sharing_propagate_credentials(self):
         t = transport.ConnectedTransport('ftp://user@host.com/abs/path')
-        self.assertEquals('user', t._parsed_url.user)
-        self.assertEquals('host.com', t._parsed_url.host)
+        self.assertEqual('user', t._parsed_url.user)
+        self.assertEqual('host.com', t._parsed_url.host)
         self.assertIs(None, t._get_connection())
         self.assertIs(None, t._parsed_url.password)
         c = t.clone('subdir')
@@ -1096,7 +1096,7 @@
     def test_truncation(self):
         fake_html = "<p>something!\n" * 1000
         result = http.unhtml_roughly(fake_html)
-        self.assertEquals(len(result), 1000)
+        self.assertEqual(len(result), 1000)
         self.assertStartsWith(result, " something!")
 
 
@@ -1119,12 +1119,12 @@
         return path, url
 
     def test_regular_url(self):
-        self.assertEquals("file://foo", location_to_url("file://foo"))
+        self.assertEqual("file://foo", location_to_url("file://foo"))
 
     def test_directory(self):
         directories.register("bar:", SomeDirectory, "Dummy directory")
         self.addCleanup(directories.remove, "bar:")
-        self.assertEquals("http://bar", location_to_url("bar:"))
+        self.assertEqual("http://bar", location_to_url("bar:"))
 
     def test_unicode_url(self):
         self.assertRaises(errors.InvalidURL, location_to_url,
@@ -1134,15 +1134,15 @@
         path, url = self.get_base_location()
         location = path + "\xc3\xaf".decode("utf-8")
         url += '%C3%AF'
-        self.assertEquals(url, location_to_url(location))
+        self.assertEqual(url, location_to_url(location))
 
     def test_path(self):
         path, url = self.get_base_location()
-        self.assertEquals(url, location_to_url(path))
+        self.assertEqual(url, location_to_url(path))
 
     def test_relative_file_url(self):
-        self.assertEquals(urlutils.local_path_to_url(".") + "/bar",
+        self.assertEqual(urlutils.local_path_to_url(".") + "/bar",
             location_to_url("file:bar"))
 
     def test_absolute_file_url(self):
-        self.assertEquals("file:///bar", location_to_url("file:/bar"))
+        self.assertEqual("file:///bar", location_to_url("file:/bar"))

=== modified file 'bzrlib/tests/test_transport_log.py'
--- bzrlib/tests/test_transport_log.py	2011-01-12 01:01:53 +0000
+++ bzrlib/tests/test_transport_log.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008-2011 Canonical Ltd
+# Copyright (C) 2008-2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -61,7 +61,7 @@
 
         result = logging_transport.readv('foo', [(0, 10)])
         self.assertTrue(getattr(result, 'next'))
-        self.assertEquals(list(result),
+        self.assertEqual(list(result),
             [(0, 'abcdefghij')])
 
 

=== modified file 'bzrlib/tests/test_tsort.py'
--- bzrlib/tests/test_tsort.py	2009-08-17 15:38:52 +0000
+++ bzrlib/tests/test_tsort.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 Canonical Ltd
+# Copyright (C) 2005-2009, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -29,7 +29,7 @@
 
     def assertSortAndIterate(self, graph, result_list):
         """Check that sorting and iter_topo_order on graph works."""
-        self.assertEquals(result_list, topo_sort(graph))
+        self.assertEqual(result_list, topo_sort(graph))
         self.assertEqual(result_list,
                          list(TopoSorter(graph).iter_topo_order()))
 

=== modified file 'bzrlib/tests/test_ui.py'
--- bzrlib/tests/test_ui.py	2012-12-04 14:21:42 +0000
+++ bzrlib/tests/test_ui.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2011 Canonical Ltd
+# Copyright (C) 2005-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -61,7 +61,7 @@
             stdout=tests.StringIOWrapper(),
             stderr=tests.StringIOWrapper())
         output = ui.make_output_stream()
-        self.assertEquals(output.encoding, enc)
+        self.assertEqual(output.encoding, enc)
 
 
 class TestTextUIFactory(tests.TestCase):
@@ -75,7 +75,7 @@
     def test_text_factory_confirm(self):
         # turns into reading a regular boolean
         ui = self.make_test_ui_factory('n\n')
-        self.assertEquals(ui.confirm_action(u'Should %(thing)s pass?',
+        self.assertEqual(ui.confirm_action(u'Should %(thing)s pass?',
             'bzrlib.tests.test_ui.confirmation',
             {'thing': 'this'},),
             False)
@@ -268,8 +268,8 @@
         ui.stdout.encoding = 'utf8'
         self.assertEqual('someuser',
                          ui.get_username(u'Hello %(host)s', host='some'))
-        self.assertEquals('Hello some: ', ui.stderr.getvalue())
-        self.assertEquals('', ui.stdout.getvalue())
+        self.assertEqual('Hello some: ', ui.stderr.getvalue())
+        self.assertEqual('', ui.stdout.getvalue())
         self.assertEqual('', ui.get_username(u"Gebruiker"))
         # stdin should be empty
         self.assertEqual('', ui.stdin.readline())
@@ -281,10 +281,10 @@
         ui.stderr = tests.StringIOWrapper()
         ui.stderr.encoding = ui.stdout.encoding = ui.stdin.encoding = "utf8"
         username = ui.get_username(u'Hello %(host)s', host=u'some\u1234')
-        self.assertEquals(u"someuser\u1234", username)
-        self.assertEquals(u"Hello some\u1234: ",
+        self.assertEqual(u"someuser\u1234", username)
+        self.assertEqual(u"Hello some\u1234: ",
                           ui.stderr.getvalue().decode("utf8"))
-        self.assertEquals('', ui.stdout.getvalue())
+        self.assertEqual('', ui.stdout.getvalue())
 
     def test_quietness(self):
         self.overrideEnv('BZR_PROGRESS_BAR', 'text')
@@ -307,8 +307,8 @@
         remote_fmt._network_name = RepositoryFormatKnitPack5().network_name()
         ui.show_user_warning('cross_format_fetch', from_format=RepositoryFormat2a(),
             to_format=remote_fmt)
-        self.assertEquals('', out.getvalue())
-        self.assertEquals("Doing on-the-fly conversion from RepositoryFormat2a() to "
+        self.assertEqual('', out.getvalue())
+        self.assertEqual("Doing on-the-fly conversion from RepositoryFormat2a() to "
             "RemoteRepositoryFormat(_network_name='Bazaar RepositoryFormatKnitPack5 "
             "(bzr 1.6)\\n').\nThis may take some time. Upgrade the repositories to "
             "the same format for better performance.\n",
@@ -320,8 +320,8 @@
         ui.suppressed_warnings.add('cross_format_fetch')
         ui.show_user_warning('cross_format_fetch', from_format=RepositoryFormat2a(),
             to_format=remote_fmt)
-        self.assertEquals('', out.getvalue())
-        self.assertEquals('', err.getvalue())
+        self.assertEqual('', out.getvalue())
+        self.assertEqual('', err.getvalue())
 
 
 class TestTextUIOutputStream(tests.TestCase):
@@ -449,11 +449,11 @@
 
     def assertIsTrue(self, s, accepted_values=None):
         res = _mod_ui.bool_from_string(s, accepted_values=accepted_values)
-        self.assertEquals(True, res)
+        self.assertEqual(True, res)
 
     def assertIsFalse(self, s, accepted_values=None):
         res = _mod_ui.bool_from_string(s, accepted_values=accepted_values)
-        self.assertEquals(False, res)
+        self.assertEqual(False, res)
 
     def assertIsNone(self, s, accepted_values=None):
         res = _mod_ui.bool_from_string(s, accepted_values=accepted_values)
@@ -506,7 +506,7 @@
     def test_confirm_action_default(self):
         base_ui = _mod_ui.NoninteractiveUIFactory()
         for answer in [True, False]:
-            self.assertEquals(
+            self.assertEqual(
                 _mod_ui.ConfirmationUserInterfacePolicy(base_ui, answer, {})
                 .confirm_action("Do something?",
                     "bzrlib.tests.do_something", {}),
@@ -521,9 +521,9 @@
                         base_ui, default_answer, dict(given_id=specific_answer))
                     result = wrapper.confirm_action("Do something?", conf_id, {})
                     if conf_id == 'given_id':
-                        self.assertEquals(result, specific_answer)
+                        self.assertEqual(result, specific_answer)
                     else:
-                        self.assertEquals(result, default_answer)
+                        self.assertEqual(result, default_answer)
 
     def test_repr(self):
         base_ui = _mod_ui.NoninteractiveUIFactory()

=== modified file 'bzrlib/tests/test_uncommit.py'
--- bzrlib/tests/test_uncommit.py	2011-12-16 19:41:30 +0000
+++ bzrlib/tests/test_uncommit.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008 Canonical Ltd
+# Copyright (C) 2008, 2009, 2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -117,7 +117,7 @@
         tree.merge_from_branch(copy.branch)
         tree.branch.tags.set_tag('pointsatmerged', 'merged')
         history.append(tree.commit('merge'))
-        self.assertEquals('merged', tree.branch.tags.lookup_tag('pointsatmerged'))
+        self.assertEqual('merged', tree.branch.tags.lookup_tag('pointsatmerged'))
         self.assertEqual(history[2], tree.last_revision())
         self.assertEqual((3, history[2]), tree.branch.last_revision_info())
         tree.branch.tags.set_tag(u"pointsatexisting", history[1])
@@ -125,7 +125,7 @@
         uncommit.uncommit(tree.branch, tree=tree)
         self.assertEqual(history[1], tree.last_revision())
         self.assertEqual((2, history[1]), tree.branch.last_revision_info())
-        self.assertEquals([history[1], 'merged'], tree.get_parent_ids())
+        self.assertEqual([history[1], 'merged'], tree.get_parent_ids())
         self.assertEqual({
             "pointsatexisting": history[1],
             "pointsatmerged": 'merged',

=== modified file 'bzrlib/tests/test_url_policy_open.py'
--- bzrlib/tests/test_url_policy_open.py	2012-02-23 23:26:35 +0000
+++ bzrlib/tests/test_url_policy_open.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2011 Canonical Ltd
+# Copyright (C) 2011, 2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -89,9 +89,9 @@
         # When branch references are forbidden, check_and_follow_branch_reference
         # does not raise on non-references.
         opener = self.make_branch_opener(False, ['a', None])
-        self.assertEquals(
+        self.assertEqual(
             'a', opener.check_and_follow_branch_reference('a'))
-        self.assertEquals(['a'], opener.follow_reference_calls)
+        self.assertEqual(['a'], opener.follow_reference_calls)
 
     def test_branch_reference_forbidden(self):
         # check_and_follow_branch_reference raises BranchReferenceForbidden if
@@ -101,16 +101,16 @@
         self.assertRaises(
             BranchReferenceForbidden,
             opener.check_and_follow_branch_reference, 'a')
-        self.assertEquals(['a'], opener.follow_reference_calls)
+        self.assertEqual(['a'], opener.follow_reference_calls)
 
     def test_allowed_reference(self):
         # check_and_follow_branch_reference does not raise if following references
         # is allowed and the source URL points to a branch reference to a
         # permitted location.
         opener = self.make_branch_opener(True, ['a', 'b', None])
-        self.assertEquals(
+        self.assertEqual(
             'b', opener.check_and_follow_branch_reference('a'))
-        self.assertEquals(['a', 'b'], opener.follow_reference_calls)
+        self.assertEqual(['a', 'b'], opener.follow_reference_calls)
 
     def test_check_referenced_urls(self):
         # check_and_follow_branch_reference checks if the URL a reference points
@@ -119,7 +119,7 @@
             True, ['a', 'b', None], unsafe_urls=set('b'))
         self.assertRaises(
             BadUrl, opener.check_and_follow_branch_reference, 'a')
-        self.assertEquals(['a'], opener.follow_reference_calls)
+        self.assertEqual(['a'], opener.follow_reference_calls)
 
     def test_self_referencing_branch(self):
         # check_and_follow_branch_reference raises BranchReferenceLoopError if
@@ -128,7 +128,7 @@
         opener = self.make_branch_opener(True, ['a', 'a'])
         self.assertRaises(
             BranchLoopError, opener.check_and_follow_branch_reference, 'a')
-        self.assertEquals(['a'], opener.follow_reference_calls)
+        self.assertEqual(['a'], opener.follow_reference_calls)
 
     def test_branch_reference_loop(self):
         # check_and_follow_branch_reference raises BranchReferenceLoopError if
@@ -138,7 +138,7 @@
         opener = self.make_branch_opener(True, references)
         self.assertRaises(
             BranchLoopError, opener.check_and_follow_branch_reference, 'a')
-        self.assertEquals(['a', 'b'], opener.follow_reference_calls)
+        self.assertEqual(['a', 'b'], opener.follow_reference_calls)
 
 
 class TrackingProber(BzrProber):
@@ -168,7 +168,7 @@
         opener = self.make_branch_opener([b.base], probers=[])
         self.assertRaises(NotBranchError, opener.open, b.base)
         opener = self.make_branch_opener([b.base], probers=[BzrProber])
-        self.assertEquals(b.base, opener.open(b.base).base)
+        self.assertEqual(b.base, opener.open(b.base).base)
 
     def test_default_probers(self):
         # If no probers are specified to the constructor
@@ -182,12 +182,12 @@
         TrackingProber.seen_urls = []
         opener = self.make_branch_opener(["."], probers=[TrackingProber])
         self.assertRaises(NotBranchError, opener.open, ".")
-        self.assertEquals(1, len(TrackingProber.seen_urls))
+        self.assertEqual(1, len(TrackingProber.seen_urls))
         TrackingProber.seen_urls = []
         # And make sure it's registered in such a way that ControlDir.open would
         # use it.
         self.assertRaises(NotBranchError, ControlDir.open, ".")
-        self.assertEquals(1, len(TrackingProber.seen_urls))
+        self.assertEqual(1, len(TrackingProber.seen_urls))
 
     def test_allowed_url(self):
         # the opener does not raise an exception for branches stacked on
@@ -287,7 +287,7 @@
         opener = self.make_branch_opener(
             [a.base, b.base], probers=[TrackingProber])
         opener.open(b.base)
-        self.assertEquals(
+        self.assertEqual(
             set(TrackingProber.seen_urls), set([b.base, a.base]))
 
     def test_custom_opener_with_branch_reference(self):
@@ -299,7 +299,7 @@
         opener = self.make_branch_opener(
             [a.base, b.base], probers=[TrackingProber])
         opener.open(b.base)
-        self.assertEquals(
+        self.assertEqual(
             set(TrackingProber.seen_urls), set([b.base, a.base]))
 
 

=== modified file 'bzrlib/tests/test_urlutils.py'
--- bzrlib/tests/test_urlutils.py	2015-09-06 16:23:59 +0000
+++ bzrlib/tests/test_urlutils.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2012, 2015 Canonical Ltd
+# Copyright (C) 2006-2012, 2015, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -296,16 +296,16 @@
 
     def test_join_segment_parameters_raw(self):
         join_segment_parameters_raw = urlutils.join_segment_parameters_raw
-        self.assertEquals("/somedir/path", 
+        self.assertEqual("/somedir/path", 
             join_segment_parameters_raw("/somedir/path"))
-        self.assertEquals("/somedir/path,rawdata", 
+        self.assertEqual("/somedir/path,rawdata", 
             join_segment_parameters_raw("/somedir/path", "rawdata"))
         self.assertRaises(InvalidURLJoin,
             join_segment_parameters_raw, "/somedir/path",
                 "rawdata1,rawdata2,rawdata3")
-        self.assertEquals("/somedir/path,bla,bar",
+        self.assertEqual("/somedir/path,bla,bar",
             join_segment_parameters_raw("/somedir/path", "bla", "bar"))
-        self.assertEquals("/somedir,exist=some/path,bla,bar",
+        self.assertEqual("/somedir,exist=some/path,bla,bar",
             join_segment_parameters_raw("/somedir,exist=some/path",
                 "bla", "bar"))
         self.assertRaises(TypeError, join_segment_parameters_raw, 
@@ -313,28 +313,28 @@
 
     def test_join_segment_parameters(self):
         join_segment_parameters = urlutils.join_segment_parameters
-        self.assertEquals("/somedir/path", 
+        self.assertEqual("/somedir/path", 
             join_segment_parameters("/somedir/path", {}))
-        self.assertEquals("/somedir/path,key1=val1", 
+        self.assertEqual("/somedir/path,key1=val1", 
             join_segment_parameters("/somedir/path", {"key1": "val1"}))
         self.assertRaises(InvalidURLJoin,
             join_segment_parameters, "/somedir/path",
             {"branch": "brr,brr,brr"})
         self.assertRaises(InvalidURLJoin,
             join_segment_parameters, "/somedir/path", {"key1=val1": "val2"})
-        self.assertEquals("/somedir/path,key1=val1,key2=val2",
+        self.assertEqual("/somedir/path,key1=val1,key2=val2",
             join_segment_parameters("/somedir/path", {
                 "key1": "val1", "key2": "val2"}))
-        self.assertEquals("/somedir/path,key1=val1,key2=val2",
+        self.assertEqual("/somedir/path,key1=val1,key2=val2",
             join_segment_parameters("/somedir/path,key1=val1", {
                 "key2": "val2"}))
-        self.assertEquals("/somedir/path,key1=val2",
+        self.assertEqual("/somedir/path,key1=val2",
             join_segment_parameters("/somedir/path,key1=val1", {
                 "key1": "val2"}))
-        self.assertEquals("/somedir,exist=some/path,key1=val1",
+        self.assertEqual("/somedir,exist=some/path,key1=val1",
             join_segment_parameters("/somedir,exist=some/path",
                 {"key1": "val1"}))
-        self.assertEquals("/,key1=val1,key2=val2",
+        self.assertEqual("/,key1=val1,key2=val2",
             join_segment_parameters("/,key1=val1", {"key2": "val2"}))
         self.assertRaises(TypeError,
             join_segment_parameters, "/,key1=val1", {"foo": 42})
@@ -508,54 +508,54 @@
     def test_split_segment_parameters_raw(self):
         split_segment_parameters_raw = urlutils.split_segment_parameters_raw
         # Check relative references with absolute paths
-        self.assertEquals(("/some/path", []),
+        self.assertEqual(("/some/path", []),
             split_segment_parameters_raw("/some/path"))
-        self.assertEquals(("/some/path", ["tip"]),
+        self.assertEqual(("/some/path", ["tip"]),
             split_segment_parameters_raw("/some/path,tip"))
-        self.assertEquals(("/some,dir/path", ["tip"]),
+        self.assertEqual(("/some,dir/path", ["tip"]),
             split_segment_parameters_raw("/some,dir/path,tip"))
-        self.assertEquals(("/somedir/path", ["heads%2Ftip"]),
+        self.assertEqual(("/somedir/path", ["heads%2Ftip"]),
             split_segment_parameters_raw("/somedir/path,heads%2Ftip"))
-        self.assertEquals(("/somedir/path", ["heads%2Ftip", "bar"]),
+        self.assertEqual(("/somedir/path", ["heads%2Ftip", "bar"]),
             split_segment_parameters_raw("/somedir/path,heads%2Ftip,bar"))
         # Check relative references with relative paths
-        self.assertEquals(("", ["key1=val1"]),
+        self.assertEqual(("", ["key1=val1"]),
             split_segment_parameters_raw(",key1=val1"))
-        self.assertEquals(("foo/", ["key1=val1"]),
+        self.assertEqual(("foo/", ["key1=val1"]),
             split_segment_parameters_raw("foo/,key1=val1"))
-        self.assertEquals(("foo", ["key1=val1"]),
+        self.assertEqual(("foo", ["key1=val1"]),
             split_segment_parameters_raw("foo,key1=val1"))
-        self.assertEquals(("foo/base,la=bla/other/elements", []),
+        self.assertEqual(("foo/base,la=bla/other/elements", []),
             split_segment_parameters_raw("foo/base,la=bla/other/elements"))
-        self.assertEquals(("foo/base,la=bla/other/elements", ["a=b"]),
+        self.assertEqual(("foo/base,la=bla/other/elements", ["a=b"]),
             split_segment_parameters_raw("foo/base,la=bla/other/elements,a=b"))
         # TODO: Check full URLs as well as relative references
 
     def test_split_segment_parameters(self):
         split_segment_parameters = urlutils.split_segment_parameters
         # Check relative references with absolute paths
-        self.assertEquals(("/some/path", {}),
+        self.assertEqual(("/some/path", {}),
             split_segment_parameters("/some/path"))
-        self.assertEquals(("/some/path", {"branch": "tip"}),
+        self.assertEqual(("/some/path", {"branch": "tip"}),
             split_segment_parameters("/some/path,branch=tip"))
-        self.assertEquals(("/some,dir/path", {"branch": "tip"}),
+        self.assertEqual(("/some,dir/path", {"branch": "tip"}),
             split_segment_parameters("/some,dir/path,branch=tip"))
-        self.assertEquals(("/somedir/path", {"ref": "heads%2Ftip"}),
+        self.assertEqual(("/somedir/path", {"ref": "heads%2Ftip"}),
             split_segment_parameters("/somedir/path,ref=heads%2Ftip"))
-        self.assertEquals(("/somedir/path",
+        self.assertEqual(("/somedir/path",
             {"ref": "heads%2Ftip", "key1": "val1"}),
             split_segment_parameters(
                 "/somedir/path,ref=heads%2Ftip,key1=val1"))
-        self.assertEquals(("/somedir/path", {"ref": "heads%2F=tip"}),
+        self.assertEqual(("/somedir/path", {"ref": "heads%2F=tip"}),
             split_segment_parameters("/somedir/path,ref=heads%2F=tip"))
         # Check relative references with relative paths
-        self.assertEquals(("", {"key1": "val1"}),
+        self.assertEqual(("", {"key1": "val1"}),
             split_segment_parameters(",key1=val1"))
-        self.assertEquals(("foo/", {"key1": "val1"}),
+        self.assertEqual(("foo/", {"key1": "val1"}),
             split_segment_parameters("foo/,key1=val1"))
-        self.assertEquals(("foo/base,key1=val1/other/elements", {}),
+        self.assertEqual(("foo/base,key1=val1/other/elements", {}),
             split_segment_parameters("foo/base,key1=val1/other/elements"))
-        self.assertEquals(("foo/base,key1=val1/other/elements",
+        self.assertEqual(("foo/base,key1=val1/other/elements",
             {"key2": "val2"}), split_segment_parameters(
                 "foo/base,key1=val1/other/elements,key2=val2"))
         # TODO: Check full URLs as well as relative references
@@ -830,17 +830,17 @@
 
     def test_parse_simple(self):
         parsed = urlutils.parse_url('http://example.com:80/one')
-        self.assertEquals(('http', None, None, 'example.com', 80, '/one'),
+        self.assertEqual(('http', None, None, 'example.com', 80, '/one'),
             parsed)
 
     def test_ipv6(self):
         parsed = urlutils.parse_url('http://[1:2:3::40]/one')
-        self.assertEquals(('http', None, None, '1:2:3::40', None, '/one'),
+        self.assertEqual(('http', None, None, '1:2:3::40', None, '/one'),
             parsed)
 
     def test_ipv6_port(self):
         parsed = urlutils.parse_url('http://[1:2:3::40]:80/one')
-        self.assertEquals(('http', None, None, '1:2:3::40', 80, '/one'),
+        self.assertEqual(('http', None, None, '1:2:3::40', 80, '/one'),
             parsed)
 
 
@@ -848,60 +848,60 @@
 
     def test_parse_simple(self):
         parsed = urlutils.URL.from_string('http://example.com:80/one')
-        self.assertEquals('http', parsed.scheme)
+        self.assertEqual('http', parsed.scheme)
         self.assertIs(None, parsed.user)
         self.assertIs(None, parsed.password)
-        self.assertEquals('example.com', parsed.host)
-        self.assertEquals(80, parsed.port)
-        self.assertEquals('/one', parsed.path)
+        self.assertEqual('example.com', parsed.host)
+        self.assertEqual(80, parsed.port)
+        self.assertEqual('/one', parsed.path)
 
     def test_ipv6(self):
         parsed = urlutils.URL.from_string('http://[1:2:3::40]/one')
-        self.assertEquals('http', parsed.scheme)
+        self.assertEqual('http', parsed.scheme)
         self.assertIs(None, parsed.port)
         self.assertIs(None, parsed.user)
         self.assertIs(None, parsed.password)
-        self.assertEquals('1:2:3::40', parsed.host)
-        self.assertEquals('/one', parsed.path)
+        self.assertEqual('1:2:3::40', parsed.host)
+        self.assertEqual('/one', parsed.path)
 
     def test_ipv6_port(self):
         parsed = urlutils.URL.from_string('http://[1:2:3::40]:80/one')
-        self.assertEquals('http', parsed.scheme)
-        self.assertEquals('1:2:3::40', parsed.host)
+        self.assertEqual('http', parsed.scheme)
+        self.assertEqual('1:2:3::40', parsed.host)
         self.assertIs(None, parsed.user)
         self.assertIs(None, parsed.password)
-        self.assertEquals(80, parsed.port)
-        self.assertEquals('/one', parsed.path)
+        self.assertEqual(80, parsed.port)
+        self.assertEqual('/one', parsed.path)
 
     def test_quoted(self):
         parsed = urlutils.URL.from_string(
             'http://ro%62ey:h%40t@ex%41mple.com:2222/path')
-        self.assertEquals(parsed.quoted_host, 'ex%41mple.com')
-        self.assertEquals(parsed.host, 'exAmple.com')
-        self.assertEquals(parsed.port, 2222)
-        self.assertEquals(parsed.quoted_user, 'ro%62ey')
-        self.assertEquals(parsed.user, 'robey')
-        self.assertEquals(parsed.quoted_password, 'h%40t')
-        self.assertEquals(parsed.password, 'h@t')
-        self.assertEquals(parsed.path, '/path')
+        self.assertEqual(parsed.quoted_host, 'ex%41mple.com')
+        self.assertEqual(parsed.host, 'exAmple.com')
+        self.assertEqual(parsed.port, 2222)
+        self.assertEqual(parsed.quoted_user, 'ro%62ey')
+        self.assertEqual(parsed.user, 'robey')
+        self.assertEqual(parsed.quoted_password, 'h%40t')
+        self.assertEqual(parsed.password, 'h@t')
+        self.assertEqual(parsed.path, '/path')
 
     def test_eq(self):
         parsed1 = urlutils.URL.from_string('http://[1:2:3::40]:80/one')
         parsed2 = urlutils.URL.from_string('http://[1:2:3::40]:80/one')
-        self.assertEquals(parsed1, parsed2)
-        self.assertEquals(parsed1, parsed1)
+        self.assertEqual(parsed1, parsed2)
+        self.assertEqual(parsed1, parsed1)
         parsed2.path = '/two'
-        self.assertNotEquals(parsed1, parsed2)
+        self.assertNotEqual(parsed1, parsed2)
 
     def test_repr(self):
         parsed = urlutils.URL.from_string('http://[1:2:3::40]:80/one')
-        self.assertEquals(
+        self.assertEqual(
             "<URL('http', None, None, '1:2:3::40', 80, '/one')>",
             repr(parsed))
 
     def test_str(self):
         parsed = urlutils.URL.from_string('http://[1:2:3::40]:80/one')
-        self.assertEquals('http://[1:2:3::40]:80/one', str(parsed))
+        self.assertEqual('http://[1:2:3::40]:80/one', str(parsed))
 
     def test__combine_paths(self):
         combine = urlutils.URL._combine_paths
@@ -917,12 +917,12 @@
     def test_clone(self):
         url = urlutils.URL.from_string('http://[1:2:3::40]:80/one')
         url1 = url.clone("two")
-        self.assertEquals("/one/two", url1.path)
+        self.assertEqual("/one/two", url1.path)
         url2 = url.clone("/two")
-        self.assertEquals("/two", url2.path)
+        self.assertEqual("/two", url2.path)
         url3 = url.clone()
         self.assertIsNot(url, url3)
-        self.assertEquals(url, url3)
+        self.assertEqual(url, url3)
 
 
 class TestFileRelpath(TestCase):
@@ -954,46 +954,46 @@
 
     def test_same_url_posix(self):
         self._with_posix_paths()
-        self.assertEquals("",
+        self.assertEqual("",
             urlutils.file_relpath("file:///a", "file:///a"))
-        self.assertEquals("",
+        self.assertEqual("",
             urlutils.file_relpath("file:///a", "file:///a/"))
-        self.assertEquals("",
+        self.assertEqual("",
             urlutils.file_relpath("file:///a/", "file:///a"))
 
     def test_same_url_win32(self):
         self._with_win32_paths()
-        self.assertEquals("",
+        self.assertEqual("",
             urlutils.file_relpath("file:///A:/", "file:///A:/"))
-        self.assertEquals("",
+        self.assertEqual("",
             urlutils.file_relpath("file:///A|/", "file:///A:/"))
-        self.assertEquals("",
+        self.assertEqual("",
             urlutils.file_relpath("file:///A:/b/", "file:///A:/b/"))
-        self.assertEquals("",
+        self.assertEqual("",
             urlutils.file_relpath("file:///A:/b", "file:///A:/b/"))
-        self.assertEquals("",
+        self.assertEqual("",
             urlutils.file_relpath("file:///A:/b/", "file:///A:/b"))
 
     def test_child_posix(self):
         self._with_posix_paths()
-        self.assertEquals("b",
+        self.assertEqual("b",
             urlutils.file_relpath("file:///a", "file:///a/b"))
-        self.assertEquals("b",
+        self.assertEqual("b",
             urlutils.file_relpath("file:///a/", "file:///a/b"))
-        self.assertEquals("b/c",
+        self.assertEqual("b/c",
             urlutils.file_relpath("file:///a", "file:///a/b/c"))
 
     def test_child_win32(self):
         self._with_win32_paths()
-        self.assertEquals("b",
+        self.assertEqual("b",
             urlutils.file_relpath("file:///A:/", "file:///A:/b"))
-        self.assertEquals("b",
+        self.assertEqual("b",
             urlutils.file_relpath("file:///A|/", "file:///A:/b"))
-        self.assertEquals("c",
+        self.assertEqual("c",
             urlutils.file_relpath("file:///A:/b", "file:///A:/b/c"))
-        self.assertEquals("c",
+        self.assertEqual("c",
             urlutils.file_relpath("file:///A:/b/", "file:///A:/b/c"))
-        self.assertEquals("c/d",
+        self.assertEqual("c/d",
             urlutils.file_relpath("file:///A:/b", "file:///A:/b/c/d"))
 
     def test_sibling_posix(self):

=== modified file 'bzrlib/tests/test_version_info.py'
--- bzrlib/tests/test_version_info.py	2012-01-03 13:08:44 +0000
+++ bzrlib/tests/test_version_info.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2011 Canonical Ltd
+# Copyright (C) 2005-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -339,7 +339,7 @@
         builder = CustomVersionInfoBuilder(wt.branch, working_tree=wt,
             template='revno: {revno}')
         builder.generate(sio)
-        self.assertEquals("revno: 0", sio.getvalue())
+        self.assertEqual("revno: 0", sio.getvalue())
 
         builder = CustomVersionInfoBuilder(wt.branch, working_tree=wt, 
             template='{revno} revid: {revision_id}')
@@ -353,7 +353,7 @@
         builder = CustomVersionInfoBuilder(wt.branch, working_tree=wt, 
             template='{revno} revid: {revision_id}')
         builder.generate(sio)
-        self.assertEquals("1.1.1 revid: o2", sio.getvalue())
+        self.assertEqual("1.1.1 revid: o2", sio.getvalue())
 
     def regen(self, wt, tpl, **kwargs):
         sio = StringIO()

=== modified file 'bzrlib/tests/test_weave.py'
--- bzrlib/tests/test_weave.py	2011-02-05 14:24:01 +0000
+++ bzrlib/tests/test_weave.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2009, 2011 Canonical Ltd
+# Copyright (C) 2005-2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -588,7 +588,7 @@
 
         merged = k.merge([1, 2])
 
-        self.assertEquals([[['aaa']],
+        self.assertEqual([[['aaa']],
                            [['111'], ['222']],
                            [['bbb']]])
 
@@ -681,7 +681,7 @@
         write_weave(w, tmpf)
 
         # Because we are corrupting, we need to make sure we have the exact text
-        self.assertEquals('# bzr weave file v5\n'
+        self.assertEqual('# bzr weave file v5\n'
                           'i\n1 f572d396fae9206628714fb2ce00f72e94f2258f\nn v1\n\n'
                           'i 0\n1 90f265c6e75f1c8f9ab76dcf85528352c5f215ef\nn v2\n\n'
                           'w\n{ 0\n. hello\n}\n{ 1\n. there\n}\nW\n',

=== modified file 'bzrlib/tests/test_win32utils.py'
--- bzrlib/tests/test_win32utils.py	2011-12-19 10:37:57 +0000
+++ bzrlib/tests/test_win32utils.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007-2011 Canonical Ltd
+# Copyright (C) 2007-2011, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -169,8 +169,8 @@
         for a in ('iexplore', 'iexplore.exe'):
             p = get_app_path(a)
             d, b = os.path.split(p)
-            self.assertEquals('iexplore.exe', b.lower())
-            self.assertNotEquals('', d)
+            self.assertEqual('iexplore.exe', b.lower())
+            self.assertNotEqual('', d)
 
     def test_wordpad(self):
         # typical windows users should have wordpad in the system
@@ -180,12 +180,12 @@
         for a in ('wordpad', 'wordpad.exe'):
             p = get_app_path(a)
             d, b = os.path.split(p)
-            self.assertEquals('wordpad.exe', b.lower())
-            self.assertNotEquals('', d)
+            self.assertEqual('wordpad.exe', b.lower())
+            self.assertNotEqual('', d)
 
     def test_not_existing(self):
         p = get_app_path('not-existing')
-        self.assertEquals('not-existing', p)
+        self.assertEqual('not-existing', p)
 
 
 class TestLocations(TestCase):
@@ -242,7 +242,7 @@
         # version (ie, "C:\DOCUME~1\...").  Its even possible the returned
         # values will differ only by case - handle these situations as we
         # come across them.
-        self.assertEquals(p1, p2)
+        self.assertEqual(p1, p2)
 
     def test_appdata_not_using_environment(self):
         # Test that we aren't falling back to the environment

=== modified file 'bzrlib/tests/test_workingtree.py'
--- bzrlib/tests/test_workingtree.py	2012-07-19 15:44:55 +0000
+++ bzrlib/tests/test_workingtree.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2011 Canonical Ltd
+# Copyright (C) 2005-2012, 2016 Canonical Ltd
 # Authors:  Robert Collins <robert.collins@canonical.com>
 #
 # This program is free software; you can redistribute it and/or modify
@@ -186,7 +186,7 @@
         transport.put_bytes("format", "some format name")
         # The format does not have to be known by Bazaar,
         # find_format_string just retrieves the name
-        self.assertEquals("some format name",
+        self.assertEqual("some format name",
             workingtree.WorkingTreeFormatMetaDir.find_format_string(branch.bzrdir))
 
     def test_find_format(self):
@@ -224,7 +224,7 @@
         found_format = workingtree.WorkingTreeFormatMetaDir.find_format(
             tree.bzrdir)
         self.assertIsInstance(found_format, workingtree.WorkingTreeFormat)
-        self.assertEquals(found_format.features.get("name"), "necessity")
+        self.assertEqual(found_format.features.get("name"), "necessity")
         self.assertRaises(errors.MissingFeature, found_format.check_support_status,
             True)
         self.addCleanup(workingtree.WorkingTreeFormatMetaDir.unregister_feature,
@@ -283,28 +283,28 @@
     def test_register_unregister_format(self):
         format = SampleTreeFormat()
         self.registry.register(format)
-        self.assertEquals(format, self.registry.get("Sample tree format."))
+        self.assertEqual(format, self.registry.get("Sample tree format."))
         self.registry.remove(format)
         self.assertRaises(KeyError, self.registry.get, "Sample tree format.")
 
     def test_get_all(self):
         format = SampleTreeFormat()
-        self.assertEquals([], self.registry._get_all())
+        self.assertEqual([], self.registry._get_all())
         self.registry.register(format)
-        self.assertEquals([format], self.registry._get_all())
+        self.assertEqual([format], self.registry._get_all())
 
     def test_register_extra(self):
         format = SampleExtraTreeFormat()
-        self.assertEquals([], self.registry._get_all())
+        self.assertEqual([], self.registry._get_all())
         self.registry.register_extra(format)
-        self.assertEquals([format], self.registry._get_all())
+        self.assertEqual([format], self.registry._get_all())
 
     def test_register_extra_lazy(self):
-        self.assertEquals([], self.registry._get_all())
+        self.assertEqual([], self.registry._get_all())
         self.registry.register_extra_lazy("bzrlib.tests.test_workingtree",
             "SampleExtraTreeFormat")
         formats = self.registry._get_all()
-        self.assertEquals(1, len(formats))
+        self.assertEqual(1, len(formats))
         self.assertIsInstance(formats[0], SampleExtraTreeFormat)
 
 
@@ -356,11 +356,11 @@
         self.assertIsDirectory('.bzr/checkout', t)
         self.assertIsDirectory('.bzr/checkout/lock', t)
         our_lock = LockDir(t, '.bzr/checkout/lock')
-        self.assertEquals(our_lock.peek(), None)
+        self.assertEqual(our_lock.peek(), None)
         tree.lock_write()
         self.assertTrue(our_lock.peek())
         tree.unlock()
-        self.assertEquals(our_lock.peek(), None)
+        self.assertEqual(our_lock.peek(), None)
 
     def test_missing_pending_merges(self):
         control = bzrdir.BzrDirMetaFormat1().initialize(self.get_url())

=== modified file 'bzrlib/tests/test_workingtree_4.py'
--- bzrlib/tests/test_workingtree_4.py	2012-01-30 14:18:22 +0000
+++ bzrlib/tests/test_workingtree_4.py	2016-02-01 18:06:32 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007-2011 Canonical Ltd
+# Copyright (C) 2007-2012, 2016 Canonical Ltd
 # Authors:  Robert Collins <robert.collins@canonical.com>
 #
 # This program is free software; you can redistribute it and/or modify
@@ -88,11 +88,11 @@
         self.assertIsDirectory('.bzr/checkout', t)
         self.assertIsDirectory('.bzr/checkout/lock', t)
         our_lock = LockDir(t, '.bzr/checkout/lock')
-        self.assertEquals(our_lock.peek(), None)
+        self.assertEqual(our_lock.peek(), None)
         tree.lock_write()
         self.assertTrue(our_lock.peek())
         tree.unlock()
-        self.assertEquals(our_lock.peek(), None)
+        self.assertEqual(our_lock.peek(), None)
 
     def make_workingtree(self, relpath=''):
         url = self.get_url(relpath)

=== modified file 'doc/en/release-notes/bzr-2.7.txt'
--- doc/en/release-notes/bzr-2.7.txt	2016-01-28 13:13:28 +0000
+++ doc/en/release-notes/bzr-2.7.txt	2016-02-01 18:09:33 +0000
@@ -5,27 +5,24 @@
 .. toctree::
    :maxdepth: 1
 
-bzr 2.7b1
+bzr 2.7.0
 #########
 
-:2.7b1: NOT RELEASED YET
+:2.7.0: 2016-02-01
 
 External Compatibility Breaks
 *****************************
 
-.. These may require users to change the way they use Bazaar.
+None.
 
 New Features
 ************
 
-.. New commands, options, etc that users may wish to try out.
+None.
 
 Improvements
 ************
 
-.. Improvements to existing commands, especially improved performance 
-   or memory usage, or better results.
-
 * bzrlib.patches.parse_patches can optionally return a list of 'dirty'
   patch headers (prefixed with '===').
   (Kit Randel, #1400567)
@@ -33,9 +30,6 @@
 Bug Fixes
 *********
 
-.. Fixes for situations where bzr would previously crash or give incorrect
-   or undesirable results.
-
 * 'acceptable_keys' from 'bazaar.conf' is now properly handled.
   (Vincent Ladeuil, #1249732)
 
@@ -49,23 +43,15 @@
 * Forbid more operations for ReadonlyTransportDecorator so no more write
   methods can be used my mistake.  (Vincent Ladeuil, #150196)
 
-Documentation
-*************
-
-.. Improved or updated documentation.
 
 API Changes
 ***********
 
-.. Changes that may require updates in plugins or other code that uses
-   bzrlib.
+None.
 
 Internals
 *********
 
-.. Major internal changes, unlikely to be visible to users or plugin 
-   developers, but interesting for bzr developers.
-
 * Make all transport put_bytes() raises TypeError instead of AssertionError
   or UnicodeEncodeError when given unicode strings rather than bytes.
   (Vincent Ladeuil, #106898)
@@ -82,10 +68,6 @@
 Testing
 *******
 
-.. Fixes and changes that are only relevant to bzr's test framework and 
-   suite.  This can include new facilities for writing tests, fixes to 
-   spurious test failures and changes to the way things should be tested.
-
 * Fix gpgme test failure starting on wily. (Vincent Ladeuil)
      
 * Fix racy http tests (TestBadStatusServer is so simple, it exposes a race
@@ -116,6 +98,3 @@
      
 * Take python 2.7.6 late (better than never) bugfix in ntpath.py into
   account. Only tests are affected (Vincent Ladeuil, #1303879).
-
-..
-   vim: tw=74 ft=rst ff=unix

=== modified file 'doc/en/whats-new/whats-new-in-2.6.txt'
--- doc/en/whats-new/whats-new-in-2.6.txt	2013-08-04 09:58:13 +0000
+++ doc/en/whats-new/whats-new-in-2.6.txt	2016-02-01 18:09:33 +0000
@@ -3,7 +3,7 @@
 *************************
 
 Bazaar 2.6 has been released on the 27th of July 2013 and marks the start of
-a new long-trem stable series. From here, we will only make bugfix releases
+a new long-term stable series. From here, we will only make bugfix releases
 on the 2.6 series (2.6.1, etc), while 2.7 will become our new development
 series.
 

=== modified file 'doc/en/whats-new/whats-new-in-2.7.txt'
--- doc/en/whats-new/whats-new-in-2.7.txt	2013-07-27 12:53:28 +0000
+++ doc/en/whats-new/whats-new-in-2.7.txt	2016-02-01 18:09:33 +0000
@@ -2,11 +2,52 @@
 What's New in Bazaar 2.7?
 *************************
 
-Bazaar 2.7 is still under development, and will be released when ready.
+Bazaar 2.7 has been released on the 1st of February 2016 and marks the start
+of a new long-term stable series. From here, we will only make bugfix
+releases on the 2.7 series (2.7.1, etc), while 2.8 will become our new
+development series.
+
+
 This document accumulates a high level summary of what's changed.  See the
 :doc:`../release-notes/index` for a full list.
 
-<topics of interest here>
+Users are encouraged to upgrade from the other stable series.  This document
+outlines the improvements in Bazaar 2.7 vs Bazaar 2.6. As well as
+summarizing improvements made to the core product, it highlights
+enhancements within the broader Bazaar world of potential interest to those
+upgrading.
+
+Bazaar 2.7.0 is fully compatible both locally and on the network with 2.0,
+2.1, 2.2, 2.3, 2.4, 2.5 and 2.6, and can read and write repositories
+generated by all previous versions.
+
+python-2.6 EOL'ed
+*****************
+
+python 2.6 has been EOL'ed since the release of bzr 2.6. The last python 2.6
+version was released on 2013-10-29. While bzr 2.7 remains compatible with
+python 2.6, no further update of bzr is expected in this regard.
+
+SSL Certificate Verification Support in urllib HTTPS backend
+************************************************************
+
+python 2.7 received security updates regarding SSL certificate
+verification. bzr 2.7 relies on the ssl python module for this and as such
+benefit from these security updates.
+
+This isn't true for python 2.6 so users are encouraged to upgrade.
+
+Users that cannot upgrade will be warned that the hostname cannot be
+verified and can remove the warnings by setting the ``ssl.cert_reqs`` option
+to ``none``.
+
+Test reliability
+****************
+
+Most of the bug fixes in 2.7 are related to test failures triggered by
+various python 2.7 updates. Among other distributions, debian and ubuntu
+have carried patches that have now part of bzr 2.7.
+
 
 Further information
 *******************

